Welcome
Top Next

Welcome to the Unfair Advantage(R) Online Manual.

This is a user-friendly document that tells all about Unfair Advantage and its many features for using data from the CSI Data Retrieval Service.

You may read this manual like a book by clicking the [>>] (next) and [<<] (back) buttons, but we recommend you use the Table of Contents to see what's available and the Index to find specific topics of interest. You can reach these by clicking their respective buttons at the top of this screen. As you can see, there's also a button that lets you print the entire manual or any specific portion. We don't recommend printing the full manual, as it is over 300 pages long!

Click the [Contents] button, above, to see what's available here.

Within this manual, you'll find many clickable links to take you to related topics, and you can even jump directly to a manual topic by pressing the <F1> (#1 function key) while running Unfair Advantage. We're in the process of adding a "What's This" prompt that will also reference information from the manual.

Please use this online manual often, as it is here to help you and is always handy from Unfair Advantage's Help menu (click Help Topics). Enjoy!

Copyright and Trademark Information

The material in this manual is copyright-protected © 2002 - 2005 by CSI and may not be reproduced in any form, by any method, for any purpose without the prior written permission of CSI. The information in this document is subject to change without notice. See the CSI Unfair Advantage License Agreement for the terms and conditions for using the software.

CSI, Unfair Advantage and QuickTrieve are registered trademarks, Perpetual Contract is a registered service mark, and MultiMarket Analyzer, MarketScanner and Traders' Accountant are trademarks of Commodity Systems, Inc. All other brand or other product names are trademarks or registered trademarks of their respective holders.

Unfair Advantage software and manual © 1997 - 2005 Commodity Systems, Inc. All rights reserved.

Click here to view the Introduction chapter.


Introduction to UA
Previous Top Next

Welcome to Unfair AdvantageÒ and thank you for your order. This is a revolutionary data retrieval/ management/ analysis system for investors that puts the world's most complete and accurate financial database at your fingertips. From effortless data management to automatic error corrections, innovative analysis and trading system certification, Unfair Advantage is unrivaled.

The main functions of Unfair Advantage are:

1) Data - Depending upon your subscription category, you may have access to unparalleled historical scope of world futures markets reaching back to the 1950s and beyond. Market categories cover every conceivable commodity product (including options) and an inventory of stocks, economic series, funds and indices from the U.S., U.K., Canada and other world financial markets. Commitments of Traders information is also available through UA. Unfair Advantage's Database Menu offers several choices that let you see lists of the markets and exchanges available from CSI.

2) Updating - This feature adds current market data to the historical database provided on your initial CD-ROM and stored on your computer's hard drive. Each update retrieves daily summary prices on all markets within your subscription category, which may include any or all of the markets in CSI's vast database. Intraday updates can be added to your daily Unfair Advantage charts through the new SnapQuote feature, which retrieves prices from third-party sources.

Downloaded information is distributed daily to a database file, from which the other formats are exported for use. Any UA data file can be made available for charting or other types of analysis. Daily updates of the database are handled through the Internet using your own Web Browser and Internet Service Provider. Replacement files of historical data are also available online to protect users from inadvertent data corruption. CSI also maintains a backup dial-in link over standard phone lines which can be used at any time.

3) Portfolio Management - Unfair Advantage's portfolio system maintains your favorite charts and exported files. Contracts or stocks of interest are listed in your choice of multiple portfolios (directories) so that they can be viewed or accessed instantly. Your portfolios can be customized to accommodate third-party software.

4) Charting/Analysis - You'll love the functionality and ease of Unfair Advantage's charting package. Super-compressed or vividly detailed charts can be viewed instantly on your choice of markets. Charts may be annotated with text and other tools such as trend lines and ellipses. This release offers bar and candlestick charts with volume, open interest and cash. An expanding list of technical indicators includes COT indicators, stochastics, moving averages, put/call ratios, spreads, Moving Average Convergence/Divergence, RSI, At-The-Money Study, basis and seasonal index studies. Interpreted Studies allow for custom programming of user-defined indicators, and include an extensive collection of studies that may be used as-is or modified to meet your individual needs. Charts may be printed or may be saved as a clipboard image for pasting into documents.

5) Alternative Analysis - The included MultiMarket Analyzer can manage trading opportunities through a mathematical statistics perspective and detect potentially profitable commodity and stock trading situations. The unique Trading System Performance Evaluatortm (TSPE) can assess your account funding requirements and your likelihood of obtaining profitable performance.*

6) UA's MarketScannertm tool enables the trader to apply custom indicators to lists of stocks and futures. The analyst can capture market statistics on any of a variety of market groups and then sort and filter this data to reveal those that meet a particular criterion. For example, you might sort the NASDAQ stocks by the six-month rate of return.

7) A Position Manager module, which is a program to keep you apprised of your stock or futures trading account progress and performance, both historically and throughout the day. This module gives intraday updates from third-party quote vendors.*

8) Programmers can use a built-in API to access data with fast, in-memory simplicity. Commercial users may, at a higher price, enjoy even greater flexibility.

*Both TSPE and Position Manager are only available to users who pay the full Unfair Advantage license fee.

Click here to learn about Hardware Requirements.


Hardware Requirements

Hardware & Communication Requirements

Unfair Advantage is a 32-bit WindowsÒ application. It requires:

· Windows 98 or higher operating system
· A PentiumÒ-powered PC computer with speeds of 200Mz or faster
· CD-ROM drive*
· At least 256 MB of RAM
· At least an SVGA monitor
· A mouse or comparable pointing device
· A modem or direct network access
· A minimum of 256 colors desktop setting is required
· Disk space requirements:
The UA software uses 136 MB.
The UA commodity database uses 444 MB, and it grows at 11% annually.
The UA stock database uses 2.2 GB, and it grows at 12% annually.
The UA options database uses 2.4 GB, and it grows at 18% annually.

*Some UA software is shipped on CDR disks, which may not be compatible with certain CD drives. If your drive cannot read the CD we provide, please contact CSI technical support about replacement software.

Click here to learn about Communication Requirements.


Communication Requirements

Internet Access is recommended. Broadband service is suggested for best results.

· Microsoft Internet Explorer version 5.0 or higher (for Direct Internet access).
· Other Internet browsers may be used when "Browser" access is selected.

Direct-dial (standard phone line with modem) access is available, but not recommended due to slow transmission speeds.

If you do not yet have an Internet connection, you may proceed with data retrieval through a direct-dial phone call to CSI's host with your modem. If you plan to use the Internet, now is the time to order a startup kit from the company of your choice.

The user, NOT CSI, is responsible for all on-line access charges and/or long-distance phone charges associated with retrieving data.

Click here to learn about Internet Filters.


Internet Filters

Internet filters such as Norton Internet Security, Internet Explorer's Content Advisor and Net Nanny are designed to screen out objectionable content and/or damaging viruses from your Internet downloads. Although newer filters (corresponding with Windows XP) appear to handle Internet security without database corruption, older filters can inadvertently strip out necessary characters from CSI's binary data transmissions. UA cannot process files that have been corrupted by such filters.

Secure access using a filter:

Newer Internet Security products allow you to specify which programs should have access to the Internet. This means that when you download with UA, may see a message box asking whether ua.exe should be allowed access to the Internet. The answer should be "Yes."

The Norton Internet Security database, which is used for screening website access, lists ua.exe as the executable file for Microsoft Urban Assault. Since Norton Internet Security defaults to "Permit," on this program, you may simply check the "Always use this action" selection to allow access. Note that Microsoft Urban Assault will also be allowed access.

If you should experience this problem, you may need to temporarily adjust or disable Internet filtering software before beginning a download with UA. Do not assume that filtering software is turned off just because you did not enable it. Step-by-step instructions for disabling Content Advisor and for adjusting Norton Internet Security can be found in the Troubleshooting chapter under "Downloading Issues." Be sure to restore full filtering capability following your UA downloads.

Click here to learn about Locked Database and Disk Termination.


Locked Database/Disk Termination

Unfair Advantage comes to you with a "locked database." This means that you cannot access the data for charting or analysis until it is "unlocked." The process of unlocking the database is simple: First install the database on your hard drive, then collect a daily update from CSI. This unlocks the database. Please read on and you will learn how to make your first daily update.

Please look at the package in which your Unfair Advantage CD was supplied. You'll notice that the database expiration date is printed there. You must install the software and begin updating by this date.

The Unfair Advantage database must be updated at least once every month to keep the software working. Failure to update within a two (2) month span during your current subscription may result in the temporary loss of license to use the database and additional expenses. If you allow your database to lapse more than two months, the database will be corrupted by an irreparable elapsed-time gap. A replacement CD must be ordered from CSI and installed. A daily update must then be downloaded to restore the software's functionality. A fee for costs will apply.

Click here to learn about using Unfair Advantage with third-party software.


Using UA with 3rd-Party Software

Unfair Advantage includes a simple interface for easy compatibility with your favorite investment program. It can easily write files in ASCII text or in the CSI (QuickTrieveâ) format, MetaStockÒ (MS) format, the CSIM format (a CSI-engineered alternative for compatibility with older MetaStock-compatible programs) and Excel format.

See the Third-Party Software chapter of this manual for full details on how this is handled. It includes tips and suggestions for assuring compatibility.

Many third-party software producers use CSI's EZ Downloader or our CSI Market Data program for One-Button access of data from CSI. These retrieve data seamlessly, with only background (invisible) use of Unfair Advantage. See the One-Button Updates chapter for details.

Click here to learn about Data Access Times and Accessing Frequency.


Access Times & Frequency

The timing of your daily update can have an important impact on the quantity and quality of the data you receive. Calling for data before an exchange has been posted will result in an incomplete download. Since you may call for data as frequently as desired (so long as each call comes from the same computer), you may update your UA database two or more times every evening without paying extra fees. The first call might allow you to view early reports from overseas markets or to prepare for the next day's trading with preliminary stock data, and subsequent calls would fill in any missing or flawed entries that may have resulted from early or preliminary updates.

To view an interactive online report of exactly which market categories have been updated, click Unfair Advantage's "Database" menu and select "View Posting Status." This will direct your web browser to the "Data Release Schedule and Posting Status" page on the CSI website. You can also browse to this page on the CSI website by visiting http://www.csidata.com/cgi-bin/UaPostingStatusPage.pl. (Click this link to go there now.)

Preliminary Data

The CSI database receives preliminary stock data via satellite (weather permitting) between 5:00 p.m. and 6:00 p.m. daily, an hour or more before the official release at around 7:00 to 7:15 p.m. Because preliminary data has not been scrupulously checked by CSI before posting, it is not unlikely that some corrections and revisions will take place before the official release. Preliminary stock data will be revised as necessary in subsequent updates. Even with preliminary updates, a nearly flawless historical database is assured through subsequent downloads once CSI's data checking efforts are complete. If an update is not made after the final posting on a given day, the following day's update will correct missing or flawed data from an early update on the previous day.

Preliminary stock data is offered in response to customer demand. It is considered to be conditional, at best. Because of this, customers should act only on the official data. No trade orders should be placed without confirmation of the "official" quote after the official release time and without confirmation from your broker.

Click here to learn about CSI's Customer Support.


Customer Support

CSI offers support for Unfair Advantage users in many ways:

1) QuickStart Manual - Unfair Advantage comes with a QuickStart manual to help you get up and running quickly. It may be supplied as a .pdf (Acrobat Reader) file on the installation disk or in printed form. When supplied in digital form, the QuickStart manual can be viewed and/or printed from the Setup Menu.

2) What's This? (Help) - UA provides Interactive Help with automatic links to the manual. To learn about a topic directly from your UA screen, click the "What's This?" button on the toolbar and then click your mouse on the screen prompt or menu selection you want to learn about. There's also an interactive link to "Help" for every menu through the "Need Help" selection found at the bottom of the major menus.

3) Online Manual (Help) - Unfair Advantage comes with a complete online manual that you can read from your computer screen as a Help file. To view, click the Help menu from the main UA menu, and then click "Help" button. A pop-up Help window displays with manual text. Click the [Contents] box at the top of the Help window for a full listing of the manual content. You may search for a given topic by clicking the [Index] box and typing your search key. Double-click any chapter or topic to reveal its content.

4) Online Help - Current Frequently Asked Questions (with answers) and notices are posted on the CSI website at www.csidata.com. The Tech Talk column of our monthly newsletter (also on the web) often provides quick solutions to problems. Click these links to go there now, or click the [Internet] button at the top of the online manual window to reach the CSI home page.

5) Software Upgrades - Periodic Upgrades are made available, usually at no charge, on our website. Downloading a software upgrade on the CSI website at http://www.csidata.com/custserv/updates/index.html can sometimes solve problems that have already been discovered and fixed by the CSI software development team. Each upgrade includes a description of current capabilities, as well as known problems with the release. If you would like to have Unfair Advantage automatically check for upgrades each time you start the program, this can be arranged through UA Preferences.

6) Market Specifications - Background information is at your fingertips. Unfair Advantage's Market Specifications include footnotes that explain data anomalies that might cause concern. Click the "Market Specs" button on the main toolbar or choose "Market Specs (through the Database menu) to answer most questions about historical data.

7) E-mail Support - We offer an e-mail technical support system for questions and comments. The simplest way to send an e-mail that contains important information about your CSI account is to click "E-mail your question" from the Unfair Advantage "Help" menu. You can also contact our service staff at support@csidata.com. These e-mails are usually answered within the same day. Please see below for a list of information you can supply to expedite a timely resolution.

8) Technical Support Staff - Our friendly, knowledgeable technical support staff is available for telephone support from 8:30 a.m. to 9:30 p.m. (eastern time) Monday - Friday, except on major holidays. There is no charge for contacting our service staff.

Our staff strives to identify and correct any error associated with our software and service, but we sometimes need enough information to reproduce a problem before we can fix it. Please gather the information below before contacting customer service about a possible software error:

· Your User ID (automatically supplied when reporting an error through the Help menu)
· Your Windows Version (automatically supplied when reporting an error through the Help menu)
· Your UA version number (automatically supplied when reporting an error through the Help menu)
· The exact wording of any error message
· The name of the active window at the time of the problem
· The conditions when the error occurred
· A list of steps that led to the problem
· A detailed description of what has been tried so far.

The Customer Support Telephone Number is 1 (561) 392-8663.

Please use CSI support services in the order presented above, with exceptions as needed for urgent situations. Please use the reference materials provided and consult our website for remedies before contacting the support staff for assistance. Use e-mail for reporting non-urgent programming bugs. In this way, we can provide the best service possible to all our customers, and assure that our staff is available for you when you need us most.

This topic completes the "Introduction to UA" chapter.

We suggest you proceed by reading the "Getting Started - Installation" chapter.


Getting Started - Installation

To get started using Unfair Advantage, the first thing you'll need to do is install the software and database. This section of the manual walks you through the installation process.

To begin, simply power up your computer and, with no other programs running, insert the Unfair Advantage CD ROM and close the drive. Most computers are configured to automatically launch the CD and run the InstallShield Wizard for installation.

If the CD does not launch automatically, you can continue installation as follows:

1. Click the Start button, then click Run from the menu.
2. Click the [Browse] button and then navigate through the folders window to find your CD drive (probably D:, E:, F: or G:). The CD label will say "UA," followed by the specific version number.
3. Click your CD drive, and from the drive listing, double-click on the program "Setup.exe" (or InstSwit.exe for older versions).
4. Back in the "Run" box, click [OK] and the installation will proceed.

If you are re-installing Unfair Advantage from a CD-ROM, you will not be allowed to install the new software until you have uninstalled the previous version. Please read the uninstalling instructions in this manual before uninstalling. DO NOT uninstall when UPGRADING from the website. See the "Upgrading Your UA" in the Software Maintenance chapter for full instructions.

Next, you'll select the version to install.


Selecting the Version to Install

When the Unfair Advantage CD first launches on your computer, the Install Switch screen displays offering the choices of installing the current full version, perhaps a Beta Test version, or a Demo version.

Whether you have opened a new account with CSI or are engaging in a free trial, we recommend you install the default (pre-selected) choice, which is first on the list. The version numbers (shown above as X.X.X) will progress to higher numbers as the product matures, functionality improves and features are added.

The Demo Version is similar to the one available from the CSI website. It offers limited access to commodity data. Given a choice of loading a full version or demo version, the full version is almost always your best choice.

A "Beta" (test) copy of an upcoming version may be available, but should be selected only by those who are willing to accept and report unexpected problems. Not recommended for new users!

Click [OK] to proceed with the chosen version.

The InstallShield Wizard for CSI Unfair Advantage will display. Click [Next] to proceed to the License Agreement.

Click here for information about the License Agreement screen.


Agreement

The current CSI UA License Agreement and Conditions for Use displays.

Please read this document now!

If you accept the agreement and terms, click the radio button next to "I accept the terms in the license agreement," and then click [Next] to proceed.

If you do not agree to be bound by the agreement, installation will terminate. At this point (before installation), you may contact CSI to arrange for a refund.

The license agreement may be revised by CSI as time goes by. Please consult the CSI website periodically at http://www.csidata.com/ua/licensing/index.html to view the current agreement.

Next you'll specify the installation directory for your UA software.


Selecting The Install Directory

This screen allows you to specify where Unfair Advantage and its resident database will be stored on your computer:

The strongly recommended action here is to click [Next], which accepts the default drive and directory.

If you do not accept the default, please note that UA must be stored in its own directory or folder (such as C:\UA), not directly in the root directory (C:\). You may place the software in its own folder anywhere below your computer's "C:" root directory. Examples: "C:\UA" or "C:\Program Files\UA. In other words, placement should be in a directory at a lower level than "C:"

Although you may use any valid drive for storing the UA software, you should NOT store UA in a directory with other programs.

Your choice of installation directory becomes important when and if you ever decide to uninstall Unfair Advantage. The uninstall routine automatically deletes nearly all files within the directory selected here. Installing UA in its own directory also protects all your software from damage caused by common filenames within the different programs.

If you feel you must select another directory, click [Change] and use the directory tree to navigate to the desired folder. Once selected, that folder will be shown in place of \ua\ on the above screen. Please do not attempt to network this product. Our license agreement prohibits networking.

As directed, click [Next] to store UA in the listed folder.

The UA program files and accompanying third-party files (including Perl,(R) JavaScript,(R) VisualBasic(R) and Borland(R) DBE) will be copied to your drive. When this process is complete, a message displays. Click [OK] to proceed.

This screen will be replaced with the Database Selection screen.


Choosing Database(s) To Install

The next UA installation screen asks you to choose the databases to install. This refers to the historical data that will be stored on your computer's hard drive. Although the UA CD holds all history on all markets, you will only be able to access and maintain the markets that are installed on your hard drive, and that correspond to your subscription category from CSI.

You selected your subscription category when you signed up for service with the CSI Data Retrieval Service. That category was for retrieval of daily updates of commodities only, stocks and funds only, or a combination of the two. Also upon subscription, you specified your preference for receiving or not receiving options data. If options were requested, a second CD of options data is provided.

It is important to understand that your subscription category controls not only which files are updated on a daily basis, but also which historical data you can access through Unfair Advantage. Please use care in selecting the appropriate database or databases for installation so that your choice corresponds with your selected daily update service through the screen shown here:

If you subscribed to CSI for stocks, funds or both, select "Stock History." Similarly, if you subscribed for commodities only (either domestic or world), select just "Futures History." For all markets, select "Both." If options are part of your subscription category, be sure to check "Option History" by clicking the box. The various databases may be provided on separate disks. You will be prompted to change disks as necessary.

Upon selecting the appropriate database(s), click [OK] to proceed.

If you do not install a necessary database, you can return to this screen later by repeating the installation process, but only within the first month after receiving the software. UA will detect your prior installation and require that you uninstall the software before proceeding. After that installation, you'll need to re-collect daily updates from the date the CD was created (a time-consuming process). If you wish to install a database more than one month after the CD was received, you'll need to order a new CD from CSI. This is necessary because the database you add will need to be brought current and a new CD is the only practical way to accomplish this.

If, upon receiving the UA CD-ROM, you decide to install different databases and change subscription categories, you must notify CSI before your first daily update. If you are unsure of your subscription category or wish to make a change, please call the CSI Bookkeeping Department at 1-561-392-8663. You may also purchase access to additional years of history at any time. The depth of history available is controlled by a switch at CSI, so changes in history start date do not require a new CD.

CSI offers different subscription categories to accommodate the specific needs of our customers. The subscription categories and their prices are listed on CSI's website at www.csidata.com.

Click here for information on selecting the portfolio to install.


Selecting The Portfolio To Install

UA allows you to maintain multiple portfolios, each of which is a list of normal, computed and/or continuous contracts or stocks, options and funds to be followed on a regular basis. They typically hold the nearby current contracts of several commodities, plus computed contracts such as adjusted continuous and cash. A stock portfolio might list all stocks of interest.

Some software vendors have supplied CSI with specifications to automate portfolio selection. During installation, UA will display a list of vendors who have supplied standardized portfolios. If you use any of the software systems listed, check the appropriate boxes by clicking them, and then click [OK] to proceed. (At this writing, the offerings are One Day at a Time, Vantage Point Natural Order and OmniTrader, but more may be added.) Don't worry if you miss one now; the UA software includes a menu selection to install various vendor-supplied portfolios after installation.

Depending upon the software program(s) you have selected, if any, additional customization screens may display. Please complete the screens as appropriate for your applications.

Sample portfolios are provided to get you started with general charting and analysis. Feel free to use any or all of the portfolios provided with your original CD. The Commodity and Stock Samplers are recommended. The Stock Index Portfolio includes hundreds of stocks and may be cumbersome.

If you don't select any portfolio (above), UA will be installed with no initial portfolio. This might be appropriate if you have saved a portfolio from a previous installation, want to import a portfolio or if you prefer to enter one or more custom portfolios from scratch. However, we recommend you select one for your initial installation. If you start with a sample portfolio, you can later modify it to accommodate your own data requirements.

Don't be too concerned about getting your portfolio exactly right at the beginning. The one you select can be modified at any time, and you can add or delete portfolios as needed. Contracts and stocks that are not in your portfolio can still be viewed through UA. CSI maintains a current portfolio file for each of the above, (and possibly more, in the future) on the CSI website.

Select the portfolio of your choice or leave blank, if desired, then click [OK] to proceed.

The UA files will be decompressed and copied to your hard drive. The copying process may be lengthy (five to ten minutes) and is followed by a message that installation is finished.

Click here for final installation instructions.


Finishing the Installation

A message displays after installation is complete asking you to reboot your computer:

We have found that rebooting the system at this point greatly reduces the possibility of software failures, making it well worth the effort. Click [Yes] to automatically shut down and restart your computer.

Next the InstallShield Wizard will indicate that the installation is complete. Click [Finish] to exit.

This topic completes the "Getting Started - Installation" chapter.

Once your computer is rebooted, you'll be ready to proceed with the Guide for New Users chapter.


Guide For New Users

This chapter walks you through the steps that will enhance your CSI experience now and in the future. It picks up after installation, and includes a few tips for speeding updates. It also points out some special features that make updates from CSI unique and guides you through your first data retrieval and charting experience.

Begin by Launching Unfair Advantage. We hope you enjoy your first time using the software. Click the link to learn more.


Launching Unfair Advantage

You may launch the Unfair Advantage program from your computer's Start menu as follows:

Click your PC's Start button, then choose All Programs (or Programs). Move to CSI Unfair Advantage and, finally, click Launch UA, as shown: below.

Either upon initial installation or after several uses, Windows XP and similar programs will automatically add "Launch UA" to the Start menu. Once there, you can launch the program by clicking it directly.

You can add "Launch UA" to the Start menu manually by right-clicking "Launch UA," above, and then clicking "Pin to Start Menu."

On your first use of UA, you'll be asked to enter your User ID and number. Click the link for instructions.


User ID and User Number

The first time you launch Unfair Advantage, the following displays:

Your User ID is a three-letter code and your User Number is a five-digit number, both of which are printed on a sticker inside the Unfair Advantage CD package. Enter the User ID, then press the <Tab> key (not <Enter>) to move the User Number box. Type your number and then click [OK].

You may edit these entries later through Unfair Advantage Preferences, under General Program Settings - Account.

You are responsible for all accesses on your private account, so be sure to safeguard your User ID and User Number. They represent the security measures preventing others from charging data collection against your CSI account, which is limited to access from a single computer without incurring additional costs. Because it would be possible for one user to grant service to an acquaintance by loaning the installation CD-ROM, this facility protects CSI from unauthorized service usage.

When your User ID and number are complete, the UA screen displays with your portfolio listed at the left and a blank charting screen to the right. We recommend you adjust a few user Preferences for optimal speed before your first update as described next.

Click here to learn more.


Accelerations

You may now customize UA Preferences to assure the fastest downloads and distributions possible on your computer.

Click "Preferences" on UA's Main Menu as shown here, and then proceed as instructed below.

Advanced 2 Recommendations

Click "Advanced 2" on the UA Preferences screen as shown:

This screen offers four levels of progressively conservative (and progressively time consuming) settings. "Flush writes as files are complete and employ a log file" is the default selection. It is the second fastest setting and is a relatively safe and relatively speedy choice.

For faster updates, use the top choice, "Do not flush writes during updating." This setting is recommended if speed is a high priority and regular backups are maintained. If you want to upgrade speed with this feature, click on the pointer and drag it up to the top. Click [OK] to proceed.

Be aware that with the top setting, if a hardware or software failure should occur during data distribution, most, if not all, of your UA database would be lost and you would need to restore the full UA system from your recent backup and then re-collect to bring your database current. Lower settings offer some protection. See the "Advanced 2" topic (under Distribution Settings) for a discussion of all these choices and their impacts.

Advanced 3 Recommendations

Here is the Advanced 3 screen:

Recommendations: (These are not the default selections because of possible problems in certain situations, as noted. Do not use these accelerations if the limitations noted apply to you.)

· Perform distribution in a background thread - Click here so UA and other programs will operate more smoothly, and with slightly better performance. (Not recommended for laptops, where it has been known to cause problems.)

· Memory Map DB Files when retrieving data - Click here to improve performance while rewriting files in your portfolio, especially if you use Windows NT. (Requires at least 15 MB of free memory.)

· When Correcting, keep copy of database in memory - This feature significantly improves the speed of distribution by storing temporary information in memory instead of on disk. Free memory requirements are: 5 MB for futures, 10 MB for stocks, or 60 MB for options.

· Raise distribution thread priority over foreground tasks - If the top choice is used (Perform distribution in a background thread), you can further enhance performance gain through this feature. It will make your computer less responsive to other programs, however. This is not recommended if you will be performing multiple computing tasks while retrieving and distributing data from CSI.

Once the accelerations of choice have been arranged, you are ready to proceed with downloading data. In order to view any of the data provided with UA, you must first "Get Data" from CSI to unlock the UA database.

Click here for instructions.


Getting Data

Getting data with Unfair Advantage is usually a simple process. The required settings for downloading quotes depend upon your desired method of access. Unfair Advantage is shipped configured for Internet access using a recent Internet Explorer as identified in Hardware Requirements. If you are a regular Internet user with Microsoft Internet Explorer, you can probably get online without any additional customization as described below. If these instructions are insufficient for your Internet applications, or if you wish to use Direct Dial or Browser access, please see the detailed instructions in the Downloading Data chapter.

For fast-track Internet access:

downloadico With your web browser online* and the Unfair Advantage screen displaying, click the "Get Data" icon on the toolbar at the upper left portion of your screen. (It looks like two computers connected by a telephone handset.)

The Download/Distribution Selection screen displays:

This screen allows you to download and distribute everything in your retrieval category or a subset that can be defined through a list. For your initial retrieval session, simply click [Run] to download everything.

Next, the Download Data Communication Settings screen will display with an "Internet Download" confirmation box as shown:

Assuming you entered your User ID and Customer Number correctly and you have not waited beyond the time window for updates since the database was shipped, then Unfair Advantage will bring your full database current. You can monitor progress with the counter in the lower left corner.

Under normal circumstances, each update session retrieves the most recent day and a refurbished repeat of the previous day updated to assure completeness of the prior day's information. All missing days of trading activity since your last update, for a period covering up to two months, will also be included. An update transmission can also include automatic error corrections and new information to be added to the factsheets. Updates of the commodity database typically take no more than two minutes per day of data. Stock updates may take significantly longer. For your first update, everything will be brought current from the date of shipment.

* Depending upon your communications software, you may have to click "Connect" or "OK" to initiate the Internet connection, or this may happen automatically. Either way, once the connection is established, the "Internet Download" screen will display, but it may be hidden behind your home page. Feel free to minimize the home page screen to view the full Unfair Advantage process. If your web browser is not configured to automatically connect to the Internet whenever a URL address is requested, you'll need to add the step of manually getting online before attempting a download.

UA automatically proceeds to data distribution after a retrieval session.


Data Distribution

Data distribution is the process of appending all the current data received in your download transmission to the compressed database stored on your computer's hard drive. It is a necessary step in maintaining a sound database. The software comes to you configured to automatically proceed with this step without further prompting if either Internet or Direct Dial Access is used.

If you configured UA for "Browser" access, you'll need to initiate data distribution manually through the Database menu. (Click the Database menu, then click "Manual Database Distribute.")

Note that a connection to the Internet or a telephone hookup is not needed during the distribution process. If it is important for you to minimize online time, you may manually terminate the connection any time after distribution has begun. You can arrange for automatic termination of your Internet connection through the "Distribution 1" screen of General Program Settings from the UA Preferences menu. Some hardware configurations require manual call termination, so please check to see if this feature works for you.

The Distribution Screen

By default, the distribution screen chronicles UA's progress as in the example below. You'll note it shows the date for each day processed (in a 4-digit year, month and day format) and identifies the actions taken for that day. The screen will show each trading day updated, from the date of your last update through to the most recent day available. "Applying daily price updates" displays while UA is appending existing files. If you are downloading stock data, a daily summary of advancing and declining issues can also display in a separate text viewer window. A "correction" can be any data bit that modifies a data file, including the addition of capital gains and distributions. True error corrections are infrequent due to the rarity of errors in CSI data transmissions.

A distribution screen:

Retrieval and Distribution Time

The time required for your first download and distribution will depend upon the number of days to be updated, the scope of your database, your portfolio content and the quantity of export files to be built. A lengthy data series may take two hours or more, especially if commodities, stocks and options are updated. Please be patient and allow UA to complete its download and distribution. Once the data is stored on your hard drive, you'll have quick, easy access to the entire history of all your markets. You can avoid lengthy updates and distributions in the future by keeping your database relatively current through regular updates. We recommend daily updates.

Weekly Stock Specs

Each Friday, stock subscribers receive updated UA Stock Market Specifications. These include an extensive fundamental database that adds great value for evaluating investment opportunities. This database can slow distribution significantly. If you are bothered by the length of time required for distributing Friday's data, please consider using UA's Autoscheduler for an unattended retrieval session at a convenient time.

Cancel/Finish Later

The [Cancel] button at the bottom of the distribution screen changes to [Finish Distribution Later] as the process nears completion. Click either of these buttons if you need to stop the distribution process. In either case, you should perform a manual data distribution before your next retrieval session to avoid an unnecessary download. Note that distribution will resume at the same spot next time only if [Finish Distribution Later] is selected.

The distribution screen may be covered by News Headlines. This is a handy CSI service for keeping on top of financial news.


News Headlines

By default, UA quickly takes you to the News Headlines page of CSI's website during data distribution. This gives you something to look at during what may be a lengthy process. The News Headlines page shows investment-related news stories and may also identify exchange holidays, making it easy to recognize voids caused by holidays around the world.

If you are interested in the stories mentioned there, simply click on the links to view. These links connect to third-party websites and are temporary. If you want to return to a story, please bookmark it or, better yet, save as a document. You may also reach the Headlines page through the CSI website any time at www.csidata.com.

If you would prefer to skip this step in future updates, turn the feature off through the Distribution 1 tab of General Program Settings, from the Preferences menu. This feature involves accessing the CSI website for the latest headlines, so if it is selected, the software will attempt to contact the website during the distribution process.

Scroll down past the headlines to "View Tomorrow's Newspaper," which is an assortment of market summaries and correlation tables.

Click here for a brief overview of this feature.


Tomorrow's Newspaper

Unfair Advantage provides a quick preview of tomorrow's financial newspaper in an unabridged form. Many newspapers show stock and futures prices for the prior day in a cryptic last-price/net-change form, leaving out the open, high, low and other substantive fields. CSI not only provides all of the coverage, but also adds in the earnings per share, the net change from yesterday, the open, high, low, and volume, and a six-month chart of historical progress on every listed future or security. All stocks are ranked by sector and by industry, by yield and by per-share earnings over the past 12 months. The website also allows you to capture this wealth of information on correlated market pairs with little or no waiting.

This feature is tied to the website to lessen waiting time and reduce the computing load on individual customers' computers.

The Online Newspaper is accessed in either of two ways:

1) Through CSI's website following a daily update with UA, as described here.

2) By selecting "Read Tomorrow's Newspaper" from UA's Trading Tools menu.

When news headlines display, scroll down past the headlines to a prompt that says "Click Here to Display the Online Newspaper."

Depending upon your subscription and Browser, you may be asked to enter your User Name and Password. For User Name, enter your CSI User ID (typically three letters). For Password, enter your CSI User Number (a five-digit number). If you aren't sure what these are, go to UA's "Preferences" menu and click "Account" under General Program Settings. Your User ID and User Number will display. As a CSI subscriber, you have authorization to access this service.

See Troubleshooting if you have problems accessing the online newspaper.

Availability

Data files and charts of the Online Newspaper are readily accessible around 9:00 p.m. eastern time. This feature is unavailable from 8 p.m. to 9 p.m. while it is being updated.

Interpreting the Screens

The Online Newspaper (Tomorrow's Newspaper) includes many features, all of which are explained in the "Tomorrow's Newspaper Today" chapter of this manual.

When you are finished viewing the Online Newspaper, close the web page to return to your Unfair Advantage distribution screen. There you'll be able to monitor updates, error corrections and revisions, as explained next.

Click here for information.


Error Corrections and Revisions

By default, Unfair Advantage lists all markets that receive corrections and revisions during the daily data distribution. The corrections are stored in a Notepad file called UA\ARCHIVES\update.adm. This file can include revisions to market specifications as well as prices, volume, open interest, etc. A "correction" can be any data bit that modifies a data file, including the addition of capital gains and distributions. True error corrections are infrequent due to the rarity of errors in CSI data transmissions.

Stock split ratios, changes to "Facts of Interest" and changes to the Market Specifications that are transmitted will eventually be held in various files (all ending in .adm), which are located in the UA\Archives directory. In the future, if you do not wish to view corrections and revisions after distribution, simply turn the "Display Update Report After Distribution" feature off through the "Distribution 1" screen in UA's "Preferences."

Error Reporting

The CSI Data Department staff carefully screens all data before posting, so actual errors in the database are rare. If you believe that an erroneous quote has been transmitted with your daily update, please report it to CSI at your earliest convenience. Someone from CSI will research your report and post a correction, if necessary.

To report a suspect error, call 561-392-8663 or e-mail techsupport@csidata.com. Unfair Advantage's Help Menu includes a prompt to "E-mail your question." Feel free to use this utility to report suspected errors or omissions.

Your help in assuring the accuracy of our database is greatly appreciated. To show our thanks, the first person to report a verifiable error to the database (either current or historical) will be rewarded with a CSI Anniversary Pen or equivalent.

When all revisions are made to the database, the distribution is complete and you are ready to navigate through UA. Click the link to read more.


Navigating Through UA

Once the download and distribution are complete, the full scope of Unfair Advantage capabilities will be available. Here's a navigation guide.

On the left side of the UA screen (see below) is the Portfolio Manager panel. The portfolio listed in the "Select Portfolio" box is currently active, meaning its content is displayed in the table that runs along the left side of the screen. When "All Portfolios" displays there, (as in this example) all items in all portfolios are included in the table.

You can use the [Add file to portfolio], [Find], [Edit], [Chart] and [Delete] buttons to add, find, view or modify contracts, stocks, etc. associated with the listed portfolio. The [Rewrite] and [Refresh DB] buttons help maintain export files and can repair damaged files. You'll learn more about these later. The right-hand window will display charts and tables.

Across the top of your screen are topics for pull-down menus (File, Portfolio, Chart, Database, Trading Tools, Preferences, Window and Help). Click on any of these for an additional list of features.

Below the list of menu topics is a toolbar that provides an alternate method of navigating through the software. Each represents a different aspect of using UA. These icons deal with basic software functions as shown:

Place your cursor (without clicking) over any of the icons to display a description, then click on your choice.

All of these icons deal with basic database functions. Use the links below to go directly to information and instructions.

· Download Quotes
· Download a SnapQuote
· New Chart
· Add Market
· Daily Summary Report
· Print
· Market Specs
· Help
· What's This?

Charting Menu & Toolbars

As charts are added to your Unfair Advantage screen, a new toolbar and additional menu features are added to your screen.

Modifying the Toolbars

You can customize the look of your UA Toolbars by opting to show just text, just images or both, along with a few other preferences. These are adjusted through the "General Behavior 2" screen of UA Preferences. Learn more about these choices in the "General Behavior 2" topic of this manual.

Exiting UA

When you are ready to exit the program, click the File menu, then click "Exit" or click the red "X" at the top right of the screen.

Now that you know how to navigate through Unfair Advantage, you may need more information on various topics as described in the Online Manual. Read about it next.


Using the Online Manual

Unfair Advantage comes with a complete online manual that you can read from your computer screen. To view, click the Help menu from the main UA menu, and then click "Help Topics." The following displays:

Click the [Contents] button at the top of the Help window for a full listing of the manual content. The chapters shown in the Table of Contents hold various sub-chapters and topics relating to different aspects of Unfair Advantage.

You may search for a given topic by clicking the [Index] button and typing your search key. Double-click any chapter or topic to reveal its content.

Use the scroll arrows at the right side of the window as necessary to view the full content of your selected topic. If you prefer, you can view the manual in a larger format (filling your computer screen) by clicking the square box at the upper right-hand corner of the help window. This will maximize the help topic. To revert to the smaller size, click the box again (although it will now have a double-box appearance). You can re-size the window by dragging and dropping its frame.

Click the [Print] button to print any desired topic for future reference. (The full manual is over 300 pages!)

Click the [Internet] button to access the CSI website for product information and support.

You'll find many underlined links throughout the online manual, which are pathways to information on related topics. Click on any link to read more on that topic. Click [Back] (or dual left arrows) to return to the previous screen or [Next] (or dual right arrows) to go to the next topic.

Interactive Help

Access instant links to the manual through the interactive "What's This?" feature described next. Click the link to view.


What's This?

UA provides a quick description of the various features through the "What's This?" button on the toolbar, shown here:

Alternately, you can access "What's This?" through the Help menu.

To learn about a topic directly from your UA screen, click the "What's This?" button on the toolbar and then click your mouse on the screen prompt or menu selection you want to learn about.

Now that you are familiar with data retrieval, the UA screen and CSI's support system, you are ready to move forward with viewing your data with charts as described next.


First Chart

Once you have unlocked the Unfair Advantage database by collecting and distributing your first update, you will have access to the full history provided with UA, as well as the current updates you just received.

Click any entry in your portfolio list, and then click the [Chart] button to display a chart.

An example is below. The title includes both a descriptive name (Back-Adjusted of Corn-CBT) and the filename, which includes the symbol and identifiers that describe the data set. These are explained more fully in Data Resources.)

This screen shows less than a year of data, but it could easily show more. The number of days displayed can be set by the user through portfolio settings. CSI's corn data goes back to 1950, so users who acquire extra history can see the long history of corn trading by scrolling left.

The main body of the chart (upper portion) displays the trading price, and the lower window displays volume and, for futures and options, open interest. The date at the bottom of the screen corresponds to the trading date for the displayed price bars. (This compressed example shows data in quarters, but a more expanded view would show every day.) The price is displayed on the vertical scale at the right.

For full information on UA's charting capabilities, see the Charting chapter of this manual.

You can learn more about this chart, such as how the back-adjusted series was constructed, by viewing the chart Properties. Click the link to learn more.


Chart Properties

You can view the properties of a file in any of your portfolios before or after a chart is displayed by simply right-clicking it on your portfolio list and then clicking "Properties."

The screen that was used to create the portfolio item displays. It gives all details about the series, including the type of contract (computed or normal month), the type of adjustment method used for continuous series, whether or not detrending was used, the date range, chart periodicity, applicable file formats and more:

The above screen tells us that this is a back-adjusted contract (note the "Back Adjusted" tab is selected), rolling from one contract to the next based upon changes in open interest (as identified under "Roll Trigger."). All of these selections are explained fully in the Portfolio chapter. Click [Cancel] to return to your chart or use this opportunity to make any desired changes.

Once you understand the data the chart represents, you are ready to manipulate your chart.


Chart Manipulations

UA offers a full complement of charting capabilities, as described in the Charting chapter of this manual. The basic functions explained here will get you acquainted with UA's charts.

You'll note a new toolbar displays along with your chart. These, along with the "New Chart" icon on the main toolbar are used for charting.

From the main Unfair Advantage Toolbar:

chartico Create a New Chart (not listed in your portfolio). Click this button and enter the selections for creating a new chart.

From the separate toolbar above the chart:

compressico Zoom Out - This feature compresses the spacing of the price bars, contracting the data into a smaller, more compact form. Very contracted charts may have considerable overlap, which tends to obscure pricing details and studies. Check the calendar at the bottom of the chart to see the date range currently displayed and use the scroll bar to see the rest of the chart.

expandico Zoom In - This reverses the above process, allowing you to see more details on your chart. Each time you click the button, the chart itself expands, but the time period visible on the screen gets smaller.

crossico Tracker - Click this button to add a crosshair pointer to your screen. Use your mouse to position the pointer anywhere on the chart. A data window showing complete numerical market data for the corresponding day also displays. Click the button again to remove the tracker and data window.

chchartico Indicators - Click this button to add studies to your chart through your customized Study Toolbar, which is essentially a highly customizable "Favorites" menu. A few standard studies are included initially, but you may add more and/or edit those shown. You can even add your own custom studies to this list to apply to your charts.

To apply a study to your chart, click on the study of your choice from the Study Toolbar and then click [Apply]. You will be asked which pane should hold the study, and you may select any one of the four panes offered. These are ordered from top to bottom, with 1 representing the top pane that also holds your bar chart. You may superimpose the study on your bar chart by selecting pane 1, or select and empty pane to display the study alone. Alternately, you may "drag" the study name to the pane of your choice and "drop" it there. The chart will be redrawn with the study in place.

See the Study Toolbar chapter for more information on applying, editing and adding studies.

chtoolico Chart Tools - Click this button to add a Trendline, Annotation, Rectangle, Ellipse, Gann Fan (with or without reflection) or to Zoom By Box or Unzoom Previous Zoom.

Study Quick Pick Menu:

Just below the charting toolbar is a text box that initially displays *No Indicator*. Click the arrow at the right side of that box to drop down an extensive menu of studies, as shown below.

As you can see, the Study Quick-Pick Menu offers an extensive list of technical indicators that can be added to your chart instantly. Just click on your choice. For more on indicators, see the Interpreted Studies chapter.

Additional Chart Manipulations

charttable Chart/Table - From the tabs at the bottom of the screen, select your choice of chart or numerical table to display data. The table gives access to UA's data editor for manually entering price changes or additions. See the Viewing Table Data topic for more information.

portarrow Contract Selector - Use these buttons to scroll through charts of the items in the selected portfolio. Click the right button (below chart) to display the next chart on the portfolio list. Click the left button to go back. This feature is only available when charts are selected from a portfolio.

savebutton Save to Portfolio - This button appears in the lower right corner of your charting screen (in place of the Contract Selector (Portfolio button, above) when a new chart is created, rather than selected from a portfolio. Click this button to save your complete current chart settings in any specified portfolio so that you can recall the chart without having to re-create it from scratch. A dialog displays allowing you to select the desired format(s) for export files, if desired, and allowing you to select an existing portfolio or create a new one for file placement. These are explained fully in the Your Portfolio chapter.

Tool Bars

The presentation of buttons for controlling your database and charting functions can impact the space available for charting. The examples above show both text and a graphic image on each button. You can reduce the size of the buttons by compressing them and by using only text or an image instead of both. These are controlled on the "General UA Behavior 2" screen (shown below) found on UA Preferences. The final chart example in this topic uses only compressed text on the buttons, reflecting the most efficient choices for maximizing charting space.

Windows

You can add charts to your screen by selecting them from the Portfolio list and clicking [Chart] or by creating them through the "New Chart" feature. When multiple charts have been loaded, click on the "Window" menu at the top of the Unfair Advantage screen for a list of choices for display. This allows you to select the chart to view, rearrange charts or to display them as tiled or cascaded. See the Adjusting Screens and Windows topic to learn more.

Changing the Portfolio Panel/Chart Window size

Here's graphic showing some examples of chart manipulation:

When the Portfolio Manager panel is minimized (either by dragging the right edge to the left margin of the screen or by clicking the left-pointing arrow at the right boundary) the charting window can almost fill the entire screen. You can restore the Portfolio Manager panel by clicking the right-pointing arrow at the left edge of your chart.

Now that you have a good understanding of basic charting, let's explore some other ways of viewing data, starting with a daily report.


Daily Report

If you're looking for a quick way to review your markets of interest, consider using UA's handy "Report" feature. It shows market activity for your most recent daily update in numerical form for all markets or various subsets at your discretion.

snapico Click the "Report" button on the main toolbar or pull down the Database menu and click "Daily Summary Report" to begin. You'll be asked to identify the report parameters, and then the report displays:

The full report and your choices for selecting markets are described fully in the "Daily Summary Report" topic in the Data Resources chapter.

Intraday quotes are another way of following the market. CSI offers limited service in this area as described next.


Intraday Quotes

Before we begin describing intraday quotes, we must clarify that the CSI Data Retrieval Service is a once-a-day update service, providing daily updates after the close of the markets. Only those daily updates that have been screened and certified by our data staff are stored in permanent CSI data files. CSI charts display just one set of quotes per day, regardless of the time of access, so any intraday quotes retrieved are overwritten with each update and are eventually replaced with the official end-of-day report.

Position Manager

Unfair Advantage's Position Manager module offers interim updates derived from third-party Internet sources that can keep you posted with intraday valuations of your holdings while you wait for the close of today's markets.

Launch Position Manager from the Trading Tools menu or directly from the UA program group on your computer's Start menu.

Position Manager requires that you enter a position list of the markets of interest to you. You may also enter the quantity of contracts or shares owned, entry date, trade direction and other details that can be used in keeping tabs on your position and account equity.

Intraday updates, which are typically 20-minute delayed, are provided from the websites of third-party firms, and are not guaranteed accurate. Intraday values are not added to your Unfair Advantage database archives, and are therefore not available for charting or manipulation through UA. Some charts are available through the supporting websites, however.

Please see the Position Manager chapter of this manual for full details and instructions.

SnapQuote

sqico Unfair Advantage can collect and display intraday open, high, low and last data for the current day with a click of the SnapQuote button (second from left). Like Position Manager's intraday quotes, these prices are typically 20-minute-delay data or ECN only and come from third-party websites. We call it capturing "external" data, because this data does not pass through CSI's normal cleaning and clearing process. Intraday SnapQuotes display as today's data on your UA charts, but they are a different color to alert you to their status. These overwrite today's values with each update. They should be replaced with a full daily summary after the close of the markets.

CSI makes no claims about the accuracy, timeliness or completeness of this data. These intraday prices are incorporated into UA as estimated current-day values. When you retrieve a normal daily update from CSI, our high-quality, meticulously checked data replaces the estimated values.

The "SnapQuote" button on the UA toolbar lets you decide when to pick up intraday quotes. You must first identify those markets for which you want intraday updates, either through the "Intraday Update" checkbox on the Portfolio Manager panel or by clicking the "intraday" choice on the "Selecting Data Series" screen. This free service is offered on a trial basis. Future availability is not guaranteed.

Please see the SnapQuote topic for full information and instructions.

Another popular method of viewing CSI data is to use software produced by third-party firms as described next.


Viewing with 3rd-Party Software

Third-party software refers to analysis programs outside of the Unfair Advantage environment,

UA supports programs that need CSI, MS/CSIM format or ASCII format files through its file export feature. You can specify the necessary export formats and destination directories within your portfolios. See the Third-Party Software chapter of this manual for more information and tips for preparing and using UA data with compatible programs created by outside firms.

Some third-party analysis firms have begun using One-Button compatibility routines offered by CSI that allow for seamless interaction between their software and the UA downloader. Please see the One-Button Update Partners chapter for more information on this.

This topic completes the "Guide for New Users" chapter.

Now that you have explored Unfair Advantage with this guide, you'll probably want to set up a portfolio of the markets of interest to you. Many investors, particularly futures traders, find the easiest way to create a custom portfolio is to create charts of the desired markets, review those charts to make sure they are what you want, and then save the charts to a portfolio, Please see the "UA Charts" chapter for these instructions. If you prefer, jump to the "Your Portfolio" chapter for information on an alternate way to create a portfolio.

The Downloading Data chapter gives details on data retrieval and corresponding user settings. Click here if you want to read more about these features.


Downloading Data

UA performs four types of data downloads to get data into your computer:

1. UA can retrieve daily updates of the most recent end-of-day prices from the CSI Data Retrieval Service;
2. UA can access delayed intraday quotes from third-party websites (that are not retained in the database);
3. UA can download "refreshed" or corrected historical data files to replace those received on CD ROM from CSI or to replace files that have been damaged.
4. UA can download data when the update is initiated from outside UA.

Click the links below to learn more about the type of download you would like to perform.

1) Daily Updates (Get Data)

Daily updates are the lifeblood of the Unfair Advantage data warehousing system. Only this service appends current data that has been compiled, screened and cleaned by the CSI staff to the historical database supplied with the software. You may perform multiple daily updates over the course of the day to capture end-of-day results from various markets after their respective posting times.

Retrieving daily updates should be considered routine maintenance for your market analysis system.

Retrieving daily updates is important because:
· Your first "Get Data" session unlocks the database for analysis;
· Subsequent updates keep your database current for timely analysis;
· Regular updates are required to prevent future lockouts and loss of license;
· Updates may contain corrections, revisions and continuity adjustments to your historical data;
· Distribution of daily updates activates rebuilding and recalculations of continuous files and export files as needed;
· Friday's download includes a complete refresh of stock fundamentals for stock users.

2) Intraday Updates

CSI provides access to intraday data in two different ways: SnapQuote and Position Manager. Both of these services use the Internet to direct your browser to third-party websites that offer delayed intraday quotes to the general public at no charge.

SnapQuote is a way to add preliminary market data for both commodities and stocks to your CSI data files. These quotes will be inserted as "estimates" in today's data files and overwritten with revised values when official updates are posted after the close of the markets.

Position Manager quotes are used in a spreadsheet/accounting environment for tracking position and account equity throughout the day. They are not added to your Unfair Advantage data files.

3) History Refresh

The database files on your hard drive hold raw data for all commodities and/or stocks and options (if installed) within UA. If one or more of these files becomes corrupted (through hardware failures or improper updating) the affected file(s) should be replaced through the History Refresh feature, as described in the History Refresh topic of this chapter. Please note that this is a time-consuming process. We do not recommend replacing more than a few files at a time with this feature.

4) Initiating a Downloading from Outside UA

The process of updating the database through Unfair Advantage can be initiated as a program call from custom software or through special utilities provided by CSI. Programmers and software developers who are interested in this feature should refer to the "Initiating an Update Remotely" topic in the Third-Party Software chapter. Several third-party software developers have included seamless retrieval using Unfair Advantage into their analysis programs. See the One Button Updates topic for more information.

Click the links (above) to reach information about the type of download you wish to initiate.


Getting Daily Updates

As described in the "Guide For New Users" chapter, UA must be configured with your User ID and User Number, which are customized during software installation. Once you have arranged your method of access through Download Settings and customized your method of access (Internet, Direct Dial or Browser), you'll be ready to download data.

Updating the database is simple.

Follow these steps:

1 - Get Online (Can be skipped if your computer is already online or if you will access via Direct Dial)
2 - Request an Update
3 - Select Download & Distribution Choices (can be skipped for recommended default selection)
4 - Click the [Run] button to proceed with your update.

As you can see from this list, only steps 2 and 4 (simple mouse-clicks) are usually required. Click the links above for details on each of these.

After the update begins, monitor the daily update and data distribution process (if using "Browser," start the Distribution through the Database menu when data retrieval is complete).

The time required for your daily update will depend primarily upon your modem speed, the scope of your update (whether or not multiple database categories are included) and the number of days retrieved in a single transmission. To minimize retrieval time for any single download, we recommend you retrieve an update each day. This will allow you to avoid the lengthy downloads required when the database is updated sporadically.

When the update is finished, the next step is data distribution.


Getting Online

Are you automatically online?

For many CSI subscribers, your Internet Service Provider is always online through a network, DSL or perhaps a cable connection. If this is the case for you, then you can skip ahead to the next step.

Even if your Internet Service Provider is not always online, it may be that your web browser is configured to automatically connect to the Internet whenever a URL address is requested. If this is the case for your computer, you may also be able to skip to the next step. Why not try it to find out? You may have to click "Connect" or "OK" to initiate the connection, or this may happen automatically.

Making a manual connection:

If your computer will not automatically connect to the Internet, you should launch your browser before starting UA, or you can get online while UA is running. Here's how:

With Unfair Advantage running, go to your Windows Start Menu and launch your browser for Internet access as you normally would. Once online, use the task bar at the bottom or side of your screen to return to Unfair Advantage by clicking the "CSI's Unfair Advantage" button:

This brings you back to the Unfair Advantage screen, where you can proceed with access by clicking the "Get Data" button as described in the next topic.


Requesting an Update

Request an update by either:
· Clicking the first icon on the UA toolbar (Get Data) downloadico

· Or clicking the Database menu and selecting "Update Database"

A screen offering additional download and distribution features displays, as described in the next topic.


Download & Distribution Choices

The Download/Distribution Selection screen displays when you click the "Get Data" button on the UA toolbar or when you select "Update Database" from the Database menu. This screen lets you control several aspects of the data retrieval session.

If you are satisfied with the current settings, click [Run] to proceed with your update.

You may adjust any of the choices on the screen to customize your retrieval session as explained below.

Download/Distribution Selection Choices

The "Download and Distribute to" selection window initially lists only "All Data Series and Markets." This is the default and preferred selection, as it assures that all available data for all markets in your update category will be retrieved and distributed to your data files. If desired, you can add lists of individual market categories for processing during the current downloading and distribution session by clicking the [Add List] button. Once additional lists are created, you can edit them with the [Edit List] button.

Why would you want to add a list? Primarily to save time when multiple downloads are made throughout the day. For example, if you download the Pacific Rim commodities at 11 a.m. eastern time, and then later download major U.S. commodities, and then later download stock data, you could process each group of exchanges separately to avoid the non-productive redistribution of redundant or missing data.

There are costs to processing an incomplete data set: When only selected markets are processed, you could miss late updates and revisions made later in the day. Also, selective data handling requires an additional download and distribution of "All Data Series and Markets" each day. Failure to update your entire database on a regular basis could result in database corruption. If the full database is updated rarely, the time required to bring the full database current will be substantial.

· Add List

If you wish to add a list, click the appropriate button [Add List] button to display the following screen:

Click all desired exchanges, such as Chicago Board of Trade (CBT) and Chicago Mercantile Exchange (CME) shown above or select other market categories such as Economic Series or Commitments of Traders, also shown, but not selected in the above example. Use the scroll bar at right to view all choices. Click the corresponding boxes to select (as indicated by checkmarks) and click [OK] to save the list.

The [Check All] button might be handy if you wish to process most, but not all markets. This will check everything, allowing you to deselect the few markets you don't want to process by clicking their check marks.

· Edit List

To edit a list, first select it from the menu and then click the [Edit List] button. You may then select desired markets as described above. To deselect a chosen market, click the box, which removes the check mark. Click [OK] to save your changes. You may not edit the "All Data Series and Markets" list.

· Delete List

If you have created a list you do not wish to keep, you may delete it by selecting the list from the menu and then clicking the [Delete List] button.

Download Timing

The selection box at the center bottom of the Download/Distribution Selection screen gives you choices regarding the timing of your download. The default selection is "Download Now," which initiates a download immediately and retrieves whichever markets within your subscription category have been posted by CSI. If you would prefer to have UA initiate the download immediately after a particular group of markets has been posted, you may choose from other download triggers.

Why would you want to delay updates? These "Wait for" times are triggered by the posting status of each market category and are handy for UA subscribers who have time-sensitive data needs throughout the day. For example, if you want to download the Pacific Rim commodities as soon as they become available, choosing "Wait for Pacific Rim Commodities" will do the trick. This is also an effective way of avoiding an unproductive download should the Pacific Rim data be posted later than its scheduled 10:45 release time. Selecting "Wait for Pacific Rim Commodities" or "Wait for" any other available group will assure that your download occurs no sooner, and no later than the optimal download time for your selected markets. Your computer must be online with UA running at the appropriate time for a delayed update to execute.

· Other download timing choices are available through UA's Autoscheduler or by using your Windows Task Scheduler.

Redownload

Ideally, UA always downloads current data from the database each time the Download/Distribution feature is used, even when multiple updates are performed throughout the day.

By default, the "Redownload" checkbox is selected, which is the recommended setting.

· Do not uncheck this box unless instructed to do so by a CSI service representative, as it can leave omissions in your database.

Download-Related Settings

It is likely that you will not need to adjust other settings, but the following are available to automate or customize your CSI service:

· Download Preferences (for AutoSchedule, Download Method and Collection Date).
· Internet Access (for Internet-specific settings and instructions).
· Direct Dial Access (for Direct-Dial-specific settings and instructions).
· Browser Access (for Browser-specific settings and instructions).
· Account Settings (to adjust and view your User ID and Access Rights).

Click the links above to read about these choices.

When the update is finished, the next step is data distribution.


Download Preferences

"Download Preferences" refer to the settings that allow you to customized data retrieval from CSI. To reach this point, click "Preferences" at the top of the main Unfair Advantage screen, and then click "Download Preferences" from the list at left.

The available selection are:

· Autoschedule - This allows you to configure two automatic data retrieval sessions each day.
· Download Method - This allows you to select your method of access for retrieving data CSI.
· General Collection Date - This identifies the beginning date for your retrieval session.

Click the links above for more details on each of these topics.


AutoSchedule

The AutoSchedule timer lets you schedule up to two retrieval sessions each day.

To reach this screen, click "Preferences" from the main UA menu and then click "Download Preferences" from the list at left.

The default presentation shows "Disabled" in both Auto Schedule boxes at the top of this screen. A "disabled" entry results in no automatic retrieval sessions occurring. To arrange for automatic data retrieval, enter the time of data retrieval in place of "Disabled" for each desired daily update.

The time may be expressed in either military time (using a 24-hour clock, such as 14:30 for 2:30 p.m.) or in standard time (as shown above). This is triggered by your computer's clock, so use local time.

Consult CSI's Data Release Schedule to discern the best time for your daily access, keeping in mind that CSI uses Eastern Time.

Click the checkbox next to "Wait for weekday" to have UA avoid calling on weekends. This entry is particularly important for users calling via direct dial who must pay for each telephone call. Failure to check the "Wait for weekday" box could cause UA to attempt access many, many times over the course of the weekend.

Click [OK] to record your selection.

To activate the scheduled retrieval session(s), every day at some point before the selected retrieval time, power up your computer and start the UA program. For best results, do not use UA for other purposes during the scheduled retrieval session. Although you can use your computer with other programs (with UA running in the background), the autoschedule feature may not work properly if UA is engaged in analysis at the selected retrieval time.

Each retrieval session will occur at the selected time, provided the method of access is available. This means that a direct-dial line must be available for direct dial access, or a connection to the internet must be established before an Internet download can take place.

If UA is not running at the scheduled retrieval time and the update is missed, a data retrieval session will be attempted automatically the next time you start the program. However, if you have already manually updated for the current day by the time the autoschedule time arrives, UA will not attempt a second access.

Preferred unattended retrieval methods

Note that of the methods for unattended retrieval, the AutoSchedule feature described here is least preferred. This feature will not function if your computer enters a "sleep" mode prior to the scheduled retrieval time.

Consider having UA perform unattended data retrieval using Windows' Task Scheduler. See the "Initiating an Update from Outside UA" topic in the 3rd Party Software chapter for details and instructions.


Download Method

The Download Method selection on the Download Preferences screen of Unfair Advantage Preferences determines the method of communication that will be used for contacting the CSI host computer. It is selected from the center panel, as shown:

Click the arrow at the right of the "Download Method" selection box (center of screen) to view a menu of choices.

The choices of download methods are:

Internet - This choice is for users of Microsoft Internet Explorer version 5.0 or higher who access the Internet via dial-up, DSL, cable or satellite. This type of access generally involves monthly (sometimes hourly) fees to an Internet Service Provider, which are solely the responsibility of the user, and are not included in CSI's services. Select "Internet" if it is your choice. This is the typical selection. See the Internet Access chapter for more information.

Direct Dial - This choice is for users who bypass the Internet and have UA initiate a modem-assisted phone call directly to the CSI host computer. This type of service is the most time-consuming and can involve long-distance telephone charges payable to your phone company. These fees are solely the responsibility of the user, and are not included in CSI's services. See the Direct Dial chapter for more information.

Browser - This choice is for Internet access using software other than Microsoft Internet Explorer version 5.0 or higher. The mechanics of retrieval are essentially the same as for "Internet" access, above, but the process is less automated. When using "Browser" access, the user is required to manually initiate data distribution following data retrieval. This type of access generally involves monthly (sometimes hourly) fees to an Internet Service Provider, which are solely the responsibility of the user, and are not included in CSI's services. See the Browser Access chapter for more information.

Click [OK] to save your choice.

Click here for an explanation of the General Collection Date.


General Collection Date

Unfair Advantage can retrieve up to two months of daily pricing for the entire database in a single daily update transmission. The General Collection Date reflects the current update status of your database and is used to assure that the correct day or days are downloaded.

A typical transmission includes:

· a repeat of the last day updated*
· all days that transpired between the last update and the current date

UA automatically maintains a record of the dates that should be retrieved and shows the earliest date to be downloaded in General Collection Date entry.

On rare occasions, as directed by CSI's service staff, you may need to change this date to manually override the automatic date selection. Typically, this is only necessary to recover from an incomplete or corrupted transmission or to fill a gap caused by hardware failures or a change in subscription category. Re-collecting data that has been successfully received previously on another machine can result in multiple-access surcharges on your CSI account.

When directed, you may change the first date to be updated by clicking "Preferences" from the UA main menu at the top of your screen, and then clicking "Download Preferences" from the list at left.

The date is shown as the four-digit year, followed by two-digit month, followed by the two-digit day. The example above shows the year 2005, the Month 02 (Feb.) and the day 01. You must use this same YYYYMMDD format for entering your desired first date for updating. Enter the date that is the earliest day needed to fill any gap (the date of the last day successfully stored in your UA database).

Example: February 1, 2005 would be entered as 20050201 as shown above.

*The redundant update of the first day is a safety net to assure integrity of volume and open interest and fill in any market that may not have been available at the time of your last update. When selecting a date, we recommend you use the same convention and request the date before the last day updated in your database.

If your database is outdated by more than two months, your database is probably locked and the software is likely non-functional. Please contact CSI to order a replacement CD.

You must click [OK] to save your changes.


Internet Access

Internet Access is the preferred method of data retrieval with Unfair Advantage. It is a fast, economical means of data delivery that is accessible to users all over the world.

During a data retrieval session, the UA software automatically transmits detailed information on the time period and data categories needed, allowing the CSI host computer to quickly transmit the information to your computer without web surfing or tedious requests.

Internet Access Tips

· Internet access requires the use of Microsoft Internet Explorer version 5.0 or higher.
· Internet access requires that you have a subscription with an Internet Service Provider (ISP) such as AOL, Earthlink, etc. The user, not CSI, is responsible for all connection charges associated with data retrieval from CSI.
· Internet access may use dial-up, wireless, DSL, cable or satellite connections.

UA will attempt to make an Internet connection if one is not "always on" for your computer, so you should set your computer to connect automatically.

See the Regular Internet Access topic for a summary of the daily procedure.
See the Customizing Internet Access topic to view and/or edit server settings.


Customizing Internet Access

For an Internet retrieval session, make sure "Internet" is listed as your Download Method under "Download Preferences" of UA Preferences as shown here:

Also make sure your Internet connection is available at the time of data retrieval.

Unfair Advantage comes to you optimized for accessing data from the CSI host computer; however, if you experience difficulties, you may be instructed by a CSI representative to make changes to Internet Settings. Use the following screen, which is accessed by selecting "Preferences" from the UA main menu and then selecting "Internet" from "Download Preferences."

Each of the Server Names and Port Numbers on this screen is optimized for accessing CSI's host computer. Please do not change them unless you are asked to do so by CSI.

Reset

The [Reset] button resets your connection to the server and can salvage an otherwise unsuccessful download attempt. If you experience a problem with the download but are still online, click the [Reset] button and then try to download again.

Click [OK] to accept your changes or [Cancel] to exit without making or saving changes.

Click here for instructions on Regular Internet Access.


Regular Internet Access

You may begin daily updates in either of two ways:

· On the UA toolbar, click the first button (Get Data) downloadico
· Through the Database menu, click "Update Database."

The Download/Distribution Selection screen displays:

This screen allows you to download and distribute everything in your retrieval category or a subset that can be defined through a list. Select your choice or edit as desired. See the "Download & Distribution Choices" topic for information on editing these choices.

Click [Run] to begin the download.

Next, the Download Data Communication Settings screen will display with an "Internet Download" confirmation box as shown:

Unfair Advantage will begin the transmission to bring your full database current. You may monitor the progress through the "so far" indicator at the bottom of the window. The example above was made at the very beginning of a transmission, so it shows just 1K of data transferred so far.

Skip Server

If you experience repeated communications failures, a temporary hardware problem at CSI could be the cause. Click [Skip Server] so that UA will attempt to retrieve data through one of the secondary or backup servers listed in your Internet Access settings.

Cancel

Click Cancel to stop the transmission. UA will not save or process partial downloads, so the current retrieval session will be repeated on your next update.

UA automatically proceeds to data distribution after an Internet retrieval session.


Direct Dial Access

If you are unable or unwilling to use Internet access (the preferred and default selection), you may retrieve daily updates and replacement CSI data in a modem-assisted, direct-dial phone call. This method is less favored than Internet services for updates, as it usually involves a long-distance telephone bill and is considerably slower.

The user, not CSI, is responsible for any telephone charges associated with data retrieval from CSI.

For a Direct Dial retrieval session, make sure "Direct Dial" is listed as your Download Method under "Download Preferences" of UA Preferences and make sure the phone number listed on the Direct Dial screen under "Download Preferences" includes the necessary dialing codes. A telephone line must be available at the time of data retrieval. Once these settings have been customized, you may begin daily updates using regular direct dial service.

· See the Customizing Direct Dial Access topic to view and/or edit server settings.
· See the Regular Direct Dial Access topic for a summary of the daily procedure.

Direct-Dial as Backup Access Method

Direct Dial access also provides a viable alternative for backup data retrieval at times when your Internet server is down, or when CSI's Internet server is undergoing routine maintenance. Even when used as a backup retrieval method, the user, not CSI, is responsible for any telephone charges associated with data retrieval from CSI.

Direct Dial Limitations

Intraday updates used in Position Manager and the QuickQuote service must be retrieved from the Internet are not available via Direct-Dial access.


Customizing Direct Dial Settings

To use Direct-Dial access, make sure that the "Download Method" specified under "Download Preferences" of UA Preferences is set for "Direct Dial," as shown here:

Then, below Download Preferences, select "Direct Dial" to view the following:

The adjustable settings are:

Phone Number

The phone number shown (probably 1-561-368-5306) is the CSI computer's current telephone number. You may need to make any of the following changes or others as your situation requires. (This entry can hold up to 64 characters):

Phone number tips:
· Prefix a 9 to dial out on a PBX phone system;
· Remove the 1 - 561 if it is a local call and these are not needed in your area;
· Add international dialing codes;
· Insert a W to pause when needed (required by some older PBX systems);
· Add calling card numbers to charge the call to a different phone;
· Disable call waiting with *70 (or your local code) and a few Ws (to pause);
· Click the arrow at the right of the phone number to display alternate phone numbers in the CSI rotary system. Select any one of these if the default number doesn't work for you.

Communications Port

This refers to your modem's configuration within Windows. You can find out your Com Port by clicking your Start menu and going to the Control Panel. Double-click the "Network and Internet Communications" entry. In the left-hand column, under "See also," select "Phone and Modem Options," and, finally, click the "Modems" tab. The Com Port for your modem will display.

To adjust the setting in UA, click the arrow next to the selection box (above) to see a menu of possible Com Ports. Select the one that matches your computer's settings.

Baud Rate

This is the speed of data retrieval. Click on the arrow to the right of the text box and select the fastest baud rate your modem supports.

Reset

Click [Reset] if needed to restore the default settings for the phone number and baud rate. The COM Port will not automatically reset and must be manually selected..

Click [OK] to save your changes.

Click here for instruction on Regular Direct Dial Access.


Regular Direct Dial Access

Once your software has been configured for Direct Dial access, you can begin a daily update in either of two ways:

· On the UA toolbar, click the first button (Get Data) downloadico
· Through the Database menu, select Update Database

Note that your modem must be plugged into an operable telephone jack and the line must be available for initiating a telephone call.

The Download/Distribution Selection screen displays:

This screen allows you to download and distribute everything in your retrieval category or a subset that can be defined through a list. Select your choice or edit as desired. See the "Download & Distribution Choices" topic for information on editing these choices.

Click [Run] to begin the download.

The communications dialog begins:

The download proceeds with a screen describing the process (exact appearance may vary, depending upon your computer's configuration).

Cancel

If you must stop a retrieval session before normal termination, click the [Cancel] button. Cancelling the update will lose all data retrieved during the session.

UA automatically proceeds to data distribution after a direct-dial retrieval session.


Browser Access

The Browser Access feature is intended for those who already have accounts with older proxy Internet services or who cannot use the "Internet" access feature because they don't use Microsoft Internet Explorer version 5.0 or higher. This method is recommend for users of Netscape and other alternatives, but can be used with Internet Explorer if desired. Be aware that it requires more user input for retrieving and storing data than the other methods. See the next topic for more information.

Most forms of browser access require that you have a subscription with an Internet Service Provider (ISP) such as AOL, Earthlink, etc. The user, not CSI, is responsible for all connection charges, including long-distance, dial-up and ISP charges, associated with data retrieval from CSI.


Regular Browser Updates

Performing daily updates through a browser is a four or five step process. Once you have customized the UA software (step 1), you'll be able to complete a Browser update using just steps two through five (see below). Click the links to view these topics.

1) Customizing Browser Access
2) Getting Online
3) Downloading Quotes
4) Saving the File
5) Distributing Updates


Customizing Browser Access

1) Customize

To use Browser access, make sure that the "Download Method" specified under "Download Preferences" of UA Preferences is set for "Browser," as shown here:

Then, below Download Preferences, select "Browser" to view the following:

The Browser download screen needs input from you on what UA should do during an update session. The prompt reads:

When I push the download button please...

Click the arrow beside the selection box to display the two choices:

· Ask browser to fetch URL ("http://www.csidata.com/…") - This is the default response. We recommend you use this choice (if possible) because it is the more automatic of the two choices.

· Just paste URL ("http://www.csidata.com/…") to the clipboard - Use "just paste the URL on your clipboard" if the "Ask browser to fetch URL..." choice doesn't initiate a data retrieval session. For this option, first select it by clicking the down arrow symbol next to the text box and choosing "Just paste URL..." from the menu.

This screen also shows the Communication Port, which you should not change unless instructed to do so by CSI.

Provide extra help to guide me through the download process:

If you click this checkbox, UA will an display additional help screen with instructions when you begin the download process. This might be helpful for your first few downloads, but you may want to turn this feature off once you become familiar with the operation.

Reset:

This resets your connection to the server and can salvage an otherwise unsuccessful download attempt.

Click [OK] to save your changes.

A Note To Proxy Server Users: Proxy servers are not recommended for updating more than one daily update at a time. We have found that, when used with Unfair Advantage for downloading lengthy files, proxy servers tend to degrade the data transfer speed and to terminate the link before the transfer is complete.


Getting Online

Getting Online (Browser)
Previous Top Next

2) Get online

For best results with data retrieval through a browser, we recommend you get online with your Internet server before attempting an update session.

If your computer is always online or already online, skip to the next step.

If your web browser is configured to automatically connect to the Internet whenever a URL address is requested, you may be able to skip the step of getting online manually. You may have to click "Connect" or "OK" to initiate the connection, or this may happen automatically.

Here's how to get online without exiting UA: With Unfair Advantage running, go to your Windows Start Menu and launch your browser for Internet access as you normally would. Once online, use the task bar at the bottom or side of your screen to return to Unfair Advantage by clicking the "CSI's Unfair Advantage" button:

This brings you back to the Unfair Advantage screen, where you can proceed with browser access by clicking the "Get Data" button as described in the next topic.


Get Data (Browser)

3) Download Quotes

Once your software has been configured for Browser access and your computer is online, you can begin a daily update in either of two ways:
· On the toolbar, click the first button. (Get Data) downloadico
·
· Through the Database menu, click Update Database.

The Download/Distribution Selection screen displays:

This screen allows you to download and distribute everything in your retrieval category or a subset that can be defined through a list. Select your choice or edit as desired. See the "Download & Distribution Choices" topic for information on editing these choices.

Click [Run] to begin the download.

If you're using the simplest browser technique: Ask browser to fetch URL ("http://www.csidata.com/…"), then the retrieval session should proceed immediately and you'll be asked your preferences for saving the file (see below).

If your selected browser technique was: Just paste URL ("http://www.csidata.com/…") to the clipboard, then you have more work to do. Use the getting online instructions (above), but do not return to the UA screen. Instead, at your Internet Home Page, place the cursor in the Address text box (or URL Address box) and click. This will select the text as shown in the example below, which was made using Microsoft's Internet Explorer:

Next, hold down the <Ctrl> key on your computer's keyboard and press the letter V. This pastes the necessary information for your update into the URL Address box:

Press <Enter> to proceed with data retrieval. Next you'll be asked about saving the file.


Save File (Browser)

4) Save the File

When UA contacts the CSI host computer and requests the file for download, you must respond by selecting the proper dispensation of the file. The File Download prompt will display: (Yours may not look just like this, but that's OK.)

Do NOT open the file. Make sure "Save" or "Save this file to disk" is selected. If you are not using Internet Explorer, your screen will be similar to this and offer similar options. The exact wording is not important; just make sure you save the file!

Upon indicating that you want to save the file, a "Save As" screen asking for the file name and location displays:

You must save your file in the UA directory with the filename: uadaily.pl

The folder for saving the file is important! Your browser may attempt to save the file in the briefcase, desk top or other inappropriate location on your drive. If this occurs, click the arrow symbol at the right of the default directory to drop down a menu of other locations. Double-click the drive letter of your hard drive (probably C:) and look for the \UA folder. When you find the UA folder, double-click it to produce the proper screen for saving your file (above).

Click [Save] to proceed.

You may be warned that you are overwriting an existing file. That's not normally a problem.* Just click [OK]. The data transfer begins.

During the data transfer, you'll get a report on how much data has been transmitted and exactly where it is going. When the download is complete (as indicated by a screen message), click [Close]. Do NOT open the file or folder. You can automate this step for future updates by clicking the box to "Close this dialog box when download completes."

After the data transfer using Browser access, you must manually distribute the data to your compressed files as described in the next topic.

Disconnecting from the phone line or Internet Connection

You may disconnect the telephone or Internet connection at any time after the download is complete. This will be useful iIf you need to minimize online time because of by-the-minute wireless telephone charges or similar situations.

*Unfair Advantage overwrites the daily transmission file (uadaily.pl) each day to make efficient use of your computer's disk space. If you have a specific reason to save an update file (UA does not require this), you may do so by renaming it after data distribution and before your next retrieval session. A unique filename is required for each file that is to be saved.


Distribute Browser Update

5) Distribute Daily Update

When using Browser access, you'll need to initiate data distribution manually through the Database menu after each update. Simply click the "Database" menu and then click " Manual Database Distribute" as shown below.

Distribution will proceed as described in the Data Distribution topic of this manual.


Account Settings

Your Unfair Advantage "Account Settings" deal with your unique relationship with CSI. These settings allow the CSI host computer to recognize you and transmit the correct data, and allow you to view the services CSI provides.

To view, click "Preferences" at the top of your UA screen and then click "Account."

· The Account information includes your User ID and Customer Number. These must be accurate in order to access the database.

· The Access Rights screen (found under Account) shows your subscription categories and accessing privileges as transmitted by the CSI host computer. Use this screen to monitor your CSI subscription.

Click the links above for more information.


User ID & Number

Unfair Advantage offers two Account screens, found under General Program Settings. Click "Preferences" from the main UA screen, and then click "Account" from the list at left to view the following:

User ID and User Number

Your User ID is a three-letter code and your User Number is a five-digit number, both of which were included prominently in your CD ROM case. You were prompted to enter these codes when you installed UA. If they are in error, or in the rare case where these must be changed, you may enter new values here.

This combination of codes (UID for User ID and 12345 for customer number in the example) represents the security measures preventing others from charging data collection against your CSI account. These codes should be protected to avoid unauthorized accesses, for which you are financially responsible.

To edit, enter the User ID supplied by CSI in the top box, then press <Tab> or click your mouse in the next box and enter the number there. You must click [OK] to make your changes permanent.

Thee Access Rights screen shows information related to the account referenced on this screen.


Access Rights

The Access Rights screen, found under "Account" within General Program Settings (from the Preferences screen), shows you what has been arranged between you and CSI in terms of daily updates and accessible history. Your CSI Access Rights are verified on the software with each daily update. They define specifically which market classes and services are included in your UA subscription as shown.

The current properties are:

Locked - UA is shipped with a locked database. If checked, your database is inaccessible through UA. Collect an update to correct. If updating does not unlock the database and it has been more than two months since your last update, you'll need to order a new CD from CSI.

API Enabled - UA's Application Programmer's Interface provides a formatless format for easy manipulation of downloaded data outside of the UA environment. Click "OLE API Documentation" and "Developer's Document" from the UA program group on your Start menu for more details on this feature. If API enabled is not checked and you would like to use this feature, please contact CSI Marketing at 1-800-274-4727 or (561) 392-8663. There may be an extra charge for API access.

TU Account - If checked, this indicates you are using a limited-access test account.

Domestic Futures - If checked, your daily updates include all futures, commodity and cash markets in North America, as listed on the CSI Factsheets.

US Stocks - If checked, your daily updates will include all US stocks, funds and indices.

Domestic Options - If checked, your daily updates include all available options for U.S. futures and/or stocks, as listed on the CSI Factsheets.

Foreign Futures - If checked, your daily updates will include both domestic futures and all foreign futures/commodity and cash commodity markets listed in the Overseas Factsheets.

Foreign Stocks - If checked, your daily updates will include those foreign stocks, indices and funds included in the CSI Database. Consult the Fact Sheets for a complete list.

Foreign Options - If checked, your daily update will include all non-U.S. options in the CSI database.

Additional information about accessible historical data for the various market categories displays in the box below. The start date for each type of market is shown in a yyyymmdd (four-digit year, two-digit month and two-digit day) format. Click the scroll arrow at right to view the list of enabled exchanges. All of the information here can be remotely changed by CSI. Please contact CSI's technical support or bookkeeping staff if you would like to purchase access to additional historical data or exchanges.

If you believe any status item is in error, or wish to make a change, please contact CSI marketing at 1-800-274-4727 or 561-392-8663; E-mail: info@csidata.com. Before calling, please collect a daily update to make sure you have the most current information.

Important Note about database subscription categories

Your subscription category refers to the scope of data retrieved in your daily updates, such as "Domestic Futures," "US Stocks," etc. Ideally, the correct database(s) will be arranged with CSI during your subscription process and before your first update. Feel free to call and confirm your subscription category before updating to avoid any problems with this issue. If your Account Status does not show the correct database AFTER your first retrieval session, please call CSI to make the correction. Please allow about ten minutes for CSI to make this change.

When the subscription category is changed, UA will detect a change from one category to another and automatically retrieve the missing days to fill any gap in your new database (up to two months). However, if you add a database category to your retrieval status (changing from Domestic Futures only to both Domestic Futures and US Stocks, for example) you'll need to manually change the "General Collection Date" on the Download Preferences screen to fill the gap. Please ask Technical Support to help you with this.

This topic completes the "Downloading Data" chapter.

Please see the "Data Distribution" chapter for important information on processing the data you retrieve from CSI.


Data Distribution

Unfair Advantage automatically proceeds with data distribution when Internet Access or Direct Dial Access is complete.

Manual Data distribution is required after a "Browser" update or at other times when distribution does not complete normally. If you feel UA has had a complete data retrieval session, but an abnormal termination of distribution, you might be able to fix any resulting problems by manually redistributing the data. It is not necessary to download the same day's data again to rewrite all your files.

To begin manual distribution, click the Database menu on the main UA screen and then click "Manual Database Distribution."

Data distribution is a two-step process of 1) appending, correcting and adjusting the current data received in your download transmission to the compressed database stored on your computer's hard drive and 2) rewriting or appending all export format files specified in your portfolio(s) and MarketScanner. Both are necessary steps in maintaining a sound database, and both are handled automatically during this process.

A connection to the CSI host computer is not required for the data distribution process, so your internet or telephone connection may be safely disconnected for this step, even during automatic distribution following a download. Off-line distribution may be useful when you pay by the minute for direct-dial or wireless communications.

By default, the distribution screen chronicles UA's progress as in the example below. You'll note it shows the date for each day processed (in a 4-digit year, month and day format) and identifies the actions taken for that day. The screen will show each trading day updated, from the date of your last update through to the most recent day available. If you are downloading stock data, a daily summary of advancing and declining issues can also display.

There may be a substantial list of "corrections," which can represent any change to the database for a given market. Dividends, capital gains and splits are inserted as "corrections," although they are actually enhancements, as opposed to corrections of errors in the data.

We strongly recommend that you DO NOT INTERRUPT or CANCEL distribution! Doing so will require a redundant distribution and might result in a redundant update of the same data on your next download, consuming time unnecessarily.

A Distribution Screen:

Normal commodity contracts and stock files listed in your portfolio(s) are typically appended with new data each day. An alternative to appending is to rewrite a file from scratch using the compressed data in the UA database. Either way, files are automatically written and rewritten as needed to create continuous contracts and to adjust continuous contracts for contract rollovers and possible changes or corrections to the data series. When you disable automatic appending through the UA Preferences, all contracts to be rewritten on every update (NOT RECOMMENDED!).

When a portfolio holds files for export to alternate formats (ASCII, MS, CSIM or CSI), the export files are automatically maintained by UA during the data distribution process.

You can use the manual distribution feature any time to rewrite all files to current specifications and rebuild your MarketScanner file. Do NOT redistribute your data while MarketScanner is open, as doing so may cause confusion about stock symbols.

See the Distribution Settings chapter for more information on settings that affect your database.


Distribution Settings

Click "Preferences" at the top of your UA screen to display a wealth of user-defined settings for controlling your downloading and distribution experience.

Many of the settings found there deal with data distribution, which is the act of placing data into your UA compressed database and compiling for display on charts and export to third-party software.

Everything on the Distribution 1 screen affects distribution in some way. The features found there are:
· Prompt between download and distribution;
· Disconnect Internet connection when done downloading;
· Prompt between each day's distribution;
· Append to data files when possible;
· Display Daily news file through browser;
· Display Rolling/Delisting report after distribution;
· Display Advancing/Declining report after stock distribution;
· Display Update report after distribution;
· Display a message when done;
· Close after distributing.

Everything on the Distribution 2 screen also affects the distributing process in some way:
· Factsheet Changes;
· Replace Alert Calendar when available;
· Try to continue when an error occurs;
· Execute the command: (After daily distribution is complete);
· Output Stock Specifications (factsheet) in CSV format.

The Distribution 3 screen deals exclusively with backing up your UA database:
· Frequency of automatic backups;
· Directory to store backups.

The AmiBroker settings are for customizing output to your stock data to AmiBroker software:

The Advanced 1 screen of Preferences controls features affecting:
· The number of charts that will be displayed simultaneously and stored in memory;
· Debug information for custom programming.

The Advanced 2 screen of UA Preferences also affects distribution with respect to database corruption prevention and the time required for the process.

The Advanced 3 screen of UA Preferences controls Accelerations that affect downloading and distribution:
· Perform distribution in a background thread;
· Memory Map DB Files when retrieving data;
· When Correcting, keep copy of database in memory.

We recommend that you review all user preferences that affect distribution found on UA's Preferences menu.


Distribution 1

Data Distribution normally occurs automatically after each update session, except when Browser Access is used. If you prefer to reduce this level of automation, you may make changes here. This screen also controls whether or not reports about the data received will be displayed.

Click "Distribution 1" under General Program Settings from the Preferences screen to view the following:

Prompt between download and distribution - This feature reduces automatic distribution by requiring that the user answer a prompt before data is distributed. One reason to select this option is to give you an opportunity to manually disconnect the online connection before distribution begins -- which might be useful if you pay for online time by the minute.

Disconnect Internet connection when done downloading - This feature is handy for people who pay for wireless access on Internet online services by time. Click this box to have UA attempt to automatically disconnect when data retrieval is complete. If successful, data distribution will continue with your computer offline. Because some hardware performs in unexpected ways, please verify that the connection has terminated after your retrieval session. The user, not CSI, is responsible for all online charges, whether or not this feature is selected.

Prompt between each day's distribution - This option was included in UA specifically to accommodate a software program that analyzes data "one day at a time." This feature eliminates the bulk processing of multiple days of data, and requires that the user answer a prompt before each day is distributed.

Append to Data Files When Possible - (Recommended) UA's original architecture called for rebuilding all files from the compressed database each time charts or data files were accessed. This assured that every file contained the most accurate, up-to-date information possible, but consumed a great deal of time. More recent versions of the software will append most charts and files without rebuilding if this option is selected.

While file appending is the typical methodology in the industry, UA offers several features which others can not provide, and for which appending is not possible. Therefore, some files will still be rebuilt on a daily basis, or on the five consecutive days following contract roll-forward, even if this box is checked. These include: weekly and monthly files (as they cannot be accurately maintained through appending); Individual Futures Groups (when they roll so that the full history for the incoming contract is available); Back-adjusted data series (when they roll or when the backward looking roll-date moves); Certain ASCII files (which lack the necessary data fields) and any file in a format other than CSI, MetaStock or ASCII.

If this option is not selected, all files will be rebuilt with every data distribution, taking up to two minutes per file. This would waste a great deal of time unnecessarily.

Exception: Appended files do not reflect the new data received in a History Refresh. After Refreshing a History File (downloading a replacement history), you should rewrite your files instead of appending them. Turn this option off for your first distribution after refreshing a history file. It can be turned back on after a complete distribution with file rebuilding.

Display After Update Features

Display Daily news file through browser - When checked, this feature forces UA to go to the "News Headlines" page of the CSI website during the data distribution process. The news page includes clickable links to view financial articles on the web. The articles included here represent a sampling of relatively current news, and are not intended to substitute for a comprehensive news service. The headlines are stored on the website temporarily. If you want to re-visit any news story shown here, please go to the site, bookmark it with your web browser, and then return through your browser at your convenience. The news service reporting the story may also remove it from their website after a brief time, so you might prefer to copy and save the article as a document.

The "View Tomorrow's Newspaper Today" feature (also called the Online Newspaper) is accessible from the "News Headlines" page of the CSI website. If you wish to view timely broad market summaries, rankings and correlation tables through this feature, make sure "Display Daily News..." is checked.

Note that when this feature is checked, UA may attempt to connect to the CSI website during manual distribution when your computer is off-line.

Display Rolling/Delisting Report After Distribution - The rolling/delisting report reports on changes to your database that are caused by rolling of continuous contracts and/or the delisting of stocks, options and futures contracts.

Display Advance/Decline after stock distribution - When stocks are downloaded, CSI transmits a data set including general market advance/decline and related information. Click the box to display this information.

Display Update Report After Distribution - The Update Report shows all days of data supplied along with error corrections and revisions delivered to the UA database during the distribution. The file (update.adm) is presented in Notepad format. The report displays after distribution when this option is selected.

Display a message when done (Can't auto close) - When this option is checked, the following displays after each distribution session. You can turn this feature off by un-checking the box here or in the message itself.

This feature includes the warning the it "Can't auto close." This means that you must be on hand to click the [Close] button to clear the screen. Because it keeps the UA program open, it is not an active choice if you have another program automatically launch after distribution (see Distribution 2).

Close after distributing (Can't display final message) - This feature becomes an active choice only when you have specified another program to automatically launch following data distribution on the Distribution 2 screen. Click here if you would like to automatically close the UA program after completing distribution and launching the specified third-party program. This feature is handy for traders who use fully automated analysis systems.


Distribution 2

The Distribution 2 tab of General Program Settings from the Preferences screen lets you set your preference for updating the Market Specifications, which detail all data available from CSI, and the Alert Calendar, which reports exchange holidays around the world. These files are automatically maintained by CSI, with new additions and changes transmitted along with your daily updates. This screen also allows for automatically launching another program after data retrieval and determines what UA will do in case of an unexpected error. Lastly, use this screen to request the Market Specifications be written to a Comma Separated Variable (CSV) file.

Click "Distribution 2" under General Program Settings to display the following screen:

Market Specification Changes - Possible choices for handling changes to the Market Specifications are: Automatic (to accept all changes without notice), Warn First (to give you the option of accepting changes) and Skip All (to disregard all changes). Whether or not you use the automated procedure for changing specifications, it is important that they be maintained accurately. Your database integrity requires that Market Specification changes be incorporated into the database.

· In most cases, we recommend Automatic handling of specification changes. This assures that changes such as new units of measure, contract size, etc. will be correctly interpreted by UA.

· Warn First might be useful if you have customized some features in the specifications file and want to preserve a copy before loading the new file.

· Skip All would be appropriate only for those users who manually maintain Market Specification files by individually editing values.

See Editing Market Specs for information on manually changing values and for preserving a copy of the file.

After Daily Distribution is Complete, Execute the Command: This entry on the Distribution 2 screen lets you automatically launch another program after distributing daily updates through UA. This feature is useful for traders who use a third-party analysis program to analyze data retrieved through UA. To use, enter the command line of the appropriate program in the text box. A command line includes the drive designator for the desired program (probably c: or d:), the program's directory name and the name of the executable file (ending in .exe) that starts the program. Each section of the command line is separated by a backslash (\). For example, you would enter C:\QUICK\QT.EXE to launch CSI's QuickTrieve program.

Here's an example for MetaStock:

Replace Alert Calendar when Available - When checked, this entry allows CSI to automatically keep the most current Alert Calendar available on your computer. The Alert Calendar gives information on first trading days, last notice days, exchange holidays and unusual events affecting the markets. We recommend that this setting be checked.

You can view the Alert Calendar by selecting "Facts and Events" from the Database menu.

Try to Continue When An Error Occurs - A hardware problem, program error or compatibility issue might cause Unfair Advantage to experience an unexpected error. The typical response to an error is to close the program and start again, which often resolves the problem. However, if you are under time restraints that do not allow for handling errors in this way, you may direct UA to attempt to continue as though no error has occurred by checking the "Try to continue..." box. This might allow you to complete your specific application without delay. If the error is insurmountable, UA will shut down even if this box is checked.

Output Stock Market Specs in CSV Format - Market Specs for stocks are updated every Friday with new data on earnings, dividends and the like. This is a valuable database in itself! If you would like Unfair Advantage to write a CSV (comma separated variable) data file upon distribution, click this box.

When all entries are as you would like them, click [OK] to save your changes.


Distribution 3

The Distribution 3 screen under General Program Settings of UA Preferences is devoted to your desires for backing up your Unfair Advantage database.

Click the arrow at the right of the selection box (showing Never Backup Database below) to display a drop-down menu of choices.

See the Backing Up The Database topic for information.


AmiBroker

The AmiBroker tab of General Program Settings from the Preferences screen lets you set your preferences for exporting data to brokerage software. At this time, the only supported software is AmiBroker (stocks only), but others may be added later. The setup for using Unfair Advantage with AmiBroker is a two-step process, as it must be arranged through both software programs as explained here:

AmiBroker Settings for Use With Unfair Advantage

Launch your AmiBroker software and click the File menu. From there, select "Database Settings" to display this screen:

Enter 250 in the "Number of bars to load" text box, as shown in the above example, for approximately one year of daily data. More days may be used (up to ten years or 2,500 bars), but the larger the number, the slower your program will operate.

Check to see that the data source is listed as "Local Database" and the base time interval is set for "End-Of-Day."

Also take note of the "Database folder name" listed at the top of the screen so that you can enter it into Unfair Advantage. The example shown here is typical, but it may not match your application.

Click [OK] to save your changes. Next minimize AmiBroker and return to Unfair Advantage.

Unfair Advantage Settings for AmiBroker

Click "AmiBroker" under General Program Settings of UA Preferences to display the following screen:

The customizable settings are:

Export all stocks to AmiBroker - If you wish to export your stock data to AmiBroker, check this box (click it). This feature toggles on and off, so unchecking the box disables the AmiBroker export. When activated, several additional choices become available:

AmiBroker Database Name - This should match the "Database folder" listed at the top of the AmiBroker "Database Settings" screen above. If you don't know it, go back to AmiBroker and check.

Days of history - The default value of 250 gives you approximately one year of market activity. Adjust as desired, but make sure it matches your entry in AmiBroker Database Settings.

Export history with next download. Append thereafter. - Click this box to export the full quantity of specified history file on the next download, followed by only additions and necessary adjustments on subsequent downloads.

Include Delisted Symbols - If you want stocks that are no longer trader to be included, leave this box checked. If not, uncheck it..

Identify Stock by - You have a choice of identifying stocks by symbol, symbol and CSI number or CSI number only. We generally prefer the middle choice, "Symbol and CSI number." This gives you the familiar symbol for easy identification while also using the concise and unambiguous CSI number to assure that there is no confusion about what is being exported. Make sure the radio button for your choice is selected.

Stocks to Export - Stocks are automatically included. If you want to also include Mutual Funds and/or Indices, check (click) the appropriate boxes. Of course, these will only be available if they are part of your normal CSI data feed.

Click [OK] to save your changes.

Updating AmiBroker Files

Whenever "Export all stocks to AmiBroker" is checked on the AmiBroker preferences screen, your next daily update from CSI will include a data distribution that brings UA and AmiBroker up to date.

Initiate a download by clicking the "Get Data" icon on your UA toolbar. Near the end of the data distribution process, you will see that data is being transferred to AmiBroker:

When the distribution is complete, the data should be available in AmiBroker.

You will find that the unadjusted closing prices is stored in the Open Interest field.

UA will automatically update your AmiBroker database with each daily update, and will automatically overwrite the history of stocks that have had dividends or splits.

If you ever create a new database in AmiBroker that you prefer to use, substitute its name in the "AmiBroker Database Name" box above and make sure that the "Export history with next download..." box is checked. Download and distribute normally to update your new AmiBroker database with UA data.

AmiBroker Troubleshooting

If AmiBroker doesn't open, it is probably because you are not running in an Administrator account. AmiBroker must be run at least one time in an Administrator account in order for UA to find it. Doing this may require rebooting in Safe Mode. Please contact Technical Support if you need assistance.


Advanced 1

The Advanced 1 screen under General Program Settings of UA Preferences allows for customizing UA to enhance performance. Click "Preferences" and then the "Advanced 1" tab for selections affecting the number of charts that will be displayed simultaneously and stored in memory and whether or not debug information will be produced as shown:

Near the top of this screen are two options that apply to UA charting capabilities:

Memory Cache Size - Charting Limit

The "Limit to ___ Charts" prompt sets the number of charts UA will display simultaneously. Although generally only one chart is displayed at any time, more can be viewed simultaneously through options on the Window Menu. Even when charts are displayed individually, having them pre-created lets you quickly flip through them without having to wait for chart creation.

Based on the above arguments for a large limit, one might arbitrarily set the number very high to avoid hitting the threshold. That would be a mistake!

The recommended (and default) entry is 28. Because Windows resources are scarce and charting places a heavy burden on these resources, limiting the number of charts reduces your chances of experiencing performance degradation and program failure. If you feel your computer can handle a higher number, you might experiment with higher values. If your computer becomes sluggish or has system failures during charting, reduce this value.

You'll see the charting maximum at work if you select all items in a portfolio, and then click "Chart." The number of charts created will be limited to the number set here, and a warning screen will say so. However, if you always scroll through your charts one at a time (without pre-selecting multiple contracts), you'll never notice this limit in effect.

In-Memory Limit

The "Limit to ___ cached in-memory series" determines how many recently viewed charts will be available for immediate recall. Like the chart limit, this feature is designed to save you from system degradation caused by charts using excessive memory. We recommend using the default value of 28. This may be increased if your computer can handle more charts without any problems. In some cases, a lower number may improve system operation.

Click [OK] to save your changes.

Debug Generation

Unfair Advantage offers various features for custom programming of analysis software. Because new programming code sometimes results in unexpected problems (bugs), we have included a "debug" feature within the programming section.

When activated, the UA software creates a file of technical information (driver operations) that can help pinpoint the problem so that it can be solved quickly and efficiently. The Debug Generator slows the software considerably, and should be used only when testing custom programming. Choose the appropriate format based upon your programming mode:

· Log MS Format operations in c:\delphebx
· Log AnyLanguage parsing in parseerr.txt


Advanced 2

Database Corruption Prevention is an important component of UA's data warehousing system. The Advanced 2 screen under General Program Settings of UA Preferences allows you to customize corruption prevention features to meet your needs. Your selection here can dramatically affect the speed of data distribution.

When UA updates your database, the actual data on the hard drive is usually not changed immediately. Windows saves the work of writing to the hard drive in a prioritized task list. Depending upon the priority, Windows may stop everything until the task is done or it may wait until it is convenient or until there is nothing else to be done. The downside of waiting to write files to your drive becomes clear when your computer fails - even for an instant. Sudden system freezes can be caused by seemingly innocuous actions such as plugging in your digital camera's memory card, installing software or attempting to use new hardware with an old driver. Power failures (of course) and a host of other things can cause your system to crash or freeze. If this happens before all data is written to disk, you'll lose some data. The amount of data loss depends upon your settings as described below.

The above screen offers four levels of progressively conservative (and progressively time consuming) settings:

Do not flush writes during updating - (Recommended if speed is a high priority AND regular backups are maintained.) The top setting makes full use of Windows File IO optimization to provide you with the fastest possible distribution. It tells Windows to give the actual writes of the database file lowest priority. This provides an additional advantage when updating multiple days. UA can efficiently update the in-memory copy with all the days before Windows makes a single pass to write all of the changes to disk when everything is done. However, if a hardware or software failure occurs during data distribution, most, if not all, of your UA database will be lost. This is because those wonderfully fast in-memory updates are not written to the hard drive, and the jagged end of the file may contain random data that can destroy your UA database. If a failure occurs during this type of distribution, you will need to restore the full UA system from your recent backup and then re-collect to bring your database current. When this setting is chosen, it is imperative that you back up your UA system weekly.

Flush writes as files are complete and employ a log file. (Default) The second fastest setting (second from top) is a safer alternative than the top setting. When UA has finished writing to a database file, it tells Windows to write the changes to the hard drive while it waits. UA runs slower, but all files are written with each update. Since the directory itself is kept in memory, opening and closing of files is pretty quick. This method is subject to file corruption in the event of a power failure or hardware glitch during distribution. If this happens, you can use Unfair Advantage's DB Integrity search to try to determine which files were damaged. This could be a couple of files or a few hundred, so you'll have to decide for yourself if online replacement is practical or if you should restore from a backup. The setting is recommended if your computer is working reliably and you will not be too inconvenienced by an outage or two per year. Weekly backups are recommended for this setting.

Avoid lazy intermediate writes and flush - The third setting tells Windows to use a higher priority for writing files to the UA database than it employs with ordinary text documents. This should result in the database files being written correctly and the directory list being more current in the event of system failure. The directory list may be inaccurate, but thanks to the higher priority, it should only affect a couple of files. These files can be found and replaced using the DB Integrity Search facility in UA. If you like tinkering with your computer and trying new things (which make your system more prone to failure), the third setting may suit you.

Flush entire drive's cache file with each update - The fourth and safest setting forces Windows to write all changes to the hard drive immediately while UA is updating. Of course, that means that Windows has to constantly wait for the hard drive to do its work, increasing the time required for updating by as much as tenfold. Be aware that this will not only slow UA, but also everything else running on your computer at that time. You could still, theoretically, lose one database file if an interruption occurs after the database file has been updated, but before the directory has been updated. If database failure is not an option for you, we can only recommend this safest setting.

Select your flushing preference by clicking on the pointer and dragging it to the desired setting. Click [OK] when all desired settings have been selected.

Some people have purchased hard drives with onboard memory caches. These certainly speed up UA distribution for all settings except the fastest, but you have to depend on your hard drive to write those 8 MB of updates to the hard drive when there is a problem. Such IDE controller memory cache should result in fewer files being damaged for the same performance, provided you also set UA to a safer setting.


Advanced 3

This screen shows "Accelerations," as discussed in the "Guide For New Users" chapter.

Unfair Advantage is shipped with a reasonable set of file management parameters in place that will provide fairly rapid data distribution and avoid common problems. It might be possible for you to speed the distribution process by adjusting these parameters so that they take advantage of your computer's hardware configuration. These are not the default selections because of possible problems in certain situations, as noted. Do not use these accelerations if the limitations noted apply to you.

Consider these accelerations and use if they are appropriate for your situation:

· Perform distribution in a background thread. This allows your computer to run a little more smoothly and efficiently, if it is well equipped to handle multitasking. Laptop computers tend to have more problems with this than desktop computers. If you use a desktop model and would like to speed distribution, click here. Not recommended for laptops.

· Memory Map DB Files when retrieving data. This feature takes advantage of memory and operating system capabilities, if your computer is sufficiently equipped. If you have at least 15 MB of free memory, click here to improve performance while rewriting files in your portfolio. This feature is most beneficial on computers using the Windows NT operating system. (Requires at least 15 MB of free memory.)

· When Correcting, keep copy of database in memory. This feature significantly improves the speed of distribution by storing temporary information in memory instead of on disk. Free memory requirements are: 5 MB for futures, 10 MB for stocks, or 60 MB for options. If your computer doesn't have enough memory to utilize this feature, we recommend that you upgrade the memory to meet these requirements. The improved speed is well worth the nominal cost of the memory.

· Raise distribution thread priority over foreground tasks. This feature works in conjunction with the top choice (Perform distribution in a background thread) to further speed data distribution. Do not select unless both are used. This feature will cause your computer to be less responsive to other programs, so it is not recommended if you will be performing multiple computing tasks while retrieving and distributing data from CSI.


Updating Export Format Files

Export Format Files are the files created by Unfair Advantage for analysis with third-party software such as VantagePoint, MetaStock, TradeStation, Delta Graphics, One Day at a Time, spread sheets, etc. During the data distribution process, Unfair Advantage automatically writes the export format files specified in your portfolios to disk.

See File Export Preferences and the chapter on Third-Party Software for more information on Writing Export Format Files, Analysis Without UA, using the Application Programming Interface (API) and Portfolio Settings affecting ASCII, MS/CSIM formats, CSI format and Excel format. You'll also find recommendations and tips for using CSI data with:

· Metastock
· Delta Society Int'l
· VantagePoint
· Programs by Omega Research (TradeStation)

This topic completes the "Data Distribution" chapter.

Please see the "SnapQuote" chapter for information on retrieving intraday data from third-party websites.


SnapQuote

If you would like your daily Unfair Advantage charts to be updated with recent intraday prices, you can arrange it through UA's SnapQuote feature.

SnapQuote intraday updates are provided from the websites of third-party firms. These values are not guaranteed accurate. Intraday values are not permanently added to your Unfair Advantage database archives, and are therefore not available for charting or manipulation after they have been overwritten with data from CSI's pristine database through the course of a normal daily update.

No matter how many times you request a SnapQuote update during a given day, UA will always display just one bar (or set of text prices) that reflects the open, high (so far), low (so far) and a recent price.

SnapQuote Delays:

Futures: 20-minute delay
Stocks*: Momentary to 20-minute delay, depending upon source website and exchange

A word of caution: The SnapQuote service relies on third-party websites that make their data available to the public via the Internet at no charge. CSI has not made special arrangements with these companies to provide quotes, as the SnapQuote relationship is between you, an individual investor seeking data, and the website operator who offers this service. Any of these websites may monitor usage by individuals and disallow access to anyone they feel is abusing the service. Excessively large and/or frequent SnapQuote requests could result in permanent exclusion from a given site, and corresponding diminishment of SnapQuote capabilities.

Overdoing your quote requests will cause service suspension triggered by your computer's permanent IP address. If this happens, your SnapQuote capability will be forever lost on your current computer.

* The stock quotes provided typically reflect only certain electronic exchanges and may not represent the current best available price.

Click here to learn about SnapQuote setup.


SnapQuote Setup

Both the "Selecting Data Series" screen used in defining markets for your portfolio and the Portfolio Manager panel include prompts to indicate your preference for the SnapQuote intraday update service. Charts made through the "New Chart" feature are automatically enabled for SnapQuote updates.

Enabling SnapQuote during portfolio creation:

You can enable SnapQuote intraday updates for new markets as you are adding them to your portfolio by clicking the "Internet Updates" checkbox on the "Selecting Data Series" screen shown below. The complete process of creating a portfolio entry is explained in the Your Portfolio chapter of this manual.

Adding SnapQuote availability to an existing portfolio item:

One way to enable SnapQuote updates for a market that is already listed in a portfolio is to use the Portfolio Manager panel on the left side of your screen. Click the right-hand scroll arrow at the bottom to reach the "Intraday Updates" column, and then check the boxes for intraday updates as desired.

Alternately, you can view and edit this selection by expanding the Portfolio Panel to fill the screen. (Click the tiny right arrow on the divider bar.)

Below is a look at an expanded Portfolio Manager. Note the selection boxes for requesting "Intraday Updates" at the far right side. You may identify the markets you want to update with SnapQuote by so indicating on your portfolio as shown here.

Automatic setup of SnapQuote for charts:

chartico

Any chart created through the "New Chart" button (shown here) or by selecting "New" from the Chart menu will be available for SnapQuote updates. You'll see the "Intraday Updates" box checked on the selection screen. Even if you remove the check, it will re-display and SnapQuote will be available.

All active charts created in this way will be updated with the latest available quote when SnapQuote is requested. This is not true of markets that are identified in your portfolio and displayed in chart form. These will only be affected by SnapQuote updates if "Intraday Updates" is indicated on their portfolio listings.

Click here to learn about SnapQuote retrieval.


SnapQuote Retrieval

Once the desired markets for intraday quotes have been selected through your Portfolio Manager or displayed in chart form, click the "SnapQuote" button on the toolbar (second from left), as shown here:

Alternately, click "Download SnapQuotes" from the Database menu.

This will launch an update session during which UA will seek out a recent intraday quote for each selected item from third-party website sources. These intraday quotes will appear as current-day estimates. Today's price bar will reflect the open, high (so far), low (so far) and a recent intraday price.

When you view SnapQuote data in charts and tables, the intraday price bar will be displayed in a different color from your normal daily updates.

These estimates will be overwritten with the official daily open, high, low and settlement when you access the CSI database for your normal daily update after the close. Only the official quotes will be saved in your database for each day.

Click here to learn about Ignoring SnapQuote data.


Ignoring SnapQuote Data

Even when SnapQuote is selected through the Portfolio Manager and a SnapQuote download is requested through the toolbar, it is possible to have intraday data excluded. To ignore all SnapQuote data, click "Preferences" at the top of your UA screen and then click "General UA Behavior 1."

If the "Ignore Snap Quote data" feature is checked, only daily updates will be added to your CSI charts and files, whether they are created through the "New Chart" utility or from a portfolio. Click the box to toggle this feature on and off.

Click [OK] to save your changes.

Click here to learn about clearing SnapQuote data.


Clear SnapQuote

SnapQuotes don't represent daily open-high-low-close summary data, but merely market activity as it has transpired up to the time of the SnapQuote (subject to delays). Therefore, it is likely that you'll want to remove SnapQuote data that has become outdated over the course of the day.

To clear SnapQuote data from charts and files, click "Clear SnapQuotes" from the Database menu.

Each SnapQuote overwrites the previous one, and your daily update using UA's "Get Data" feature will overwrite all SnapQuote data, so it isn't required that you manually remove SnapQuotes through this feature.

Note that this will not remove SnapQuote data that may have been written to export files. To remove intraday data from an exported file, re-write the file after clearing SnapQuotes.

Click here to learn about using SnapQuote data in export files.


SnapQuote With Export Files

SnapQuote data will be included in files that are exported through your Unfair Advantage portfolios if, and only if, your most recent update was a SnapQuote. Since all export files hold only one set of data per day, a maximum of one SnapQuote report per day will be held in any exported file.

The export of a SnapQuote can be handy if you want to do analysis with third-party software based on today's market action so far. However, you should use care in assuring that you subsequently export the final summary data for each day so that your export database remains accurate. This is done through a normal daily update and distribution using UA's "Get Data" feature. If in doubt, rewrite the files!

When data files holding SnapQuotes are exported, we strongly recommend that your Unfair Advantage daily summary database be kept fully current. This will prevent gaps in your files. For example, if your database is current through Monday, there is nothing to prevent you from picking up a SnapQuote on Wednesday, leaving a gap for Tuesday's data. UA will warn you if the requested SnapQuote will result in such a gap, but will allow it. Should gaps occur in your export files due to SnapQuote use, you may correct the problem by updating the UA database and rewriting the files.

You may prevent SnapQuote data from being posted to export files with the Ignore SnapQuote feature in UA Preferences.

This topic completes the "SnapQuote" chapter.

Please see the "UA Charts" chapter for information on graphically viewing the data you retrieve from CSI.


UA Charts

Charting is an important Unfair Advantage feature that lets you quickly see what is happening in the markets of interest to you. It also provides opportunities for graphic analysis.

After your initial retrieval session, you can view the charts that are listed in the sample portfolio or your own custom portfolios, and you can view charts that you make on demand. You can also analyze the data files specified in your portfolios with compatible software of your choice, but only after the files have been created through UA.

You must unlock your database by downloading and fully distributing a day of data before you can create any charts!

Here is an example of UA charts:

The "UA Charts" chapter of this manual begins with simple instructions to display charts that have already been identified in a portfolio or through Market Specifications, then offers four subchapters that explain:

· Creating New Charts (includes defining continuous contracts)
· Chart Interpretation & Manipulation
· The Study Toolbar
· The Chart Menu
· Right-Click Menu (for manipulation)
· Charting Preferences

A subsequent chapter called "Interpreted Studies" describes and explains the different types of analysis available through both Unfair Advantage's charting module and MarketScanner.

Click the link above that reflects your current interest.


Charting From a Portfolio

The simplest way to view a chart is to select it from a portfolio. Here's how to view such a chart:

Charting a Single Item

To chart a single item from a portfolio, scroll through the list of files in the Portfolio Manager panel at the left side of your screen (shown below) and then click the desired commodity or stock entry.

You'll note that the initial display shows "*All*" in the "Select Portfolio" box. This selection enables a listing of all series in all portfolios. If you prefer to choose from a single portfolio, click the arrow at the right edge of the box to drop down a menu of all available portfolios. Click the desired commodity or stock from the list.

Once the data series has been selected, use one of the following three methods for charting:

1) Click the [Chart] button in the Portfolio Manager panel. A chart displays.

2) Double-click the entry in the Portfolio Manager panel. A chart displays.

3) Right-click your mouse, which produces the following menu. Click "Chart Series" and a chart displays.

4) Click "Portfolio" at the top of your screen to display the Portfolio Menu (much like the above example). Then click "Chart Series." A chart displays.

Charting Multiple Portfolio Items

You may chart multiple items from your portfolio list simultaneously, but they are subject to the charting limit (usually 12) set in Memory Cache Size (on the Advanced 1 screen of General Program Settings in your UA Preferences). Whenever multiple charts are created, some may not be visible initially. Use the Windows menu to select your desired presentation of multiple charts.

To chart consecutive items in your portfolio list, click on the first item to be charted. Then press and hold down the <shift> key while clicking on the last item to be charted. All items listed between your first and last selections, inclusive, will be selected. Use any of the charting methods described above (except double-click) to chart the selected files.

To chart selected, non-consecutive items in your portfolio list, click on the first desired file, then press and hold down the <Ctrl> (Control) key while clicking the additional series you want to chart. Only your selected files will be highlighted. Use any of the charting methods described above (except double-click) to chart the selected files.

To chart all items in a portfolio, click any single item in the portfolio list, then right-click your mouse and click "Select All Files Visible" from the menu. Right-click again and then click "Chart Series." If your portfolio holds more items than the limit for Memory Cache Size (on the Advanced 1 screen of General Program Settings in your UA Preferences), a warning will display and the limit will be imposed.

If the series you want to chart isn't in a portfolio, you can create a chart from scratch as described in the Creating New Charts chapter.

See the Chart Interpretation & Manipulation chapter for information on interpreting and manipulating your chart.


Charting From Market Specs

A quick and easy way to make simple charts with Unfair Advantage is to double-click the series on the Market Specification factsheets.

Chart Properties

Before creating a chart this way, you should understand the properties and limitations of the result:

· Charts will display as identified on the various Charting Preferences screens of UA Preferences.

· Stocks, Indexes and Cash/Forward series: Two-year chart of the series.

· Futures: Two-year chart of a back-adjusted series using the close-to-close differential for the adjustment value, based on the normal active trading months as shown in Market Specs. Please see the Back-Adjusted Contract topic for information on these settings. The roll-forward algorithm used to switch from contract to contract depends upon the back-adjuster specified on the Back-Adjusting screen of Charting Preferences:
· If "Use Only C++ Back Adjuster" is checked, the back-adjustment series will be generated forward and the series will roll from one contract to the next five days before expiration.
· If "Use Only C++ Back Adjuster" is NOT checked, the series will not be generated forward and will roll on Open Interest, subject to three confirmation days.

If the chart you wish to create is different from the limited offerings here, you can create more customized charts from scratch as described in the Creating New Charts chapter.

Here's how to proceed with charting from Market Specs:

Open the Market Specification Factsheets

Click the icon from the toolbar:

Or pull down the Database menu and select "Market Specs" as shown here:

The Market Specs Factsheet displays:

Selecting Markets

When you find the desired market, double-click it to display a chart.

UA offers three keys for finding the market you wish to chart.

Limit to Market Type - This is the drop-down menu of choices for displaying data at the right side of the selection screen. Click the arrow at the right side of this box to drop down a menu of choices. You should make sure this is set to the appropriate market type before using the other search keys.

· All Stocks and Mutual Funds
· All Futures Markets
· All Cash/Forward/Fundamentals
· US Stock Markets
· Non-US Stock Markets
· World Stock Markets
· Mutual Funds
· North American Futures
· Foreign Futures
· Domestic Stock Index Futures
· Foreign Stock Indices
· World Stock Indices
· London Forward Metals
· FOREX - Currencies
· Interest Rates
· Commitments of Traders
· Economic Statistics
· Stocks With Options
· Futures With Options
· Single Stock Futures
· General Cash Series
· Narrow Based Index Futures
· Exchange Traded Fund Futures
· CSI Stock Industry and Sectors
· Stock Market Data Stored as Futures

Only those market types within your subscription category will be available to you on the Market Specs factsheet.

Sort By - The "Sort By" box is found at the top left of the Market Specs screen. Click the arrow at the right side of this box to drop down a menu of sorting choices. Secondary sorting and delisted markets will display as identified on the Market Specs Behavior screen of UA Preferences. The "Sort By" keys are:

Futures or Cash/Forward Fundamental
· CSI Number
· Symbol
· Exchange
· Name
· MetaStock Short Number
· Price Format
· Units
· Contract Size
· Point Value
· Active Months
· Minimum Tick
· Two-Character Symbol
· Currency
· Option Start Date
· Option Strike
· Option Price Format
· Market Type
· Market Group
· Single Stock Future
· Average Total Volume

Stocks/Funds/Indices
· CSI Number
· Symbol
· Exchange
· Name
· Price Format
· Start Date
· Stop Date
· Option Start Date
· Option Strike Dividend
· Option Price Format
· Sector Code
· Industry Code
· Earnings Per Share
· Shares Outstanding
· Number Institutional Shares
· Percent Institutional Shares
· Stock Beta
· Revenue Growth 5 Years
· Dividend Growth 5 Years
· Dividend Yield
· Price Earnings Ratio Average 5 Year
· Latest Annual Operating Revenue
· Price Earnings Ratio
· Has Fundamental Data

The obvious benefit of selecting a sort key is that you can pick the identifier you know to quickly find markets of interest. For example, if you know the symbol, but not the CSI number, you can choose "Symbol" as the sort key and then easily scroll to or use "Find" (below) to reach your desired symbol in the sorted list. Likewise with name, exchange, etc.

This vast array of sorting keys also allows you to begin the process of screening investments based on your choice of parameters. For example, you can use the "Average Total Volume" key to find high volume (highly liquid) markets for consideration. This is useful if you want to trade a commodity that is offered on several exchanges, but want to find the most popular. Alternately, you could sort by "Market Type" and then compare the different offerings.

An alternate method for selecting the "Sort By" field is to click the heading at the top of the desired column. For example, to sort by name, click the "Name" cell at the top of the table. To reverse the sort order, click the heading again.

Find - Use this in conjunction with the "Sort By" key. Once you have selected the sorting key, enter the identifier you wish to find here. For example, if you are sorting by symbol, enter the desired symbol in the "Find" box. If you are sorting by CSI number, contract size or other numerical value, enter the number here. UA will locate and display your choice in the Market Spec factsheet.

If the "Find" feature does not reveal the market you desire, try the "Advanced Search" described below.

Footnotes

Be sure to check the footnotes at the bottom of the screen see if important information is available for your selected market. Click the market once to activate the footnote function.

Advanced Search

The "Find" feature shown above searches only on the beginning letters of the search string, which will usually lead you to your desired market. If it doesn't turn up your desired market, click the [Advanced Search] button at the bottom of the screen, which employs a more sophisticated search screen. The example below is for futures. A stock search screen would be a little different.

Text to find:

Enter the name or description of the market you wish to find in the "Text to find" box. For this example, we entered "Crude Oil," which produced the results shown below.

You may also fine-tune your search by selecting an exchange or exchanges from the list. This is not necessary, however.

Click [Find] to start your search.

Choose Matching Market

UA will display all the markets holding the search string you entered, as in the example below for "Crude Oil." Click the one you wish to select and click [OK].

Click [Restart Search] if your choice isn't shown and try again with a narrower search criteria.

The Market Spec factsheet will re-display with your selection visible. Double-click it to display a chart.

See the Chart Interpretation & Manipulation chapter for information on interpreting and manipulating your chart.


Creating New Charts

UA lets you create a new chart of anything in the compressed database that is available under your CSI subscription category. Making a chart from scratch uses almost exactly the same process as adding an item to a portfolio. Since all charts can be easily added to portfolios, we recommend creating charts as a means of building a portfolio for future use.

To begin click the "New Chart" icon on the UA toolbar (third from left):

Or click the "Chart" menu at the top of your UA screen and then click "New":

UA's "Selecting Data Series" screen displays as shown below. These two annotated examples show the two possible screen presentations and give basic instructions. The screen presentation depends upon whether futures, stocks or cash/fundamentals is selected for Market Type.

A Stock, Fund & Index Selection Screen (This would produce charts of IBM. General Electric and Motorola):

· See the Stock, Fund & Index Charts topic for details on creating these charts.

A Cash/Forward/Fundamental selection screen (not shown) is very similar to the stock selection screen.

· See the Cash/Fwd/Fundamental Charts topic for details on creating these charts.

A Futures Selection Screen (This would create a First-Nearest Future Corn Chart):

· See the Futures Charts chapter for details on creating these charts, which is a more complex process than creating stock or cash charts.


Stock, Fund & Index Charts

Creating a stock, fund or index chart is a simple process. Begin by clicking "New Chart" icon on the UA toolbar or by selecting "New" from the "Chart" menu.

The "Selecting Data Series" screen displays, allowing you to select one or more data series for charting:

Market Type

As shown in the above example, the "Market Type" must be set for "Stocks/Mutual/Indices." If this doesn't show on your screen, click the arrow at the right side of the box to drop down the menu and make your selection as shown here:

Symbols

Now you may identify the stocks, funds and/or indices you wish to chart. If multiple symbols are to be charted in exactly the same way, you may include them here. Keep in mind that the maximum quantity of charts is subject to the charting limit specified as Memory Cache Size in UA Preferences.

If you know the symbols of the series you want to chart, just type them into the "Symbols" box.

· Symbols entered must match the selected "Market Type."
· Symbols must be separated by a comma, a space or both, as shown in the above example. Here we show a request for charts of General Electric (GE), Int'l Business Machines (IBM) and Ford Motors (F).
· An alternate way to identify the stocks for charting is to enter the CSI number, such as 5159 for IBM. CSI numbers can be found in the Market Specs Factsheets.
· Click [Mkts] to choose markets from the Market Specs list," if you prefer not to type the symbols. Click here for instructions.

Stock Selection

Click the "Stocks" tab in the center region of the screen (see top example). Even if the stocks page is already showing, click the "Stocks" tab anyway. This enters your symbols without submitting the full selection screen. UA will confirm your symbols and display them with corresponding CSI numbers in the "Symbols" box.

Internet Updates

The right-hand panel of the Selecting Data Series screen includes an "Internet Updates" setting. New charts are automatically available for intraday internet updates through UA's SnapQuote feature. Because this entry is checked (it cannot be unchecked), any new chart will be updated with SnapQuote data if, and only if, you manually initiate a SnapQuote intraday retrieval session. If you do not want SnapQuote data to be visible on an active chart, check "Ignore Snap Quote Data" on the "General UA Behavior 1" screen of UA Preferences.

Post Processing

Also in the right-hand panel is the "Post-Processing" box that offers two features for manipulating your data. These are referred to as "Post processing" because the processing occurs after the data is retrieved from your files, but before charts are displayed.

Detrend - Detrending is a manipulation that attempts to remove long-position biases and other distortions that can occur in long-term analysis by transforming all historical data into today's terms. It can be a useful procedure for all types of continuous files, but is typically used more for futures, which are more subject to distortions, than for stocks.

For stocks, the detrending approach always focuses upon the very first (most distant) day of the historical series and the day before the last day in your series. This determines a precise interval on the y price axis. The number of trading days that transpired from the first (most distant) point and the chosen end point determines the number of units (days) by which the entire series will be elevated or decreased, as the case might be, and leads to the slope calculation.

If Detrending is desired, check the box. When offered the choice of Second Contract or Second Day for the calculation, select Second Day. This is the only valid response for a stock, mutual fund or index. Note that when stock splits are ignored (see Historical Adjustments in Charting Preferences), detrending is likely to produce negative stock values.

Invert - Chart Inversion is a post-processing feature that allows you to view or analyze market data from an alternate perspective. It is used almost exclusively for comparing correlated currency markets. There may be some benefit from inverting certain indexes or funds, so inversion is available here. Inverted prices are significantly distorted in both raw values and market direction. This feature in NOT appropriate for most markets. Inversion should only be used judiciously and with care.

Date Range

The default start and end dates are "as available," which incorporates all available data into the current chart. If you want a later start date or earlier end date, click the appropriate box and type the desired date.

The required format is an eight-digit numerical value consisting of the four-digit year, two-digit month and two-digit day, with no commas, slashes, dashes or spaces. For example, March 5, 2004 would be entered as: 20040305.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on interpretation and manipulation. Consider using the "Save to Portfolio" feature to save your charts for future use.

Choosing Stocks, Indices & Funds From List

You may choose markets from a list by clicking the [Mkts] button at the right of the "Symbols" box. The CSI Market Specs Factsheet that corresponds to the selected "Market Type" displays. You can begin every new chart directly from this screen (instead of the Selecting Data Series screen) by choosing "In Data Series Manager, choose market from Market Stats List" on the General UA Behavior 2 preferences screen.

The example below is for U.S. Stocks. You can select other market types, such as mutual funds or foreign stocks, etc., by selecting from the "Limit To Market Type" menu, explained below.

To choose from the list, click the box under the "Sel" (Select) heading for each market you wish to chart, and then click [OK].

The following features of this screen may help you in your selection:

The Limit to Market Type box at the upper right will further classify the data to ease the selection process. Click the arrow at the right to view a menu of all possible market categories and make your selection. The choices that apply to stocks, indexes and funds are:

· All Stocks and Mutual Funds
· US Stock Markets
· Non-US Stock Markets
· World Stock Markets
· Mutual Funds
· Domestic Stock Index Futures
· Foreign Stock Indices
· World Stock Indices
· Stocks With Options
· CSI Stock Industry and Sectors
· Stock Market Data Stored as Futures

Only those market types within your subscription category will be available to you on the Market Specs factsheet.

The "Sort By" box is found at the top left of the Market Specs screen. Click the arrow at the right side of this box to drop down a menu of sorting choices. Secondary sorting occur as identified on the Market Specs Behavior screen of UA Preferences. The "Sort By" keys that are available for stocks, funds and indexes are:

· CSI Number
· Symbol
· Exchange
· Name
· Price Format
· Start Date
· Stop Date
· Option Start Date
· Option Strike Dividend
· Option Price Format
· Sector Code
· Industry Code
· Earnings Per Share
· Shares Outstanding
· Number Institutional Shares
· Percent Institutional Shares
· Stock Beta
· Revenue Growth 5 Years
· Dividend Growth 5 Years
· Dividend Yield
· Price Earnings Ratio Average 5 Year
· Latest Annual Operating Revenue
· Price Earnings Ratio
· Has Fundamental Data

The obvious benefit of selecting a sort key is that you can pick the identifier you know to quickly find markets of interest. For example, if you know the Name, but not the CSI number, you can choose "Name" as the sort key and then easily scroll to or use "Find" (below) to reach the desired name in the sorted list. Likewise with symbol, exchange, etc.

This vast array of sorting keys also allows you to begin the process of screening investments based on your choice of parameters. For example, you could search for markets with appealing P/E ratios, dividends, earnings growth, etc. for consideration.

An alternate method for selecting the "Sort By" field is to click the heading at the top of the desired column. For example, to sort by name, click the "Name" cell at the top of the table. To reverse the sort order, click the heading again.

Find - Use this in conjunction with the "Sort By" key. Once you have selected the sorting key, enter the identifier you wish to find here. For example, if you are sorting by name, enter the name in the "Find" box. If you are sorting by CSI number, contract size or other numerical value, enter the number here. UA will locate and display your choice in the Market Spec factsheet.

If the "Find" feature does not reveal the market you desire, try the "Advanced Search" described below.

Footnotes

Be sure to check the footnotes at the bottom of the screen see if important information is available for your selected market. Click the market once to activate the footnote function.

Advanced Search

The "Find" feature shown above searches only on the beginning letters of the search string, which will usually lead you to your desired market. If it doesn't turn up your desired market, click the [Advanced Search] button at the bottom of the screen, which employs a more sophisticated search screen, shown here:

Text to find:

Enter the name or description of the market you wish to find in the "Text to find" box. For this example, we entered "REIT," to view everything with this common abbreviation for Real Estate Investment Trust. The results are shown below.

You may also fine-tune your search by selecting an exchange or exchanges from the list. This is not necessary, however.

Click [Find] to start your search.

Choose Matching Market

UA will display all the markets holding the search string you entered, as in the example below for "REIT." Click the one you wish to select and click [OK].

Click [Restart Search] if your choice isn't shown and try again with a different or narrower search criteria.

The Market Spec factsheet will re-display with your selection visible. Click your choice(s).

When the desired markets have been selected, click [OK].

You will return to the Selecting Data Series screen, where your selections will display in the "Symbols" box. You can now complete your stock selection.


Stock Index Option Charts

Creating a stock index option chart starts just as if you were charting the underlying index. Begin by clicking "New Chart" icon on the UA toolbar or by selecting "New" from the "Chart" menu.

The "Selecting Data Series" screen displays:

Market Type

As shown in the above example, the "Market Type" must be set for "Stocks/Mutual/Indices." If this doesn't show on your screen, click the arrow at the right side of the box to drop down the menu and make your selection as shown here:

Symbols

Now you may identify the one index for which you wish to view options. If you know the symbol, type it into the "Symbols" box. See below for an alternate method of Choosing Symbols from a List.

Choosing Symbols From List

It is likely that you will need to select the symbol from the Market Specification list instead of typing it because symbols for indexes are not always as expected. If the symbol you type doesn't provide the expected result or if you are unsure of the symbol, click the [Mkts] button to display the list. You can begin every new chart directly from the list (instead of the Selecting Data Series screen) by choosing "In Data Series Manager, choose market from Market Stats List" on the General UA Behavior 2 preferences screen.

The example below shows the list of index options. Reach this list by clicking the arrow next to the selection box under "Limit To Market Type," at right. Select "Stocks With Options" from the menu.

The list of options is not long, so you can easily scroll through it, or search using the techniques described for creating stock charts.

Click the check box under the "Sel" (select) heading for the market whose options you wish to chart. When the market has been selected, as identified by a check mark, click [OK]. You will return to the Selecting Data Series screen.

Selecting Options

Once the symbol is entered, click the "Options" tab in the center region of the screen. UA will confirm that the symbol is valid and automatically add the CSI number. The strike prices will display in the center panel as shown here:

From here you'll be able to choose the desired options for charting. The options offerings include the history of all puts and calls at all strikes for at least the last year, plus currently traded options as far out as they are traded. Options are grouped by expiration month, "put" or "call" status and strike prices.

Scroll through the listing and select those you want to chart by clicking the left-most column for each. As shown in the example below, selected options are marked with an "X."

If you also want to view Put/Call Totals, click the box below the options list (not available for every market).

The number of options that may be charted simultaneously is subject to the charting limit specified as Memory Cache Size in UA Preferences.

Internet Updates - Not applicable for options.

Post Processing - Not recommended for options.

Date Range

The default start and end dates are "as available," which incorporates all available data into the current chart. If you want a later start date or earlier end date, click the appropriate box and type the desired date.

The required format is an eight-digit numerical value consisting of the four-digit year, two-digit month and two-digit day, with no commas, slashes, dashes or spaces. For example, March 5, 2004 would be entered as: 20040305.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on interpretation and manipulation. Consider using the "Save to Portfolio" feature to save your charts for future use.


Cash/Fwd/Fundamental Charts

Creating a cash, forward or fundamental chart is easily done with Unfair Advantage. Begin by clicking "New Chart" icon on the UA toolbar or by selecting "New" from the "Chart" menu.

The "Selecting Data Series" screen displays, allowing you to select one or more data series for charting:

Market Type

As shown in the above example, the "Market Type" must be set to "Cash/Fwd/Fundamental Series". If this doesn't show on your screen, click the arrow at the right side of the box to drop down the menu and make your selection as shown here:

Symbols

Now you may identify the cash, forward or fundamental series you wish to chart. If multiple selections are to be handled in exactly the same way, you may chart them together, subject to the charting limit specified as Memory Cache Size in UA Preferences.

If you know the symbols of the series you want to chart, type them into the "Symbols" box. If you don't know the symbols, which is likely because they are not standardized in the industry, or if you prefer not to type them, click the [Mkts] button at the right of the "Symbols" box so that you may Choose Symbols From a List as described below.

· Symbols entered must match the selected "Market Type."
· Symbols must be separated by a comma, a space or both, as shown in the above example. Here we show a request for charts of 180-Day and 360-Day T-Bill rates.
· An alternate way to identify cash series for charting is to enter the CSI number, such as 2101 for the 180-Day T-Bill rate. CSI numbers can be found in the Market Specs Factsheets.

Choosing Cash/Forward/Fundamentals From List

You may choose markets from a list by clicking the [Mkts] button at the right of the "Symbols" box. The CSI Market Specs Factsheet that corresponds to the selected "Market Type" displays. You can begin every new chart directly from this screen (instead of the Selecting Data Series screen) by choosing "In Data Series Manager, choose market from Market Stats List" on the General UA Behavior 2 preferences screen.

The example below is for Cash/Forward/Fundamentals. To choose from the list, click the box(es) under the "Sel" (select) heading for each market you wish to chart, and then click [OK].

The following features of this screen may help you in your selection:

The Limit to Market Type box at the upper right will further classify the data to ease the selection process. Click the arrow at the right to view all possible market categories and make your selection. The choices that apply to Cash, Forward and Fundamental series are:

· All Cash/Forward/Fundamentals
· London Forward Metals
· FOREX - Currencies
· Interest Rates
· Commitments of Traders
· Economic Statistics
· General Cash Series
· CSI Stock Industry and Sectors

Only those market types within your subscription category will be available to you on the Market Specs factsheet.

The "Sort By" box is found at the top left of the Market Specs screen. Click the arrow at the right side of this box to drop down a menu of sorting choices. Secondary sorting and delisted markets will display as identified on the Market Specs Behavior screen of UA Preferences. The "Sort By" keys that are available for cash, forward and fundamental data are:

· CSI Number
· Symbol
· Exchange
· Name
· MetaStock Short Number
· Price Format
· Units
· Contract Size
· Point Value
· Active Months
· Minimum Tick
· Two-Character Symbol
· Currency
· Option Start Date
· Option Strike
· Option Price Format
· Market Type
· Market Group
· Single Stock Future
· Average Total Volume

The obvious benefit of selecting a sort key is that you can pick the identifier you know to quickly find markets of interest. For example, if you know the symbol, but not the CSI number, you can choose "Symbol" as the sort key and then easily scroll to or use "Find" (below) to reach your desired symbol in the sorted list. Likewise with name, exchange, etc.

An alternate method for selecting the "Sort By" field is to click the heading at the top of the desired column. For example, to sort by name, click the "Name" cell at the top of the table. To reverse the sort order, click the heading again.

Find - Use this in conjunction with the "Sort By" key. Once you have selected the sorting key, enter the identifier you wish to find here. For example, if you are sorting by symbol, enter the desired symbol in the "Find" box. If you are sorting by CSI number, contract size or other numerical value, enter the number here. UA will locate and display your choice in the Market Spec factsheet.

If the "Find" feature does not reveal the market you desire, try the "Advanced Search" described below.

Footnotes

Be sure to check the footnotes at the bottom of the screen see if important information is available for your selected market. Click the market once to activate the footnote function.

Advanced Search

The "Advanced Search" feature is very useful in seeking cash, forward and fundamental data, which may be obscured through non-standard naming conventions. Unlike the "Find" feature shown above, which searches only on the beginning letters of the search string, the advanced search looks for your search string within the full description. If "Find" doesn't turn up your desired market, click the [Advanced Search] button at the bottom of the screen, to display the form shown here:

Text to find:

Enter the name or description of the market you wish to find in the "Text to find" box. For this example, we entered "Commercial Paper" to find these important fundamental series. The results are shown below.

You may also fine-tune your search by selecting an exchange or exchanges from the list. This is not necessary, however.

Click [Find] to start your search.

Choose Matching Market

UA will display all the markets holding the search string you entered, as in the example below for "Commercial Paper." Click the one(s) you wish to select and click [OK].

Click [Restart Search] if your choice isn't shown and try again with a narrower search criteria.

The Market Spec factsheet will re-display with your selection visible. Click your choice(s).

When the desired markets have been selected, click [OK] to return to the Selecting Data Series screen, where you can complete your chart specifications as described next.

"Cash" Selection

Click the "Cash" tab in the center region of the screen (see top example). This enters your symbols without submitting the full selection screen. UA will confirm that your symbols are valid and display the corresponding CSI number for each.

Internet Updates

Although the right-hand panel of the Selecting Data Series screen includes an "Internet Updates" setting that is automatically checked, these fundamental series are not typically available for intraday update via SnapQuote. Please disregard for this series.

Post Processing

Also in the right-hand panel is the "Post-Processing" box that offers two features for manipulating your data. These are referred to as "Post processing" because the processing occurs after the data is retrieved from your files, but before charts are displayed.

Detrend - Detrending is a manipulation that attempts to remove long-position biases and other distortions that can occur in long-term analysis by transforming all historical data into today's terms. It can be a useful procedure for all types of continuous files, but is typically used more for futures, which are more subject to distortions, than for cash and fundamental series.

For cash, forward and fundamental series, the detrending approach always focuses upon the very first (most distant) day of the historical series and the day before the last day in your series. This determines a precise interval on the y price axis. The number of trading days that transpired from the first (most distant) point and the chosen end point determines the number of units (days) by which the entire series will be elevated or decreased, as the case might be, and leads to the slope calculation.

If Detrending is desired, check the box. When offered the choice of Second Contract or Second Day for the calculation, select Second Day. This is the only valid response for this application.

Invert - Chart Inversion is a post-processing feature that allows you to view or analyze market data from an alternate perspective. It is used almost exclusively for comparing correlated currency markets. Inverted prices are significantly distorted in both raw values and market direction. This feature in NOT appropriate for most markets. Inversion should only be used judiciously and with care.

Date Range

The default start and end dates are "as available," which incorporates all available data into the current chart. If you want a later start date or earlier end date, click the appropriate box and type the desired date.

The required format is an eight-digit numerical value consisting of the four-digit year, two-digit month and two-digit day, with no commas, slashes, dashes or spaces. For example, March 5, 2004 would be entered as: 20040305.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on interpretation and manipulation. Consider using the "Save to Portfolio" feature to save your charts for future use.


Futures Charts

Creating futures charts differs from creating other charts because of the inherent complexity of the futures markets. Unfair Advantage allows you to chart discrete futures contracts from first trading day to last, or to chart a variety of sophisticated continuous charts that combine multiple contracts into a single data series reflecting the futures market over time.

The types of futures charts available through Unfair Advantage are:

· Normal Futures Contracts
· Individual Futures Group (IFG)
· Nearest Futures (Nth Nearest)
· Back Adjusted
· Cash
· Option
· Perpetual
· Gann

The process of creating all of the above futures-related chart begins the same way, regardless of the ultimate contract selection. This topic covers all the common features. Once these are understood, please go on to the appropriate topic for details on creating the specific type of futures chart you desire.

Futures Chart Creation

Begin by clicking "New Chart" icon on the UA toolbar or by selecting "New" from the "Chart" menu.

The "Selecting Data Series" screen displays:

Market Type

As shown in the above example, the "Market Type" must be set for "Futures." If this doesn't show on your screen, click the arrow at the right side of the box to drop down the menu and make your selection as shown here:

Symbols

Now you may identify symbols of the futures you wish to view. If multiple futures markets are to be handled in exactly the same way, you may chart them together, subject to the charting limit specified as Memory Cache Size in UA Preferences.

If you know the symbol or symbols, type them into the "Symbols" box. See below for an alternate method of Choosing Symbols from a List.

· Symbols entered must match the selected "Market Type."
· Symbols must be separated by a comma, a space or both, as shown in the above example. Here we show a request for charts of CBT Corn (c), NYMEX Heating Oil (HO) and CME Eurodollars (ED).
· An alternate way to identify the futures for charting is to enter the CSI number, such as 9 for Corn. CSI numbers can be found in the Market Specs Factsheets.

Choosing Symbols From List

Click the [Mkts] button at the right of the "Symbols" box if you prefer to select symbols from the Market Specification list instead of typing them. You can begin every new chart directly from the list (instead of the Selecting Data Series screen) by choosing "In Data Series Manager, choose market from Market Stats List" on the General UA Behavior 2 preferences screen.

The example below shows the list of futures markets.

The following features of this screen may help you in your selection:

Limit to Market Type - This menu is found at the top right of the selection screen. Click the arrow at the right side of this box to drop down a menu of choices. Select the appropriate market type from the menu before using the other search keys. The choices that are applicable for futures contracts are:

· All Futures Markets
· North American Futures
· Foreign Futures
· Domestic Stock Index Futures
· Futures With Options
· Single Stock Futures
· Narrow Based Index Futures
· Exchange Traded Fund Futures

Only those market types within your subscription category will be available to you on the Market Specs factsheet.

The "Sort By" box is found at the top left of the Market Specs screen. Click the arrow at the right side of this box to drop down a menu of sorting choices. Secondary sorting will display as identified on the Market Specs Behavior screen of UA Preferences. The "Sort By" keys that are available for cash, forward and fundamental data are:

· CSI Number
· Symbol
· Exchange
· Name
· MetaStock Short Number
· Price Format
· Units
· Contract Size
· Point Value
· Active Months
· Minimum Tick
· Two-Character Symbol
· Currency
· Option Start Date
· Option Strike
· Option Price Format
· Market Type
· Market Group
· Single Stock Future
· Average Total Volume

The obvious benefit of selecting a sort key is that you can pick the identifier you know to quickly find markets of interest. For example, if you know the symbol, but not the CSI number, you can choose "Symbol" as the sort key and then easily scroll to or use "Find" (see below) to reach your desired symbol in the sorted list. Likewise with name, exchange, etc.

An alternate method for selecting the "Sort By" field is to click the heading at the top of the desired column. For example, to sort by name, click the "Name" cell at the top of the table. To reverse the sort order, click the heading again.

Find - Use this in conjunction with the "Sort By" key. Once you have selected the sorting key, enter the identifier you wish to find here. For example, if you are sorting by symbol, enter the desired symbol in the "Find" box. If you are sorting by CSI number, contract size or other numerical value, enter the number here. UA will locate and display your choice in the Market Spec factsheet.

If the "Find" feature does not reveal the market you desire, try the "Advanced Search" described below.

Footnotes

Be sure to check the footnotes at the bottom of the screen see if important information is available for your selected market. Click the market once to activate the footnote function.

Advanced Search

The "Find" feature shown above searches based on the beginning letters or numbers of the search string, which will usually lead you to your desired market. If it doesn't turn up your desired market, click the [Advanced Search] button at the bottom of the screen, which employs a more sophisticated approach. The example below is for futures.

Text to find:

Enter the name or description of the market you wish to find in the "Text to find" box. For this example, we entered "Crude Oil," which produced the results shown below.

You may also fine-tune your search by selecting an exchange or exchanges from the list. This is not necessary, however.

Click [Find] to start your search.

Choose Matching Market

UA will display all the markets holding the search string you entered, as in the example below for "Crude Oil." Click the one(s) you wish to select and click [OK].

Click [Restart Search] if your choice isn't shown and try again with a narrower search criteria.

The Market Spec factsheet will re-display with your choice(s) selected.

Click [OK] to return to the "Selecting Data Series" screen and proceed with creating your futures chart, as described below:

Internet Updates

The right-hand panel of the Selecting Data Series screen includes an "Internet Updates" setting. New charts are automatically available for intraday internet updates through UA's SnapQuote feature. Because this entry is checked (it cannot be unselected), any new chart will be updated with SnapQuote data if, and only if, you manually initiate a SnapQuote intraday retrieval session. If you plan to use SnapQuote, but do not want the intraday data to be visible on your charts, check "Ignore Snap Quote Data" on the "General UA Behavior 1" screen of UA Preferences.

Post Processing

Also in the right-hand panel is the "Post-Processing" box that offers two features for manipulating your data. These are referred to as "Post processing" because the processing occurs after the data is retrieved from your files, but before charts are displayed.

Detrend - Detrending is a manipulation that attempts to remove long-position biases and other distortions that can occur in long-term analysis. It is a useful procedure for all types of continuous files, but is not recommended for normal, discrete contracts.

Please note that due to the effects of inflation and deflation, back-adjusted and forward-adjusted files can produce negative values. A single adjusted futures market may, in fact, go negative in both back- and forward-adjusted files, depending on the rate of ascent or descent. The tendency to go negative may be reduced or eliminated when data is detrended. However, detrending will not guarantee that adjusted data will be elevated out of negative territory. Detrending is only one way that a user might minimize the likelihood that the back-adjusted historical past will fall into negative territory.

The detrending approach always focuses upon the very first (most distant) day of the historical series and either the day before the last day or the last day of the second most current contract. Either of these two selected end points and the first point determine a precise interval on the y price axis. The number of trading days that transpired from the first (most distant) point and the chosen end point determines the number of units (days) by which the entire series will be elevated or decreased, as the case might be, and leads to the slope calculation.

Detrending may be appropriate to condition a data series for analytical use within UA or with third-party software. This transformation of all historical data into today's terms is a convenient analytical tool.

If Detrending is desired, click the box to check the "Detrend" setting, Then click the arrow at the right of the adjacent selection box to choose one of the following:

· Second Contract - Select to detrend the portion of the series that lies earlier than the final (most current) contract segment of the adjusted series.

· Second Day - Select to detrend right up to the day before the current day of the final contract.

When used for cash series, detrending always affects all data except the balance of the final calendar quarter.

Invert - Inversion is a post-processing feature that allows you to view or analyze market data from an alternate perspective. It is used exclusively for comparing correlated currency markets.

In inverted data:

· Open price = 1/Open
· High price = 1/Low
· Low price = 1/High
· Close price = 1/Close

To have UA invert the selected currency or group of currencies, check the "Invert" box (click it) in the lower right corner of the Selecting Data Series screen.

Inverted prices are significantly distorted in both raw values and market direction. This feature in NOT appropriate for most markets and should be used judiciously.

Date Range

The default start and end dates are "as available," which incorporates all available data into the current chart. If you want a later start date or earlier end date, click the appropriate box and type the desired date.

The required format is an eight-digit numerical value consisting of the four-digit year, two-digit month and two-digit day, with no commas, slashes, dashes or spaces. For example, March 5, 2004 would be entered as: 20040305.

Contract Selection

Once common choices on the Selecting Data Series have been made, click the appropriate tab in the central region of the screen for the type of chart you wish to make:

Clicking any tab will submit your symbol list. UA will confirm symbols and present them with CSI numbers in the "Symbols" box. The screen may change in other ways, reflecting available choices for the chosen contract type.

Click the corresponding link below for a detailed description and instructions for the available market types:

· Normal Futures Charts
· IFG - Individual Futures Group Charts
· Nth Nearest Future Charts
· Back-Adjusted Charts
· Cash Charts
· Futures Option Charts
· Perpetual Contract(R) Charts
· Gann Contract Charts

Most of these selection screens provide default settings that will allow you to create a chart without further customization. When the settings meet your needs, click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on interpretation and manipulation. Consider using the "Save to Portfolio" feature to save your charts for future use.


Normal Futures Charts

Normal Futures Charts refer to normal, unadjusted, non-continuous data series for specific futures contracts. To create such a chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Normal" tab, which is the first on the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will offer for you to choose from. It does NOT select these months for charting automatically. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Choosing Normal Contracts

The "Normal" screen lists all normal delivery months for the market(s) you have specified, subject to your choices above:

Click the first column for each contract you wish to chart. Selected contracts are marked with an "X" as shown in the above example, indicating the May 2006 and December 2006 contracts will be charted.

Keep in mind that if you have chosen multiple symbols, each "X" may represent multiple charts. The number of charts that can be charted simultaneously is subject to the charting limit specified as Memory Cache Size in UA Preferences.

As you can see, "Cash" may be available as a "normal" contract, and start and end dates are shown for each available series. The "Last Date" for current contracts reflects the date of your last daily update from CSI.

Scroll through the list using the bar at right to view all available contracts, including historical data of markets that have stopped trading.

Common Settings

Detrending is not recommended for normal contracts. Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


IFG - Individual Futures Group Charts

The Individual Futures Group (IFG) is a popular choice for charting because it's a quick and easy way to view multiple current contracts of your selected market(s) without having to choose them individually. This is a good alternative to selecting "Normal" contracts that is especially useful when multiple symbols are being charted simultaneously. The charts that display are "Normal Futures Charts," which are unadjusted, non-continuous data series for individual futures contracts.

To create a set of Individual Futures Group charts, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "IFG" tab, which is second from the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will use in selecting contracts for your Individual Futures Group. It does NOT select these months for charting automatically. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Selecting Individual Futures Group (IFG) Settings

The "IFG" screen shows the settings you may customize for your set of IFG charts:

You'll need to select the appropriate response for each of the following:

Contracts

Enter the number of nearby contracts you want to chart for each of your selected markets. If you prefer, you may select a number from one to ten from a menu by clicking the arrow at the right of the box and clicking your selection:

As contracts grow near (or nearer) to their expiration month, they move into the window for inclusion in the Individual Futures Group charts, which is determined by this value. An Individual Futures group might include all contracts, the five nearest contracts, or perhaps just the nearest one or two.

Keep in mind that if you have chosen multiple symbols, each selected contract represents multiple charts. The number of charts that can be charted simultaneously is subject to the charting limit specified as Memory Cache Size in UA Preferences.

Include Cash: If you would like the cash price automatically included as an additional chart (where available), check the "Include Cash" box by clicking it.

Rolling

When charting from an Individual Futures Group, you must identify when contracts will be added or deleted from the list of selected markets through the "Rolling" settings. The are:

Day from start of month - Enter the date of the expiration month (or other month, if identified below) when the contract that is closest to delivery should be omitted from the list of charts. For example, 1 means the contract should be dropped on the first day of the month. 15 means that the lead contract is dropped on the 15th of the month.

Months Prior - This points to which month the "day from start of month" (above) refers. 0 indicates no months prior, so the date listed above is in the expiration month. Use 1 for the month before the expiration month, 2 for two months prior, etc.

Common Settings

Detrending is not recommended for IFG contracts. Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Nth Nearest Futures Charts

A "nearest future" chart shows a single, continuous series built from whichever contract is or was in a specified sequence from delivery. Unfair Advantage's nearest futures charts are called "Nth Nearest" because you get to choose how far out the series will monitor the market. You select the value of "N," which determines whether the contracts in your chart will be the first nearest, second nearest, third nearest, etc.

To create an Nth Nearest chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Nth Nearest" tab, which is third from the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will cycle through in creating your Nearest Future chart. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Selecting Nearest-Future Settings

The "Nth Nearest" screen shows the settings you may customize for your Nth Nearest Future charts:

You'll need to select the appropriate response for each of the following:

Roll Trigger

This input determines when your charts switch from one contract to the next in this continuous series. You may choose between using volume and/or open interest or a specific date as explained below. Additional rolling criteria will be set by the "Roll Timing" option, below.

· Open Interest - Click here to exclude the nearest contract when heaviest open interest shifts to the subsequent delivery month.

· Volume - Click here to exclude the nearest contract when heaviest volume shifts to the subsequent delivery month.

· Open Interest and Volume - Click here to exclude the nearest contract when BOTH heaviest open interest AND heaviest volume have both shifted to the subsequent delivery month.

· Open Interest or Volume - Click here to exclude the nearest contract when EITHER heaviest open interest OR heaviest volume shifts to the subsequent delivery month.

· Date - This setting lets your computed contract roll from one contract to the next on a specific day of the month. Click here and type the day of the month you wish rollforward to occur. Enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This prompt coordinates with another prompt (at right).

Start/End of Month - The default rolling criterion is for the day of the month (above) to be calibrated to the beginning of the month. An alternate rolling option is to select "End of Month" here. When "End of Month" is selected, enter the number of calendar days before the month is over that you want to roll out of a contract (1 to 28). Think of this as an inverted calendar. Enter 1 for the last day of the month, 2 for the next-to-last day, etc. This option is useful for traders who want to avoid risking delivery of a commodity by rolling out of a contract on the first notice day, which is often calibrated relative to the end of the month.

Months Prior - In the box to the left of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc.

· Strictly by Days Before Expiration Date - Click here to keep the lead contract in your nearest future series until a specific date before expiration of that contract. To calibrate an early roll date relative to the expiration date, enter the number of days before expiration for the rollover to occur. Enter 0 to roll on the expiration date. The "expiration date" used here is based on the typical expiration date for the specific commodity, and may not be accurate at all times.

Roll Timing

This refers to when the near contract is dropped and replaced by the next in your Nearest Futures contract. The choices are:

· Anticipate - With this choice, the last close of the expiring contract is included on the day before your specified rollforward date. The first opening price of the new lead contract appears in the series on the specified rollforward date.

· Aligned with Price Data - With this choice, the last close of the expiring contract is posted on the day of the specified rollforward. The first open of the new contract is posted the day after the specified rollforward date.

· When Known - With this choice, the final close of the expiring contract appears the day after the specified rollforward date and the first open of the new contract appears two days after the specified rollforward.

How Many Contracts Out

When creating an Nth Nearest Futures Contract, this entry determines the value of N. For example, to create a first-nearest future contract (that is always showing the contract closest to delivery (within your rollover constraints) select 1. To always view the second-nearest contract, select 2, and so on.

The default value is 2, but you may change it as desired, not exceeding nine contracts forward. The value you select must not represent more than the maximum number of contracts trading at any given time for the commodity being studied.

Common Settings

Detrending is not recommended for IFG contracts. Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Back-Adjusted Charts

A "Back-Adjusted" chart represents a continuous series built from futures contracts whose prices have been adjusted (either backward or forward) to eliminate the gaps between expiring and newly active contracts. Adjusting contracts involves concatenating historical contracts of a given commodity into the past, while applying adjustments to smooth transitions between delivery months.

To create a back-adjusted futures chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Back Adjusted" tab, which is fourth from the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will cycle through in creating your Back Adjusted chart. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Selecting Back Adjusted Settings

The "Back Adjusted" screen shows the settings you may customize for your Back (and Forward) Adjusted charts:

You'll need to select the appropriate response for each of the following:

Roll Trigger

This input determines when UA switches from one futures contract to the next in creating your back-adjusted charts. You may choose between using volume and/or open interest or a specific date as explained below.

When creating back-adjusted continuous charts that use volume and/or open interest as roll triggers, the result will depend upon whether the raw data series is viewed forward or backward in time. The "Standard" (Fortran) back adjuster views a given market backward in time when it builds a back-adjusted file. The "C++" back adjuster views a given market forward in time. In certain circumstances, the results of these two methods will be different. You can adjust the back adjuster setting through the Back Adjusting in UA's Charting Preferences.

· Open Interest - Click here to exclude the nearest contract when heaviest open interest shifts to the subsequent delivery month.

· Volume - Click here to exclude the nearest contract when heaviest volume shifts to the subsequent delivery month.

· Open Interest and Volume - Click here to exclude the nearest contract when BOTH heaviest open interest AND heaviest volume simultaneously shift to the subsequent delivery month.

· Open Interest or Volume - Click here to exclude the nearest contract when EITHER heaviest open interest OR heaviest volume shifts to the subsequent delivery month.

· Date - This option lets your computed contract roll from one contract to the next on a specific day of the month. Click here and type the day of the month you wish rollforward to occur. Enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This prompt coordinates with another prompt (at right).

Start/End of Month - The default rolling criterion is for the day of the month (above) to be calibrated to the beginning of the month. An alternate rolling option is to select End of Month here, and enter the number of days prior to the end of the month to change contracts in the box at left. When "End of Month" is selected, enter the number of calendar days before the month is over that you want to roll out of a contract (1 to 28). Think of this as an inverted calendar. Enter 1 for the last day of the month, 2 for the next-to-last day, etc. This option is useful for traders who want to avoid risking delivery of a commodity by rolling out of a contract on the first notice day, which is often calibrated relative to the end of the month.

Months Prior - In the box to the left of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc.

· Strictly by Days Before Expiration Date - Click here to keep the lead contract in your continuous series until a specific date before expiration of the appropriate contract. To calibrate an early roll date relative to the expiration date, enter the number of days before expiration for the rollover to occur. Enter 0 to roll on the expiration date. The "expiration date" used here is based on the typical expiration date for the specific commodity, and may not be accurate at all times.

Roll Timing (Not offered if "Date" is used as Roll Trigger)

This determines when the near contract is dropped and replaced by the next in your back- and forward- adjusted contracts. The choices are:

· Anticipate - With this choice, the last close of the expiring contract is included on the day before your specified rollforward date. The first opening price of the new lead contract appears in the series on the specified rollforward date.

· Aligned with Price Data - With this choice, the last close of the expiring contract is posted on the day of the specified rollforward. The first open of the new contract is posted the day after the specified rollforward date.

· When Known - With this choice, the final close of the expiring contract appears the day after the specified rollforward date and the first open of the new contract appears two days after the specified rollforward.

Representative Prices

The Representative Prices trigger was called "splicing" in earlier versions of Unfair Advantage because it refers to how the old and new contracts are spliced together.

Representative Pricing is one of several choices in creating back-adjusted data series. This determines how the gap between successive contracts is handled in an attempt to broadly simulate your buying and selling habits for the given market. In adjusted continuous series, UA uses the closing and/or opening price differential on the roll-forward day to adjust and therefore splice the prices into the past. Each of the three main choices, close to close, open to open, and close to open, involves a calculation of the contract price differential (the delta) that is cumulatively applied to historical pricing.

Looking backward in time, the new contract price minus the past contract price on roll-from day represents the delta price difference that is added to the past contract prices to form the O-H-L-C of all prices into the past. This applies to the past contract, beginning with the roll-from date and extending backward in time. This way, considering the new and past contract pair, the new contract prices remain unaffected by the back-adjustment splicing process.

There is no rigid rule about capturing the old and new contract price differential on roll-to day versus roll-from day. UA offers several options in calculating the delta value to provide precision in preserving the natural gap between the old and the new contracts as either the old-contract gap or the preferred new-contract gap. This option, unavailable anywhere else in the industry, forces the past data to blend together on roll-forward day without compromising the transition from one contract to the next. With this setting, the effects of overnight influences on the market are not lost on the day the contract splicing takes place.

Your choices are:

· Close old contract, close new contract - Here the close of the new lead contract is compared with the same-day close of the former lead contract and the price difference is applied to all historical data such that the new prices are seamlessly appended to earlier data without a gap. A "close-to-close" back adjuster simulates a buy and sell at market on close order, or a spread order executed at close. The delta in this case is the settlement price in the new contract minus the settlement price in the old contract.

· Open old contract, open new contract - Same as close-to-close (above), except that the same-day open prices are used. An "open-to-open" back adjuster simulates a buy and sell at market on open order, or a spread order executed on the open. The order is assumed to be executed one day later than the close-to-close order since open-high-low-close data isn't available until the next close. The delta in this case is the opening price in new contract minus the opening price in the old contract.

· Close old contract, open new contract - This formula compares the open price of the new lead contract with the previous day's close price of the former lead contract and applies the difference to all historical data, such that new data can be added without a gap. The "close-to-open" back adjuster simulates exiting the current position at the close of one day and entering the new position at the open of the next. The delta is the difference between one day's close in the old contract and the next day's open in the new contract. The overnight close-to-open price differential is generally small, so the close-to-open choice should be highly representative of the contract to contract differential. This method doesn't reflect the typical trading style, however, so it may not be the best choice for your simulation. A more refined close-to-open adjustment is available through the last two options.

· Close - open with old gap reintroduced - With this option, past (from-contract) history is adjusted so that the old contract close equates to the old contract open, such that the close-to-open gap of successive days of the old contract are preserved. The result accurately reflects the old contract when bridging the two-day period from contract to contract.

· Close - open with new gap reintroduced (preferred) - With this option, past (from-contract) history is adjusted so that the new contract close equates to the new contract open, such that the close-to-open gap of successive days of the new contract are preserved. The result accurately reflects the new contract when bridging the two-day period from contract to contract. This is the preferred choice because it represents the best future contract to emulate.

Accumulation Method

When Back-Adjusted is selected for the contract type, three choices are available for the accumulation method. They are:

· Back Adjusted - Back-adjusting involves concatenating historical contracts of a given commodity and making price adjustments to smooth the transitions. This adjustment requires applying the raw change in price of the earlier contract with respect to the price of the current (or later) contract. For example, say your series is rolling backward through the quarterly contracts of December, September, June and March of a given calendar year for your commodity. If the price of the December contract were 100 and the price of September were 95 on roll-backward day, this traditional back-adjuster would elevate all prices for the September contract by five. This would be maintained as a delta of five to be added to all past data, beginning with the September contract, on the day before rolling from the December contract.

· Forward Adjusted - A forward-adjusted data series, like a back-adjusted series, involves concatenating historical contracts of a given commodity and making price adjustments to smooth the transitions. In a forward-adjusted contract, however, the prices of the current contract are changed to eliminate the gap between the current and recently expired contract. An important aspect to remember about forward-adjusted contracts is that current prices do not represent actual values for today's markets.

· Proportional Adjusted - This is an enhancement of the original back and forward adjust options. With it, UA will, at your option, proportionately adjust the history of a commodity by percentage or ratio terms, in addition to splicing contracts by adding or subtracting their relative differences into the past. Proportionally adjusted series prepared through ratio multiplications are unlikely to go negative, so there is seldom a need to elevate a series out of negative territory. Contracts are joined by increasing or decreasing successively further distant contracts by a percentage to raise or lower the entire history by the same proportion. Rounding problems, caused by attempts to preserve tick differentials of reported prices, could occasionally push a given series into negative territory.

Because the proportional adjustment yields a much milder descending slope of long-term prices into the past, there is much less long-side trading bias that can be captured from the data. An unbiased result that offers realism should be much preferred over a highly profitable and unbelievable result that holds more contributions from inflation than from any perceived trading style or expertise.

The idea of proportionally adjusted contracts requires applying the percentage change in price of the earlier contract with respect to the price of the current (or later) contract. Consider the above example where a five-cent difference in price between successive December and September contracts resulted in a five-cent adjustment to all past data with the traditional back adjuster. In a proportionately adjusted series, the fixed delta of five would represent a factor of 5/100 or 105% of the September price for all data in the September contract. This process would repeat at the same percentage for every contract boundary until the series ended.

The Proportional back-adjustment principles offered here were inspired by Thomas Stridman, who discussed the idea in his article "Data Pros and Cons" in the June, 1998 issue of Futures Magazine.

Common Settings

Detrending is recommended for Back-Adjusted contracts. Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

Negative Prices in Back-Adjust Series

It should be noted that back- and forward-adjusted contracts can include negative numbers, which Unfair Advantage is able to display in charts. If adjusted charts are saved to a portfolio, negative values may cause problems if files are exported for use with other software. See the Back Adjusting screen of Chart Preferences for information on settings that may reduce the likelihood of negative values.

Generate Forward Alternative

UA offers two methods of calculating back- and forward-adjusted series. They are both explained in Bob Pelletier's essay on computed contracts. "Generate Forward" refers to the perspective Unfair Advantage takes in creating continuous files that roll on volume, open interest, or volume and open interest. This type of file is compiled using the earliest data first and then moving forward to later data. Forward-generated data sets do not use information in their creation that was not available on the date in question, and therefore, may do a better job of avoiding bias. When using back-adjusted continuous files with volume and/or open interest as roll triggers, the resulting series will depend upon whether the raw data series is viewed forward or backward in time. The "Standard" (Fortran) back adjuster views a given market backward in time when it builds a back-adjusted file. The "C++" back adjuster views a given market forward in time. In certain circumstances, the results of these two methods will be different. You can decide which back adjuster to use through the Back Adjusting screen of Chart Preferences.

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Cash Charts

Cash contracts are available for many, but not all commodities. Often just one daily cash price is offered. Cash prices can be included as a separate choice by selecting them here.

To create a cash commodity chart, begin by selecting the market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Cash" tab, which is fifth from the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

As stated on the screen, there are no user-defined settings for cash series.

Common Settings

Detrending is not necessarily recommended for cash prices because distortion is unlikely. Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

Alternate Ways to View Cash Prices

When cash prices are available for a given market, the Individual Futures Group (IFG) selection screen also offers "Cash" contracts. That choice delivers the same result as this one.

The right-click chart menu offers "Display Cash," which superimposes the corresponding cash series into any futures chart. The "Display Cash" feature requires that "Always Retrieve the Cash/Nearest Future" be selected from Charting Preferences, and that cash prices are available for the selected market.

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Futures Option Charts

Creating a futures option chart starts just as if you were charting the underlying futures contract. To create such a chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Option" tab, which is third from the right (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C. We recommend that options be selected for one symbol at a time because of the variety of strike prices.

The "Selecting Data Series" screen displays:

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will offer for you to choose from. It does NOT select these months for charting automatically. Because of the large number of options available for each market, you may want to select specific months for inclusion so that the list will be more manageable. No adjustments are required.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active delivery months will be selected automatically, and you will not have the choice of identifying alternative months.

Choosing Options

The "Option" screen identifies options by delivery month, put and call designation and strike prices. All are listed for the market(s) you have specified, subject to your choices above. The example below shows options for both CBT Corn (C) and Comex Gold (GC).

Click the first column for each option you wish to chart. Selected options are marked with an "X" as shown in the above example.

Keep in mind that if you have chosen multiple symbols, each "X" may represent multiple charts. The number of charts that can be charted simultaneously is subject to the charting limit specified as Memory Cache Size in UA Preferences.

Start and end dates are shown for each available series. The "Last Date" for current contracts reflects the date of your last daily update from CSI.

Scroll through the list using the bar at right to view all available contracts, including historical data of markets that have stopped trading.

Also the Put/Call Totals

Check the "Also the Put/Call Totals" box (click it) if you want to include a chart of put and call volume data for this market. (Not available for all markets.)

Common Settings

Neither Inversion nor Detrending is recommended for options. You may adjust the date range (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Perpetual Contract(R) Charts

Perpetual Contract® data is a proprietary CSI concept that many traders find very helpful as an aid to both analysis and trading. It is intended as an indicator of market movement, not as an explicit price indicator. Perpetual Contract is a Registered Service Mark of Commodity Systems, Inc.

This time series can be calculated in two different ways:

· The original formula uses Time Weighting and represents a weighted average of the two contracts of the same commodity that lie adjacent to a given period-forward point in time, avoiding the volatile expiring market period and the quiet illiquid period of a contract's history.

· The alternative Perpetual Contract series uses Open Interest Weighting to blend all contracts, with emphasis on those with the greatest open interest.

Either way, Perpetual Contract Data can continuously focus on the center of market volume and liquidity, and effectively take the market's pulse over an indefinite period. Unlike nearest future contracts, this computed contract has no abrupt jumps or drops in price. Use this concept to study a market's characteristics over time without concern for contract expiration or the following of complex contract roll-forward rules.

To create a Perpetual Contract data chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Perpetual" tab, which is second from the right (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will cycle through in creating your Perpetual Contract chart. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Selecting Perpetual Contract Data Settings

The "Perpetual" screen shows the settings you may customize for your Perpetual Contract data charts:

You'll need to select the appropriate response for each of the following:

Date

The two entries for the Rollforward Date in Perpetual Contract data determine when the contract that is closest to expiration (of the pair) is dropped from the formula and is replaced with the next farther-out contract. The "Date" only applies when Time Weighting is used.

Day From Start of Month: This entry determines the specific date when your Perpetual Contract series will drop the lead contract and add a more distant contract for calculating the time-weighted moving average.

In the box to the right of this prompt, enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. The month in which this date falls is determined by the next prompt.

Months Prior: In the box to the right of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc. Use 0 (along with 31, above) for the last trading day.

Since Perpetual Contract Data is intended to avoid the volatile period at the end of a contract's life, it is common to use an early rollover date such as the first day of the expiration date (1 for Day and 0 for Months Prior) or, even better, to roll on the tenth day of the month prior to the delivery month (10 for Day and 1 for Months Prior).

Weighting (center right of screen)

Time Weighting: The original formula for Perpetual Contract Data uses a time-weighted average of the prices of two contracts of the same commodity. When Time Weighting is selected, the standard procedure is used. The Rollforward "Date" and "Months Forward to View Market" selected on the Perpetual Contract Selection screen will apply.

Open Interest Weighting: An alternate strategy for calculating a Perpetual Contract data series is to use an open-interest weighted average of all active trading months. To use the alternate formula which weights prices of all active contracts based on open interest, click the down arrow at the right of the text box, then click Open Interest Weighting. When this choice is taken, neither the roll date nor the months ahead to view market options will be taken into account.

Months Forward to View Market

When creating time-weighted Perpetual Contract data, a time-weighted average is produced using the prices of the contracts that expire before and after the ever-changing date that lies a fixed number of months in the future. This prompt determines how many months ahead that ever-changing date will be.

Your entry should be greater than or equal to the maximum gap (in months) between successive delivery months for this market. Three months ahead is the usual distance for measuring most commodities, financials and indices, because most have contract expirations at least as often as every two or three months. A two-month forward view of the market may be appropriate for commodities that expire every month or two, such as the energy products, live cattle or hogs and perhaps some precious metals.

If a commodity has a large gap between successive delivery months, such as Pork Bellies (Aug. to Feb.), the months ahead to view the market should be increased to reflect that gap. Using a value that is less than the maximum gap between successive contracts will result in some portions of the series representing nearest-future data, as opposed to Perpetual Contract data.

This entry will be disregarded if Open Interest Weighting is selected.

Common Settings

Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Gann Contract Charts

A Gann contract chart reflects a continuous series built from a single delivery month of a commodity over years of trading. It might show many years of May Wheat contracts over time, for example. The desired month and roll-forward criteria must be specified when creating this type of chart. Each individual contract occupies a 12-month segment of the chart, so each contract of the selected commodity must trade at least 12 months. Gann charts are named after their creator, the renowned commodity trader W.D. Gann.

To create a Gann chart, begin by selecting the futures market or markets and making other common charting selections as described in the "Futures Charts" topic.

From the center region of the Selecting Data Series screen, click the "Gann" tab, which is at the far right (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

Selecting Gann Settings

The "Gann" screen shows the settings you may customize for your Gann Contract charts:

You'll need to select the appropriate response for each of the following:

Date

Day From Month Of Start: This setting lets your Gann contract series roll from one contract to the next on a specific day of the month. In the box to the right of this prompt, enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This date is within the rollforward month specified below.

Months Prior: In the box to the right of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc. Use 0 for the last trading day.

Gann contracts typically roll upon expiration, for which Day 31 and Months Prior 0 would be entered. You might prefer a more consistent date such as the first day of the expiration month (1 Day and Months Prior 0).

Gann Month

This selection identifies the one delivery month to be included in your Gann series.

Click the down arrow at the right of the text box and select the single delivery month to be used. It will cycle through the different delivery years. If contracts of the commodity you selected trade for less than 12 months each, your Gann file will contain periods where no data is supplied.

UA will roll into the same contract month for each subsequent delivery year (March rolls into March; May rolls into May, etc.).

Common Settings

Be sure to adjust the date range and post processing settings (if desired) as described in the "Futures Charts" topic before finishing your selection.

Click [OK] to display your chart(s).

This topic completes the "Creating New Charts" chapter.

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Chart Interpretation & Manipulation

Once you have created chart by selecting it from a portfolio, clicking your choice in Market Specs or creating a new chart from scratch, you are ready to get on with interpretation and analysis as explained here. Click the topic of your choice from the selections below:

· Interpreting a Chart
· Adjusting Date Range
· Tracker with Readout
· Viewing Table Data
· Editing Charts
· Adding Days
· Mark as Holiday
· Adjusting Screens & Windows
· Switching Charts
· Save to Portfolio
· Adding/Saving a Study
· Using the Indicator Menu
· Using the Study Toolbar
· Chart Tools
· Removing Studies

Further Resources

The UA Charts chapter also includes information on Charting Preferences. These are the user-defined settings that affect the way your UA charts are displayed. We suggest you review these to gain a full understanding of available features.

Much can be done to customize charts through the Chart Menu.

Please also read about the Right-Click Menu, which offers easy access to a host of charting features.

Beyond basic charting, you will probably be interested to read about analysis techniques as described in the Interpreted Studies chapter.


Interpreting a Chart

Below is an example of an Unfair Advantage chart for a Crude Oil contract:

This is a typical market chart, with a title across the top, a price bar chart in the main body and volume and open interest below.

· The price scale is at the right.
· The date scale across the bottom automatically adjusts for bar spacing of your data.
· You can use the scroll bar and arrows below the chart to see the full scope of the selected data series.
· This Chart Interpretation & Manipulation chapter lists the many ways you can read and manipulate your chart.

The Price Bar

A price bar shows the price range by its vertical length. The high price is at the top of the bar; the low is the bottom of the bar; the open is a dash to the left and the close is a dash to the right. You can manipulate bars in a number of ways through the right-click pop-up menu's "Display Bars As" feature.


Adjusting Date Range on Screen

The date range of data available for charting is set during the chart creation process. The full range of available data is not necessarily displayed on your chart, however.

UA offers several techniques for changing the date range on a chart once it has been created. Click your choice from the toolbar above your chart.

compressico Zoom Out - This feature compresses the spacing of the price bars, contracting the data into a smaller, more compact form. Very contracted charts may have considerable overlap, which tends to obscure pricing details and studies. Check the calendar at the bottom of the chart to see the date range currently displayed and use the scroll bar to see the rest of the chart.

expandico Zoom In - This reverses the above process, allowing you to see more details on your chart. Each time you click the button, the chart itself expands, but the time period visible on the screen gets smaller.

You can save your adjusted date range for future charting by right-clicking your mouse at any position on the chart, and then selecting "Save Current Zoom Level."

Zoom By Box

Another way to change the quantity of data shown on your charts is to "Zoom by Box." To activate, pull down the Chart menu and select "Apply Tools" or click the Chart Tools icon (second from right) to display a menu offering these functions.

Click "Zoom By Box" and your chart will display normally. You can now use your mouse to define a box that will represent the time period of the upcoming "zoom." Set the first box corner by placing your cursor at the desired position and clicking the mouse button. Hold down the button and drag the cursor to the desired location, thus creating an expanding box. When the box is formed as desired, release the mouse button. The date period within the defined box will now fill the screen.

To unzoom, return to the Chart Tools menu and click "Undo Prior Box Zoom." Alternately, you can use the "Expand Date Range in Chart" icon described above to reduce the zoom level.

Preferences

The default zoom level allows you to pre-set the bar spacing on all charts. This setting is controlled through the General Charting Preferences, found on the Charting Preferences screen of UA's Preferences menu.


Tracker with Readout

UA offers a couple of ways to view numeric data for the market in your chart. You can either View Table Data or use the "Tracker" to select numerical data for viewing.

crossico For the tracker method, click the crosshair button from the toolbar above your chart.

A crosshair pointer displays on your screen that corresponds with the location of your mouse. If you can't see it, try moving your mouse around until you do. Use your mouse to position the pointer on any desired point on the chart.

A data window showing complete numerical market data for the corresponding date also displays. The Crosshairs Readout:

The data in this window corresponds to the placement of the cursor. See Viewing Table Data (next) for information on interpreting these prices.

Click the Tracker button on the UA toolbar again to remove the crosshair and data window.


Viewing Table Data

At the bottom of your UA chart is a pair of tabs offering "Chart" and "Table." The default presentation is of a chart, but you can easily view a numerical table of the data on your screen by clicking the "Table" tab.

The table view looks something like this:

The caret (^) figure seen in many prices indicates the divider between whole and fractional values. For example, the first Corn prices on this screen show an open cash price of 199^4. Since corn has a conversion factor of -1, it is represented in eights. This value represents 199 4/8.

Use the scroll arrows to view the entire file, as desired. You can switch back to the chart by clicking the "Chart" tab.

Copying tabular data to the clipboard

If desired, you can copy this tabular information to your computer's clipboard for use in other applications or documents. To do so, click the right (not left) mouse button to bring up the following menu:

Click "Copy Page to Clipboard" to copy a text version of the rows currently displayed on your screen. To include the entire date range of the current file, click "Copy All to Clipboard." The text will be stored only until it is overwritten by the next image or text you place on the clipboard, or until you shut down your computer, whichever comes first.

To place this text into a document or program, first position and click your mouse at the desired location. Then click the "paste" button within your application program or hold down your keyboard's [Ctrl] key and type the letter V. Either of these techniques will paste the text into your current application.

Editing the Table

This UA table can be used for manually editing prices as described next. See Editing the Database in the Data Resources chapter for complete information.


Editing Charts

The UA database itself cannot be edited by the user; however, UA will allow you to create changes in price and/or volume and open interest revisions that are stored in an exception file. This might be handy to correct an error before CSI has a chance or to do what-if studies. It can also be useful for creating a no-data buffer at the end of your current bar chart.

To edit prices or volume:

1) Create a UA chart of the raw price series to be modified. Be sure you select the raw stock or commodity contract, not an adjusted or detrended series. See Creating a Chart for instructions.

2) Once the chart displays, click the "Table" tab at the bottom of the screen. A table similar to this example displays:

3) Scroll through the table data to find the date to be modified.

4) Double-click on the price or volume cell to be edited. A cursor will display. (Alternately, you may select the cell to be edited by clicking it once, then press the <F2> key.)

5) Type your changes, being sure to use the same units as the other prices or volume/OI for the contract or stock. Press <Enter>. The entire table row for the edited day will change color to alert you that you are not viewing original prices (even if you didn't make a change).

Your changes will be effective immediately in your chart and this table, where the edited data will display in a different color.

Your changes will be retained whenever the data series is recalled for new charts, and will be visible in export files the next time the files are rewritten. Please see the Editing the Database topic in the Data Resources chapter for more information on user-supplied edits that are retained in a portfolio.

Removing Edits

Whenever you manually edit a day of data through a UA price table, the edited lines display in a different color for easy identification.

You can restore the presentation of the UA compressed database by removing your edits.

To remove edits:

1) Click the "Table" tab to view the price table, as you did to edit the data originally.

2) Click the table row for the date you wish to return to its original form.

3) Right-click your mouse to display the following menu:

4) Click "Remove Edits for Record" or "Remove All Edits From Series," depending upon your preference. The entry that was created in the UA exception file for this specific date will be deleted, so only the data stored in the UA compressed database will be available for that commodity or stock. Your changes will not be saved in any way.

5) If you have written export files with edited data from your UA database, be sure to re-write those files so that the unedited data will replace the edited values.

Preferences

An alternatives to permanently removing edits is changing the setting in UA Preferences, "General UA Behavior 1" to "Ignore User Supplied Prices." When this setting is checked, no edited data will display in charts or be exported to files.


Adding Days

You may want to manually enter a day of data before you download that day's update from CSI or create a no-data buffer at the end of your current bar chart or data file, so UA allows for this through the data display table.

As explained in the Editing Charts topic, the UA database itself cannot be edited by the user, but UA allows you to create an exception file of revisions to be displayed in charts or written to export files.

To add a day:

1) Create a UA chart of any price series. See Creating a Chart for instructions.

2) Once the chart displays, click the "Table" tab at the bottom of the screen:

A table similar to this example displays:

2) Click anywhere on the table, then right-click your mouse. The following menu displays:

3) Choose from:

· Add Next Day - to insert a day at the bottom of your table. It will be dated the next business day after your last day updated. The values shown will be a repeat of the previous day. You may edit as desired.

· Add A Future Day - to insert a day or multiple days in the future using any price you desire for hypothetical testing. This form displays:

addfuture

Date: Type the farthest out date that you want included in your chart or data file using the CCYYMMDD format shown. The example above represents March 22, 2005.

Price: The default price is the close of the last day in your file. Change as desired. You can edit later.

Holiday: Check (click) the "Holiday" box if you want your new days to be treated as holidays (ignored).

· Add Blank Records - to add blank records using the above form, except that the "Price" field and "Holiday" selections are disabled.

Keep in mind that your added days, including hypothetical prices, will be included in future charts and any exported files for this market.

Removing Added Days

To remove the days added through this process, return to the data table, right-click your mouse and select "Remove Trailing Holidays" from the menu.

If you have written export files with edited data from your UA database, be sure to re-write those files so that the unedited data will replace the edited values.

Preferences

An alternatives to permanently removing the added days is changing the setting in UA Preferences, "General UA Behavior 1" to "Ignore User Supplied Prices." When this setting is checked, no added days will display in charts or be exported to files.


Mark As Holiday

UA and appropriately programmed compatible software will not chart or analyze a day that is marked as a "Holiday." Holidays are totally disregarded.

To mark any day as a holiday:

1) Create a UA chart of any price series. See Creating a Chart for instructions.

2) Once the chart displays, click the "Table" tab at the bottom of the screen:

A table displays (see below).

3) Click the "Date" field (first column) of any table row you want to mark as a holiday. You may mark multiple days by holding down the <Ctrl> key while selecting them. Next right-click your mouse to bring up a new menu as shown here:

5) Click "Holiday" (first on the menu). The entire day's entry will be hidden in the chart and table. If this series is included in a portfolio, the holiday designation will be preserved there and will affect future exported files.

Restoring Data to Non-Holiday Status

To undo your holiday selection for this chart, repeat the above process, but click either "Remove Edits for Record" or "Remove all Edits from Series," from the menu, depending upon which you want to do.

If you have written export files with unusual holidays from your UA database, be sure to re-write those files so that the "holidays" will be replaced with normal trading data.

Preferences

An alternatives to permanently removing "holidays" is changing the setting in UA Preferences, "General UA Behavior 1" to "Ignore User Supplied Prices." When this setting is checked, no user-defined holidays will display in charts or be exported to files.


Adjusting Screens & Windows

The entire UA screen is expandable as explained in this graphic:

You may add to or delete from the left and right screen areas by moving the common partition. To view more elements of the portfolio, either click the tiny right-pointing arrow on the divider between the Portfolio Manager panel and the charting window, or drag the divider bar to the desired location with your mouse. To do this, hold the mouse button down while dragging the divider to the desired position. Release the mouse button to drop the divider in place. The screen will present like this:

Use the same dragging technique to change the column width within the portfolio listing. You must grab the dividers in the header row at the top of the columns.

You may expand the chart area by clicking the tiny left-pointing arrow on the divider between the chart and the Portfolio Manager panel or by placing your mouse on the divider and dragging the boundary to the left:

Charting Windows

The default presentation of a UA chart allows multiple charts to be cascaded, while still showing the title bar of each. When multiple charts have been selected for charting, or after a second chart has been displayed, you can display multiple charts simultaneously.

You may select the way multiple charts are arranged on your screen by clicking on your choice from the pull-down WINDOW menu as shown:

This menu offers you choices of presentation, plus a list of all charts that are currently available for charting. These are charts that you have just viewed, as well as charts that have been created and have not yet been viewed. The maximum number of charts included here is determined by the Memory Cache Size setting on the Advanced 1 screen of General Program Settings of UA Preferences. This number typically does not exceed 12.

Tiled

Below is an example of tiled charts. UA will attempt to display all available charts on the same screen, so this presentation works best with four or fewer charts available.

Cascaded

Below is an example of cascading charts. In the cascaded form, the last contract created is on top of the pile of charts.

minmax Use these standard Windows buttons found at the upper right of each chart to minimize (left button), resize to full or partial screen (middle button) and close (right button). Click on the border of any chart to bring it to the front of the pile for viewing.

When a chart is minimized, UA creates a clickable button (see below) at the bottom of the screen identifying the data series. Double-click to restore the chart, or click once for various charting options.

Changing Colors

You can adjust the colors of the background and studies on your chart through the right-click menu as described in the "Change Color Scheme" topic.


Switching Charts

Once a UA chart is displayed on your screen, you can view a different chart in any of the following ways:

A) Scrolling through your portfolio

At the bottom of any chart that was created from a portfolio is a set of portfolio scrolling arrows:

Click the arrow at right to advance to the next contract or stock on your portfolio list or (once you have displayed one or more charts) click the left arrow to scroll backward through your charts. Note that when charts are selected this way, they do not count toward your charting limit (set on the Advanced 1 screen of General Program Settings in UA Preferences). Each new chart replaces the previous one on your screen, but recently displayed charts can be quickly redrawn by scrolling back to them.

If your chart includes a saved study, each subsequent chart reached through this scrolling technique will be drawn with the same study.

B) Selecting another series from a portfolio

You are not required to view every chart in your portfolio(s) during any given charting session. To select an individual series for charting, simply click it in the portfolio list and then click the [Chart] button or double-click it on the portfolio list. Alternately, you can click it and then either right-click your mouse or click the Portfolio menu. This brings up another menu from which you should click "Chart."

The new chart displays and is added to any previous charts that have not been closed. Charting series in this way will build a list of charts for viewing either individually or in groups as controlled through the "Windows" menu.

These charts are subject to the charting limit and cached in-memory settings on the Advanced 1 screen of General Program Settings in UA Preferences. Once the charting limit is reached, you must close one or more charts before more charts can be created.

Each chart created in this way will include the saved study (if any) that was shown on the last chart created in the same manner.

Click the x at the upper right corner of the chart to close it.

C) Selecting an open chart

You might have more charts available for viewing than are displayed on your screen. This would be the case if you chose "Select All" before directing UA to chart your data. It could also be the case if you add charts as described in method B) above. Click the "Windows" menu, where you can choose an individual contract or stock to chart, or select from the display options including tiling or cascading your charts.

D) Creating a new chart from outside your portfolio

Just as you had the choice of creating your first chart from outside your portfolio, you may add other charts in the same way. Making a chart from scratch uses exactly the same process as adding an item to a portfolio, except that no export file options are offered.

To begin click the "New Chart" icon on the UA toolbar (second from left):

See the "Creating New Charts" chapter for instructions.


Save to Portfolio

Whenever UA creates a new chart that was not selected from a portfolio, there is a large button in the lower right corner allowing you to "Save to Portfolio."

Click the button to bring up the following screen:

This screen lets you submit the necessary information to save your chart settings as a portfolio entry. Once saved in a portfolio, the chart can be easily recalled, or the data series may be written to disk for analysis with third-party software. If the desired portfolio does not exist, it can be created during this process.

Supply entries as follows:

Start Date

The default start date is the beginning date of the original chart (the first day provided with your CSI subscription, unless you changed the date when creating your chart). The example above shows a start date of January 3, 1949, but it is likely that your start date is within ten years of the current date. You may type a later date in a CCYYMMDD (century, year, month and day) format if desired to minimize computation time and disk space consumed. Modifying the start date might be useful if, for example, your trading system only looks at the last two years of data. In this case, you would receive no benefit from writing data files going back to 1949 or even 1995. Click the arrow at the right of the text box for the option of restoring the "As available" date range.

Stop Date

The default stop date is the last date updated. Do not change this date if you plan to have UA update this file on a regular basis. Doing so will cause a gap in your export file. A different stop date might be useful if you were creating a set of files that reflected trading for a given time period that did not approach the current date. If you enter a stop date, use the CCYYMMDD (century, year, month, day) format shown above.

File Format

Select the format or formats desired for the files that will be written to your hard drive, if any.

· ASCII - These text files present data in alphanumeric characters that can be read by people and computers. When ASCII (or Excel) is chosen, the [Options] button displays at right. Click it to display the following:

Make your selections as described below:

Field Separator: The Separator is used exclusively in writing ASCII format data files, where it determines what will be used to separate the fields (open, high, low, etc.). Click the arrow to the right of the text box to reveal the choices of "comma," "tab" or "space" as shown above. Make your choice according to your preference or the requirements of your analytical, spread sheet or publishing software.

Date Format - Include Century: This choice is used exclusively in writing ASCII and Excel format data files. It determines whether the year will be represented in two digits (without century) or four digits (with century). We recommend the century be included to preserve data integrity in cross-century analysis. Of course, this is a Y2K issue. Some software written in the 20th century is unable to handle a four-digit year presentation.

Example of date without century 041201 (December 1, 2004)
Example of date with century: 20041201 (December 1, 2004)

Edit Portfolio Options: Several additional ASCII file preferences were selected during portfolio creation and correspond to the selected portfolio. Click the [Edit Portfolio Options] button to review and/or edit these options. They are explained in the Edit Portfolio Setting chapter under "Settings Affecting ASCII Files."

· CSI for all programs that support the QuickTrieve format
· CSIM for compatibility with older MetaStock-compatible programs and perhaps new MetaStock
· MS format for use with MetaStockÒ
· Excel format for use with Microsoft's Excel spreadsheet software. Excel also uses the "File Specific Format Preferences" described for Ascii files, above.

Portfolio

The Portfolio selection determines where your files will be on your UA portfolio list and where they will be physically stored on your drive. Keep in mind that each portfolio has a set of specifications that you have selected for handling the files within it. Traders typically group data files together by format and requirements for third-party software programs to take advantage of the UA's multiple portfolio capabilities.

To select an existing portfolio, click the arrow at the right of the selection box to view all portfolios on your drive that are linked to UA. Click your choice to select. If no export portfolio is desired, select "Charts."

To create a new portfolio or select another folder that already exists on your drive, click the [New] button. The portfolio creation screen displays (partial view shown below), giving you the choice of entering a portfolio name or browsing to an existing folder.

The top portion of this screen (shown above) lets you select the name and location of your portfolio as follows:

Name: Enter the name of your new portfolio. Simply type a description or whatever nomenclature you prefer into the "Name" text box. We used "SamplePortfolio" in the example above.)

Directory: As you type the portfolio name, you'll notice that a corresponding directory name is inserted into the "Directory" text box below. The directory specified there will be the physical location of all files in your new portfolio. The default location is a directory whose name matches the portfolio name within the C:\UA\Files subdirectory. If you prefer to store this data in another directory, simply edit it here. UA will automatically create the directory if it does not already exist. Another option is to click the [Browse] button and navigate to the existing directory of your choice.

The lower portion of the screen shows portfolio settings, which you may edit as desired. These are explained in the Editing Portfolio Settings chapter.

Click [OK] to accept the portfolio entries and return to the Choose Portfolio Format screen.

Periodicity

Check the appropriate box to choose (D)aily, (W)eekly, (M)onthly, (Q)uarterly, (S)emi-Annually or (Y)early presentation in your export files. Note: Most analysis programs can easily process daily data files as weekly or monthly series, but more condensed files cannot be reverse-engineered back to daily or weekly files. If in doubt, create daily files.

Click [OK] to save the selected file(s) to your specified portfolio.


My Studies

Unfair Advantage allows you to add technical indicators (studies) to your charts, as explained in the "Using the Indicator Menu" topic and in the Study Toolbar chapter. Any of these studies can be saved for automatic addition to your new charts through the "My Studies" selection box below the chart.

Here's how it works: First create any chart and add one or more studies. Once the chart redisplays with the indicator(s) in place, you may add the study or group of studies to a handy list as follows.

1) Click the arrow beside the "MyStudies" text box below your chart (it probably says "No Studies" or "Being Edited") to drop down a menu of choices. Click "Add New Template" from the bottom of the list. Alternately, you may place your cursor on the text box and right-click your mouse. This will bring up a menu with more manipulation choices, including "Add," "Save," "Delete" and "Delete All." From there, click "Add."

Whichever method you select for adding your template, the following displays:

Type the name of the study in the text box and click [OK]. We entered "Moving Averages" in this example. Use whatever name is appropriate for your given study or group of studies. The name of this study template will display in the box below your chart.

Choosing Saved Studies

To see the full list of saved studies, click the arrow next to the box at the bottom of the screen as shown:

The template name of every study you have saved through this feature will display. Simply click the desired study, and your chart will be redrawn showing that study or group of studies. This list of studies will be stored and accessible from charts created through MarketScanner as well as this charting module.

Applying a Saved Study to Subsequent Charts

Each new chart will include the study whose template is currently active (or no study, if "no study" is selected). Your first chart will reflect the study whose template name was left in the box when last you used the software.

If you apply a study through this menu, the currently displayed study will appear on the next chart you create using the Portfolio Scrolling arrows (to the right of the study template name). However, if you select individual charts from your portfolio listing or through on-demand charting, the resulting study will be the same one used on the last chart created in the same manner.

If the displayed study is not the one you want, you may change it by clicking the arrow beside the active template name and selecting the desired study from the menu.

Removing Saved Studies From Your Chart

Click the arrow and select "No Study" if you wish to display charts with no studies.

Removing Studies From the Menu

To remove a study template, highlight its name on the menu and then right-click your mouse. Select "Delete" from the options that display. To delete the whole list, select "Delete All."

Saving Edits

Once you have created a study template, you can change it by simply creating a new study or set of studies on your chart and then saving the template under the previous name as follows:

After you have edited your chart with the new template as desired, right-click the "My Studies" text box under your chart. It doesn't matter what template name is displayed there. A pop-up menu will display.

Click "Save" to produce the following selection screen:

Click the template that you wish to replace with your new template, and then click [OK]. Note that this "Save" feature is not used for creating a new template - only for editing and replacing an existing template.


Using the Indicator Menu

The Indicator menu is a new addition to Unfair Advantage, offering streamlined access to technical studies. The Indicator menu is located at the top of your UA charts and initially displays with "No Indicator" in the selection box as shown:

To see the Indicator menu, click the arrow at the right edge of the selection box. Use the scroll bar at the right side of the menu to scroll through the lengthy list:

Click your choice to begin technical analysis. When completed, the chart displays:

Here are some things you should know about the Indicator Menu:

· This feature displays one indicator at a time.
· Each subsequent indicator selected replaces the previous one.
· The study will be superimposed on the bar chart in the main charting window.

Study Language & Parameters

The language used for calculating the indicator is set through UA's Interpreted Studies feature. You may view and edit the parameters used here through the Interpreted Study feature's Code Editor screen.

Removing Studies

Studies may be removed by choosing "No Indicator" at the top of the menu or by selecting "Clear Studies From Chart" from the Chart menu.


Using the Study Toolbar

The Study Toolbar is a gateway to market analysis. The toolbar provides access to a large number of sample studies that were provided with Unfair Advantage and also allows you to edit these or even write your own software for custom analysis. A major benefit of the toolbar is that it saves your list of favorite studies (including customization) so you can easily access them.

To reach the Study Toolbar from a UA chart, click the Chart Menu at the top of the screen and then click "Study Toolbar" as shown below.

Alternately, click the "Indicators" button on the Chart Toolbar:

The example below shows a sampling of studies that may be listed when you first receive Unfair Advantage. You can select any of these to add to your chart and may customize the list to show your favorite studies.

The features of the study toolbar are so varied and significant that they are described in a separate chapter of this manual. See the Study Toolbar chapter for full information on adding, editing, deleting and applying studies listed here.


Chart Tools

When viewing a chart with Unfair Advantage, you have access to several useful features listed on the "Chart Tools" menu.

To use, click the "Chart Tools" button at the far right of the chart toolbar. Alternately, click the "Chart" menu and then select "Apply Tool."

The tools menu displays:

Choose from:

Trend Line

Add one or more trend lines to any UA chart by clicking "Trend Line." Although it may seem as if nothing has changed, your next mouse click will define the starting point of a trend line on your chart.

Click on whatever point is to be the starting point, then, with the mouse button still held down, move your mouse to draw the line to its terminus. Release the mouse button on the ending point to finish off your trend line. Repeat the entire process to draw additional trend lines. Each will be drawn in a different color.

Annotations

Write notes on your UA chart with this feature. Click "Annotation" and our next mouse click will determine the placement of a text box on your chart.

Click on whatever point on your chart is to be the location of your annotation. A text box will display. Type your message, which is limited to the space shown, and press <Enter> to complete your entry.

Rectangle

Add rectangles to any UA chart to add visibility to chart formations. Click "Rectangle," and your next mouse click will define the starting point of a rectangle on your chart.

Click on whatever point is to be the starting point, then, with the mouse button still held down, move your mouse to expand the rectangle to the desired size and shape. Release the mouse button to finish off the rectangle. Repeat the entire process to draw additional rectangles, as desired. Each will be drawn in a different color.

Ellipse

Like the rectangle, the ellipse is a geometric shape used by some chartists to evaluate chart formations. To add ellipses to your UA chart, click "Ellipse" and your next mouse click will define the starting point of the ellipse.

Click on whatever point is to be the starting point, then, with the mouse button still held down, move your mouse to expand the ellipse to the desired size and shape. Release the mouse button to finish off the ellipse. Repeat the entire process to draw additional ellipse, as desired. Each will be drawn in a different color.

Gann Fan

W. D. Gann's analysis techniques focused on the relationship between time price, which his "Gann Fan" charting technique illuminates. UA automatically creates Gann Fans radiating outward from your chosen reference point. Since the typical use of this tool is to show angles representing the rate of equivalence between time and price from significant tops and bottoms, your chosen reference point should be a top or bottom on a chart (usually a Gann Contract continuous chart). The slopes of the fan lines are: 8, 6, 4, 3, 2, 1, -1, -2, -3, -4, -6, -8.

To add a Gann Fan to your chart, click "Gann Fan" and then click the top or bottom you wish to use as your reference point. The Gann Fan displays. Note that Gann Fans are often projected into the future, so you may want to "Add Blank Records" before adding Gann Fans to your chart.

Gann Fan with Reflection

Gann Fans (described above) can be displayed with an additional feature called "Reflection," which shows the fan angles bouncing off the theoretical bottom of your chart (zero).

To add a Gann Fan with Reflection to your chart, click "Gann Fan with Reflection" and then click the single top or bottom you wish to use as your reference point. The Gann Fan with Reflection displays. The vertical size of your chart determines how much of the reflected angles display on your chart. Use "Enlarge Price Range" through the Right-Click menu to adjust. You may also want to use "Add Blank Records" to add a buffer for forward projection before adding Gann Fan with Reflection to your chart.

Zoom By Box

The "Zoom by Box" feature is another way to change the quantity of data shown on your charts.

Click "Zoom By Box" and you will be able to define a box representing the time period you wish to view on the screen. Set the first boundary by placing your cursor at the desired position and clicking the mouse button. Hold down the button and drag the cursor to the desired location, thus creating an expanding box. When the box is formed as desired, release the mouse button. The date period within the defined box will now fill the screen.

Undo Prior Zoom

To unzoom, return to the Chart Tools menu and click "Undo Prior Box Zoom." Alternately, you can use the " Zoom Out" icon to reduce the zoom level.

Removing Tools

To erase all trend lines, annotations, rectangles and ellipses, click the "Chart" menu at the top of your UA screen and then click "Clear Chart Tools/Annotations."


Removing Studies

You can clear studies from your UA chart in several ways:

1) From the Chart Menu above the Unfair Advantage toolbar, click "Clear Studies from Chart," "Clear Study Template Selection" or "Clear Chart Tool/Annotation, as appropriate to your application:

2) If the studies were added through the study templates, you can also clear them by returning to the study template selection box below the chart and selecting "No Studies" from the menu.

Exiting the chart will remove the study, but "Change Data Series" (at the bottom of above menu) will not. The replacement series will be displayed with the same study, recalculated for the current data.

This topic completes the "Chart Interpretation & Manipulation" chapter.

See the Study Toolbar chapter for information on adding studies to your chart.


Study Toolbar

UA's Study Toolbar allows you to select multiple studies (indicators) to display on your current chart, and to program your own studies for custom analysis. This feature is the same for charts made through UA's basic charting module as it is for charts made with MarketScanner.

The main benefit of having a Study Toolbar is that it allows you to create and customize a list of studies that you wish to use on a regular basis.

chchartico The Study Toolbar is essentially a "Favorites" menu. Get there by clicking the "Indicators" icon on the UA tool bar or by clicking "Study Toolbar" from the Chart menu:

This brings up the Study Toolbar as shown here:

The toolbar shown above has been customized with several studies. As you can see, this example includes some internal DLLs which are provided initially, as well as studies in AnyLanguage (CSI's own programming language) and VisualBasic (VBScript). Each of these listings includes the selected parameters for study input.

The Study Toolbar offers four possibilities as described throughout this chapter.

Apply Study - To apply any of the listed indicators to your current UA chart.
Add Study - To customize the list with included or self-written indicators.
Edit Study - To change the parameters or even programming code for a currently listed study

Click the appropriate link (above) for instructions.

Delete Study

To remove any indicator from the Study Toolbar, select the study from the list (click it) and then click the [Delete] button. The study will be removed from the toolbar, but the programming code will remain intact within your Study Library.


Apply Study

Once you have reached the study toolbar (by clicking the "Indicators" button or through the Chart menu), you can use it to quickly and easily select a study for charting.

If the study you wish to perform is listed on the toolbar, select it from the menu (click it) and then click the [Apply] button. You'll be asked to pick a pane for applying the study with this box:

As shown in the above example, the panes apply to windows within your UA chart:

· If you want the study superimposed with the bar chart, select pane 1. UA will redraw your chart as before, with the bar chart and study sharing the main charting pane.

· For pane 2 or 3 (currently empty), click 2 or 3, respectively. If these panes are selected, UA will re-draw your charting window with extra panes holding just the study data.

· To show your study in the lowest pane along with volume and open interest data, select 4.

Click [Apply] to enter your choice.

This will start the analysis process. The study will be performed on the maximum amount of historical data available to the system at the time of your study, subject to limitation for AnyLanguage on the Charting Preferences screen of UA Preferences. Your historical database may be restricted to a subset of the full CSI historical database, depending upon your CSI subscription type.

The study will display in the selected charting pane, with the Study Toolbar and all four panes still visible.

The "Drag & Drop" technique:

An alternate way to select and apply a study is to click your mouse on any listed study and (while still holding down the mouse button), drag the study to a pane on your chart. Release your mouse button in the desired pane to begin the analysis. The resulting chart will display as described above.

Adding More Studies

If you wish to add more studies after your first choice has been calculated, repeat the selection process. You may add multiple studies to any chart and to any pane. Be aware of chart scales for best results when choosing studies.

Restoring the Full Charting Screen

When you have finished adding studies, click the "X" at the upper right corner of the Study Toolbar:

A study done in Pane 1 (with bar chart) will look something like this example of a moving average convergence/divergence study.

If the study you want to add is not listed on the Study Toolbar or if you want to change the study before applying, you may:

· Add Study
· Edit Study

Click the link (above) for instructions.


Add Study

Studies are placed on the Toolbar through the [Add Study] button at the bottom of the Study Toolbar:

Click the [Add Study] button from the Study Toolbar to produce the following screen.

Use this screen to either add one of the studies from the drop-down menu or to add a study from the Interpreted Study library.

Adding Studies from the Menu

When initially displayed, the selection box on this screen shows "None" (for no studies). Click the arrow at the right to drop down the menu as shown above.

The current list of indicators includes:

· Briese's COT Index (Commitment of Traders index)
· Seasonal Index
· Moving Average
· RSI (Wilder's Relative Strength Index)
· Stochastic
· MACD (Moving Average Convergence/Divergence)
· Basis
· Spread
· At the Money Study

Note that some of the studies on the menu become available only when appropriate for a specific data series. For example, Briese's COT data might be offered for many commodities, but only if COT data is available for the selected market. When dual series are charted, spread and basis studies become available. At the Money Study applies only to options.

If you want to add any of the studies listed to your Study Toolbar for use now and/or in the future, click it on the list.

Additional prompts will display on the screen allowing you to customize the study, as in the example below for Moving Average Convergence/Divergence (MACD).

The specific parameters and their uses are described in detail for each study in the corresponding topics of this chapter. Click the links, above, to view. You may modify the parameter entries or accept the defaults that reflect commonly used settings. Modify as desired, and click [OK] to complete. This will accept the current entries and insert the customized study on your Study Toolbar menu.

Returning to the Study Toolbar, you will find that your selected study is now listed there. Click it, and then click [Apply] or "drag and drop" the study into your chart as described in the "Apply Study" topic.

Adding Interpreted Studies to the Study Toolbar

An alternative to selecting one of the half-dozen on so studies included on the basic study menu is to delve into UA's Interpreted Study Library, which offers a wide selection of additional studies. The Interpreted Studies feature is also used for writing custom studies and for editing studies.

To use, click the [Interpreted] button at the lower left of the "Select Study" form.

See the "Add Interpreted Study" topic for further instructions.


Briese's Commitments of Traders

Commitment of Traders data lets you keep tabs on the market interests of larger traders and hedgers, whose activities often influence future price performance. CSI offers Steve Briese's COT index, which is based on the CFTC's Commitment of Traders reports for 63 commodities. Our data set includes Steve Briese's index computations, as well as the CFTC's raw released information with, in some cases, adjustments for obvious errors in the CFTC' s report. These bi-weekly reports are available every Tuesday with any corrections for the earlier week and the new government computed statistics on alternating Tuesdays. The calculation for Briese's COT Index is proprietary.

If COT data is not available for the market you have charted, then this menu option will not display.

chchartico To add Briese's COT Index data as a study to any continuous price series (for which COT is available) simply make a chart of the underlying commodity, click "Indicator" button on the toolbar, and then click the [Add Study] button. Click the arrow next to "None" in the Select Study window and then select "Briese's COT Index" from the menu. If Briese's COT is not listed on the study menu, then no COT data exists for the selected market.

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "Briese's COT Index.

crossico While viewing a chart, numerical values for Briese's COT Index may be viewed by clicking the Tracker button on the toolbar as shown below. This is an example of a continuous price series with COT data added as a study.

Briese's COT Index Chart Interpretation

The light blue line represents the Large Speculators Index value (40).
The dark blue line represents the Commercials Hedger Index value (54).
The gray line represents the Small Trader Index value (69).

According to Steve Briese: "The value is high when commercial interests are large against small trader interests, and the value is low when commercial interests are short against small trader interests."

More COT

In addition to offering the Briese COT Index as a study within UA's charting package, CSI also offers both raw Commitments of Traders data and the Briese COT Index data as data series available in the CSI database. As such, these series can be added to any portfolio for charting, analysis and export to other applications. See Commitments of Traders Data in the Data Resources chapter for information on handling both COT data and Briese's COT Index data as individual data files. There you will also find information on the record layout of these series.

For more information on C.O.T. data and their use, you might want to subscribe to Steve Briese's Bullish Review (phone 888-423-4950). Every two weeks, Steve reports on dozens of government-regulated commodity markets. He supplies charts of market behavior, inclusive of his index, and commentary on future price performance prospects derived from the C.O.T. data.


Seasonal Index

Seasonal Indices are a compilation of daily seasonal values for individual commodities. A seasonal index rating is calculated for each of the average 251 trading days per year using the vast data resources that are provided with Unfair Advantage. Some of the resulting indices are virtually mirror images of the recent past, while others reflect only subtle seasonal effects. Seasonal indices offer a way to combine seasonal information on commodity data with daily chart analysis to promote a better understanding of price movement.

The seasonal index represents a + or - 3 sigma confidence interval over time. It reflects and reports upon the entire history of the series given as input in a cumulative manner. In the non-amplified form, the index is painted a day at a time as more input contributes to the seasonal pattern. The index may become more and more dampened as more information is supplied. There is no attempt to use the final year in the seasonal waveform to explain the past. In other words, the seasonal wave for of, say, a ten to 20 year series can be used as an input to forecast future events or simulate past events without bias where any then-current reading does not and cannot affect earlier seasonal patterns. Improved results may appear when longer term computed input is prepared using the "detrend" option.

chchartico To add Seasonal Index data as a study to any continuous price series, simply make a daily chart of the underlying market, click the "Indicator" button on the toolbar, and select "Seasonal Index."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "Seasonal Index."

Amplify:

The only user-defined parameter in the seasonal index computation is amplification. This makes the seasonal waveform easier to conceptualize and amplifies seasonal effects. Unfortunately, by selecting amplification, the significance of the seasonal effects will be distorted because the measured significance of the sigma readings will be lost.

Here is an example of a Seasonal Index chart drawn from the detrended live cattle series (Upper Chart).

Don't attempt a seasonal index calculation unless your input time series holds more than one full year of data. When years of substantial history are supplied, the cumulative general waveform tends to prevail all of the time. The resulting waveform becomes more and more characteristic of the commodity as more data is processed. We recommend this study be performed on at least ten years of daily (not weekly or monthly) data. If a computed contract is used as input, it must not contain ANY negative values.

The suggested usage of seasonal indices is to look for coincident peaks and troughs between the market and the index. When peaks coincide or when troughs coincide, the risk of loss on a trading position should be at its minimum. For some traders this may translate into an opportunity to take a heavier position. It is not recommended that seasonal indices be used as the sole basis for trading. They should only be used in conjunction with other confirming market factors.


Moving Average

A moving average is a mathematical attempt to smooth fluctuations in price. It is the mean average of a price field (in this case, the close) over a given period. This is the sum of the prices over the period divided by the number of samples in the study. Each day the average is re-calculated using the same number of observations by adding one new reading and deleting the first reading for the period. Hence, the average is moving. This study is used to compare current values with one or more smoothed values. This is a moving average crossover study, which displays averages based on three intervals of your choice.

chchartico To add moving averages to any price series, simply make a chart of the desired commodity contract, stock or index, click the "Indicator" button on the toolbar, and select "Moving Average."

Alternately, pull down the Chart menu, click "Study Toolbar" and select "Moving Average."

1st Period, 2nd Period and 3rd Period:

Prompts for moving average parameters will immediately be added to UA's "Select Study" screen. The user-defined parameters are the three moving average intervals, defined as the 1st Period, 2nd Period and 3rd Period, respectively. If fewer than three averages are desired, you must repeat a period value in the unused text box(es).

The default parameters are for 5-, 10- and 15-day moving averages, as used in the following example:

Interpretation:

A rising moving average is associated with a rising market and a falling moving average is associated with a falling market. Since moving averages lag behind the market, some trend-followers buy when price rises above the moving average and sell when price falls below the moving average.

Other traders use multiple moving averages to generate trading signals from dual or triple-average crossovers. Buy signals occur when the shorter moving average crosses over the longer moving average. Sell signals require the reverse. Moving average crossover dynamics explain hindsight momentum changes in the market studied.


RSI

RSI (Relative Strength Index)
Previous Top Next

The Relative Strength Index, developed by J. Welles Wilder, determines market movement measured as the rate of change. It attempts to correct perceived shortcomings of the standard Momentum study.

chchartico To add RSI to any price series, simply make a chart of the desired series, click the "Indicator" button on the toolbar, and then select "RSI."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "RSI."

Period:

The only user parameter for this study is the Period length. The default response of 14 is most commonly used. Here is an example:

Since, in our example, the RSI is superimposed on the bar chart, its scale is on the left. The price scale is always on the right.


Stochastic

The stochastic method of market analysis is an attempt to identify turning points. It is based on the premise that as prices increase, daily closes move closer to the upper end of the price range for the given time period. As prices fall, closes move closer to the bottom of the price range.

Two lines are used in the stochastic process. One, called the K line, which is usually presented as a solid line, indicates, on a percentage basis, the relationship of recent closes to the price range. The second line, called %D and usually presented as a dashed line, represents a three-day moving average of the K line. The %D line is similar to the K line, but is considered to be a dampened indicator. Think of the K line as a measurement of price velocity and the D line as a measurement of price acceleration.

chchartico To add a Stochastic study to any price series, make your chart, click the "Indicator" button on the toolbar, and then select "Stochastic."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "Stochastic."

%K and %D

K - Enter the sample period. If, for example, you are using a daily chart, the default response of 11 indicates that the study looks for the relationship of closes to the range in eleven-day periods. If the same value were used on a weekly chart, the study period would be 11 weeks.

%D - Enter the period to use for the moving average which dampens the K results.

We use a simple stochastic, as opposed to weighted or exponential. The formula we apply produces a "fast" stochastic, as further dampening is not permitted. An example follows:

Interpretation:

In general, trading opportunities are based on divergence between price and the %D line. Actual signals are indicated when the divergence between price and the %D is followed by the crossing of the K and %D lines. A buy signal is generated when the dashed %D line crosses below the solid K line. A sell signal is generated when the %D line crosses above the K line.

Traditional thought holds that buy signals are considered most significant when they occur at index levels between 5 and 15. Sell signals are most significant when they occur at index levels between 85 and 90. Crossings are considered more significant if both lines are moving in the same direction.

Stochastics have a tendency to give sell signals while a market is still rising and buy signals while a market is still falling. For this reason, it has been suggested by several analysts that stochastic signals be used only in the direction of the current trend.

This indicator was developed by Dr. George C. Lane. He discusses this indicator in the June, 1984 issue of Technical Analysis of Stocks and Commodities. It is also included in many general books on technical analysis.


MACD

The popular Moving Average Convergence/Divergence indicator was developed by Gerald Appel to take advantage of the market visibility revealed by the divergences that occur in what is normally a coincident indicator. This means that the MACD is usually coordinated with the market price, but is most valuable as a market indicator at times when it is not.

chchartico To add Moving Average Convergence/Divergence (MACD) to any price series, simply make a chart of the desired series, click the "Indicator" button on the toolbar, and then select "MACD."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "MACD."

Slow Moving Average, Fast Moving Average, Exponential Moving Average:

These are the parameters used in creating the study results. When requesting an MACD study, it is usually advisable to take the default settings provided as used in the example below:

Three indicator lines are provided to explain the study results:

· The "difference line" is known as the MACD "fast" line. It is calculated as the numerical difference in price between the first two of the three exponentially weighted moving averages supplied as input defaults. (An exponential moving average is one where disproportionately heavy weight is assigned to the recent past.)

· The "slow Signal" line uses the third moving average period to measure the rate of change in movement of the difference line.

· Finally, the "histogram" line presents the difference between the blue and green lines. Although it is called the MACD-Histogram, it is shown as a line (rather than a histogram) to simplify the busy study results in an easier-to-read format.

Popular trading sentiment is that you should own a stock only when the difference line is above the signal line. If the difference line is below the signal line, a shorting opportunity may exist. Buy signals may occur when the difference line is below the midpoint and crosses above the signal line.

The most significant signals generated by the MACD indicator occur when the difference line and the and price trend diverge. The difference line is said to lead the way to the new market direction.

The "histogram line" is a recent addition to UA's MACD study. Users examine this line, watching for market movement down from a local peak. When it begins to fall from a peak, a sell signal is developing. Conversely, when the histogram line begins to rise from a trough, a buy signal is developing.

"Trading For a Living," by Alexander Elder, and published by John Wiley & Sons in 1993 is a good source of information and many other reports on technical indicators.


Basis

The Basis is the difference between the cash market and the futures market price for a given commodity. The cash market is not necessarily related to the futures exchange, although it can be. In some cases, the cash price for a commodity is set by a stockyard, an over-the-counter market or even by unrelated grain elevators in an area where the commodity is produced.

chchartico To add the basis to any commodity chart, simply make a chart of the desired series, click the "Indicator" button on the toolbar, and then select "Basis."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "Basis."

CSI quotes cash prices for most, but not all commodities. If a cash price is available, the cash premium can be displayed when Basis is selected from the Study Toolbar. Lag day cash prices, which are one day delayed, are provided for some commodities. Check the footnotes of the fact sheets for information on non-standard cash price data.

If no cash price is available for a particular market, the Basis study will not be offered.


At the Money Study

This original CSI study uses the range of option strike prices to identify the points above and below the market where trading at-the-money options would likely be more advantageous than trading the underlying futures contract, stock or index. The study values form bands around the underlying market's prices that may be considered likely support and resistance levels.

chchartico The "At the Money Study" is only available when a raw price series with corresponding options is displayed as a UA chart. This means that the study will not be available for back adjusted, Nth nearest, Perpetual Contract or cash series, and that it is only available to subscribers of the CSI Options database.

To view the study, make a chart of the futures, stock or index series that meets these specifications, click the "Indicator" button on the toolbar, and then select "At the Money Study."

Alternately, pull down the Chart menu, click "Study Toolbar" and then select "At the Money Study."

No user input is required, so the study displays as in the following example, which uses the "Tracker" to show numerical data:

Interpretation:

The "At-the-Money" put value (the upper line on the chart) is the sum of the current underlying futures contract, index or stock's closing price plus the premium on the corresponding at-the-money put option.

The "At-the-Money" call value (the lower line on the chart) shows the current underlying futures contract, index or stock's closing price less the premium on the corresponding at-the-money call option.

Together, these two lines show the span of premiums that reveals expected volatility in the given market. This range of premiums is created by the options traders themselves, and is unrelated to any technical or fundamental data.

From the trader's perspective:

Savvy investors know that the option markets provide unique opportunities for both profit and protection. This study helps to illuminate those opportunities. For example, many people bought tech stocks all the way to the top, and then stood helplessly by as their money disappeared on the way down. If they had bought call options instead, their losses would have been limited to the option premium, as opposed the full drop in the stock's price. Depending upon the stock and the specific entry and exit points, the result might have been significantly less red ink. Of course, option trading is not for everyone, as it carries a significant risk of losing money.

Here's an example of how this study might be used. On March 23 of 2000, investors had a choice between buying shares of a Nasdaq Index mutual fund when the Nasdaq was 4660.62 or buying a 4660 April call on the Nasdaq for $301.37. If you bought 100 shares of the fund and dumped them when the index hit 4000, you would have lost roughly $66,000 (the 660 point difference x 100 shares). If, on the other hand, you had purchased the option and let it expire worthless, you would have lost only about $30,000. The loss accrued on the option trade would have been 54% less than the loss would have been on the shares. If, hypothetically, the Nasdaq had gone to zero, the investor would have lost about $466,000 on the shares, but only the same $30,000 on the call -- a 93% reduction in loss. If, however, the Nasdaq had gone up, the value of the call would have increased almost dollar-for-dollar and could have been exercised for nearly a dollar-for-dollar profit.

One could argue that this is not an apples-to-apples comparison. After all, the index fund trader could have put a 301-point stop on the position and had the same result, but that isn't a likely scenario. It was a rare overnight stock trader who actually placed stop orders in March of 2000, and there is nothing that says a stop order would have been executed anywhere near 4299. In fact, the market fell right through 4299 on March 30th, with an intraday low of 4151.12, recovering to close at 4250.19. An unfortunate fill on that day could have left the trader with a sale at the low, and losses of up to $50,950. A comparison of the fund to the option here says the result would have been 69% worse for the fund investor.

That is not to say that stops are useless; just that if the market is willing to sell you an at-the-money call for less then your stop, you can gain peace of mind by converting your soft stop to a hard stop, virtually for free. The costs are just the depreciation in the time-value of the option, and the fact that your call will only gain value dollar-for-dollar once it is deep in the money. Slight gains in the index would be lost to the option trader, but a stop order would retain them because there is no cost associated with the order itself.
There is a time limit on the option, however, so this approach is only suitable for medium- to short-term traders.

If you would like to place a stop closer than what the current at-the-money call is selling for, then you could buy an out-of-the-money call. UA's At the Money Study doesn't address those opportunities. Instead, the At the Money Study shows you what the at-the-money put and call equate to as a stop order. If you are thinking of placing a larger stop, this study helps you evaluate whether an at-the-money option might better meet your needs.


Add Interpreted Study

Unfair Advantage's Interpreted Study Library is a tremendous collection of published studies that have been added to UA at the request of CSI customers, as well as some unique programs that have been developed at CSI. A key feature of the Interpreted Studies module is that it allows you to modify the provided programs and even write trading algorithms of your own. Any study in the Interpreted Studies library can be added to your Study Toolbar for occasional or everyday use.

This feature places any indicator from the Interpreted Study Library onto the Study Toolbar for access.

To get to this point, launch the Study Toolbar from the Chart menu or from the "Indicators" icon on the UA toolbar. Click [Add Study] to display the following:

Click the [Interpreted] button to bring up the Code Editor screen. An example is shown below:

Language Selection

If you have a preference for using programs written in one language over another, click the "File" menu at the top of the screen and click "Change Language Mode."

From the language menu, you may choose between Visual Basic, Perl, Java and CSI's own AnyLanguage. The lists of available programs are not necessarily identical in the various languages, so you might want to experiment to see which best meets your needs. See the Interpreted Studies chapter for more information on this.

Choosing Indicator from List

To view a list of available studies in your selected language, click "Indicator From List" at the top of the screen. A menu much like the following displays: (This example is for AnyLanguage Studies)

This list includes not only technical studies, such as stochastics and Ultimate Oscillator, but also several subroutines that may be useful in your own programming. Place your cursor on any of the indicator categories, and then click your choice on the resulting menu.

The exact offering of studies will depend upon the chosen language, but here is an example from the AnyLanguage Classic Menu:

Selecting a study from the menu brings you back to the Code Editor form with the desired study selected. The required expression to launch the program displays in the top window and the full programming code displays in the lower window:

In reviewing this example, you'll see that the values within parentheses in the expression (top window) are default parameters for performing the study. The above Stochastics example has three parameters, which are 5, 3 and 3. They are defined in the line of code that reads:

inputs: size,First_moving,Second_moving;

This indicates that the first input is the (window) size, the second input is the first moving average and the third input is the second moving average, which is used for smoothing. You may change the default parameters in the expression line as desired.

For example, to change the window size to seven (7) days, you would adjust the expression in the top window to show:

Stochastic (7,3,3)

You may view and modify the code here as desired. (See the Edit Study topic and the Interpreted Studies chapter for more on all of this.)

Click the [OK] button at the bottom of the Code Editor screen to save your settings as a new entry on the Study Toolbar. The parameters you included in the expression will be part of the Study Toolbar entry, but the Study Library itself will not be changed unless you save your changes (see below)

Applying an Interpreted Study to Your Chart

Once the study is added to the Study Toolbar as described above, you may apply it to the active chart. See the "Apply Study" topic for instructions.

Saving Interpreted Studies

If you make changes to the Study Library that you want to save for all future applications (aside from the saved expression on the Study Tools menu), click "File" at the top of the Code Editor screen and then choose either "Save" or "Save and Close" from the menu. Alternately, click "Close Without Saving" to discard changes to the Study Library.


Edit Study

To edit the study parameters or programming code for any study listed in the Study Toolbar, select the study and then click the [Edit] button. If the study you want to edit is in your Study Library, but not listed on the Study Toolbar, select any study on the Study Toolbar, click [Edit] and then navigate to the desired study with the Code Editor as described below.

The Code Editor window will display, showing the expression to run your selected study, including adjustable parameters, in the top window and the programming code in the bottom window, as in the example below:

If your screen shows just the expression window and you want to view the programming code, click the [More>>] button shown here:

Language Selection

If you have a preference for running or modifying your program in one language over another, click the "File" menu at the top of the screen and click "Change Language Mode."

From there you may choose between Visual Basic, Perl, Java and CSI's own AnyLanguage. AnyLanguage offers the advantage of a "Debug" mode that may be helpful if you will be adjusting the programming code. The lists of available programs are not necessarily identical in the various languages, so your chosen study might not be available in every language.

Click your choice to display the program in your preferred language in UA's Code Editor screen.

Editing Study Parameters

Below we repeat the "Stochastic" example from the "Add Interpreted Study" topic to explain editing the parameters in the top "Expression" window.

In reviewing this example, you'll see that the values within parentheses in the expression (top window) are default parameters for performing the study. The above Stochastics example has three parameters, which are 5, 3 and 3. They are defined in the line of code that reads:

inputs: size,First_moving,Second_moving;

This indicates that the first input is the (window) size, the second input is the first moving average and the third input is the second moving average, which is used for smoothing. You may change the default parameters in the expression line as desired.

For example, to change the window size to seven (7) days, you would adjust the expression in the top window to show:

Stochastic (7,3,3)

Clicking [OK] on this screen loads the current expression, including parameters, as a saved entry on the Study Toolbar. It does not save any changes to the Study Library. See below for instructions on saving your changes.

Editing Programming Code

Use the scroll arrows to view the full program for the selected study. Edit as desired. See the Interpreted Studies chapter for more information on using the Code Editor form.

Applying an Interpreted Study to Your Chart

See the "Apply Study" topic for instructions on running the study, which is now listed on your Study Toolbar.

Saving Interpreted Studies

If you make changes to the Study Library that you want to save for all future applications (aside from the saved expression on the Study Tools menu), click "File" at the top of the Code Editor screen and then choose either "Save" or "Save and Close" from the menu. Alternately, click "Close Without Saving" to discard changes to the Study Library.

This topic completes the "Study Toolbar" chapter.

See the Chart Menu chapter for information on more ways to view and manage your charts or the Interpreted Studies chapter for details on custom programming.


Chart Menu Overview

Use the Chart menu to create or manipulate a UA chart. Any time a chart is displayed on your screen, you may create another chart, overlay a chart, change the zoom level, use a "tracker" or add shapes, lines and notations through the Chart menu shown here:

Choose from:
· New
· Overlay Data Chart
· Zoom Out
· Zoom In
· Tracker
· Study Toolbar
· Apply Tool
· Clear Study Template Selection
· Clear Chart Tools/Annotations
· Clear Studies from Chart
· Change Data Series

Click your right mouse button from any chart for an additional list of chart manipulations.


New Chart

Click "New" from the Chart menu to create a new chart. A "Selecting Data Series" screen will display, allowing you to select the market type, (futures, stocks or cash), your desired markets, delivery months or computed contracts (for futures) and various other settings for the chart you wish to create.

All of these choices are described in detail in the "Creating New Charts" chapter of this manual. Please refer to those instructions.


Overlay Data Chart

An overlaid data chart is a chart placed in a window with another data series. The result is a single charting window that contains graphs of two price series simultaneously.

Two types of overlays are possible with Unfair Advantage:

· An overlaid price series, combining data from two active charts.
· An overlaid industry or sector index, combining price data from a single active stock chart with its corresponding industry or sector index.

Overlaid Price Series

To overlay a price series, produce a normal chart for each of the two series and position the charts. You may want to select "Tile" from the "Window" menu to fully display both charts, as shown below, but this is not necessary.

Click your mouse in the charting window you want to hold both charts to make it the active window.

Now click the "Chart" menu at the top of your UA screen, and then click "Overlay Data Chart" from the menu as shown:

You will be asked to select the data series with this form:

This form lists all currently active charts except the one in the active window. If your active chart is a stock, you will also be offered corresponding Industry and Sector Indexes (see below). Click your choice and then click [OK].

Overlaid Industry or Sector Index

As in the above example, when one or more stock series is charted, you may overlay its corresponding industry or sector index, even if those indexes have not been charted. To view the active stock chart with the index, make your choice of the index and click [OK]. The corresponding index is automatically chosen from CSI's Market Specs factsheets.

The Overlay Display

When one series is overlaid on another, both price series will display in the designated charting window, using a separate scale for each. You may have both charts share a common scale by clicking "Overlaid Price Series Shares Right Scale" on the Right-Click menu.

Here is an example of a Crude Oil Chart with a Natural Gas chart overlaid. Note that each uses a unique scale located on the color-coded scales on either side of the screen. You may have both charts share a common scale by clicking "Overlaid Price Series Shares Right Scale" on the right-click menu.


Zoom In/Out

This feature allows you to adjust the date range on your charts. It is found on UA's Chart Tools menu.

Zoom Out

Use this to adjust the date range so your chart shows more data. The spacing between bars will be compressed, contracting the data into a smaller, more compact form. As you zoom out, overlapping may occur in the data, which tends to obscure pricing details and studies. Check the calendar at the bottom of the chart to see the date range currently displayed and use the scroll bar to see the rest of the chart. You can reverse this with the Zoom In feature discussed below.

Here's an example of a very "zoomed-out" chart: (Note the many years on a single screen.)

This "Zoom Out" feature is essentially the same as "Zoom Out" on the chart toolbar: compressico

Zoom In

Use this to adjust the date range on your screen for greater short-term visibility. It gives you a "close-up" view of data and reduces or eliminates overlap that can occur in compressed charts. Each time you zoom in, the chart itself expands, but the time period visible on the screen gets smaller.

Here's an example of a zoomed-in chart for the same data series: (Note the detailed visibility of individual price bars.)

This "Zoom In" is essentially the same as "Zoom In" on the chart toolbar: expandico

An alternate method of increasing visibility for a selected region is to use "Zoom By Box" on the Chart Tools menu.


Tracker

The "Tracker" feature on the Chart menu is another way of launching the "Tracker" selection on the charting toolbar.

crossico

Upon selecting "Tracker" from the Chart Tools menu, target-style crosshairs will be superimposed on your chart. Use your mouse to position the pointer anywhere on the chart. A data window showing complete numerical market data for the corresponding day also displays.

Click the "Tracker" button on the charting toolbar or uncheck "Tracker" on the Chart menu to remove the crosshair and data window:


Study Toolbar (Chart Menu)

Studies are technical indicators such as RSI, moving averages and even user-defined custom analysis. There are a several ways to add studies to UA charts, most of which begin with the Study Toolbar. To reach the study toolbar from a UA chart, click the Chart Menu at the top of the screen and then click "Study Toolbar" as shown below.

Alternately, click the "Indicators" button on the Chart Toolbar:

The example below shows a sampling of studies that may be listed when you first receive Unfair Advantage. You can select any of these to add to your chart and may customize the list to show your favorite studies.

See the Study Toolbar Chapter (as opposed to this topic entry about the menu selection) for full information on adding, editing, deleting and applying studies listed here.


Apply Tool

The "Apply Tool" selection on the Chart menu brings you to the Chart Tools menu, which can also be reached through the Chart Toolbar.

The tools menu:

Click here for more information.


Clear Study Template Selection

A study template selection is the study you have selected from the "My Studies" menu at the bottom of the charting window. The example below shows a Stochastic study using an 11-day window size and 3-day moving average as input parameters. This is indicated by the chart itself as well as by the entry at the center bottom of the screen.

The "Clear Study Template Selection" feature on the Chart menu (shown below) removes the study from the chart, but not from the menu. It will remain on the menu so that it can be selected for future analysis.

An alternate method of clearing a template study is to click drop down the "My Studies" menu (click the arrow at the right side of the study box) and then choose "No Studies."


Clear Chart Tools/Annotation

When Trend Lines, Annotations, Rectangles, Ellipses and Gann Fans are added to charts through the Chart Tools menu, you can clear them all through the Chart menu.

Simply click "Chart" at the top of your UA screen, and then click "Clear Chart Tools/Annotations" as shown:

The chart will redisplay without any tools and annotations that were added through the Chart Tools menu.


Clear Studies From Chart

Whenever studies exist on your UA chart that have been placed there through the Study Toolbar, you can remove them with the "Clear Studies From Chart" feature found on the Chart menu, as shown:


Clear Overlaid Studies

Whenever two data series share a single chart, as requested through UA's "Overlay Data Chart" feature, you can remove the overlaid series with this menu selection.

To activate, click the Chart Menu, and then choose "Clear Overlaid Studies," as shown:


Change Data Series

Select "Change Data Series" from the Chart menu to select a new series to display with your current chart settings. This will replace the current chart with a new one. Existing studies will be retained, but recalculated based on the new data series.

The selection process is the same as when you created the current chart.

This topic completes the "Chart Menu" chapter.

See the Right-Click Menu chapter for information on more ways to view and manage your charts.


Right-Click Menu

Overview

Whenever a UA chart is on your screen, clicking your right (not left) mouse button brings up a menu of additional chart manipulations as shown:

Click on your choice execute a command or define how UA will handle various options. Note that not all features are available at all times.

· Display Volume
· Display Open Interest
· Display Cash
· Bar Frequency
· X and Y Grid
· Draw Over Y Scale
· Display Bars As
· Display in Currency
· Display Full Contract Value
· Display Values in Decimal
· Display System Equity
· Display System Entries and Exits
· Prefer Equity System Scale
· Logarithmic Y Scale
· Scale By Visible Portion Only
· Overlaid Series Shares Price Scale

· Save Current Zoom Level
· Restore Zoom Level
· Enlarge Price Range
· Clear Enlarged Price Range
· Change Color Scheme
· Reset Color Scheme
· Add Blank Records
· Remove Trailing Holidays

· View System Performance Statistics
· View System Optimization Report

· Change Data Series
· Copy Image to Clipboard
· Print


Display Volume

With a UA chart on the screen, if you right-click your mouse button and click "Volume," you can determine which set of volume figures will display for futures contracts and options. Your choices are:

Total - Total volume is the volume for all delivery months of the same commodity. For example, if six futures contracts (delivery months) were trading simultaneously for a given market (e.g. January, March, May, July September and November contracts), the total volume would reflect the combine volume for all six contracts, even when the price series in your chart reflects trading for a single delivery month. This value is calculated by Unfair Advantage.

Individual - Individual volume is the volume for the one contract month (e.g. June) whose price series is displayed on your chart.

Net - The "net" option for volume displays the net change in volume from one day, week or month to the next, depending upon reporting frequency, without regard for the actual volume figures.

Note: UA can display none, one, two or all three of these volume presentations. Click your choice(s). Selected entries will be checked.

Your selection for Aggregate Files under portfolio settings or UA Preferences will affect volume, open interest and cash presentation in weekly and monthly charts and files.


Display Open Interest

Right-click your mouse button and click "Open Interest" from a UA chart to determine which set of Open Interest figures will display for futures contracts and options. Your choices are:

Total - Total open interest is the open interest for all delivery months of the same commodity. For example, if six futures contracts (delivery months) were trading simultaneously for a given market (e.g. January, March, May, July September and November contracts), the total open interest would reflect the combine open interest for all six contracts, even when the price series in your chart reflects trading for a single delivery month. This value is calculated by Unfair Advantage.

Individual - Individual open interest is the open interest for the one contract month (e.g. June) whose price series is displayed on your chart.

Note: UA can display none, one or both of these open interest presentations. Click your choice(s). Selected entries will be checked.

Your selection for Aggregate Files under portfolio settings or UA Preferences will affect volume, open interest and cash presentation in weekly and monthly charts and files.


Display Cash

If your UA software is configured to automatically include cash series with all futures contracts (through the "Optional Fields" tab of portfolio settings or the Cash/Saturdays screen of UA Preferences), then you can use this feature to toggle the cash prices on and off your UA charts.

If the cash is displayed and you want to remove it, right click your mouse to bring up this menu, then click "Display Cash." The chart will be redrawn without the cash. Repeat the procedure to return the cash to the screen.


Bar Frequency

You can change the reporting frequency of your current UA chart by right-clicking your mouse and selecting "Bar Frequency." This is the same as "Periodicity" in other UA menus. Select your choice of price bar presentation from:

· Daily (Daily reporting)
· Weekly (Monday's open, high and low for week, Friday's close)
· Monthly (First day's open, high and low for month, last day's close)
· Quarterly (First day's open, high and low for the quarter, last day's close)
· Annual (First day's open, high and low for the year, last day's close)

Your selection for Aggregate Files under portfolio settings or UA Preferences will affect volume, open interest and cash presentation in weekly, monthly, quarterly and annual charts and files.


X Grid

Once you have displayed a chart with UA, you can use a grid to add vertical lines to your chart. Many people feel these improve the visibility to the passage time and relationship to studies. Right-click your mouse and click "X Grid" to bring up the following options:

· None - Normal chart with no grid lines
· Points - Dotted Vertical lines
· Lines - Solid Vertical lines
· Regions - Shaded Vertical regions

This feature may be combined with the Y Grid option, also on the right-click menu.


Y Grid

Once you have displayed a chart with UA, you can use a grid to add horizontal lines to your chart. Many people feel these improve the visibility of price movement. Right-click your mouse and click "Y Grid" to bring up the following options:

· None - Normal chart with no grid lines
· Points - Dotted horizontal lines
· Lines - Solid horizontal lines
· Regions - Shaded horizontal regions


Draw Over Y Scale

For maximum graphic output, you can draw price bars over the scale at the right of the screen (the Y scale) as shown below.

If you wish to do so, first create a UA chart, then right-click your mouse. Click "Draw over Y scale" to activate.

This feature toggles on and off, so repeat the procedure to return to normal presentation.


Display Bars As

UA allows you to change the presentation of price bars with a few simple clicks of your mouse. From any UA chart, right-click your mouse and move to "Display Bars As" to display the following choices:

· Close Only - one dot per reporting interval. UA connects them and displays as a line:

· High Low Close - standard bar chart without opens. The top of each bar represents the high; the bottom of each bar represents the low; the dash to the right indicates the close:

· Open High Low Close - most detailed bar chart. The dash to the left indicates the open price; the top of each bar represents the high; the bottom of each bar represents the low; the dash to the right indicates the close:

· Candlestick - charts present price data in a different form from a standard bar chart. To produce a candlestick chart, we plot daily high and low prices as a wide vertical bar. Open and closing prices are plotted as dashes crossing the high/low bar. The body of the bar creates a box. The resulting formation resembles a candlestick that burns from both ends. If the closing price is higher than the open price, the box is "white" or "clear." If the closing price is lower than the open price, the box is shaded (solid):

Traders have developed colorful terms to describe candlestick chart formations, including spinning tops, hanging man, dark cloud cover, etc. These formations, alone and in combination with others, identify market posture as bullish or bearish and give reversal signals.


Display in Currency

A major hurdle to international investing is the problem of dealing with currency exchange rates in comparative analysis and risk assessment. UA includes a feature that removes this obstacle by expressing the value of any contract in the currency of your choice.

The currency converter is available only through UA's charting feature and is activated by creating your chart, then right-clicking your mouse and selecting "Display in Currency." The following displays:

Use your mouse to select the desired currency for chart presentation. The resulting values, as seen in the chart scale or on the optional UA table, reflect daily fluctuations in the per-unit price. All prices, both current and historical, are based on the current (today's) exchange rate, not the exchange rate that might have applied in a real-time historical simulation.

The example below shows two presentations of the same Dried Cocoon contract.

The price scale of the top chart is displayed in traditional units of Yen per kilogram, and the lower chart is presented in dollars per contract. This identifies for the US trader the exposure in dollars per contract might without resorting to complex currency conversion tables. All markets may be displayed in any of the many currencies used in world markets for a quick understanding of risk in ones native currency. A simple right click of your mouse while a chart is displayed will alert any user of his exposure for a given market.

The currency conversion rate available on the last, most current day presented, is the rate that is applied to the entire chart. There is a risk of currency erosion into the future, so users are advised to be cognizant of such risk.


Display Full Contract Value

The price values seen on the UA chart scale or on the optional table reflect daily fluctuations in trading units. The "Display Full Contract Value" feature allows for the alternate display of any commodity in currency units per contract. In other words, the scale reflects the full contract value, not the price per pound or other trading unit as shown on the standard chart.

The option of converting to full contract value is available only through UA's charting feature and is activated by creating your chart, then right-clicking your mouse and selecting "Display Full Contract Value."

When activated, this menu item is checked on the right-click menu. Charts displayed in full contract value can be identified by the chart description as shown below. Note the upper chart is displayed using the typical per-unit scale. The lower chart shows the "per contract" scale.


Display Values in Decimal

Although the various futures and stock markets around the world use a variety of different pricing units, Unfair Advantage gives you the option of displaying any price in decimal form. For example, a grain price that would normally be quoted as: 9^08 (meaning 9 and 1/8 cents per bushel) would be quoted in decimal as 9.125.

The option of displaying in decimal is available only through UA's charting feature and is activated by creating your chart, then right-clicking your mouse and selecting "Display Values in Decimal." This feature can be toggled on an off through the right-click menu.


Display System Equity

When performing custom studies with Unfair Advantage's charting module, your study can be a full trading system that generates buy and sell signals, keeping track of open and closed equity as it goes.

This capability is included in many of the sample AnyLanguage studies, and may be included in your own custom programming. AnyLanguage is designed to help you include trading signals in your custom programs.

To display both open and closed system equity, click anywhere on your chart, and then click the right (not left) mouse button. Choose "Display System Equity" from the menu. The equities correspond to the color-coded titles at the top of the chart.

This feature will not be active if your study doesn't produce trading signals. Toggle the equity presentation on and off as needed.

The chart below demonstrates the indicator itself (Moving Average Crossover), trading signals, open equity and closed equity. The scale at the left reflects the Moving Average Crossover values. Click here for information on showing the Equity Scale instead.


Display System Entries and Exits

When performing custom studies with Unfair Advantage's charting module, it is possible to include entry and exit points for trading systems. This capability is included in many of the sample AnyLanguage studies, and may be included in your own custom programming. AnyLanguage is designed to help you include trading signals in your custom programs.

To display system entry and exit points, click anywhere on your chart, and then click the right (not left) mouse button. Choose "Display System Entries and Exits" from the menu. This feature will not be active if your study doesn't produce trading signals. Toggle the signals on and off as needed.

The blue arrows indicate "buy" or "long" positions and the red arrows indicate "sell" or "short" positions. The duration of each simulated trade is indicated by the horizontal line to the right.

Use the Tracker to view numerical values, including the signal direction. Positive values = long; Negative values = short.


Prefer System Equity Scale

When performing custom studies with Unfair Advantage's charting module, it is possible to display both realized and unrealized profit on your screen. In fact, UA will automatically include these readings in the chart if they are part of your output data.

Naturally, these values require a different scale from either the raw market data or any other indicators on your screen. With so much data displayed at once, UA is unable to show the equity scale at the same time as these other values.

To display the system equity scale, click anywhere on your chart, and then click the right (not left) mouse button. Choose "Prefer System Equity Scale" from the menu.

Toggle this feature on and off as needed to interpret all the indicators on your screen. You can also see the numerical values for each output using the Tracker with readout.

This feature is only active on the right-click menu when a custom study that includes an equity readout is displayed on your chart. This is available for many of the studies provided in AnyLanguage.


Logarithmic Y Scaling

Sophisticated chartists can benefit from a variety of charting techniques, so UA now offers three distinct Y scaling methods.

To use this feature, create your chart, right-click your mouse and go to Logarithmic Y Scaling as shown below. Select your choice from Linear Y Scaling (the default), Evenly Spaced Semi log Scaling and Linearly Spaced Semi log Scaling as shown.

Linear Y Scaling: The default presentation of Unfair Advantage charts uses a simple linear scale. Prices advance at even intervals from zero to whatever value is required.

Evenly Spaced Semi log: Semilog (logarithmic) scaling is preferred to linear scaling by some traders. Evenly Spaced scaling provides even better visibility than Linearly Spaced Semi log (below) by spreading the data more evenly along the Y axis.

Linearly Spaced Semi log: This type of scaling is the most popular technique used in investment software. TradeStationÒ is one example of a program that uses linearly space semi log scaling.

This feature is only available on the right-click menu if no studies are included on the active chart. This is because logarithmic scales can hold only positive values, and study indicators are often negative. If a logarithmic scale is selected for an adjusted price series that includes negative prices, the negative values will be displayed as 1.


Scale By Visible Portion Only

When UA scales a chart, the scale can be determined by either rounding the range of visible prices or by rounding the range of prices in the whole series. When scaling by only the visible portion (the default), the UA user may see significant shifts in the scaling of the graph as the chart is zoomed in and out and when it is scrolled. The advantage to using just the visible range is that the price fluctuations are presented according to then-current volatility.

While CSI does not endorse a non-scaling charting method, starting with version 2.4, you have the choice to not "Scale By Visible Data Only". When used, your chart will then be redrawn using rounded values of the highest high and lowest low for the whole series. The scale will still change if new highs or lows are encountered, as the canvas must be enlarged to include the new values.

Traders are warned to beware of hindsight testing on historically scaled charts, which tend to minimize current or historical volatility. This tendency makes historically scaled charts virtually useless for some markets. For example, the major trends in Corn before 1971 tended to be about 20 cents/bushel, but major trends after 1971 tended to be about 100 cents/bushel. Historical charts of Corn, with this option selected, show flat periods of stable prices, even though a trader at the time would not have found them so!

To change the scaling method of your charts, create a chart and then right-click your mouse. The "Scale By Visible Portion Only" choice will be selected (checked) initially. This feature can be toggled on and off by clicking the menu entry.


Overlaid Series Shares Right Scale

An overlaid series is a price series (usually in the form of a bar chart) that has been placed into a charting window with another price series. The result is a single charting window that contains graphs of two price series simultaneously.

When a data series is overlaid, the default presentation is for both price series to use their own color-coded best-fit price scales, placed on opposite sides of the chart.

If you want both charts to share the single scale of the original chart, right-click your mouse anywhere on the chart and then click "Overlaid Series Shares Right Scale" from the menu. This scaling feature toggles on and off each time you click it.

If the prices of the two charted series are so different that they will be incompatible on a single chart, this feature is not functional.


Save Current Zoom Level

The term "zoom level" refers to the spacing of bars on your UA charts. If you zoom in, fewer bars are spread across the screen for a close-up view of short-term activity. If you zoom out, more bars appear on the screen for a more compressed, longer term chart.

You can adjust the zoom level on your active chart by clicking "zoom in" and "zoom out" from the Chart Tools menu, or by clicking the "Zoom In" and "Zoom Out" icons on the toolbar.

Use the "Save Current Zoom Level" feature on the right-click menu to record the current zoom level and have it applied automatically to all subsequent charts during the current UA session. Simply create a chart, set the zoom level, click the right (not left) mouse button and select "Save Current Zoom Level."


Restore Zoom Level

The "Zoom Level" is the spacing of bars on your UA charts. A zoomed-in chart has fewer bars that are spread across the screen for a close-up view of short-term activity. A zoomed-out chart has more bars that appear on the screen for a more compressed, longer term chart that may include significant overlap.

The number of bars that appear initially on your charts is set through "Default Zoom Level" on UA's Charting Preferences screen.

You can adjust the zoom level on any active chart by clicking "zoom in" and "zoom out" from the Chart Tools menu, or by clicking the "Zoom In" and "Zoom Out" icons on the toolbar. Another way to adjust the zoom level is to use the "Zoom by Box" feature on the Chart Tools menu. After making any changes to the zoom level using the above techniques, you can return to the original chart presentation with this feature.

To use, click anywhere on your chart, and then click the right (not left) mouse button. Choose "Restore Zoom Level" from the menu.


Enlarge Price Range

Unfair Advantage's charts normally use a scale that is automatically set to encompass either the high-low range for the entire loaded time period, or the high-low range for the visible chart. There may be times when you want your UA chart to use an even larger scale than would be selected automatically, which we refer to as enlarging the price range.

One common application of this feature is to use it with "Gann Fan with Reflection." This indicator reaches down to zero (0), which is off the scale of most price charts. Another application is in making multiple charts using exactly the same scale for comparison purposes.

To set the scale of your chart, click anywhere on chart, and then click the right (not left) mouse button. Choose "Enlarge Price Range" from the menu. The following displays:

The "Current Range" values are automatically supplied, as they reflect the actual values on your chart. Fill in the "Enlarged Range" as shown in the above example.

Click [OK] to redraw your chart with the new range.

To change or remove this expansion, reselect "Enlarge Price Range" and either enter new prices or delete the entries. Click [OK] to accept. Alternately, you can remove your changes by clicking your right mouse button and selecting "Clear Enlarged Price Range."


Clear Enlarged Price Range

When the price range of your UA chart is changed using the Enlarge Price Range feature, you can use this selection to return your chart to its original presentation.

To remove the price range expansion, click anywhere on your chart and then click your right (not left) mouse button. Select "Clear Enlarged Price Range" to redraw your chart.


Change Color Scheme

UA allows you to adjust the background and study colors to customize your charts. Reach this option by first creating a chart, then right-clicking your mouse and selecting "Change Color Scheme."

First you'll be offered a list of colors to change, including background, main price, overlay price, candlesticks, volume, open interest, dark regions, light regions, writing, annotations and up to fifteen studies.

Double-click the area you would like to recolor first as shown below.

A grid of available colors overlays the first selection screen as shown on the left side of the screen below:

Click the desired color and then click [OK], or if a custom color is desired, click [Define Custom Colors]. The screen is expanded to include the color pallet at right. Move the cursor to the desired color and click. If you are satisfied with the color selection, click [Add to Custom Colors].

Your custom color will be available for selection at left. Click it, then click [OK] to recolor your chart.

Click [Reset] to return to the original colors.


Reset Color Scheme

When charting colors are changed through the "Change Color Scheme" option on the right-click menu, the "Reset Color Scheme" option will return your charts to CSI's default settings.


Add Blank Records

Use this feature to quickly create a no-data buffer at the end of your current bar chart or data file. This is handy for analysis that uses graphic projections of future prices such as Gann Fans. It is essentially the same as the "Add a Future Day" feature that is available through the data display table.

As explained in the Editing Charts topic, the UA database itself cannot be edited by the user, but UA allows you to create an exception file of revisions to be displayed in charts or written to export files.

To add blank records:

1) Create a UA chart of any price series. See Creating a Chart for instructions.

2) Right-click anywhere on the chart, and then select "Add Blank Records" from the menu.

This form displays:

addblank

Date: Type the farthest out date that you want included in your chart or data file using the CCYYMMDD format shown. The example above represents March 22, 2005.

Price: N/A. No price can be entered here, as you are adding blank records.

Holiday: N/A. Blank records cannot be marked as holidays.

Keep in mind that your added days, will be included in future charts and any exported files for this market.

Removing Added Days

To remove the days added through this process, return to the right-click menu and select "Remove Trailing Holidays" from the menu.

If you have written export files with edited data from your UA database, be sure to re-write those files so that the unedited data will replace the edited values.

Preferences

An alternatives to permanently removing the added days is changing the setting in UA Preferences, "General UA Behavior 1" to "Ignore User Supplied Prices." When this setting is checked, no added days will display in charts or be exported to files.


Remove Trailing Holidays

When blank records are added to your chart through either the Right-Click Menu or the Data Display Table, they display as artificial "holidays" that are visible at the right edge of your chart. Although no prices are shown, the blank records act as space holders that can be useful in projecting forward-looking studies.

To remove these, right-click anywhere on your chart to display the right-click menu. From there, select "Remove Trailing Holidays."


View System Performance

The system performance statistics option is available on the charting right-click menu only when you have run a custom study that includes trading signals. These statistics are much like those the Trading System Performance Evaluator creates based on the P&L data you enter input for your trading system.

Keep in mind that these statistics do not reflect any adjustments or corrections to compensate for curve fitting or excessive hindsight control of the trading system. They do not accurately predict future performance.

The initial screen shows a summary of the trading system (above). Click the "Trade-By-Trade" tab to see more detailed results:

Find Chart

Click the [Find Chart] button to bring forward the chart displaying the study shown. This might be useful if several charts are stacked and another chart is obscuring the one you wish to view.

TSPE

Click the [TSPE] button to launch the Trading System Performance Evaluator.Ô The program will start directly with a screen asking for the commission and slippage that pertain to the above trading system. The P&L information for this trading system will already be entered automatically when you click the [TSPE] button. This is a great way to evaluate the custom study you may be considering.

Print

Click the [Print] button to print the trade statistics for your custom study.

Export

Click the [Export] button to create an ASCII text file of the trade-by-trade statistics for your custom study. Once the file is exported, you can import the data into other programs, including TSPE.


View System Optimization Report

When an advanced study is optimized through UA, a system optimization report is produced that may be viewed via the right-click charting menu. When optimizing a study through MarketScanner, you can view the Optimization Report in essentially the same way. First run your selected study, then view the results in a UA chart. Next right-click your mouse on the chart (or MarketScanner spreadsheet). From the menu that displays, choose "View System Optimization Report." All variables will be shown, sorted by your chosen optimization field and ranked from lowest result to highest. If your goal was to find the maximum result (such as the most net profit), the best results (the best performers) will be at the bottom of the report. If your goal was to find the least drawdown or other low result, the best performers will be at the top of the report.

Interpreting the Report

The most valuable data provided by the optimization report is the progression of variables leading up to the single "best" result. In a valid optimization exercise, results will gradually become better and better as inputs are gradually increased or decreased to attain the optimal level. This produces a table that demonstrates similar inputs generating similar results. In other words, the input variables for the second, third and fourth best results should be very similar to the input variables for the best result. As a general rule, expect all members of the best-performing group to have similar inputs and to be consistently effective in real-time application.

If, however, the inputs that produce the "best" optimized result are not similar to the inputs for the other well-performing results, be suspicious. Also be suspicious if the "best" result is remarkably superior to the other results. Both of these situations would indicate a statistical anomaly or a fluke, as opposed to a valid optimization that is likely to yield similar results in the future. Beware of using optimized parameters that have been curve-fit to your test period. Such results are not likely to repeat in real-time trading. See the Trading System Performance Evaluator chapter for more information on appropriate levels of optimization.


Change Data Series

The "Change Data Series" feature on the charting right-click menu and the Chart Tools menu lets you replace the current chart with another chart, while retaining any chart tools and studies. This feature does not take the place of your portfolio list for selecting a pre-defined series to chart, but allows you to create new charts from scratch.

To activate, simply click your right (not left) mouse button and choose "Change Data Series." UA's "Selecting Data Series" screen displays, where you can define the contract or stock to be displayed.

All studies on your original chart will be retained and recalculated for the new data series.


Copy Image to Clipboard

Unfair Advantage lets you make a clipboard image of the active chart, which you may then paste into a document or save as a graphic image.

To copy a chart to your clipboard, click the right mouse button, then click "Copy Image to Clipboard." The image will be stored on your clipboard only until it is overwritten by the next image or text you place on the clipboard, or until you shut down your computer, whichever comes first.

To place your chart into a document or graphics program, first position and click your mouse at the desired location. Next, simply click the "paste" button within your application program or hold down your keyboard's [Ctrl] key and type the letter V. Either of these techniques will past the chart into your current application.


Print

There are two ways to print a UA chart, both of which use the settings established in your Printer Settings. UA's printed charts use almost the entire page and exclude extraneous portfolio information.

With the desired chart displayed on your screen, right-click the mouse and then click "Print." If multiple charts are displayed, place your cursor on the chart you wish to print before right-clicking your mouse. Only that one chart will be printed, regardless of the quantity displayed on your screen or which chart is in the active window.

printico An alternate method for printing charts is to click the printer icon on the UA toolbar.

This topic completes the "Right-Click Menu" chapter.

See the Charting Preferences chapter for information on settings that affect your charts.


Charting Preferences

Charting preferences are settings that you may adjust to assure that your charts meet your needs. To reach Chart Preferences, click "Preferences" from the main menu at the top of your screen.

Next click "Charting Preferences" in the left panel as shown below:

You can view and adjust the following settings on the Charting Preferences Screen (shown above).

Default Zoom Level

UA's Default Zoom Level feature lets you specify how many price bars will display automatically on your charts, thus controlling the time period displayed. The higher the number, the more compressed your charts will be. The lower the number, the more space will be between bars.

Regardless of your entry here, you may change the spacing of price bars on your UA chart through the "Zoom Out" and "Zoom In" icons on the chart toolbar or through the Zoom by Box feature on the toolbar. You can also save whatever is your current zoom level through the right-click menu's "Save Current Zoom Level" feature.

Note that this feature governs all UA charts, whether created from a portfolio or created through the "New Chart" icon.

Max Bars Back

This prompt applies to studies developed in AnyLanguage, a unique and flexible programming language invented by CSI for market analysis. AnyLanguage studies can be run within UA through either Interpreted Studies as part of the standard charting module, or through MarketScanner. If you'll be doing custom analysis with AnyLanguage, then consider the maximum number of price bars your study will need as input. Lower numbers reduce compute time; higher numbers give access to more data. Enter your selection here.

Print in Black and White

UA creates charts in color on your screen. These print in grayscale if you have a one-color printer or in full color on a color printer. If you have a color printer and prefer to print all charts in black and white (grayscale), check this box. This will save you time and money if color isn't necessary on your charts.

Other Chart Preferences

Additional Charting Preferences screens offer several functions that affect new charts created through Unfair Advantage. They are:

On the Cash/Saturdays screen:
· Retrieving Cash Prices
· Including Saturdays
· Compute Total Volume and Open Interest

On the Historical Adjustments screen:
· Futures Adjustments
· Stock Adjustments

On the Aggregate Method screen
· Computation of Volume for Weekly/Monthly Charts
· Computation of Open Interest for Weekly/Monthly Charts
· Interpretation of Cash Prices for Weekly/Monthly Charts
· Assigning Dates to Weekly/Monthly Charts

· Rounding/Ranging
· Displaying Data
· Back Adjusting

A General Program Settings from your UA Preferences that also affects charts is:

· Memory Cache Size

When charts are created from files listed in any of your UA portfolios, some settings that affect your charts are controlled through the portfolio settings screen. To adjust these settings, first select the desired portfolio, then go through the Portfolio menu to "Edit Portfolio Settings." From there you may select preferences that will apply to the entire portfolio. The portfolio settings include additional preferences for export files that are not addressed here.


Cash/Saturdays on Chart

The Retrieving Cash Prices, Include Saturdays and Compute Total Volume and Total Open Interest settings are all included in UA Preferences. Click "Cash/Saturdays" to see your current setting and adjust as desired.

The Cash/Saturdays screen:

The Cash/Saturdays screen of Charting Preferences is very similar to the "Optional Field" tab of Portfolio Settings. The one that controls your current chart depends upon how the chart is created. Charts made from a portfolio listing use the preferences that are defined for the specific portfolio. Charts made through the "New Chart" feature will use the specification on the Charting Preferences - Cash/Saturdays screen. Either way, here's how the settings apply:

Retrieving Cash Prices

Retrieving cash prices is NOT RECOMMENDED! The cash price is available for most commodities in two ways: 1) as a single (closing) price in the same record as the open, high, low and close prices of the corresponding futures contract, as provided for here, or 2) as a separate record including the open, high, low and closing cash prices.

Check this box to include the single closing cash price along with the daily futures prices for every contract. This feature adds considerably to data distribution time. A faster alternative is to add a "cash" contract for the selected commodities to the portfolio or to create an individual chart of cash data.

When cash prices are included through this feature, the cash data is available for instantaneous charting, but may not be visible on your chart. If you cannot see the cash price displayed, right-click your mouse and then choose "Display Cash" from the menu. You may toggle the cash series on and off of your chart this way. Regardless of charting visibility, the cash price will be included in table data.

Note: When cash prices are included with futures in this way, nearest-future data for the underlying commodity may be substituted for cash at times when the cash price is not available. This would most likely occur for commodities that have a later start date for futures than for cash.

Include Saturdays

Also on the Cash/Saturdays screen is the prompt for including Saturday data in your files. The selection to "Retrieve Saturday Trading Data" will rarely come into play, as most world markets do not offer Saturday trading at this time, and few, if any, trading systems can process this information.

Check the box (click it) if any available Saturday data on file should be included in charts.

Note that, when adjusting portfolio settings, Saturday prices can only be included in custom ASCII files.

Compute Total Volume and Open Interest

Unfair Advantage automatically computes the Total Volume and Open Interest values for futures contracts and options by adding the values for individual delivery months. If the total volume and open interest are of no interest to you, you might prefer to have Unfair Advantage skip this step at those times when it might slow operations. To do so, check (click) the "Skip when performance would suffer" box.


Historical Adjustments

Historic adjustments refer to adjustments made to the database for the purpose of continuity. They can affect both commodities and stocks, and both charts and files. Futures Adjustments and Stock Adjustments settings are included in UA Preferences. Click "Historical Adjustments" to see your current setting and adjust as desired.

The Historical Adjustments Screen:

The Historical Adjustment screen of Charting Preferences is very similar to the Historical Adjustments tab of Portfolio Settings. The one that controls your current chart depends upon how the chart is created. Charts made from a portfolio listing use the preferences that are defined for the specific portfolio. Charts made through the "New Chart" feature will use the specification on the Charting Preferences - Historical Adjustment screen. Either way, here's how the settings apply:

Futures Adjustments

At your option, UA will apply adjustments involving contract specifications and changes in currency to bring historical futures data into current dollar terms. This is most appropriate for long-term historical analysis. Make sure the box is checked, if desired.

Stock Adjustments

These settings change the historical presentation of your stocks to accommodate various factors affecting price or volume. They include:

· Splits - The split ratio is applied to historical pricing so that historical data is in line with current valuations. For example, a split-adjusted chart of IBM stock shows a considerably higher valuation now (near $100/share) than in 1965 (near $7/share). This accurately reflects growth that might otherwise be disguised by stock splits. Without split-adjustments, IBM shows a very sporadic price history and a closing price on 1/4/1965 of over $400/share. Although that was the actual price at the time, the valuation does not correspond with today's pricing. Adjusting for Stock Splits is recommended.

· Dividends and Capital Gains - Like stock splits, dividends and capital gains distributions can obscure actual stock growth. The adjustment subtracts dividend and capital gains distributions from historical stock prices, with cumulative effects. As noted, the subtraction of all dividends and capital gains can cause historical series to sink below zero. Note that negative values can cause errors in some analysis and charting programs.

· Adjust Dividend/Capital Gains Proportionally - This choice becomes available only when adjustments are requested for Dividends and Capital Gains (above). Proportional adjustments are made by reducing the price of the stock by the proportional value, rather than the actual dollar value, of the dividend or distributions over time. The result is a series that will not go negative, but which will not reflect actual dollar value of dividends and capital gains.

· Adjust Stock Volume for Dividends and Capital Gains - This feature allows you to see the impact of dividends and capital gains on daily trading volume. It is available only when both of the above Dividend and Capital Gains choices are implemented.


Aggregate Method on Charts

The term Aggregate Method refers the way price and volume data are handled when daily prices are gathered into weekly, monthly or even longer-term aggregate files. These settings are included in UA Preferences. Click "Aggregate Method" to see your current setting and adjust as desired.

The Aggregate Method Screen:

The Aggregate Method screen of Chart Preferences is very similar to the Aggregate Files tab of Portfolio Settings. The one that controls your current chart is determined by the creation method for this chart. Charts made from a portfolio listing use the settings that are defined for the specific portfolio. Charts made through the "New Chart" icon will use the specification on the Charting Preferences - Aggregate Method screen described here.

Compute Volume As
Compute Open Interest As
Compute Cash As

For each of these three, you may choose from:

· As Largest - to have your weekly, monthly or longer-interval charts include the ONE Largest value for the respective interval.

· As Smallest - to have your charts use just the ONE smallest value for the defined interval.

· As Average - to have UA calculate the average volume, open interest or cash for the respective week, month or longer term and include that value in your charts.

· As Last - to have UA display the last volume, open interest or cash in your weekly, monthly, quarterly, semi-annual or yearly charts.

· As Total - to have UA add all values for the respective interval represented by each price bar and use these totals in your charts. This choice can result in very large values that some analysis programs cannot handle. If your analysis program cannot process "As Total" results, please make another selection. The problem of very high values is most likely to occur for volume figures. Weekly, monthly and longer-term values for volume are normally presented as average daily volume, not total. The total volume can only be used if it will not be larger than 9,999,999. This choice is not available for cash prices.

Assign Date As

The assigned date affects the dates represented on your weekly, monthly and longer-term price bars. Choose from:

· Always use (any of the five weekdays - Monday through Friday). Choose the day you want represented from the menu. UA will assign the corresponding calendar date for the given weekday throughout your chart. Note that no bar will display for incomplete periods. This means that if you have chosen to use Wednesdays for date assignment, a chart made on a Monday will end with the previous Wednesday's data.

· Shift date to end of period. This choice will show the date as whatever is the end of the given weekly or monthly period, except possibly the final data point. Weeks will end on Friday and months will end on whatever day is the last business day of the month, but the final data point will always show the true ending date, which is the last date updated in your database.

These apply to aggregate charts displayed on your screen. To switch between daily, weekly, monthly or longer-term price bars, use the "Bar Frequency" selection on the Right-Click menu.


Rounding/Ranging

All choices found on the Rounding/Ranging tab of UA's Charting Preferences screen affect the processing of data in newly made charts.

The Rounding/Ranging screen of Charting Preferences is very similar to the "Rounding/Ranging" tab of Portfolio Settings. The one that controls your current chart depends upon how the chart is created. Charts made from a portfolio listing use the preferences that are defined for the specific portfolio. Charts made through the "New Chart" feature will use the specification on the Charting Preferences - Cash/Saturdays screen. Either way, here's how the settings apply:

Making Close in High/Low Range

This feature controls the handling of the high, low and close values in cases where the settlement price lies outside the day's trading range.

Your choices are:

· As published: This choice provides charts with the actual open, high, low and settlement, even when the settlement is outside the trading range. When the settlement committee decides, after the close, that the settlement should be at a level where no trading occurred, charts can show a no-trading gap between the actual high/low bar and outlier settlement price.

· Modify High/Low (the default, for a typical open-high-low-close bar): This choice makes the close price (settlement) fall within the high/low range by adjusting the range. It produces charts with possible adjustments to highs and lows when the settlement is outside the trading range. A traditional open, high, low, close bar chart results. By taking this choice, you may produce an artificial trading range, which includes an area where no trading occurred.

· Modify Close: This choice makes the close price (settlement) fall within the high/low range by changing out-of-range settlements. It produces charts where the closes (settlements) may be modified if the settlement price lies outside the daily trading range. In the event that the settlement lies outside of the high-low range, the settlement may be adjusted to match the high or low which is closest to its value. This technique ignores the settlement price, but preserves an accurate view of the market's trading range. Settlement accounting users would not obtain an accurate view of a portfolio's value using this choice.

Round to Nearest Tick

This feature forces the calculated values of back-adjusted price reports as well as standard contract data to conform to exchange-sanctioned minimum tick values. We recommend this choice be used when output values are in decimal form. Where possible, CSI reports opening futures prices as the midpoint of the opening range.

Show Mutual Fund Load

Loading is the extra cost some mutual fund companies pass on to consumers at the time of purchase or sale. UA gives you the choice of including the load or not. If desired, click "Show Loading" from the selection screen.


Displaying Data

The "Displaying Data" screen of UA's Charting Preferences offers just one choice, shown here:

Display as Decimal

Stock and commodity prices may be quoted in decimals, eights, sixteenths, thirty-seconds or some other increment as determined by the exchanges. UA allows you to display all prices in decimal form for easy comparison and to avoid unwieldy integers.

· Check the "Display as Decimal" box (click it) to have all charts and corresponding tables use decimal values. As noted on the UA screen, "Rounding to Nearest Tick" on the Rounding/Ranging tab should be used with this selection.


Back-Adjusting Charts

The Back-Adjusting screen on UA's Charting Preferences deals with the calculations used in creating back-adjusted futures contracts with UA.

The Back Adjusting screen of Charting Preferences is very similar to the "Back Adjusting" tab of Portfolio Settings. The one that controls your current chart depends upon how the chart is created. Charts made from a portfolio listing use the preferences that are defined for the specific portfolio. Charts made through the "New Chart" feature will use the specification on the Charting Preferences - Cash/Saturdays screen. Either way, here's how the settings apply:

Raise Negative Series

You'll have the opportunity to "Add a fixed amount to make non-negative." This refers to negative values created through the creation of adjusted continuous data files.

Back- and forward-adjusted continuous contracts can regress to negative values into the past. This is one of two options allowing you to avoid negative numbers. The resulting data (including current contract prices) will be adjusted upward by the absolute value of the maximum dip below zero rounded up to the nearest 1,000 points. For example, if a PB series gets down to -69.07, then 6907 is rounded up to 7000. The low price of the modified series is then -69.075 + 70.00 = 0.925 which would display as .92.

Consider using the detrend option before adopting this choice. Check the box (click it) if desired.

In a commodity such as crude oil, which produces negative back-adjusted prices into the past, this option will force recent prices to appear as much as double the current price.

Back Adjuster

The lower portion of the Back-Adjusting screen (in Charting Preferences) gives the option of using the C++ Back Adjuster. The "back adjuster" refers to the algorithm used to select contracts in back-adjusted continuous files when rolling on volume and/or open interest is selected. UA offers two methods for back-adjusting data. The original (standard) method is written in FORTRAN and the newer (alternate) method is written in C++.

The writeup about the back-adjuster preference located in the Editing Portfolio Settings chapter of this manual includes an in-depth example with more information about these two choices. A summary of differences between the standard and alternate back adjuster is also included in Bob Pelletier's essay, "Computed Contracts: Their Meaning, Purpose and Application" (see Back-and Forward-Adjusted Contracts) in this manual.


Memory Cache Size

The Preferences screen's "General Program Settings" offer a number of features that affect all UA operations equally. Click the "Advanced 1" tab for selections affecting the number of charts that will be displayed simultaneously and stored in memory.

Near the top of this screen are two options that apply to UA charting capabilities:

Charting Limit

The "Limit to ___ Charts" prompt sets the number of charts UA will display simultaneously. Although generally only one chart is displayed at any time, more can be viewed simultaneously through options on the Window Menu. Even when charts are displayed individually, having them pre-created lets you quickly flip through them without having to wait for chart creation.

Based on the above arguments for a large limit, one might arbitrarily set the number very high to avoid hitting the threshold. That would be a mistake!

The recommended (and default) entry is 28. Because Windows resources are scarce and charting places a heavy burden on these resources, limiting the number of charts reduces your chances of experiencing performance degradation and program failure. If you feel your computer can handle a higher number, you might experiment with higher values. If your computer becomes sluggish or has system failures during charting, reduce this value.

You'll see the charting maximum at work if you select all items in a portfolio, and then click "Chart." The number of charts created will be limited to the number set here, and a warning screen will say so. However, if you always scroll through your charts one at a time (without pre-selecting multiple contracts), you'll never notice this limit in effect.

In-Memory Limit

The "Limit to ___ cached in-memory series" determines how many recently viewed charts will be available for immediate recall. Like the chart limit, this feature is designed to save you from system degradation caused by charts using excessive memory. We recommend using the default value of 28. This may be increased if your computer can handle more charts without any problems. In some cases, a lower number may improve system operation.

Click [OK] to save your changes.


General UA Behavior 2

The General UA Behavior 2 screen of General Program Settings on UA Preferences includes two functions that affect charting.

Choose Market from Market Spec. List

The choice of, "In Data Series Manager, choose market from Market Spec Factsheet" saves you the step of clicking the [Mkts] button to display the factsheet when adding a portfolio item or creating a chart. If you already know the CSI number or symbol of the market(s) you wish to add or chart, you'll probably want to type them into the box instead of choosing from a list, in which case displaying the factsheet would slow you down. Click this box if it will be beneficial for your application.

Prefer Month Numbers in Graphs

When displaying charts with UA, the software displays a calendar that includes month names along the bottom of the chart whenever possible. In compressed, long-term charts with significant overlap and in charts of weekly, monthly or even longer term price bars, there may be insufficient room to display the month name, or even an abbreviation of the month name in the calendar. In this case, UA uses a letter such as those used by futures and options exchanges to identify delivery months:

F = Jan, G = Feb, H = Mar, J = Apr, K = May. M = Jun, N = Jul, Q = Aug, U = Sep, V = Oct, X = Nov, Z = Dec

These can be confusing to stock traders who are unaccustomed to delivery months on their calendars. If you would prefer to have UA use a number to identify calendar months (e.g. 1 = January, 2 = February, etc), click the "Prefer month numbers..." checkbox on this screen.

Tool Bar

The UA tool bar (toolbar) presentation can have a significant impact on your charts because the toolbar buttons can use a significant amount of real estate. Click your choices from these user settings:

Compress Buttons To Text: This affects the horizontal space used by the buttons. When checked, the buttons are only as wide as required to accommodate the text description. When not selected, the toolbar buttons are a uniform width, regardless of the space needed to accommodate the text.

Make Transparent: This adjusts the appearance of the toolbar buttons. When checked, the color background is removed.

Hide Button Borders: When checked, the lines between toolbar buttons do not display.

Show Text and Image: This provides the full toolbar images as shown here:

Show Only Text: This reduces the height of the toolbar, reserving more space for charting:

Show Only Image: This produces toolbar buttons with just graphic icons. The result is smaller than "Text and Image," but larger than "Text Only":

This topic concludes the UA Charts chapter.

See the "Interpreted Studies" chapter for information on advanced and custom analysis through UA's Interpreted Studies..


Interpreted Studies

UA lets you edit supplied technical studies and perform custom analysis through the Interpreted Studies feature, which is linked to both the charting module and MarketScanner.ä

Interpreted Studies (indicators) are controlled through the "Code Editor" screen, which lets you select from and edit existing demonstration programs. These are included to supplement your market analysis and to serve as programming examples.

This feature also allows you to program, test, edit and optimize your own custom studies.

Click here for the next topic about getting started using Interpreted Studies.


Starting from Chart or Scan

The Interpreted Studies are manipulated in almost the same way whether they are applied to a chart or a MarketScanner run, so most of the instructions are the same. However, the starting points are different as described here. Before you begin either method, please make sure your CSI database is current. If not, download a daily update so you have the latest data for analysis.

Starting an Interpreted Study From a Chart

1) Begin by displaying a UA chart, either through the standard charting module or by running a MarketScanner scan.

2) chchartico Click the "Indicators" icon on the UA tool bar or click "Study Toolbar" from the Chart menu:

This brings up the Study Toolbar as shown here:

The easiest way to reach the Study Library is to select a study (any study) from the menu and then click [Edit]. The Code Editor screen displays.

Starting an Interpreted Study From a MarketScanner Run

1) Begin by executing a MarketScanner run as described in the MarketScanner chapter. Make sure your scan includes the market categories or portfolios you wish to analyze with your Interpreted Study, and make sure that your database is current.

When the scan is complete, no matter what is displayed in your charting window or in the spreadsheet environment, click the "Analysis" menu at the top of the screen and then click "Insert Using Code Editor" as shown below.

From here, both methods bring you to the same Code Editor form as described next.

MarketScanner also allows you to insert Fact Column, Standard Indicator, Indicator From List, and Favorites from this menu. These are explained in the MarketScanner chapter of this manual.


Code Editor

Whether you are applying your Interpreted Study to a chart or a MarketScanner run, the Code Editor form displays, as in this example:

Before doing anything with the code editor screen, make sure that the desired language is selected, as described in the next topic.

The Code Editor form is used for Interpreted Studies as described in the following topics to:

· Select an existing study
· Optimize a study
· Enter/edit programming code
· Test and debug your program

Additional important information covered here includes:

· Data Acquisition
· Data Return
· Placing an Order
· Study Input


Language Selection

Unfair Advantage maintains separate Study Libraries of programming code stored in various languages.

The available languages are:

· Visual Basic - VBScript (VisualBASIC) requires the installation of Windows Scripting Host and the Microsoft Scripting Component. The Windows Scripting Host is installed automatically in Windows 98, but is an Accessory under Windows 95. The setup for the Microsoft Scripting Component is installed off the CD. Please make sure you have installed this component before trying to use BASIC Script Mode. Non-English Setups are provided by Microsoft, and they all work with UA.

Documentation for VisualBasic Script is available directly from Microsoft at: http://msdn.microsoft.com/library/default.asp?url+/nhp/default.asp?contentid=28001169

· Perl (Fast Mode) - Users who already have programming experience may enjoy the quick speed of Perl – Fast Mode along with the intuitive reserved words like @Open[0] and @Close[0]. Perl is the only language that accommodates UA's "Smart Optimize" feature.

The documentation for Perl is can be accessed at www.perl.org.

· Java - Documentation for JavaScript is available directly from Microsoft at:

http://msdn.microsoft.com/library/default.asp?url+/nhp/default.asp?contentid=28001169

· AnyLanguage - This is CSI's own adaptation of the Basic language. This is probably your best bet for writing and testing new code. It uses standard VisualBasic programming syntax and includes a simple debug interface. The debug feature makes it easy to test and locate errors in your program.

The evolving documentation for AnyLanguage is found in the AnyLanguage Guide topic of this manual.

The lists of available studies within the libraries are similar, but not necessarily identical in the various languages. Therefore, you should base your language decision not only on what language you most prefer, but also on the availability of the desired study.

If you have a preference for using programs written in one language over another, or to view the available studies in the various languages, click the "File" menu at the top of the screen and click "Change Language Mode."

Select the desired language from the menu. The screen appearance and available selections on the "Indicators From List" menu will change, depending upon the language selected.

Click here to learn about selecting an existing study. This is the gateway to the editor whether you wish to edit an existing study or enter a new one.


Select Existing Study

A good way to get starting programming your own studies is to view and edit, or in the very least, model your studies after an existing one within UA.

To display a menu of existing studies (indicators), go to the Code Editor screen as described in the Starting From Chart Or Scan (or Code Editor) topics and click "Indicator From List" at the top of the screen. A menu much like this example displays:

This list includes not only technical studies, such as stochastics and Ultimate Oscillator, but also several subroutines that may be useful in your own programming. When you program and save additional studies through UA, they will be added to this list. Place your cursor on any entry to display a corresponding menu of specific offerings.

Click on any study or helper to display the corresponding code in the lower window.

No Programming Code?

If your Code Editor form has only one window, click the [More > >] button at the bottom of the screen to expand it:

Viewing the Code

Selecting a study from the menu brings you back to the Code Editor form with the desired study displayed. The required expression to launch the program displays in the top window. The example below is for a study done in Perl, as indicated by the availability of the "Optimize" feature in the bottom left.

The values within parentheses in the expression are default parameters for performing the study. A full description of how the study operates lies within the code in the lower box. See the Study Input topic for descriptions and specific guidelines on user input.

We suggest that before you begin editing or writing additional studies, you carefully study the programs in the current library. This will tell you much about how you should construct your studies.

You may use the scroll bar to view code for other studies, but in order to display the corresponding expression line, you must "Select Indicator From List" at the top of your screen.

Running the Current Study

If you reached the Code Editor through Market Scanner, a [Run] button displays at the bottom of the screen, which you can click to execute the current program on your MarketScan file.

If you reached the Code Editor through a UA chart (even within MarketScanner), an [OK] button displays at the bottom of the screen, which you can click to add the study to your Study Toolbar for charting.

Next -

See the Enter/Edit Programming Code topic for information on adding new studies to the list or modifying the existing programs.

You may want to optimize your analysis parameters by testing results with various inputs. See the Optimizing a Study topic for more information.


Enter/Edit Program

Backup First

Before editing the study library, you should make backup copies of the existing files (\UA\studylib with various file extensions, depending upon language). This will allow you to return to the original file in case of problems with your changes. Save your backups in a separate folder or under different filenames.

Whenever you upgrade to a new version of UA, a new studylib file may be included. To avoid overwriting your previous changes, UA will automatically save your old studylib file in a folder called \ua\Oldlibs. Changes you have made to your studylib file (which would then be found in ua\oldlibs) can be cut and pasted into your current studylib file, which is always found in the \ua folder. Please contact CSI Technical Support if you need assistance with backing up files or cutting and pasting text.

The study library is shared between Unfair Advantage's basic charting module and MarketScanner. The editing function is handled through the same "Code Editor" screen used to select and run an existing study. See the introduction to the first several topics of this chapter for instructions on reaching this point.

Programmers may edit or add new studies to the Interpreted Studies library by simply entering code into the existing file. Follow the steps shown here:

1) Select Language
2) Select Study
3) Start programming!

This part of the process is the creative, open-ended part. You can see by the examples and in the provided libraries that there are many ways to get the job done.

As in any programming job, be sure to use the conventions required by your chosen language, including the necessary terms to start and end your analysis routines. For example, each study in VBScript or AnyLanguage must begin with "Function" and end with "end function." We recommend the "For Dummies" series of books for VBasic or Perl. They can save you hours of frustration.

Tip: Examining the existing studies is often the quickest and easiest way to answer your programming questions.

See the Study Concepts and Syntax topics for more information on programming your study. The ua\studylib.* files contain many useful examples of how to write indicators. Hopefully, these examples will help you get started using UA and MarketScanner for writing custom indicators. Three full examples are also included in this manual:

Example 1 - A one-function version of the A/D Oscillator
Example 2 - A/D Oscillator using the ExpMovingAverageOfData
Example 3 - A/D Oscillator using the ExpMovingAverageOfFunc

The Code Editor form:

Placement of New Code: Although we see no reason to avoid adding to the end of the file, you may insert a new study anywhere in the file, as long as it is not within an existing study. Regardless of actual code placement, your new study will appear in alphabetical order on the Interpreted Studies menu. Use the scroll arrows at right and click your mouse within the window to place your cursor.

Locating a Study to Edit: If you wish to change a study, select it through the "Select Indicator From List" menu at the top of your screen. The code will be displayed in the lower box.

Line Numbers: Click the box in the scroll bar at right to display the line number for the top line visible on your screen as shown. (Note that the line number shown does not correspond to the placement of the mouse.)

Changing Views:

less To hide the window showing the programming code, click the [<< Less] Button.

To display programming code that has been hidden, click the [More>>] button.

Pre-Programmed Statements: The sample code provided includes many helper subroutines which you may call in your own programs. These include functions to find a symbol to report, the number of days to report, the current date to report price data, etc... A current list can be found in the Study Input topic (helpers excluded). Please review the file for a full listing.

Search, Replace and GoTo: To simplify the job of searching for statements and replacing code, the Search menu offers a typical set of options as shown:

Pull down the Search menu and click "Find" or "Find Next" to bring up the extensive list of search options:

Choose your desired options, direction and "Match within" specifications and then type the search field. Click [OK] to begin your search.

Pull down the Search menu and click "Goto Line" to enter a specific desired line number.

Save File

UA will automatically save your file when you run the program, but you may want to save or cancel your changes at other times. If you do not save your file and your system freezes for any reason, your work will be lost. To save or cancel your changes, pull down the "File" menu and choose from:

· Save (to make your changes permanently effective)
· Save and Close (to make your changes permanently effective and exit the editor)
· Close without Saving (to cancel your changes and exit the editor)

Printing the File

You can save a hardcopy (printed) version of the file by pulling down the "File" menu and clicking "Print." A normal print dialog will display.

Select Study

When your new or edited code is complete, you must select it from the menu to run the program. Click the "Indicator From List" menu for a revised list of available studies, which should now include your latest addition. Click the desired study and UA will display the necessary expression for executing the file in the top text box.

You must now enter all necessary parameters in the expression statement.

Run the Program

run Click the [Run] button at the bottom of the screen to execute the selected study (in MarketScanner). Depending upon the complexity of your study and the language selected, it may take a few moments to complete. If you are programming your study through UA's charting module, click the [OK] button. This will add the study to your Study Toolbar, where you may [Apply] it to your chart.

View Results

After successful completion:

If the analysis completes successfully, the "Choosing Studies" screen re-displays showing your study as the selected option. Click [OK] to display the study.

After unsuccessful completion:

If your analysis does not complete properly, an error message will display. Click [OK] to close the message box and then click [Cancel].

Common Error Messages:

· Getbool from undefined myvarient - This error message indicates an undefined parameter in the expression. Check your input and make sure you complete the parameter entries properly.

· Divide By Zero Error, Syntax Error, etc.. - These errors and others indicate flaws in your program.

· Inconsistent # of Returns - A programming error indicating that all fields are not reported consistently throughout the study.

Many different error messages are possible. If your program fails to run, return to the Code Editor and try to correct the problem. We recommend you use the AnyLanguage language so you'll be able to check your program line by line using the debug mode.

When entering and/or editing a program, you'll benefit from understanding some basic Study Concepts.


Study Concepts

UA scans the UA directory for "study*.ini" files. Each .ini file has a corresponding DLL. When UA runs a study, it creates an indata file. UA calls the study function in the studyXXX.dll. UA reads the outdata file, and plots the results.

Field Specifier

A field specifier is a character. r1 is the immediate series. If there is an overlayed graph, then a second series r2 may be present:
case 'o': v = r1->open ; break;
case 'h': v = r1->high ; break;
case 'l': v = r1->low ; break;
case 'c': v = r1->close; break;
case 'v': v = r1->vol ; break;
case 'V': v = r1->tvol ; break;
case 'i': v = r1->oi ; break;
case 'I': v = r1->toi ; break;
case '$': v = r1->cash ; break;
case 'O': v = r2->open; break;
case 'H': v = r2->high; break;
case 'L': v = r2->low ; break;
case 'C': v = r2->close; break;
case 'w': v = r2->vol ; break;
case 'W': v = r2->tvol ; break;
case 'p': v = r2->oi ; break;
case 'P': v = r2->toi ; break;
case 'S': v = r2->cash ; break;

The StudyXXX.Ini file

UA looks for the following fields in the Ini file.
"study","DESCRIPTION" The selection description
"study","CHARTLABEL" The charting abbreviation
"study","Inputs" A string formed from Field Specifiers
"study","Outputs" A string formed from Field Specifiers
"study","MIN" The minimum value attainable (Adjusted if data violates)
"study","MAX" The maximum value attainable (Adjusted if data violates)
"study","SharePriceScale" Use a value of 1 if the return is in price units or zero if not.
"study","MinimumNumDays" The user gets a warning if the number of data days is insufficient.
"study","NUMPARMS" How many parameters the study has (currently limited to 4)
For each parameter, UA looks for a section "parmX" where X is the parameter index (1-4).
parmX,"LABEL" Parameter Label
parmX,"CONTROL" Parameter Control type (EDIT or CHECK)
parmX,"DEFAULT" Default Value (TRUE=1, FALSE=0)
parmX,"TYPE" Parameter Type (INT or FLOAT)

indata file

A file name "indata" in the UA directory is created to provide the data for the study. This file is in a space-seperated format. Suppose that the study is listed to have m inputs. The first line of the indata file contains the conversion factors for each of these inputs. The remaining lines begin with the date and then each of the inputs for that date on that line.

The StudyXXX.dll file

Currently all DLL's must be 16-bit dlls. The studyXXX.dll must export
int FAR PASCAL Study( long *argc, long *Iparm, float *Fparm);

The arguments are defined as to be
long argc[5];
float Fparm[256];
long Iparm[256];

Where argc is
argc[0] = InDataCount; (Number of data records in indata)
argc[1] = Inputs.GetLength(); (Number of parameters based on the ini file)
argc[2] = Outputs.GetLength(); (Number of outputs base on the ini file)
argc[3] = Number of Integer parameters
argc[4] = Number of Float parameters
FParm and Iparm contain the parameter values.

The outdata file

The study should write its results to the file "outdata" in the UA directory. This file has the same format as the indata file.

To refresh study

As you are developing your study, you may notice that everytime you go to choose a study, it has reread the directory. Everytime it runs a study, it is reopening the dll.

Example

The following syntax should be used to provide default settings and understandable menu selections:

'example MAOfClose(5) = 5-day mov avg of close (for VisualBasic)
#example Stoc(5,3,3) = 5/3/3-day Stochastic (for Perl)
//example Ultimate_Oscillator(7,14,28) = Ultimate Oscillator (for JavaScript)

The following functions are common all modes:
getNumDays, getOpen, getHigh, getLow, getClose, getVolume, getOpenInterest,
O, H, L, C, and V

When writing indicators in Perl, the column headings/crosshairs titles are specified by the programmer using the UAIndicatorLabels variable. We have tried to use all of the major variables and keywords in the examples provided.

For more information about the languages, you must look at the documentation for the languages themselves. Visual Basic Script, for example, is documented in a set of HTML files conveniently provided in the file vbsdoc.exe in the Scripting directory on the installation disk. When executed, this setup installs an HTML document defining Visual Basic Script.

Click this link for more examples.

Click here to learn more about Study Input.


Study Input

The Interpreted Studies menu includes many function calls and subroutines that may be helpful in your own analysis. Here is a summary of many of the offerings in the program file (\UA\studylib.*) as well as tips regarding user input for each. These helper programs are mixed with analytical studies in the file, but all are listed alphabetically.

Advanced Technical Indicators

The following studies are included for your investigation. They may be modified and tested as desired, but your results should not be considered trading advice from CSI. The brief descriptions give you an idea of how the studies might be used, but do not include a list of the necessary qualifiers and limitations that should be considered before trading. For full disclosure of each of these indicators, please review the programming code through the Code Editor. See the suggested references or other trading guides for more information on interpretation of these indicators.

These studies and more are part of the Online Study Libraries. Click here to learn more.

References:
#1 See www.bollingerbands.com
#2 Several of the indicators used here were developed by J. Welles Wilder and introduced in his book, "New Concepts in Technical Trading Systems," Greensboro, NC; Trend Research, 1978.
#3 "How I Made $1 Million Trading Commodities" by Larry Williams, Windsor Books, 1979.
#4 "The New Commodity Trading Systems and Methods" by Perry J. Kaufman, Wiley Trading Advantage Series, 1998.


Online Study Libraries

The CSI website provides links to annotated study libraries which may be helpful in understanding the various programming languages and developing your own custom studies.

Because these libraries are subject to changes and additions, they are stored on the CSI website at:
http://www.csidata.com/custserv/updates/StudyList.html

Be sure to follow the website directions to save your desired library in the UA directory (c:\ua) with the name 'studylib.pl', 'studylib.vbs', 'studylib.js', or 'studylib.any'.

Currently available libraries are:

· Perl Study Library c:\ua\studylib.pl
· VBScript Study Library c:\ua\studylib.vbs
· JScript Study Library c:\ua\studylib.js
· AnyLanguage Study Library c:\ua\studylib.any

You'll find that the website also includes a handy list of studies that are currently available, which may be more current than the one found in this manual. (See the "Sample Study Lists" topic.)

For more information on where to find official documentation for the programming languages, please see the Syntax topic.


Sample Study Lists

The list of available studies and helpers may be slightly different for the different programming language. Each is also subject to change, either from CSI or through your own modifications. Here are some examples to give you an idea of what might be available to you.

Below is the list of indicators and helper programs:

· Classic
· ADX(14) = 14-day ADX needs 53 days
· BollingerBands(15,1.5) = 15-day Bollinger Bands
· ChakinOscillator(3,10) = Chakin Oscillator
· Macd(5,10,3) = 5,10,3-day Macd
· Oscillator(5) = 5-day Oscillator
· Percentage_R(5) = 5-day Percent R
· RSI(5) = 5-day RSI
· StocCross(5,3,3) = 5/3/3-day Stochastic Trigger
· Stochastic(5,3,3) = 5/3/3-day Stochastic
· Ultimate_Oscillator(7,14,28) = Ultimate Oscillator
· Volatility(5) = 5-day Volatility

· Conversions
· InvertExchangeRate(14) = Inverts Price values
· PriceToYield(2,$Close[0]) = The current (2Yr Note) close in Yield

· Data Access
· C(0) = Close
· H(0) = High
· I(0) = Open Interest
· L(0) = Low
· O(0) = Open
· OHLCStudy() = Returns the current OHLC
· V(0) = Volume

· Examples
· ComputeADOscillator1() = Example function users manual
· ComputeADOscillator2() = Example function users manual
· ComputeADOscillator3() = Example function users manual already documented in manual, perhaps you can reformat
· DetrendedBollingerBands(15,1.5) = 15-day Detrended Bollinger Bands
· FilterBollingerBands(15,1.5,3) = 15-day Bollinger Bands w/ 3-day MA filter
· ModifiedBollingerBands(15,1.5) = 15-day Bollinger Bands based on ATR

· Factsheet
· BigPointValue() = Value in currency for a whole point move
· GetCvf() = Price Format
· GetDividendGrowth5Year() = 5 Year Dividend Growth
· GetDividendYield() = Dividend Yield
· GetEarnings() = Stock Earnings
· GetEarningsPerShare() = Stock Current Earnings Per Share
· GetEarningsPerShareTotalLastYear() = Earnings Per Share Total Last Year
· GetExchange() = Exchange
· GetHasStockFundamentalData() = Has Stock Fundamental Data
· GetIncomeGrowth5Year() = Income Growth for 5 Years
· GetIndustryCode() = Stock Industry Code
· GetLatestAnnualOperatingRevenue() = Last Annual Operating Revenue
· GetLatestAnnualTotalNetIncome() = Latest Annual Total Net Income
· GetMarketCapital() = Stock Market Capital
· GetName() = Name
· GetPE5YearAverage() = PE5 Year Average
· GetPercentageInstitutionalShareHolders() = Percentage of shares held by Institutions
· GetPointValue() = Point Value
· GetPriceEarningsRatio() = Price/Earnings Ratio
· GetRevenueGrowth5Year() = 5 Year Revenue Growth
· GetSectorCode() = Stock Sector Code
· GetSharesOutstanding() = Stock Shares Outstanding
· GetStockBeta() = 36 Week Stock Beta
· GetSymbol() = Symbol
· NumInstitutionalShareHolders() = The number of institutional shareholders for a stock

· Helpers
· AveragePrice(0) = 25% Close + 25% High + 25% Low + 25% Open
· Average_True_Range(5) = 5-day Average True Range
· AvgPrice(20) = AvgPrice
· ChangeOfPriceEarnings(5) = Returns the change in the P/E cased by the change in price over the last period
· TypicalPrice(0) = 33% Close + 33% High + 33% Low
· VolumeRateOfChange(5) = Rate of Change of Volume over last 6 days
· WeightedClose(0) = 50% Close + 25% High + 25% Low

· Misc
· HighestClose(5) = 5-day highest close
· HighestHigh(5) = 5-day highest high
· LowestClose(5) = 5-day lowest close
· LowestLow(5) = 5-day lowest low

· MoneyFlow
· MoneyFlow(5) = 5-day avg of Moneyflow
· MoneyFlow3(20) = MoneyFlow3
· MoneyFlowAsNewspaper(200) = 200 - Day MoneyFlow as Newspaper

· Moving Averages
· EMA(14) = Exponential Moving Average
· MACross(3,5) = 100*(MA3 - MA5)/(MA3 + MA5)
· MAOfClose(5) = 5-day mov avg of close
· MAOfOi(5) = 5-day mov avg of OI
· MAOfVol(5) = 5-day mov avg of volume
· SCTT
· BullBearBalanceIndicator(20,30) = Daily Rise Indicator
· CommodityChannelIndex(15) = 15-day Commodity Channel Index
· CupAndHandle(4) = Cup and Handle Indicator
· DailyRiseIndicator(5,25) = Daily Rise Indicator
· EaseOfMovement = EaseOfMovement
· EaseOfMovementEMA(5) = EMA of EaseOfMovement
· FractalDimensionOfWaveforms(30) = Regularized Momentum Indicator
· HPI(400,0.2) = HPI (Futures Only) where a one-cent move is $400 and a smoothing of 2.0
· HeikinAshi() = Heikin - Ashi Technique
· HeikinAshiDiff() = Heikin - Ashi Diff Indicator
· LWAccDis() = LWAccDis
· LinearRegValue(25,3,@Close) = Linear Regression Prediction of Close 3 bars in future
· LinearRegValueOfClose(25,3) = Linear Regression Prediction of Close 3 bars in future
· MassIndex(9,25) = MassIndex
· OnBalanceVol(50) = 50 - Day On Balance Volume
· OpeningGapIndicator(5,25) = Opening Gap Indicator
· Parabolic(0.01) = Parabolic
· PriceVolumeTrend() = Price Volume Trend
· RecentHighLowDate(5) = Most Recent New High's and New Low's
· Regularized_EMA(14,9) = Regularized EMA Indicator
· Regularized_Momentum(14,9) = Regularized Momentum Indicator
· RevEngRSI_EMA(45,14) = RevEngRSI - EMA Indicator
· RevEngRSI_SMA(45,14) = RevEngRSI - SMA Indicator
· Swing\SwingHigh(1,1,20) = SwingHigh
· Swing\SwingHighBar(1,1,20) = SwingHighBar
· Swing\SwingIndex() = SwingIndex
· Swing\SwingLow(1,1,20) = SwingLow
· Swing\SwingLowBar(1,1,20) = SwingLowBar
· TL\TLAngle(getClose(5),5,getClose(15),15) = TLAngle of line between close of 15 days ago and 5 days ago
· TL\TLSlope(getClose(5),5,getClose(15),15) = Slope of line between close of 15 days ago and 5 days ago
· TL\TLValue(getClose(5),5,getClose(15),15,0) = Extension of line between 5 and 15 days previous draw to current bar
· Time and Implied Volatility and Volume\IIV_Lookback(29,25,252,50) = IIV_Lookback Indicator
· Time and Implied Volatility and Volume\IIV_Thresholds(29,25,252,50) = IIV_Lookback Indicator
· Time and Money Charts\TMChanLinesHi(25) = Chan Lines Hi Indicator
· Time and Money Charts\TMChanLinesLo(25) = Chan Lines Lo Indicator
· Time and Money Charts\TMStochMom(12,25,2) = Stochastic Momentum Indicator
· VolAccDist(10) = 10 - Day Accumulation/Distribution of Volume

· Unclassified
· AtTheMoneyCallOptionVolume() = Call volume for the nears out of the money strike
· EmergMkt(20,3) = EmergMkt 20/3
· FiniteVolumeElement(0.003,22)
· MovingAverageEnvelope(15,7) = 7% bands around the 15-day moving average

Study Examples in AnyLanguage

The Classic study menu:

The Conversions menu:

The Data Access menu:

The EZ Study menu:

The Factsheet (Market Specs) menu:

The Helpers menu:

The Misc (Miscellaneous) menu:

The Moving Average menu:

When you are finished writing or editing your study, you might want to test and debug it. (Not available for all languages.)


Test & Debug Program

Advanced study programs written in Visual Basic or AnyLanguage can be run and tested for errors using the debug feature of AnyLanguage. When the analysis code is displayed in AnyLanguage, the "Debug" menu becomes active, the toolbar becomes functional and an additional column displays at the left. (See the Enter/Edit Program topic for information on reaching this point.)

The Toolbar (Use these tools or the Debug menu options to proceed.)

The debugging process involves running selected portions of the program or stepping through it one line at a time in order to find the line that is causing the run to fail. It greatly reduces the time and effort needed to get your program running smoothly. The steps to debugging are outlined below.

1) Set Breakpoints

A breakpoint is any line of code you select for stopping a run of your program. Breakpoints can be useful to test your code up to a certain spot, but to go no further. This allows you to avoid known or suspected problems later in the file. Breakpoints also let you quickly pass over portions of the program that you know are correct so that you can spend your time stepping through only portions that are in question.

To set a breakpoint, click the blue button to the left of the first line to be excluded from the run. The button changes to a check mark and the line of code is displayed in red. Alternately, click any line of code and then pull down the "Debug" menu and select "Add Breakpoint" or click the "Set Breakpoint" icon from the toolbar. (It looks like a raised hand.) Set as many breakpoints as desired. There are three breakpoints in the above example.

To remove a breakpoint, click the check mark. Alternately, you can select the desired line of code and click "Remove Breakpoint" from the "Debug" menu or click the "Remove Breakpoint" icon. (It looks like a raised hand with an "X" through it.)

Breakpoints are not needed if you'll be stepping through the entire program one line at a time (see step 3).

2) Run the Program

If you have set one or more breakpoints, you can test your program up to the first break by clicking the [Run] button or the "Run" icon (first on the left) or by pulling down the "Debug" menu and clicking "Run." Before running your program, be sure that all necessary parameters have been inserted in the expression line.

The program will either run successfully or report an error. If it runs successfully, you'll know that there are no errors in the tested portion of the program and you can run the next portion to search for the problem.

If an error message displays, you can either run the program again after setting another breakpoint to narrow your search or return to the top and begin stepping through the code one line at a time.

3) Step Through the Code

AnyLanguage allows you check each successive line of the program to identify the precise line that is causing the failure. You may begin stepping through from the beginning of your program or you might just step through a section that has been identified by using break points. For short programs, a complete step through may be most appropriate.

The step-through options are:

· Step Into: This is the most detailed check of program. Use this command to run each line individually. If the line of code requires another function call, then the first line of the function will be run. If an error message displays, then you have found a problem with your code. If no error message displays, then you may continue stepping through in search of the error.

· Step Over: Use this command to run your code without stepping through subroutines. This can save you time if you are using subroutines that you know are correct.

· Step Out Of: Use this to step through the current subroutine and stop at the next line.

· Step Until: Use this to set a temporary breakpoint and to step through the program until an error is reached or the breakpoint is reached.

· Start With: The "Start With" option on the "Debug" menu lets you select a starting point for your step through. Use this feature to avoid stepping through areas of code that you know are correct.

4) Correct Programming Errors

Each time the debugger reports an error, you should examine and correct the problem or problems within the given line. Re-check the line by using "Step Into." After fixing an error, you may either continue stepping through the program or run the whole program.

5) Test By Running the Program

When you think you have solved the problem with your code, click the [Run] button to see if any new or unexpected problems occur. A successful run will report no error messages and return you to the "Choose Study" screen. Click [OK] to display the chart.

Additional Run Options

· Pause: Stop at the current line. Click [Run] again to resume from the current spot.

· Stop: End the run.

· View Variable: Not yet functional.

· Add Watch: Not yet functional.

When you are sure that your program is functioning correctly, consider if it is a candidate for Optimization.


Optimizing a Study

Optimization is the process of systematically testing a range of values in a study algorithm to find the combination that best meets your goals. It is available for studies run in the Perl Fast Mode language.

Optimization can be useful if the study being run includes explicit buy and sell signals. If the study you have programmed includes specifications for when to buy and sell, or if you are running a sample study that includes these characteristics, the you may use this feature to optimize the parameter values. See the graphic below for an example of a chart showing buy and sell signals. If your chart includes these directional arrows, then a valuable optimization exercise is possible.

When NOT to optimize:

If your study produces no buy and sell signals, then an optimization exercise will not yield meaningful results.

If your study produces very few signals, say 30 or fewer over the study period, then optimization is not recommended because of the possibility of curve-fitting, which can artificially enhance the apparent ability of your study to predict market movement. Before acting on any study results, please use UA's Trading System Performance Evaluator to evaluate your study.

What can be optimized:

Both charts and market scans can be optimized. However, the method of initiating the optimization is dependent upon whether you are optimizing data to a specific chart or to a MarketScanner run. Once you get the process started, it is basically the same for both.

Initiating optimization of a chart:

Before you can optimize a study on a chart, you must first create the chart and then select and run the given study. Although you won't know the ideal parameter settings to introduce into the expression, make your best guess or use the defaults supplied to get started. Once the study results are displayed, click the [e] box, as shown to return to the Code Editor where you should click the [Optimize] button to run an optimization exercise.

Initiating optimization of a MarketScanner run

You can optimize the parameters in an Interpreted UA/MarketScanner study by selecting the desired study through the Analysis menu and then clicking the [Optimize] button at the bottom of the Code Editor form.

The Optimize form

Whether you are initiating your optimization from a chart or a MarketScanner table, when you click the [Optimize] button on the Code Editor screen, the Optimize form displays as shown here:

Identifying variables to test

The "Expression" at the top of the new form is the same one listed on the Code Editor form. Edit this expression to identify the variables to be optimized. This is done by inserting a dollar sign ($) in front of the value to be tested and then isolating the variable number, shown in curly brackets ({}) in the example at the top of the screen. To optimize the first and second moving averages in the Stochastics formula (which are the second and third parameters), you would edit the expression as follows:

Stoc(5,${1},${2})

The use of the dollar sign, the curly brackets and the number one (${1}) identifies this as the first variable to be tested, not as the first parameter. Curly brackets are recommended for use around the variable number to avoid confusion, as ${1}, but they are not absolutely required in most cases.

When curly brackets are omitted, this expression is written as:

Stoc(5,$1,$2)

Important Note: The more variables you choose to test simultaneously, the longer the optimization will take. The time increases exponentially! Also, the more parameters you optimize, the greater the chances of curve-fitting your study to the extent that it will not produce good results in real-time applications.

Minimums, maximums & step values

Once you have edited the expression to identify the parameters to be tested, click any of the cells in the table relating to "Variable Num," "Minimum," "Maximum" or "Step." This will activate these cells so you can enter the desired values for your optimization exercise.

For example, if you are optimizing the two moving averages used in Stochastic calculations, (as in the Stochastic example, above), then you might want to limit the tested values to a rather narrow range. The suggested averages are three (3) days each, but you might want to see if results would be better with a first average of, say, two to five days. Variable ${1} is listed in the first row of the table, so you would enter these minimum and maximum values in the appropriate columns as shown here:

The step value determines the progression of tested values within the range. For a small range from two to five, you would probably want to test every possibility, so your step value would be one (1). Enter it in the third column as shown above.

If your range was wide, say, from one to 100, you might want to sample every other value using a step value of two (2) or perhaps every fifth or tenth possibility by entering 5 or 10, respectively. A high step value would allow you to narrow down the possibilities in a reasonable amount of time, so that you could do a more refined optimization on a smaller set of values later. Mixed integers, such as 1.5, might be appropriate for some parameters and may also be used.

Enter the minimum, maximum and step value for each parameter to be tested.

Choose the optimization goal and whether to minimize or maximize results

The optimization goal field determines which result UA will seek to optimize through this process. You must decide if your goal is to produce the highest net profit, the least gross loss, or a host of other possibilities. Therefore, the next two inputs are inextricably linked.

It's usually easiest to start with the goal field, which is in the lower, center portion of the form:

Click the arrow next to "Total Net Profit" to display a list of possible optimization goals. Choose the one you wish to minimize or maximize in this exercise.

Next, use the selection box to the left to make your choice of "Maximize" or "Minimize" that corresponds to your desired optimization goal. If you are seeking the most profit, highest percent winning trades, or most of anything else, your choice should be "Maximize." If you want a small outcome, such as gross losses, choose "Minimize." If your preference is not displayed, click the arrow next to "Maximize" or "Minimize" and then select the opposite outcome from the drop-down menu.

Smart Optimize

Smart Optimize is a feature aimed at shortening the time required for optimization of a charted study by reducing the number of variables tested. It begins by selecting a variable set that is midway through the allowed range for each variable and then looking at the surrounding parameter sets to see if any are better. If none are better, it stops. Otherwise, it moves to the best known set of parameters and again looks at the surrounding parameter sets for something better. This is a useful way to get a reasonable set of parameters for a new system, but in most cases it does not find the best set of parameters. It can help you narrow down the range of variables for each parameter, which you might use later to speed a more precise optimization exercise.

Smart Optimize can only be used only when:

· The optimization goal is either maximum AverageTrade or maximum TotalNetProfit
· The study involves a chart, not a scan with MarketScanner
· An Interpreted Study is analyzed
· The Language Mode for the study is Perl

To use this feature, you must identify the variable(s) to test and set minimums, maximums and step values as described above, as well as meet the specific Smart Optimize criteria described here. To take full advantage of this "smart" feature, we recommend using a fairly broad range of possible parameters.

Click the checkbox to include Smart Optimize as part of this exercise. You will likely want to repeat the optimization again without Smart Optimize, using a smaller range (as determined by your Smart Optimize session) for each parameter so that you can fine-tune the results.

Balancing Markets

The "Balance To:" option shown at the bottom of the example screen at the beginning of this topic does not appear when optimizing a study through UA's basic charting module. It is only available when optimizing studies through MarketScanner by selecting "Insert Indicator" from the MarketScanner "Columns" menu.

A MarketScanner exercise might involve analysis of markets whose values are inherently different, such as a stock and a futures contract. The stock's value would typically be one dollar per point in price, whereas the value of a one-point move in the futures contract could be significantly more. These differing values can cause problems when attempting to compare or monitor the value of a group of markets. The "Balance To" feature allows MarketScanner to balance the values equally using your preferred unit of measure.

Click the arrow next to the "Balance To" box to drop down a menu of options. You'll have a choice of balancing values by:

· Value ($1,000, $10,000 or $100,000)
· Standard Deviation (Stddev of $1,000; $5,000; $10,000 or $100,000, which represents volatility)
· Custom (user-defined value set by modifying the supplied code)

Make your choice and click [Run] to proceed.

Performing the optimization

Click [Run] to have UA optimize the parameters for your chosen outcome. A message may display warning you of a potentially lengthy wait. A highly involved optimization study (one with many parameters using a broad range of possibilities) could take days!

Depending upon the language of the study you have chosen, your screen may display a progress bar or, if the study was run in the Perl language, the computer screen will blink or show you the progress.

When a chart optimization is complete, UA proceeds with the analysis and displays the chart and study using the newly optimized parameters. You can view numerical values by clicking the [Table] tab at the bottom of the graphics screen.

When a MarketScanner optimization is complete, the scan set is evaluated based upon the optimized values and a new column is added to the MarketScanner spreadsheet. You may then sort and filter these results as desired. these functions are described in the MarketScanner chapter.

Preserving Your Optimized Results

When the study is complete, you will be asked if you want to save the new values. Optimized values are usually customized for individual markets. For example, your optimized values for corn would likely not be the best parameters for gold or bonds. Although you can automatically edit the program code to included the optimized results, it is probably best to keep a list of optimized values for each study with its corresponding market. You can then insert the appropriate parameters as needed. Alternately, you can re-optimize with each use.

If you decide to save your changes, the expression on your Study Toolbar and in the Study Library will be changed to reflect the optimized values.

Viewing the Optimization Report

UA produces a report of results for each variable tested, which is viewed through the charting right-click menu. See the "View System Optimization Report" topic. We also recommend you check out the "View System Performance Statistics" feature offered from the Right-Click menu. You can change the scale from the study's values to the value of your equity by choosing "Prefer System Equity Scale" from the Right-Click menu.


Syntax/Study Examples

These instructions are for entering and providing appropriate input for a very basic expression that might be entered or selected from the menu as needed.

The Basics:

When you select a study from the pop-up Interpreted Studies Library, an expression line displays in the top window of the Code Editor Form:

The example above shows the C(0) subroutine as chosen from the menu. You may type the expression if you prefer. Whether you type the expression or select it from a menu, you still get C(0) in the top window.

The "C" here represents the Closing value of each issue in your scan and for a chart. The needed parameter will identify the desired day. Your input will indicate how far the date should be removed from the current (most recent) update. For today's close, use the integer zero (0). For the previous close, enter 1, etc..

Therefore, to add a MarketScanner column named C(0), which contains the closing value of each stock for the last date available, you would complete the expression as: C(0).

Click the [Run] button (which becomes enabled once there is an expression) to run the program. Go ahead and try it!

More Examples

For another example, if you enter C(5) and click [OK], then the new column would hold the closing price for each stock five days back (one week ago).

It is not uncommon for the MarketScanner to display an error message when it tries to evaluate an expression such as this because there is often a new issue that does not yet have 6 full days of history. The advanced method of dealing with this is to write your expression so it returns blank for stocks which do not have enough history. The simple way is to click the Options menu, click "Scan DB Options" and then choose the "Exclude new issues..." option. Why don't you go ahead and do that now?

For now, the data you can get is O(x) the open x days ago, H(x) the high x days ago, L(x) the low x days ago, C(x) the close x days ago, V(x) the volume x days ago and I(x) the open interest x days ago (for commodities). Using just these 5 or six references, we can do a lot.

Here are some of the functions that are common to all modes:
getNumDays, getOpen, getHigh, getLow, getClose, getVolume, O, H, L, C, V and I.

If you wanted to display in MarketScanner the (close – open)/((high+low)/2), then in all Language Modes you can enter the expression (C(0) - O(0))/((H(0) + L(0))/2), and click [Run].

This works well for writing or selecting simple expressions. When expressions are typed into the upper window, you must re-enter the equation every time. Therefore, only short simple expressions are well suited to this method. For example, adding a column with the close C(0) is a typical usage.

The other limitation to this method is that often you want to apply a moving average or use certain columns from an existing study, which could be rather involved. A better solution is to write your indicator as a persistent (permanently saved) function.


Study Example 1

A one-function version of the A/D Oscillator:

Let us look at Larry Williams' Oscillator, the A/D Oscillator.

One could write it in Perl – Fast Mode as

sub ComputeADOscillator1 {
my($v,$w,$range,$alpha,$i,$n);
$alpha = 0.3;
$n = getNumDays();
$v=0;
for($i=$n-1;$i>=0;$i--) {
$range = getHigh($i)-getLow($i);
if($range<1e-6) {
$w=0.5;
} else {
$w = (getHigh($i) - getOpen($i) + getClose($i) - getLow($i) )/2/$range;
}
if($i == $n-1) {
$v = $w;
} else {
$v = (1-$alpha)*$w +$alpha*$v;
}
}
return $v;
}

Let us take this apart and see how it works.

sub ComputeADOscillator1 {

This line declares a new indicator ComputeADOscillator1. For VB users, please consult corresponding example code provided in studylib.vbs.

my($v,$w,$range,$alpha,$i,$n);

This line declares that there are variables $v, $w, $range, $alpha, $i, and $n which will be used in this indicator. If I forget to declare all of my variables, then I can get incorrect values based on someone else using the same name for a different purpose. A variable is a place holder. $alpha, for example, will be used to hold the parameter 0.3. Whenever I use $alpha, the program will automatically substitute the value 0.3.

The lines
$alpha = 0.3;
$n = getNumDays();
set the variables $alpha to be 0.3 and the variable $n to be the number of days of data for the stock in question.

The statement
$v=0;
tells the program to initially set $v to be zero. It will hold the current value of the exponential moving average.

for($i=$n-1;$i>=0;$i--) {
Tells the program to start with $i being the value $n-1(the earliest day on file) and repeat the following steps through 0 (the current day.)

$range = getHigh($i)-getLow($i);
For each day, we compute the $range as the high minus the low.

if($range<1e-6) {
$w=0.5;
} else {
$w = (getHigh($i) - getOpen($i) + getClose($i) - getLow($i) )/2/$range;
}

If there was no trading, then $w is assigned the neutral value of 1/2. If there was trading, then $w is given the by the buying power – selling power scaled by the range.

All we have left to do is the exponential moving average

if($i == $n-1) {
$v = $w;
} else {
$v = (1-$alpha)*$w +$alpha*$v;
}

We first check to see if this is the first day on file. If it is, then we set the average to be the only value. From there on we average each day's value with the previous day's average.

}

The closing curly bracket tells the program that these are all the statements to repeat for each day on file.

The remaining lines

return $v;
}

tell the program that the value to display for the indicator is stored in $v and that the scan is complete.

This is a one-day-at-a-time method. For each day, we compute all corresponding values, and then proceed to the next day. When we are all done, we return the current day.

Explaining to the computer how to compute an exponential moving average every time you want to write an indicator is a bit tedious, so the next two examples demonstrate ways to get around it.

See Study Example 2 for more information.


Study Example 2

A/D Oscillator using the ExpMovingAverageOfData:

In this method, we compute the value of the basic indicator for the whole history. Then we apply ExpMovingAverageOfData to it.

sub ComputeADOscillator2 {
my(@ar, @rc, $i, $n, $range);
$n = getNumDays();
$#ar = $n-1;
for($i=0;$i<$n;$i++) {
$range = getHigh($i)-getLow($i);
if($range<1e-6) {
@ar[$i]=0.5;
} else {
@ar[$i] = (getHigh($i) - getOpen($i) + getClose($i) - getLow($i))/2/$range;
}
}
@rc = ExpMovingAverageOfData(0.3,@ar);
return @rc[0];
}

The command
$#ar = $n-1;
grows the array @ar so that the last element of the array has index $n-1. We loop through the days available, computing the base indicator and storing the values in the array @ar. Then we use the command
@rc = ExpMovingAverageOfData(0.3,@ar);
to compute the full indicator for the whole history. We then return the current value. This method builds the final indicator by building all-the-days-at-once rather than one-day-at-a-time. We could have returned the prior days value just as easily as the current value.

Study Example 3 is another alternative.


Study Example 3

A/D Oscillator using the ExpMovingAverageOfFunc:

Another way to do this is a compromise between the one-day-at-a-time method and the all-the-days-at-once method. Here we have a separate study one-day-at-a-time study for the base indicator. We call ExpMovingAverageOfFunc which calls the base indicator and does the exponential smoothing of it.

sub ComputeDRF3 {
my($ioffset)=@_;
my($range) = getHigh($ioffset)-getLow($ioffset);
if($range<1e-6) {
return 0.5;
}
return (getHigh($ioffset) - getOpen($ioffset) +
getClose($ioffset) - getLow($ioffset))/2/$range;
}
sub ComputeADOscillator3 {
return ExpMovingAverageOfFunc { ComputeDRF3(@_) } 0, 0.3;
}

The base indicator study ComputeDRF3 computes the range and returns the value for the day $ioffset. The ComputeADOscillator3 indicator calls ExpMovingAverageOfFunc to exponentially smooth the base indicator with a smoothing constant of 0.3.


Data Acquisition

In each language mode, the expression is evaluated for each stock or commodity currently displayed. When your indicator expression is evaluated, the program steps through the recent history. On a chart or individual data file(s), it proceeds one step per day. On a scan, this is done as one step per market.

The expression "getNumDays" is used to acquire data for analysis. It takes no arguments and returns the number of bars available for that stock or other series. For most, the value agrees with the option specifying how far back you want your scanning file to go. For new issues, this value might be as little as 1. If you wish to exclude such new issues, then please make that option selection through the software.

The remaining listed functions take an integer argument between 0 and (getNumDays()-1). This number tells the computer which day you want. For example, getClose(0) returns the current day's close for that stock. The expression getClose(getNumDays()-1) returns the earliest close available.


Data Return

Returning multiple values is possible, but for advanced users only.

Once you have computed your indicators, there are two distinct ways to return the values: implicit and explicit.

Implicit data return

When your expression is evaluated, the value is taken to be the indicator value you wish to display. For example, if you enter

(getClose(0)-getClose(1))

in the Choose Expression Dialog, you will get the net change for each stock. The value you wish to display is exactly the value of the expression.

As your usage gets more sophisticated, you may wish to return two values, for example, a fast and a slow moving average. An explicit data return is required for that.

Explicit data return

The example study OHLCStudy is available in all four Language Modes and it demonstrates explicit data return. This study has 6 return values, namely the date, the open, the high, the low, the close, and the volume of the current day for each stock.

In Visual Basic,

function OHLCStudy()
UA.NumReturns=6
UA.Title = "OHLC"
call UA.SetReturn(1,UA.GetDate(0),"Date","%.0lfC")
call UA.SetReturn(2,UA.GetPrice(1,0),"Open","%.4lfL")
call UA.SetReturn(3,UA.GetPrice(2,0),"High","%.4lfL")
call UA.SetReturn(4,UA.GetPrice(3,0),"Low","%.4lfL")
call UA.SetReturn(5,UA.GetPrice(4,0),"Close","%.4lfL")
call UA.SetReturn(6,UA.GetVol(0),"Vol","%.0lfL")
OHLCStudy = 2
end function

In JavaScript,

function OHLCStudy() {
//example OHLCStudy() = Returns the current OHLC
UA.NumReturns=4;
UA.Title="OHLC";
UA.SetReturn(1,UA.GetPrice(1,0),"Open","%.4lfL");
UA.SetReturn(2,UA.GetPrice(2,0),"High","%.4lfL");
UA.SetReturn(3,UA.GetPrice(3,0),"Low","%.4lfL");
UA.SetReturn(4,UA.GetPrice(4,0),"Close","%.4lfL");
UA.SharePriceScale = 1;
}

In Perl,

sub OHLCStudy {
@UAIndicatorLabels = ('Date', 'Open', 'High', 'Low', 'Close', 'Vol');
@UAIndicatorDisplayFormat = ('%.0lfC','%.4lfL','%.4lfL','%.4lfL','%.4lfL','%.0lfL');
$UAIndicatorTitle = 'OHLC';
return (@Date[0], @Open[0], @High[0], @Low[0], @Close[0], @Vol[0]);
}

In AnyLanguage,

function OHLCStudy
'example Data Access\OHLCStudy() = Returns the current OHLC
'MenuText Data Access\Open, High, Low, and Close
UA.NumReturns=4;
UA.SharePriceScale = 1;
UA.MostRecentDataEarlyInArray = 1;
UA.Title="OHLC";
call UA.SetReturn(1,UA.GetPrice(1,0),"Open","%.4lfL");
call UA.SetReturn(2,UA.GetPrice(2,0),"High","%.4lfL");
call UA.SetReturn(3,UA.GetPrice(3,0),"Low","%.4lfL");
call UA.SetReturn(4,UA.GetPrice(4,0),"Close","%.4lfL");
OHLCStudy = 2;
end function

In each case, the number of return values is set to six, the Title is set to "OHLC", and the six return values are set as the current date, open, high, low, close, and volume respectively. When using the SetReturn function, one should index which return, what value, what the column name should be, and the display format. The display formats are all "%.xlfY" where x is the number of decimal digits and Y is whether the column should be L-left justified, R-right justified, or C-center justified.


Place Order

Place order is used only by UA's charting module, and is ignored by MarketScanner. When used correctly, the PlaceOrder command graphically displays open and closed equity.

Guidelines for the Place Order function:

For everything but Perl,
UA.PlaceOrder(Verb,EntryName,ExitName,OnClose,Quantity,WhenCmd,TargetPrice);

· Verb can be EXIT, EXIT LONG, EXIT SHORT, BUY, SELL

· EntryName and ExitName have no effect.

· OnClose has no effect.

· WhenCmd can be OPEN, CLOSE, STOP, MIT, ON CLOSE, ON OPEN , AT MARKET, AT STOP, AT MIT, MARKET IF TOUCHED, MARKET-IF-TOUCHED, AT MARKET IF TOUCHED, AT MARKET-IF-TOUCHED, AT LIMIT, OR BETTER

For Perl,
PlaceOrder("Sell (\"Enter Short on Crossback\") next day at market");

· if BUY or SELL, BUY|SELL ("ENTRYNAME") (THIS BAR|NEXT BAR| THIS DAY|NEXT DAY) (1 SHARE, N shares, 1 CONTRACT, N CONTRACTS) (ONCLOSE, ON OPEN, AT MARKET, AT xxx STOP, AT xxx MIT, AT xxx MARKET IF TOUCHED| AT xxx LMIT, AT xxx OR BETTER)

· if EXIT, EXIT LONG, or EXIT SHORT EXIT from ("ENTRYNAME") (THIS BAR|NEXT BAR| THIS DAY|NEXT DAY) (1 SHARE, N shares, 1 CONTRACT, N CONTRACTS) (ONCLOSE, ON OPEN, AT MARKET, AT xxx STOP, AT xxx MIT, AT xxx MARKET IF TOUCHED| AT xxx LMIT, AT xxx OR BETTER)


AnyLanguage Guide

This is an evolving document that is under constructions. Please see the following topics which include general information that applies to AnyLanguage and/or specific AnyLanguage examples:

· Data Acquisition
· Data Return
· Place Order
· Test & Debug Study


Your Portfolio

Overview

UA lets you create and store portfolios that list all the contracts, stocks, options, cash series, COT data sets, etc. you will be viewing regularly. Your portfolios should include everything you'll want to see in chart form through UA and through third-party analysis software in various formats. By identifying the contracts or stocks of interest to you in portfolios, you can save a considerable amount of time and effort in your daily analysis because your markets of interest will be immediately available.

UA lets you control all important parameters used to configure the contracts or stocks in your portfolios and allows you to review or change these entries at any time. This feature is particularly useful when designing your own custom trading system with computed continuous series. Market analysis based on such contracts should never involve a data series built with unknown parameters. Unfair Advantage makes you an active and informed participant in your market study.

Multiple portfolios are used for sorting markets or to maintain separate lists of export format files for use with third-party analysis programs. Although the portfolio system lets you store your desired markets for easy access, it does not limit access of non-portfolio data. You can chart and/or write files on anything in the UA database*, whether or not it is listed in your portfolio(s).

You probably selected one of Unfair Advantage's sample or pre-set portfolios when you installed the software.

Charting directly from a portfolio is generally preferred to creating new charts from scratch, especially when commodities are involved. The portfolio allows you to do the work of defining the series once, and then stores the information for all future charting sessions. If you chart a commodity that is not in a portfolio, we recommend that after viewing the chart, you click the [Add to Portfolio] button at the bottom of your chart so that the settings will be saved for next time. You are not required to do so, however.

The portfolio manager is accessible through a panel on the left side of the screen, as well as through the Portfolio menu.

Automatic Portfolios For Compatible Software

Many companies that produce and sell analysis software have pre-arranged with CSI to have appropriate portfolios automatically created and maintained for their customers' use. If you use one of these software programs, such as VantagePoint, Delta Society Int'l software and others, then you may never need to visit UA's portfolio feature.

The MarketScanner Alternative

A handy alternative to portfolio selection is UA's MarketScanner, which can automatically list stocks and commodities for charting or other analysis. This module allows you to sort and filter tradeables according to your choice of price or volume fluctuation, or on study results. See the MarketScanner chapter for details. Users of MarketScanner can bypass the standard portfolio feature, or use MarketScanner to select markets for inclusion in your portfolios.

Special note for MultiMarket Analyzer users:

The MultiMarket Analyzer is a UA analysis module that analyzes many markets simultaneously in search of multiple over- or underpriced market opportunities or intermarket spread opportunities. It reads the compressed UA database directly and is not impacted by the markets introduced into your portfolio(s).

*The markets available for viewing and the software available for analysis may be restricted based upon your subscription category with CSI. See your Account Status for details on what is available to you. For full use of The MultiMarket Analyzer, The Trading System Performance Evaluator and Position Manager, users are required to pay the full UA license fee.


Tools for Portfolio Management

UA offers three distinct and largely interchangeable methods for manipulating your portfolios. Use whichever is most convenient for you in any given situation.

They are:
· The Portfolio Menu
· The Portfolio Manager Panel
· The Portfolio Pop-up Menu

Click the links above for instructions and examples of portfolio creation and manipulation.


Portfolio Menu

Your entire portfolio system, including the files within your portfolios can be controlled through the Portfolio menu (click to view).

Use this menu to:
· Create a new portfolio
· Edit portfolio settings
· Copy portfolio settings to a new portfolio
· Copy portfolio to new portfolio
· Delete portfolio and files

· Replace Portfolio With Vendor Portfolio
· Import Portfolio
· Export Portfolio (to printer - same as Print File List)
· Overwrite Portfolio with Backup Copy

· Minimize Portfolio Manager (change the appearance of your screen for full charting)
· Restore Portfolio Manager (restore screen to its presentation before Portfolio Manager was maximized or minimized)
· Maximize Portfolio Manager (change the appearance of your screen for best functionality within Portfolio Manager)

· Insert File/Files(add new series to your new or existing portfolio)
· Edit file settings (change the properties of a portfolio item)
· Rewrite file immediately (write an export format file to disk now)
· Rewrite file on next distribution (write an export format file to disk later)
· Delete File and Settings (remove an item from portfolio)
· Chart Series (display as UA chart)

· Find in Portfolio (use to locate a series on your portfolio list
· Select All (select all portfolio items for next action)
· Print File List (to make a hard copy listing of the selected portfolio)
· Reset Widths and Placement (to return columns to original state)

· Change Format (choose between chart, ASCII, MS, CSIM and CSI)
· Change Period (make file/chart Daily, Weekly or Monthly intervals)
·
· Enable/Disable Portfolios (select the portfolios that will be maintained automatically)
· File Properties (view and edit specifications for the selected item)

A very similar menu will display if you click on any item in a portfolio and then right-click your mouse. Use whichever method is most convenient for you.


Portfolio Manager Panel

The Portfolio Manager panel is found on the left side of your UA screen. The visible portfolio is named in the "Select Portfolio" box at the top of the panel. Click the down arrow at the right of the "Select Portfolio" text box to display a menu of all available portfolios. The "All" option is always at the top of the list. Selecting it will produce a listing of all portfolios simultaneously, as shown in the following example.

The "Chart" portfolio is second by default. This portfolio could be used to list of all time series that you have defined for portfolio inclusion, but for which no export files were selected. These would be immediately available for charting only. Any additional portfolios on the list would be placed there by the user.

The lower portion of the Portfolio Manager panel lists the contracts, stocks, options, etc. included in the portfolio listed above. Note that if *All* is selected above, the list will show all time series in all of your portfolios.

Portfolio Manager Panel Buttons

· [Add file to portfolio] lets you add a new market as explained in the Adding/Editing Files topic.
· [Find] lets you enter a search string to locate a market in your portfolio listing as described in the Find In Portfolio topic.
· [Edit] lets you change the properties of the selected file, also explained in the Adding/Editing Files topic.
· [Chart] lets you graphically view the selected market, along with any desired studies. This is also used for viewing tabular data and allows access to UA's data editor. The resulting charts are built according to the corresponding portfolio settings. See the Chart Interpretation and Manipulation chapter for more on UA charts.
· [Delete] lets you remove the selected market from your portfolio list, and associated files from your computer.
· [Rewrite] sets UA in motion to reproduce the selected data file from the source database. This is typically used after settings have been changed that would modify the rewritten chart or file. See the Rewrite File Immediately topic for more information.
· [Refresh DB] lets you select files or files in your database that will be replaced with fresh data from the CSI host computer. This is rarely used, and only in the rare case when necessary to repair corrupted files. See the History Refresh Download topic for instructions.

Maximizing/Minimizing/Restoring the Portfolio Manager Panel
(through the Portfolio Menu)

The Portfolio Manager Panel can be maximized to fill the screen, minimized to leave more room for charting, and restored to the original presentation through selections on the Portfolio menu. Click the Portfolio menu at the top of your screen, and then select your choice as shown. See below for an example of a maximized Portfolio Manager.

Maximizing/Minimizing/Restoring the Portfolio Manager Panel
(using mouse functions)

Click the small right-pointing arrow on the divider between the charting window and the Portfolio Manager panel to remove the chart window from view and expand the Portfolio Manager panel so that it fills the screen. This will reveal more details about the content of your portfolio(s). Click the left-pointing arrow on the divider bar to remove the Portfolio Manager panel from view. This allows maximum space for charting. Reverse both actions by clicking the opposite arrow.

You may resize both windows by using your mouse to drag the divider bar to the desired position.

Using the Portfolio Manager Panel (Expanded)

Note that you can scroll through the many entries using both side and bottom scroll bars, and can change the column sizes by dragging the heading dividers to the desired location or simply clicking on them. The columns can be used to sort your portfolio as desired. Just click any heading to use it as a sort key.

Click the small left-pointing arrow at the right border of the expanded Portfolio Manager panel to restore the chart to your screen. Once the original screen presentation is restored, you can further minimize the Portfolio Manager panel by clicking the left-pointing arrow again.

Right-click your mouse in the Portfolio Panel for a menu of additional functions, including "Minimize Portfolio Manager," "Restore Portfolio Manager," "Maximize Portfolio Manager" and "Hide Column."

Managing the Columns

The Portfolio Manager's columns can be adjusted in several ways:

· Click a heading to view the column with its width automatically set to fit the content (instead of the compressed version seen above).
· Click any heading to sort by the heading.
· Click your mouse on any heading and then drag and drop it at another location to change the order of the columns.
·
When columns are adjusted in this way, you can use the Portfolio Menu's " Reset Column Width and Placement" feature to restore them to the original presentation.


Portfolio Pop-up Menu

Right-click any row in the Portfolio panel to display a pop-up menu that is very similar to the Portfolio menu. Although the order is different and the wording may vary you'll find it has the same features as the Portfolio menu, with the addition of a couple more.

· Insert File/Files(add new series to your new or existing portfolio)
· Edit file settings (change the properties of a portfolio item)
· Rewrite file immediately (write an export format file to disk now)
· Rewrite file on next distribution (write an export format file to disk later)
· Delete File and Settings (remove an item from portfolio)
· Chart Series (display as UA chart)

· Create a new portfolio
· Edit portfolio settings
· Copy portfolio settings to a new portfolio
· Copy portfolio to new portfolio
· Delete portfolio and files
· Import Portfolio
· Export portfolio

· Minimize Portfolio Manager
· Restore Portfolio Manager
· Maximize Portfolio Manager
· Hide Column

· Find in Portfolio (use to locate a series on your portfolio list
· Select All Visible (select those items you can see for next action)
· Print File List (to make a hard copy listing of the selected portfolio)
· Reset Column Widths and Placement

· Change Format (choose between chart, ASCII, MS, CSIM and CSI)
· Change Period (make file/chart Daily, Weekly or Monthly intervals)

· Enable/Disable Portfolios
· File Properties (view and edit specifications for the selected item)

Each of these features is described here in the Portfolio chapter.


Creating a Portfolio

Before we begin describing the steps for creating a portfolio, we suggest that you consider creating charts first, and then saving those charts to a portfolio. UA will prompt you to enter any necessary information for the process of automatically creating the destination portfolio.

Other automatic methods for portfolio creation you might want to consider are:
· Importing a Portfolio
· Downloading a Vendor Portfolio

If you prefer to manually create a portfolio you may do so now using these instructions:

To create a portfolio, click the "Portfolio" menu at the top of your UA screen, and then click "Create new Portfolio," as shown:

A screen much like this example displays:

The top portion of this screen lets you enter some basic information about your desired portfolio:

Name: The first thing you'll do is name your new portfolio. Simply type a description or whatever nomenclature you prefer into the "Name" text box. (We used "MyStocks in the example above.)

Directory: As you type the portfolio name, you'll notice that a corresponding directory name is inserted into the "Directory" text box below. The directory specified there will be the physical location of all files in your new portfolio. The default location is a directory whose name matches the portfolio name within the C:\UA\Files subdirectory. If you prefer to store this data in another directory, simply edit the directory name.

UA will automatically create the directory if it does not already exist. Another option is to click the [Browse] button and navigate to the existing directory of your choice (described next).

If no directory is selected, the content of the portfolio will be immediately available for charting with UA, but will NOT be written to files for use with other programs.

The lower portion of the screen shows portfolio settings. These are explained in the Editing Portfolio Settings chapter.


Browsing for a Directory

When creating a new portfolio, you may select any existing directory on your drive as the destination for your data files. To select an existing portfolio, click the [Browse] button next to the "Directory" listing. A browse dialog box displays:

Double-click the drive where your files should be stored to display a listing of the drive's content:

The example above would allow you to store data in the c:\Quick directory. Explore your drive as needed to find the desired directory for your files.

Click OK to return to the portfolio creation screen where you can arrange the rest of your portfolio settings.


Copying Portfolio Settings to New Portfolio

Use this feature to create a new portfolio with the same settings as an existing portfolio. To use, simply select the original portfolio (that you wish to copy) from the Select Portfolio box of the Portfolio Manager panel, then go to the Portfolio menu and click "Copy Portfolio Settings to New Portfolio."

A screen of portfolio settings displays, with no name, but exactly the same settings as the original portfolio.

Fill in the portfolio name and adjust settings as desired.

Click [OK] to save your changes.

UA proceeds with contract selection screens for identifying the content of this new portfolio. Although the settings from your original portfolio are copied with this feature, the list of markets is not. You must identify the desired commodities, stocks and other data here. Click [OK] to save your new portfolio listing.


Copy Portfolio to New Portfolio

This feature allows you to create a duplicate portfolio of one that is already stored on your computer. The portfolio listed in the Portfolio Manager panel will be copied, complete with all specified data series and portfolio settings.

To use, click the Portfolio menu, and then choose "Copy Portfolio to New Portfolio." If no portfolio has been selected in the Portfolio Manager panel, you'll be offered a list of all existing portfolios for selection. Make your choice to proceed.

The Edit Portfolio screen displays, allowing you to name your new portfolio and specify a different directory, if desired. All of this is done exactly as it was when the initial portfolio was created. See the "Creating a Portfolio" and "Browsing for a Directory" topics for more information.


Importing a Portfolio

There may be times when you want to import an existing portfolio into Unfair Advantage instead of creating a portfolio from scratch. The imported portfolio may be a UA portfolio that you created and saved using another version of UA (v 1.75 or higher), or perhaps a portfolio that a friend, colleague or software developer created for you, or one of the standard portfolios CSI has prepared for your use. This feature also lets create a UA portfolio that duplicates an existing portfolio of UA-compatible files already stored on your computer. These compatible files might be in the MS (MetaStock) format, the CSIM (MetaStock compatible) format or the CSI (QuickTrieve) format.

The specific list of commodities with their respective contracts, as well as stocks, funds, indices and options included in all of your portfolios is stored in a file called portfile.adm (in the ua\archives directory). This file is created and automatically maintained by Unfair Advantage.

When you import a portfolio, UA adds the new portfolio to your list of existing portfolios.

To import an existing portfolio, pull down the Portfolio menu (click it), go to "Import Portfolio" and then click the portfolio type as shown here:

If UA Portfolio is selected:

A screen similar to the following displays:

If the wrong directory displays, click the down arrow button to the right of the "Look in" box, then select your hard drive as shown:

Navigate through your directory structure to find the folder holding the portfolio you wish to import. Within each folder, UA will display a listing of the files that have the .adm extension. The portfolio file (portfile.adm) currently being used by your UA is stored in Archives folder. The portsave folder includes several pre-set portfolios including:

· blank (No portfolio)
· index (Index Sample Portfolio)
· odat (One-Day-at-a-Time)
· odatstk (One-Day-at-a-Time Stock)
· odatvp (One-Day-at-a-Time and VantagePoint)
· stdport (Standard UA Sample Portfolio)
· stksamp (UA Sample Stock Portfolio)
· vantpnt (VantagePoint portfolio)

When you find the portfolio file you wish to import, click on it, then click [Open]. The portfolio will be added to your UA screens.

If MS, CSIM or CSI Directory is selected

A screen similar to the following displays.

Click the drive designator (C: above) and navigate to the folder holding the data files you are currently using or wish to use with your third-party software. Click the folder and then click [OK]. UA will look for that folder's directory file, which will be either a MASTER file (for MS or CSIM format) or a QMASTER file (for CSI format). If the appropriate directory file is not found, UA will allow you to try again.

Import Tips:

· Check the documentation supplied with your analysis software to find the name of the folder(s) holding your data files.

· If you are uncertain of the folder to select, try first exploring your drive to find the location of the appropriate \MASTER or \QMASTER file(s). To explore your drive, click the "Start" button and then click "My Computer."

· Note that the importation feature will only import stocks and commodities for which the correct symbol is stored within the directory file. For example, if a new IPO stock is listed in your CSI-format portfolio showing its symbol in the "name" column and "symbol not found" in the symbol column, UA will not include it in your portfolio list. The symbol must be correctly recorded in the symbol column for each issue. UA receives lists of new issues with each download, allowing you to manually add these new issues to your UA portfolio.

If ASCII Import

ASCII import is used to enter a list of stocks for inclusion in your portfolio. This is really handy if you have a computer file of your investment assets from your broker, or a recommendation list received in an e-mail.

Required ASCII stock list format:
File must be ASCII text format.
The stock symbol must be the first entry on each line.
Only one stock per line.
Anything after a space, tab, comma, colon or semi colon is treated as a comment, and is ignored.

Example:

IBM
GE; long 1,000 shares
GEECF, look for breakout
MSFT buy on weakness

The above list would import into a portfolio as: IBM, GE, GEECF and MSFT.

The "Edit Portfolio" screen displays, allowing you to name your portfolio and its destination directory. It also presents a full range of Portfolio settings that you may modify as desired. This process is exactly the same as Creating a Portfolio except that the list of symbols will be inserted automatically, based upon your index selection, and the portfolio format and date information will be entered through one additional screen:

These entries are normally listed on the stock selection screen. Click the links below for information on the choices, using the [Back] button to return to this screen.

Date Range
File Format
Portfolio Selection
Periodicity

When all choices have been selected, click [OK]. Your new portfolio will display in the Portfolio Manager panel.

If Stock Index Components

Importing a portfolio of stock index components is a great way to quickly load up your portfolio with popular, relevant stocks. For example, if your interests lie mostly with high volume NASDAQ computer stocks, importing the NASDAQ Computers Index components will likely get most of what you need. You can import the components of multiple indices by repeating this process, and can then fine-tune your portfolio by selectively adding and deleting stocks.

Clicking "Stock Index Components" selection produces this extensive list of indices:

Click the one stock index for which you wish to have the full range of component stocks placed in your portfolio. Click [OK] to begin the import. Once the list is downloaded, the "Edit Portfolio" screen displays, allowing you to name your portfolio and its destination directory. It also presents a full screen of Portfolio settings that you may modify as desired, just as when importing an ASCII portfolio list, described above.

In Case of Portfolio Duplications

If the imported portfolio includes issues that are already in your UA portfolio, a listing of all redundant items displays. You can choose between keeping the old listing or switching to the new by checking the appropriate boxes. If all looks well, click [Keep]. To change any entry, click [Edit], which will advance you to a normal portfolio selection screen.

After the Import

After a successful portfolio importation, your revised portfolio will display in the UA Portfolios box. You can repeat the procedure to add additional portfolios as desired.

In case of an unsuccessful import, please transmit the files requested by the Error Message screen, and call CSI as indicated.

Downloading Other Portfolios

CSI maintains replacement portfolios on the Support page of our website that may be used as directed by CSI Technical Support Staff.


Download Latest Vendor Portfolio

This feature allows the many CSI subscribers who use standardized "Vendor" portfolios to get the most up-to-date portfolio list for their respective trading systems. Vendor portfolios are lists of markets and parameters that have been optimized for use with various software products. The content of the portfolios is determined by the vendors, not CSI.

To use, click the "Portfolio" menu at the top of the UA screen, and then move your cursor to "Download Latest Vendor Portfolio." This produces and additional menu showing the current list of vendor portfolios:

Click the portfolio that matches your third-party software.

You'll be asked to confirm that you want to begin the download. Make sure that your computer is online and then click [Yes] to begin. The download normally takes just a few seconds. When complete,the revised portfolio listing displays in your Portfolio Manager panel.


Adding/Editing Files

During the process of creating or modifying a portfolio, creating a chart or sending data to third-party software, UA advances to a screen where you can select markets and study parameters as shown below.

You can also reach this screen at any time by clicking [Add File to Portfolio] in the Portfolio Manager panel, or by clicking the Portfolio menu and clicking "Insert File/Files."

addmktico Another route to reach this screen is to click the "Add Market" (Add Export File) button on the UA toolbar.

The Selecting Data Series screen (this example is for stocks):

This screen allows you to select a data series and then identify all the parameters that apply to your selected commodity, stock or cash series. The features are fully explained throughout this chapter.

· The first thing you'll need to do is select "Market Type." (Click the link for instructions.)

As you make your way through this chapter by viewing each successive topic, you'll learn everything you need to know about adding and editing files. If you'll be using a third-party analysis program, be sure to pay extra attention to the File Export Preferences on the right side of the data selection screen. Of special interest will be the Contract Selection topics, which describe the available contracts.

When one series is complete, repeat the process until the complete portfolio has been identified. Keep in mind that you may add items to your portfolios through this screen at any time, and that you may modify your entries here as well.

Editing Files

You can edit the contract selection, date range, export options and other settings for individual contracts and stocks in your portfolios through the Portfolio Manager panel on the left of your UA screen, or through the Portfolio Menu.

To edit a file, first select the appropriate portfolio in the Select Portfolio box, and then select the desired file from the list that displays below.

Click the [Edit] button or pull down the Portfolio menu and click, "Edit File Settings." This produces the "Selecting Data Series" screen as seen above, exactly like the one used to create the entry initially. Edit as desired and click [OK] to save your changes.


Market Type

When adding markets to a portfolio or creating a chart through UA's market selection screen, you must first identify the type of market to be added. Click the arrow next to the "Market Type" box at the top of the screen to display a menu of all available market types.

Your choices are:

Stock/Mutual/Indices - This choice includes equities, equity options, mutual funds and some stock indexes. When this is chosen, two tabbed pages display allowing you to confirm stocks and funds or make appropriate selections for options.

Futures - This choice includes all commodities, futures contracts and futures options. When futures are chosen, many tabbed pages are added, allowing you to select between various ways of displaying normal contracts and options, and for selecting user-defined computed contracts.

Cash/Forward/Fundamental Series - This choice includes an assortment of information ranging from Commitment of Traders data, to stock and commodity indexes, to currency crossrates, to government reports data including unemployment figures and the U.S. Debt, etc. When Cash contracts are selected, only one tabbed page displays, offering no user selections.

You'll note that the appearance of the screen changes depending upon your selection.

Once you have selected the appropriate Market Type, click inside the "Markets" box to the right so that you may type the desired symbols there, or click the [Mkts] button to display a list for market selection. These entries are described next.


Symbols

Once your desired "Market Type" is chosen, you may select the individual commodities, stocks or other time series to go into this portfolio or chart. If multiple selections are to be handled in exactly the same way, you may add them together here.

It is important to understand that all time series that are added as a group receive exactly the same handling through UA. For example, you could type the symbols for all desired stocks that will go into a specific portfolio, all of which are to be written to the same export-format files. Or you could type a list of all commodity symbols for which you want the same type of detrended back-adjusted contracts to be stored in the same export-format files. However, if some contracts are to be written to ASCII files, and others are to be the CSI format, then they should not be selected together here. If some are to be back-adjusted and some are to be nearest-futures, they could not be selected together.

Enter Symbols

If you know the symbols of the series you want to add, you may type them into the "Symbols" box. The symbols entered must match the selected "Market Type" and must be separated by a comma and a space (or comma or space) as shown in the example below. This is a request for corn, wheat, live cattle, T-Bond, Swiss Franc, dollar index and Japanese Yen futures:

Choosing Markets from List (optional)

If you prefer, you may choose markets from a list by clicking the [Mkts] button. The CSI factsheet that corresponds to the selected "Market Type" displays. The example below is for commodities:

Note: The "Choose Market From Market Spec List" setting on the "General UA Behavior 2" tab under UA Preferences - Account can be selected to automatically display the factsheet whenever you select markets.

To choose from the list, click the box under the "Se" (select) heading for each market you wish to add. If you prefer to see the full heading or content of a column instead of the abbreviated form shown here, click the heading to adjust the column size.

The following features of this screen may help you in your selection:

The Sort Order determines how the list will be constructed. The above example shows a sort by CSI Number. Other options include: Name, symbol, exchange, pricing unit and many others. Click the down arrow for a complete list (scroll to the bottom to see all choices), and then click your choice. If you prefer, you can change the sort order by clicking the heading at the top of the desired sorting column.

If you know the CSI number, symbol, name, or whatever is selected under "Sort Order," you can go directly to that market by typing the appropriate entry into the "Locate" box. If you aren't sure of these values, you can simply use the scroll arrows to locate the first market you wish to add to your portfolio or chart. Click [OK] when you are finished selecting from the list.

The Limit to Market Type box at the upper right will further classify the data to ease the selection process. Click the arrow at the right to view all possible market categories and make your selection.

Use the [Advanced Search] button at the bottom of the screen for help finding illusive markets. Clicking it displays a text box for entering the desired symbol and a list of all possible exchanges. Enter the symbol, click on the appropriate exchange, and then click [Find]. A list of matching symbols will display, from which you may select the one you want. Upon making your choice, the factsheet will re-display showing your found market. If no matches are found, you are instructed to try again.

When the desired markets have been selected, click [OK] to proceed.

You will then have the opportunity to specify your preference for several additional settings on the Market Selection screen. These include:

· Contract Months to Include
· Date Range
· Export Options
· Periodicity
· Detrend Method
· Inversion
· Custom Studies
· Contract Selection

You'll finish identifying the contract specifications for one market or group of markets before repeating the procedure for the next group of markets to be handled in a like manner.

When all of the above settings have been selected to your satisfaction, click [OK] to create the portfolio or chart.

Footnotes

The box below the commodity or stock list (empty in above example) shows footnotes from the Market Specs factsheets. This is important information regarding anything from changes in contract specifications to non-trading days or other factors that may be relevant to your analysis. Footnotes are conveniently displayed at this time to avoid confusion or concern later. Please take a moment to read them. Additional information is available through the Database Menu's "Facts and Events" screens.


Contract Months to Include

Contract Months to Include (Futures)
Previous Top Next

Upon selecting a futures data series for inclusion in your portfolio or for charting, your first optional input is the Contract Months to Include:

This feature displays the delivery months that will be included for a given commodity to be used in whatever contracts (raw, back-adjusted, Perpetual Contract data, etc.) that you select. Note: This entry gives UA a list of months to choose from. It does NOT include those months in your portfolio automatically. The typical selection that applies to most users it to leave this entry as it is, without changing it.

The default selections (those marked with an X) are the delivery months UA's factsheets identify as "normal" trading months. These are the active contracts that are normally traded. They are the ones listed as "V" (for valid) in the Active Months field of the factsheets. Other months may be available. For example, the factsheets may list some months as "S" (for switching month). If you want to add other months besides the active ones, click the box over the month, or click [All] at the right.

The option of [None] is also available for those markets on which only the cash price will be followed. However, it is not necessary to click [None] in that case. Other uses for the [None] option may develop later.

When multiple commodities are selected together, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

This entry does not apply to stocks.

Click here for information on the Data Range.


Date Range

A "date range" selector appears at the bottom of the screen for every portfolio entry and chart request made through UA. The default date range is from "as available" to "as available." These settings let UA create the longest, most detailed charts and files possible for your selected time series.

For most applications, these dates should be left as they are. There are valid reasons for studying a specific, isolated time period, however, which is why we give you the option of identifying a date range.

Enter the desired start and ending dates using a four-digit year, month and day format.

Example, the start date offered on the drop-down menu (shown above) is March 30, 1983. January 15, 2004 would be entered as: 20040115.

Next consider adjusting the periodicity of your files.


Periodicity

The periodicity (reporting frequency) of the items in your portfolios determines whether the resulting charts and export format files will be created as daily, weekly, monthly, quarterly, semi-annual or yearly files. Select the desired "Periodicity" from the right-hand panel of the data selection screen as shown:

This prompt controls the data intervals (bar frequency) of the data in your files. Your choices are D (for daily), W (for weekly), M (for monthly), Q (for quarterly), S (for semi-annually) and Y (for yearly).

· A DAILY series will hold the daily open, high, low, close, volume and open interest.

· A WEEKLY series will hold Monday's open, the high and low for the week, Friday's close.*

· A MONTHLY series will hold the open from the first business day of the month, the high and low for the month and the close from the last business day of the month.*

· A QUARTERLY series will hold the open from the first business day of the quarter, the high and low for the quarter and the close from the last business day of the quarter. The quarterly periods represented are: Jan - Mar, Apr - Jun, Jul - Sep and Oct - Dec.*

· A SEMI-ANNUAL series will hold the open from the first business day of the semi-annual period, the high and low for the semi-annual period and the close from the last business day of the semi-annual period. The periods represented are Jan - Jun, and Jul - Dec.*

· A YEARLY series will show a single data set for each year consisting of the open for the first business day of the year, the annual high and low, and the close on the last business day of the year.*

*See the Aggregate Files portfolio setting to determine exactly how volume, open interest and cash will be handled in these files.

Intraday and Preliminary Data

An important exception to the Daily file structure involves preliminary stock data and intraday "SnapQuote" external commodity updates made before the markets have been settled and all data verified. If intraday SnapQuotes are used, the last day shown for a daily chart or file will include the commodity's open, with high, low and last prices reflecting market activity up to the time of the last posting. Both SnapQuote and preliminary stock data are subject to revision when a daily update of official market data is retrieved.

Changing Periodicity

The "Change Period" feature on the Portfolio menu gives you a quick way to change reporting frequency without getting into the more complicated selection screen. To change a file's periodicity, click the portfolio item you want to change, then click the Portfolio Menu. Click "Change Period" from the menu. The following displays:

Click your choice, keeping in mind that most software can create weekly, monthly and longer-term files from daily data, but that daily files cannot be reverse engineered from other files. Your changes will be visible immediately on a UA chart. You'll need to rewrite any export format files to make this change take effect there.

Now you're ready to begin contract selection. This is where you define exactly the type of data files you wish to view and analyze.


Portfolio Errors

When identifying markets for inclusion in your portfolio or for charting, UA cross checks your entries with the CSI Market Specification Factsheets. If you have requested a symbol that doesn't exist on the factsheet, an error message will display:

This can occur in two different circumstances:

1) Your symbols and "Market Type" do not correspond. For example: if the Market Type is set for Futures, but you enter MSFT for Microsoft and IBM for International Business Machines (both stocks). The error form displays despite the fact that the symbols are valid. They just aren't valid commodity symbols! The solution is to correct the Market Type and try again.

2) You entered an incorrect symbol. If it was a typo, correct the symbol in the right-hand column and click [OK]. If the problem recurs, it may be that the symbol in the CSI database is not the same as you are accustomed to. You can dismiss this screen without a correct symbol by deleting the invalid symbol in the right column and clicking [OK]

If you don't know what symbol to use click the [Mkts] button next to the Markets box on the Selecting Data Series screen. This will allow you to choose your markets from a list, which will assure accurate symbols.


Contract Selection

UA offers so many choices for futures contract selection that they require their own subchapters of the manual. Each choice is shown as a separate tab on the Selecting Data Series screen as shown here:

Each type of possible contract is described here:

· Stock/Mutual/Indices (not shown)
· Stock Index Option (not shown)

· Normal Pricing
· IFG (Individual Futures Group)
· Nth Nearest Future
· Back Adjusted
· Cash Contracts
· Options
· Perpetual Contract (R) Data
· Gann Contracts

Click the links (above) for details on the individual contract selections.


Stock/Mutual/Indices

If your chosen Market Type is "Stock/Mutual/Indices," then the only tabs in the center of the "Selecting Data Series" screen say, "Stock" and "Option."

As you can see from the on-screen message, stocks, indices and funds require no further settings - unless you are requesting a stock index option. These are available from CSI as a separate subscription category, so they are not automatically available to all stock subscribers.

Click [OK] to record your selection in your portfolio.

For information on Stock Index Options, click here.
For information on problems with symbols, click here.


Stock Index Option

Adding a stock index option to your portfolio begins as if you were adding the underlying index.

Use these selections:

Market Type

The "Market Type" on the Market Selection screen must be set for "Stocks/Mutual/Indices." If this doesn't show on your screen, click the arrow at the right side of the box to drop down the menu and make your selection as shown here:

Symbols

Now you may identify the one index for which you wish to view options. If you know the symbol, type it into the "Symbols" box. See below for an alternate method of Choosing Symbols from a List.

Choosing Symbols From List

It is likely that you will need to select the symbol from the Market Specification list instead of typing it because symbols for indexes are not always as expected. If the symbol you type doesn't provide the expected result or if you are unsure of the symbol, click the [Mkts] button to display the list. You can begin every new chart directly from the list (instead of the Selecting Data Series screen) by choosing "In Data Series Manager, choose market from Market Stats List" on the General UA Behavior 2 preferences screen.

The example below shows the list of index options. Reach this list by clicking the arrow next to the selection box under "Limit To Market Type," at right. Select "Stocks With Options" from the menu.

The list of options is not long, so you can easily scroll through it, or search using the techniques described in the Markets topic..

Click the check box under the "Sel" (select) heading for the market whose options you wish to chart. When the market has been selected, as identified by a check mark, click [OK]. You will return to the Selecting Data Series screen.

Selecting Options

Once the symbol is entered, click the "Options" tab in the center region of the screen. UA will confirm that the symbol is valid and automatically add the CSI number. The strike prices will display in the center panel as shown here:

From here you'll be able to choose the desired options for your portfolio. The options offerings include the history of all puts and calls at all strikes for at least the last year, plus currently traded options as far out as they are traded. Options are grouped by expiration month, "put" or "call" status and strike prices.

Scroll through the listing and select those you want to chart by clicking the left-most column for each. As shown in the example below, selected options are marked with an "X."

If you also want to view Put/Call Totals, click the box below the options list (not available for every market).

For options and everything else in your portfolio, the number of series that may be charted simultaneously is subject to the charting limit specified as Memory Cache Size in UA Preferences.

Click [OK] to display your chart(s).

See the Chart Interpretation & Manipulation chapter for information on interpretation and manipulation. Consider using the "Save to Portfolio" feature to save your charts for future use.


Normal Price Series

Raw Pricing refers to normal, unadjusted, non-continuous data series for specific commodity contracts that are included in your portfolio for export or charting.

Upon selecting the commodity and determining which contract months will be included, a list of all available contracts displays:

Click the first column for each contract you wish to include in your portfolio. Selected contracts are marked with an "x."

Be sure to select your detrend preferences, date range, post processing and export options (for portfolio) before clicking OK to finish your selection.


IFG (Indiv. Futures Group)

The Individual Futures Group (IFG) is a popular choice for portfolios because it includes a revolving selection of the most active contracts. This is a no-maintenance alternative to selecting Normal Prices.

The user-defined settings for Individual Futures Group are shown here:

You'll need to select the appropriate response for each of the following:

Contracts

When creating an Individual Futures Group, click the down arrow symbol to the right of the text box under "Contracts," then select from one to ten contracts to be automatically included in your portfolio or displayed as a chart. A larger value may be typed into the box, as desired.

As contracts grow near (or nearer) to their expiration month, they move into the window for inclusion in the Individual Futures Group, which is determined by this value. An Individual Futures group might include all contracts, the five nearest contracts, or perhaps just the nearest one or two.

Include Cash: If you would like the cash price automatically included (where available), check the "Include Cash" box by clicking it.

Rolling

When creating an Individual Futures Group, you must identify the parameters for adding and removing contracts from your portfolio through the "Rolling" settings.

Day from start of month - Enter the date of the expiration month when the contract that is closest to delivery should be omitted from your list. For example, 1 means the contract should be dropped on the first day of the month. 15 means that the lead contract is dropped on the 15th of the month.

Months Prior - This points to which month the "day from start of month" (above) refers. 0 indicates no months prior, so the date listed above is in the expiration month. Use 1 for the month before the expiration month, 2 for two months prior, etc.

If you want export format data files to be deleted from your hard drive as they are removed from the Individual Futures Group list, select the required portfolio from the Portfolio Manager panel and then click the Portfolio menu. From the Portfolio menu, click Edit Portfolio Settings. Go to the "General" tab and make sure the option, "Delete Expiring Contracts for Individual Futures Group" is checked. Naturally, if you don't want IFG export files automatically deleted, make sure the prompt is NOT checked! It is important to note that the act of removing a contact from your portfolio through the Individual Futures Group can also result in the removal of any corresponding export format files from your hard drive.

Be sure to select your detrend preferences, date range, post processing and export options before clicking OK to finish your selection.


Nearest Future

This is a single, continuous series built from whichever contract was or is in a specified sequence from delivery. The contracts from which the program selects are based upon user input with respect to the rollover date.

The user options for Nth Nearest Future contracts are shown here:

You'll need to select the appropriate response for each of the following:

Roll Trigger

This input determines when UA switches from one month to the next in creating continuous series. You may choose between using volume and/or open interest or a specific date as explained below. Additional rolling criteria will be set by the "Roll Timing" option, below.

· Open Interest - Click here to exclude the nearest contract when heaviest open interest shifts to the subsequent delivery month.

· Volume - Click here to exclude the nearest contract when heaviest volume shifts to the subsequent delivery month.

· Open Interest and Volume - Click here to exclude the nearest contract when BOTH heaviest open interest AND heaviest volume simultaneously shift to the subsequent delivery month.

· Open Interest or Volume - Click here to exclude the nearest contract when EITHER heaviest open interest OR heaviest volume shifts to the subsequent delivery month.

· Date - This option lets your computed contract roll from one contract to the next on a specific day of the month. Click here and type the day of the month you wish rollforward to occur. Enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This prompt coordinates with another prompt (at right).

Start/End of Month - The default rolling criterion is for the day of the month (above) to be calibrated to the beginning of the month. An alternate rolling option is to select End of Month here, and enter the number of days prior to the end of the month to change contracts in the box at left. When "End of Month" is selected, enter the number of calendar days before the month is over that you want to roll out of a contract (1 to 28). Think of this as an inverted calendar. Enter 1 for the last day of the month, 2 for the next-to-last day, etc. This option is useful for traders who want to avoid risking delivery of a commodity by rolling out of a contract on the first notice day, which is often calibrated relative to the end of the month.

· Months Prior - In the box to the left of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc.

· Roll by Days Before Expiration Date - Click here to keep the lead contract in your nearest future series until a specific date before expiration of the appropriate contract. To calibrate an early roll date relative to the expiration date, enter the number of days before expiration for the rollover to occur. Enter 0 to roll on the expiration date. The "expiration date" used here is based on the typical expiration date for the specific commodity, and may not be accurate at all times.

Roll Timing

This refers to when the near contract is dropped and replaced by the next in various continuous, computed contracts. Your choices are:

· Anticipate - With this choice, the last close of the expiring contract is posted on the day before your specified rollforward date. The first opening price of the new lead contract appears in the series on the specified rollforward date.

· Aligned with Price Data - With this choice, the last close of the expiring contract is posted on the day of the specified rollforward. The first open of the new contract is posted the day after the specified rollforward date.

· When Known - With this choice, the final close of the expiring contract appears the day after the specified rollforward date and the first open of the new contract appears two days after the specified rollforward.

How Many Contracts Out

When creating an Nth Nearest Futures Contract, this entry determines the value of N. For example, to create a first-nearest future contract (that is always showing the contract closest to delivery, within your rollover constraints) select 1. To always view the second-nearest contract, select 2, and so on.

The default value is 2, but you may change it as desired, not exceeding nine contracts forward. The value you select must not represent more than the maximum number of contracts trading at any given time for the commodity being studied.

Confirmation Signals

This feature is useful when rolling is based on changes in volume and/or open interest for Nth Nearest and Back-Adjusted files. It lets you avoid an early change based on arbitrary fluctuations. Your choices are:

· Roll on First Trigger - switch contracts the first time the specified action occurs. This is the appropriate choice when using the standard back adjuster, which views the market backward in time to decide which contracts to report.

· Roll on Second Consecutive Trigger - switch contract the second time IN A ROW the specified action occurs,

· Roll on Third Consecutive Trigger - same as above, on third time.

Roll on Fourth Consecutive Trigger - same as above, on fourth time.

Generate Forward

"Generate Forward" refers to the perspective Unfair Advantage takes in creating continuous files that roll on volume, open interest, or volume and open interest. This type of file is compiled using the earliest data first and then moving forward to later data. Forward-generated data sets do not use information in their creation that was not available on the date in question, and therefore, may do a better job of avoiding bias.

Be sure to select your detrend preferences, date range, post processing and export options before clicking OK to finish your selection.


Back Adjusted Contracts

This is a continuous series built from contracts whose prices have been adjusted (either backward or forward) to eliminate the gaps between expiring and newly active contracts. The idea of adjusted contracts involves concatenating historical contracts of a given commodity into the past, while applying adjustments to smooth transitions between delivery months.

From the center region of the Selecting Data Series screen, click the "Back Adjusted" tab, which is fourth from the left (see below). Our example shows a selection screen for CBT Corn, CSI #9, symbol C.

The user-defined settings for Back (and forward) Adjusted contracts are shown here:

Contract Months To Include

If you have entered only one symbol, your first customizable setting is the Contract Months To Include:

The selections represent the list of delivery months that UA will cycle through in creating your Back Adjusted portfolio entry. The typical selection is to leave this entry as it is, without changing it.

The default selections (those initially marked with an X) are the delivery months UA's Market Specs Factsheets identify as "normal" trading months. These are the active contracts that are normally traded over the course of the year. They are the ones listed as "V" (for valid) in the Active Months field of the Market Specs. Other months may be available. For example, the Market Specs may list some months as "S" (for switching month). If you want to add other months besides the active ones or delete selected months, click the box over the month. Click [All] at right if you want every possible contract to be available.

When multiple symbols have been entered, all normal, active contracts will be selected automatically, and you will not have the choice of identifying alternative months.

Selecting Back Adjusted Settings

The "Back Adjusted" screen shows the settings you may customize for your Back (and Forward) Adjusted files:

You'll need to select the appropriate response for each of the following:

Roll Trigger

This input determines when UA switches from one futures contract to the next in creating your back-adjusted series. You may choose between using volume and/or open interest or a specific date as explained below.

When creating back-adjusted continuous files that use volume and/or open interest as roll triggers, the result will depend upon whether the raw data series is viewed forward or backward in time. The "Standard" (Fortran) back adjuster views a given market backward in time when it builds a back-adjusted file. The "C++" back adjuster views a given market forward in time. In certain circumstances, the results of these two methods will be different. You can change the back adjuster setting for this portfolio through the Back Adjusting tab in "Edit Portfolio Settings" from the Portfolio menu.

· Open Interest - Click here to exclude the nearest contract when heaviest open interest shifts to the subsequent delivery month.

· Volume - Click here to exclude the nearest contract when heaviest volume shifts to the subsequent delivery month.

· Open Interest and Volume - Click here to exclude the nearest contract when BOTH heaviest open interest AND heaviest volume simultaneously shift to the subsequent delivery month.

· Open Interest or Volume - Click here to exclude the nearest contract when EITHER heaviest open interest OR heaviest volume shifts to the subsequent delivery month.

· Date - This option lets your computed contract roll from one contract to the next on a specific day of the month. Click here and type the day of the month you wish rollforward to occur. Enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This prompt coordinates with another prompt (at right).

Start/End of Month - The default rolling criterion is for the day of the month (above) to be calibrated to the beginning of the month. An alternate rolling option is to select End of Month here, and enter the number of days prior to the end of the month to change contracts in the box at left. When "End of Month" is selected, enter the number of calendar days before the month is over that you want to roll out of a contract (1 to 28). Think of this as an inverted calendar. Enter 1 for the last day of the month, 2 for the next-to-last day, etc. This option is useful for traders who want to avoid risking delivery of a commodity by rolling out of a contract on the first notice day, which is often calibrated relative to the end of the month.

Months Prior - In the box to the left of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc.

· Strictly by Days Before Expiration Date - Click here to keep the lead contract in your continuous series until a specific date before expiration of the appropriate contract. To calibrate an early roll date relative to the expiration date, enter the number of days before expiration for the rollover to occur. Enter 0 to roll on the expiration date. The "expiration date" used here is based on the typical expiration date for the specific commodity, and may not be accurate at all times.

Roll Timing (Not offered if "Date" is used as Roll Trigger)

This determines when the near contract is dropped and replaced by the next in your back- and forward- adjusted contracts. The choices are:

· Anticipate - With this choice, the last close of the expiring contract is included on the day before your specified rollforward date. The first opening price of the new lead contract appears in the series on the specified rollforward date.

· Aligned with Price Data - With this choice, the last close of the expiring contract is posted on the day of the specified rollforward. The first open of the new contract is posted the day after the specified rollforward date.

· When Known - With this choice, the final close of the expiring contract appears the day after the specified rollforward date and the first open of the new contract appears two days after the specified rollforward.

Representative Prices

The Representative Prices trigger was called "splicing" in earlier versions of Unfair Advantage because it refers to how the old and new contracts are spliced together.

Representative Pricing is one of several choices in creating back-adjusted data series. This determines how the gap between successive contracts is handled in an attempt to broadly simulate your buying and selling habits for the given market. In adjusted continuous series, UA uses the closing and/or opening price differential on the roll-forward day to adjust and therefore splice the prices into the past. Each of the three main choices, close to close, open to open, and close to open, involves a calculation of the contract price differential (the delta) that is cumulatively applied to historical pricing.

Looking backward in time, the new contract price minus the past contract price on roll-from day represents the delta price difference that is added to the past contract prices to form the O-H-L-C of all prices into the past. This applies to the past contract, beginning with the roll-from date and extending backward in time. This way, considering the new and past contract pair, the new contract prices remain unaffected by the back-adjustment splicing process.

There is no rigid rule about capturing the old and new contract price differential on roll-to day versus roll-from day. UA offers several options in calculating the delta value to provide precision in preserving the natural gap between the old and the new contracts as either the old-contract gap or the preferred new-contract gap. This option, unavailable anywhere else in the industry, forces the past data to blend together on roll-forward day without compromising the transition from one contract to the next. With this setting, the effects of overnight influences on the market are not lost on the day the contract splicing takes place.

Your choices are:

· Close old contract, close new contract - Here the close of the new lead contract is compared with the same-day close of the former lead contract and the price difference is applied to all historical data such that the new prices are seamlessly appended to earlier data without a gap. A "close-to-close" back adjuster simulates a buy and sell at market on close order, or a spread order executed at close. The delta in this case is the settlement price in the new contract minus the settlement price in the old contract.

· Open old contract, open new contract - Same as close-to-close (above), except that the same-day open prices are used. An "open-to-open" back adjuster simulates a buy and sell at market on open order, or a spread order executed on the open. The order is assumed to be executed one day later than the close-to-close order since open-high-low-close data isn't available until the next close. The delta in this case is the opening price in new contract minus the opening price in the old contract.

· Close old contract, open new contract - This formula compares the open price of the new lead contract with the previous day's close price of the former lead contract and applies the difference to all historical data, such that new data can be added without a gap. The "close-to-open" back adjuster simulates exiting the current position at the close of one day and entering the new position at the open of the next. The delta is the difference between one day's close in the old contract and the next day's open in the new contract. The overnight close-to-open price differential is generally small, so the close-to-open choice should be highly representative of the contract to contract differential. This method doesn't reflect the typical trading style, however, so it may not be the best choice for your simulation. A more refined close-to-open adjustment is available through the last two options.

· Close - open with old gap reintroduced - With this option, past (from-contract) history is adjusted so that the old contract close equates to the old contract open, such that the close-to-open gap of successive days of the old contract are preserved. The result accurately reflects the old contract when bridging the two-day period from contract to contract.

· Close - open with new gap reintroduced (preferred) - With this option, past (from-contract) history is adjusted so that the new contract close equates to the new contract open, such that the close-to-open gap of successive days of the new contract are preserved. The result accurately reflects the new contract when bridging the two-day period from contract to contract. This is the preferred choice because it represents the best future contract to emulate.

Accumulation Method

When Back-Adjusted is selected for the contract type, three choices are available for the accumulation method. They are:

· Back Adjusted - Back-adjusting involves concatenating historical contracts of a given commodity and making price adjustments to smooth the transitions. This adjustment requires applying the raw change in price of the earlier contract with respect to the price of the current (or later) contract. For example, say your series is rolling backward through the quarterly contracts of December, September, June and March of a given calendar year for your commodity. If the price of the December contract were 100 and the price of September were 95 on roll-backward day, this traditional back-adjuster would elevate all prices for the September contract by five. This would be maintained as a delta of five to be added to all past data, beginning with the September contract, on the day before rolling from the December contract.

· Forward Adjusted - A forward-adjusted data series, like a back-adjusted series, involves concatenating historical contracts of a given commodity and making price adjustments to smooth the transitions. In a forward-adjusted contract, however, the prices of the current contract are changed to eliminate the gap between the current and recently expired contract. An important aspect to remember about forward-adjusted contracts is that current prices do not represent actual values for today's markets.

· Proportional Adjusted - This is an enhancement of the original back and forward adjust options. With it, UA will, at your option, proportionately adjust the history of a commodity by percentage or ratio terms, in addition to splicing contracts by adding or subtracting their relative differences into the past. Proportionally adjusted series prepared through ratio multiplications are unlikely to go negative, so there is seldom a need to elevate a series out of negative territory. Contracts are joined by increasing or decreasing successively further distant contracts by a percentage to raise or lower the entire history by the same proportion. Rounding problems, caused by attempts to preserve tick differentials of reported prices, could occasionally push a given series into negative territory.

Because the proportional adjustment yields a much milder descending slope of long-term prices into the past, there is much less long-side trading bias that can be captured from the data. An unbiased result that offers realism should be much preferred over a highly profitable and unbelievable result that holds more contributions from inflation than from any perceived trading style or expertise.

The idea of proportionally adjusted contracts requires applying the percentage change in price of the earlier contract with respect to the price of the current (or later) contract. Consider the above example where a five-cent difference in price between successive December and September contracts resulted in a five-cent adjustment to all past data with the traditional back adjuster. In a proportionately adjusted series, the fixed delta of five would represent a factor of 5/100 or 105% of the September price for all data in the September contract. This process would repeat at the same percentage for every contract boundary until the series ended.

The Proportional back-adjustment principles offered here were inspired by Thomas Stridman, who discussed the idea in his article "Data Pros and Cons" in the June, 1998 issue of Futures Magazine.

Common Settings

Detrending is recommended for Back-Adjusted contracts. Be sure to adjust the date range and post processing settings (if desired) as described in this chapter before finishing your selection.

Click [OK] to display your chart(s).

Negative Prices in Back-Adjust Series

It should be noted that back- and forward-adjusted contracts can include negative numbers, which Unfair Advantage is able to display in charts. If adjusted charts are saved to a portfolio, negative values may cause problems if files are exported for use with other software. See the Back Adjusting screen of Chart Preferences for information on settings that may reduce the likelihood of negative values.

Generate Forward Alternative

UA offers two methods of calculating back- and forward-adjusted series. They are both explained in Bob Pelletier's essay on computed contracts. "Generate Forward" refers to the perspective Unfair Advantage takes in creating continuous files that roll on volume, open interest, or volume and open interest. This type of file is compiled using the earliest data first and then moving forward to later data. Forward-generated data sets do not use information in their creation that was not available on the date in question, and therefore, may do a better job of avoiding bias. When using back-adjusted continuous files with volume and/or open interest as roll triggers, the resulting series will depend upon whether the raw data series is viewed forward or backward in time. The "Standard" (Fortran) back adjuster views a given market backward in time when it builds a back-adjusted file. The "C++" back adjuster views a given market forward in time. In certain circumstances, the results of these two methods will be different. You can decide which back adjuster to use through the Back Adjusting screen of Chart Preferences.

See the Chart Interpretation & Manipulation chapter for information on managing your chart. Consider using the "Save to Portfolio" feature to save your charts for future use.


Cash Contracts

Cash contracts are available for many, but not all commodities. Often just one daily cash price is offered. Cash prices can be included as a separate choice by so requesting here:

This screen offers no additional choices, as there are no settings for cash series. Be sure to select your detrend preferences, date range, post processing and export options (for portfolio) before clicking OK to complete the selection.

Alternately, you can automatically add cash (nearest future, if no cash is available) for all your commodities through the Cash/Saturdays screen in your portfolio settings.

Some cash series are available as reported, and others are available on the day after reported. Please check the factsheets, including footnotes, for details on availability and timeliness.


Futures Options

Whether you are adding futures or stocks to your portfolio, UA allows you to view and manipulate options data, provided you subscribed to the option database from CSI.

After specifying a specific futures market, click the "Option" tab to display a list of all current options that are available under your subscription category. Here's an example for Corn options.

Mark each desired option with an X by clicking the left-most column.

If you would like to also include the put and call totals in your data files, click the box below.

Click [OK] when all desired options have been selected. Be sure to select your detrend preferences, date range, post processing and export options (for portfolio) before clicking [OK] to complete the selection.


Perpetual Contract(R) Data

Perpetual Contract® data is a proprietary CSI concept that many traders find very helpful as both an analytic and trading aid. It is intended as an indicator of market movement, not as an explicit price indicator. This time series can be calculated in two different ways:

The original formula uses Time Weighting and represents a weighted average of the two contracts of the same commodity that lie adjacent to a given period-forward point in time, avoiding the volatile expiring market period and the quiet illiquid period of a contract's history.

The alternative Perpetual Contract series uses Open Interest Weighting to blend all contracts, with emphasis on those with the greatest open interest.

Either way, Perpetual Contract Data can continuously focus on the center of market volume and liquidity, and effectively take the market's pulse over an indefinite period. Unlike nearest future contracts, this computed contract has no abrupt jumps or drops in price. Use this concept to study a market's characteristics over time without concern for contract expiration or the following of complex contract roll-forward rules.

The user settings for Perpetual Contract Data are shown here:

You'll need to select the appropriate response for each of the following:

Date

The two entries for the Rollforward Date in Perpetual Contract data determine when the contract that is closest to expiration (of the pair) is dropped from the formula and is replaced with the next farther-out contract. The "Date" only applies when Trading Day Weighting is used.

Day From Start of Month: This entry determines the specific date when your Perpetual Contract series will drop the lead contract and add a more distant contract for calculating the time-weighted moving average.

In the box to the right of this prompt, enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. The month in which this date falls is determined by the next prompt.

Months Prior: In the box to the right of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc. Use 0 (along with 31, above) for the last trading day.

Since Perpetual Contract Data is intended to avoid the volatile period at the end of a contract's life, it is common to use an early rollover date such as the first day of the expiration date (1 for Day and 0 for Months Prior) or, even better, to roll on the tenth day of the month prior to the delivery month (10 for Day and 1 for Months Prior).

Weighting

Time Weighting: The original formula for Perpetual Contract Data uses a time-weighted average of the prices of two contracts of the same commodity. When Time Weighting is selected, the standard procedure is used. The Rollforward "Date" and "Months Forward to View Market" selected on the Perpetual Contract Selection screen will apply.

Open Interest Weighting: An alternate strategy for calculating a Perpetual Contract data series is to use an open-interest weighted average of all active trading months. To use the alternate formula which weights prices of all active contracts based on open interest, click the down arrow at the right of the text box, then click Open Interest Weighting. When this choice is taken, neither the roll date nor the months ahead to view market options will be taken into account.

Months Forward to View Market

When creating time-weighted Perpetual Contract data, a time-weighted average is produced using the prices of the contracts that expire before and after the ever-changing date that lies a fixed number of months in the future. This prompt determines how many months ahead that ever-changing date will be.

Your entry should be greater than or equal to the maximum gap (in months) between successive delivery months for this market. Three months ahead is the usual distance for measuring most commodities, financials and indices, because most have contract expirations at least as often as every two or three months. A two-month forward view of the market may be appropriate for commodities that expire every month or two such as the energy products, live cattle or hogs and perhaps some precious metals.

If a commodity has a large gap between successive delivery months, such as Pork Bellies (Aug. to Feb.), the months ahead to view the market should be increased to reflect that gap. Using a value that is less than the maximum gap between successive contracts will result in some portions of the series representing nearest-future data, as opposed to Perpetual Contract data.

This entry will be disregarded if Open Interest Weighting is selected.

Be sure to select your detrend preferences, date range, post-processing and export options (for portfolio) before clicking OK to complete the selection.

Perpetual Contract is a Registered Service Mark of Commodity Systems, Inc.


Gann Data

This is a continuous series built from a single delivery month of a commodity over years of trading (a file of all May Wheat contracts over time, for example). The desired month and roll-forward criteria must be specified when adding this type of series to your portfolio. Please keep in mind that each individual contract will occupy a 12-month segment of the data, so each contract must trade at least 12 months.

When Gann data series are produced as text files, they will be represented by individual delivery month codes identifying the specific delivery month included in the series.

The contract specifications that apply to Gann contracts are shown here:

You'll need to select the appropriate response for each of the following:

Date

Day From Month Start: This option lets your Gann contract series roll from one contract to the next on a specific day of the month. In the box to the right of this prompt, enter the roll-forward date (1 to 31) within the rollover month. Use 31 to roll on the last trading day. This date is within the rollforward month specified below.

Months Prior: In the box to the right of this prompt, enter the number of months prior to the contract's expiration month when rolling should occur. Enter 0 for rolling within the expiration month, 1 for one month prior, etc. Use 0 for the last trading day.

Gann contracts typically roll upon expiration, for which Day 31 and Months Prior 0 would be entered. You might prefer a more consistent date such as the first day of the expiration month (1 Day and Months Prior 0).

Delivery Month to Concatenate

This selection identifies the one delivery month to be included in your Gann series.

Click the down arrow symbol to the right of the text box and select the single delivery month to be used. It will cycle through the different delivery years. If contracts of the commodity you selected trade for less than 12 months each, your Gann file will contain periods where no data is supplied.

UA will roll into the same contract month for each subsequent delivery year (March rolls into March; May rolls into May, etc.).

Be sure to select your detrend preferences, date range, post processing and export options (for portfolio) before clicking OK to complete the selection.


File Export Preferences

At the right side of the "Selecting Data Series" screen are the File Export Preferences. File Export Preferences apply to the files UA writes to your disk for analysis with third-party software. It is not necessary to write files to disk for analysis through UA or other programs designed specifically to read UA's compressed files.

An important feature of the File Export Preferences for your data files is the Data File Format.

Considerations for File Exports

It is not unlikely that you might keep data in multiple formats that may or may not be appropriately stored in the same portfolio. For example, say you are using MetaStock, which uses MS-format data and recommends storing data in a directory called MS\DATA, but you are also storing data in CSIM format for use with another program and ASCII files for analysis with your spread sheet.

Can all three file formats be stored together? The MS or CSIM format and ASCII can be stored together. The ASCII files will have different filenames from the MS or CSIM format files (which end in .DAT and .DOP). Therefore, the files will not overwrite each other and will probably not cause any problems. However, the MS and CSIM files cannot be stored together. They use the same filenames, and MetaStock is likely to render your CSIM-format files unreadable. By the way, CSI format files have yet another unique file extension (.DTA), so they can also be stored in the same directory.

Should the ASCII files be separated? Probably. You may find it more convenient to keep all your ASCII files together in a separate portfolio/directory. That way you won't have to sort through the MetaStock or CSIM files that you won't be using when you do your spreadsheet analysis. You'll find that your drive is neater and better organized if you keep files in different formats in separate directories.

How do you separate directories by format? This requires multiple portfolio entries for the same commodity or group of commodities - one for each different directory you'll be using. For example, you might start by creating a Live Cattle Nearest Futures Group portfolio entry in MetaStock format to be stored in the MS\DATA folder. When that entry is complete click [OK], and then repeat the entry in the CSI format to be stored in the \QT\DATA\MEATS folder, etc. Again, DO NOT store CSIM and MS data files in the same directory!

Available Formats:

· ASCII
· CSI
· CSIM
· MS (MetaStock)
· Excel

You'll want to select the appropriate format for the file or files you are specifying now, keeping in mind the portfolio you have selected. To assist with easy compatibility, we have compiled what we believe are the most appropriate settings for some of these popular CSI-compatible programs:

Omega Research (TradeStation)
MetaStock

See the Third-Party Software Tips chapter for details.

Writing Export Format Files

Each time you click [OK] to add an export format file to your portfolio, you'll have the choice of writing the file to disk immediately. You may do so, but you will save time if you wait until all portfolio items have been added, and then write all files to disk together.

UA attempts to automatically maintain your export format files by completely re-creating each current file whenever changes are made that affect their history. This assures that all appropriate corrections, revisions and adjustments are present in all your data files. However, there may be times when changes made to your portfolios do not trigger this automatic process.

To manually initiate the process of writing all your export format files to disk, simply click any file in UA's portfolio listing, right-click your mouse button, and then click "Select All." Right-click your mouse button again, and select "Rewrite File immediately" from the menu. If you prefer to have UA wait for your next data distribution to rebuild the files, select "Rewrite File on next distribution."

You may write an individual file to disk by clicking on it from the appropriate portfolio list, then right-clicking the mouse and selecting "Rewrite File immediately" or "Rewrite File on next distribution" from the menu.

Use the "Rewrite File" feature on the Portfolio menu if you prefer.

Most analytical software, such as MetaStock, VantagePoint, Omega's TradeStation and many others, require customization through the prompts shown below:

Each entry on this section of the screen is described separately in the topics that follow.

Portfolio Selection
ASCII Format
CSI (QuickTrieve) Format
CSIM & MetaStock
Excel

After identifying File Export Preferences (if any), proceed to Post Processing selections.


Portfolio Selection

When defining file export preferences, the first selection to make is the Portfolio.

The Portfolio listed in the box at the top of this panel is the one you are currently working with, or the last one you used.

· If the correct portfolio is shown, leave it as is.
· If the correct portfolio is not listed, click the arrow beside the box and choose from the list of existing portfolios.
· You may create a new portfolio to hold your files by clicking the [New] button. Refer to the Creating a Portfolio chapter for instructions.

Remember that each portfolio has a corresponding data directory where all files are stored together.

All of your pre-selected Portfolio Settings, as arranged when the portfolio was created or edited through the "Edit Portfolio Settings" feature, will apply to your new contract or stock. See the "Editing Portfolio Settings" chapter for a review of these choices and their impact on your data files.

Next you'll select the desired file or formats for your data files. Choose from ASCII, CSI, CSIM or MS and Excel.

Be sure to complete the selections on the left portion of your screen dealing with contract selection before clicking [OK].


ASCII Format

The File Export Preferences offer several choices of formats, including ASCII. These text files present data in alphanumeric characters that can be read by people and computers.

If you plan to process UA data in ASCII files with third-party analysis or spread sheet programs, click the ASCII radio button under File Export Preferences.

ASCII Preferences

When ASCII is selected, the [Preferences] button becomes accessible. Click it to reveal the following ASCII choices:

Field Separator: The Separator is used exclusively in writing ASCII format data files, where it determines what will be used to separate the fields (open, high, low, etc.).

Click the symbol to the right of the text box to reveal your choices, as shown above.

Make your choice according to your preference or the requirements of your analytical, spread sheet or publishing software.

Date Format: When adding a portfolio item to UA, the File Export Preferences portion of the screen includes an "Include Century" prompt. This choice is used exclusively in writing ASCII format data files. It determines whether the year will be represented in two digits (without century) or four digits (with century). We recommend the century be included to preserve data integrity in cross-century analysis.

Example of date without century 041201 (December 1, 2004)
Example of date with century: 20041201 (December 1, 2004)

Of course, this is a Y2K issue. Some software written in the 20th century is unable to handle a four-digit year presentation.

Other

Several additional ASCII file preferences were selected during portfolio creation and correspond to the selected portfolio. Click the [Edit Portfolio Options] button to review and/or edit these options. They are explained in the Edit Portfolio Setting chapter under "Settings Affecting ASCII Files." Please check there for details on:

· ASCII Field Layout
· ASCII Filenames
· ASCII Misc.

Note: The CSI (QuickTrieve), MS and CSIM formats are binary formats, NOT ASCII formats.

The makers of some UA-compatible programs have supplied CSI with the necessary information to pre-establish compatibility. Ask your system developer for details.


CSI (QuickTrieve) Format

The CSI (QuickTrieve) format is widely used by the makers of investment software because it was originally the only format supported by CSI. This made it the only way to access the industry's cleanest, most comprehensive database. Although other choices are now available, the CSI format remains a flexible, viable means of storing market data for analysis. Continued compatibility with the CSI format requires that developers remain current with possible format changes posted on the CSI website.

The CSI format uses a master file called QMASTER for each directory which identifies the content of the individual data files. The file naming process assigns names as: F001.DTA where the first character is always an F, and the next three characters are a right-adjusted number from 1 to 120, which identifies the file record number (not the CSI commodity or stock number). The extension .DTA identifies this as a CSI format file. UA will write and maintain all CSI format files listed in your portfolios.

If the UA Sample portfolio (which uses the SAMPDATA folder) were to hold two CSI format files, an exploration of the folder would reveal:

To write export format files to the CSI (QuickTrieve) format, click the CSI selection box from File Export Preferences.

See "Settings Affecting CSI Format Files" for information about settings that affect these files.


CSIM & MetaStock (MS) Formats

The CSIM format was created by CSI in the 1990s so we could deliver data that was compatible with MetaStockÒ (MS) software and other software that used the MetaStock format. Through an arrangement with that makers of Metastock, CSI also writes data directly to the MetaStock (MS) format. At this time, both of these formats are offered and both are reasonably compatible with MetaStock and other similar software. Due to changes in the MetaStock format, compatibility may not be perfect with either.

· We recommend that users of MetaStock software use the CSIM format. The only known problem is that MetaStock might corrupt the CSIM files during sorting functions. If this happens, you can simply delete and re-create your CSIM files with UA, providing a quick solution to problems.

· Users of older MetaStock-compatible software that requires the former MetaStock format must use only the CSIM format.

Because the dissimilar MS and CSIM formats use identical filenames, it is very important that they not be stored together in the same directory. It is also important that MetaStock not be directed to CSIM-format files for processing, as this software may corrupt your CSIM-format files.

If the UA Sample portfolio (which uses the SAMPDATA folder) were to hold two MS or CSIM format files, an exploration of the folder would reveal:

Many long-term CSI customers have previously used our QuickTrieve software to store data in the MetaStock format. Unfair Advantage offers improved compatibility and more flexible file creation options, such as customized Perpetual Contract data, nearest future contracts, etc.

To write export format files to the CSIM or MetaStock format, click the respective selection box from File Export Preferences.

See Settings Affecting CSIM & MS Format Files for information on additional factors affecting these files.


Excel

The File Export Preferences allow you to export data for use with Microsoft Excel. This is a popular spreadsheet program that is sometimes used by traders for market analysis and accounting.

If you will process UA data with Excel, click the Excel radio button under File Export Preferences.

Excel Preferences

When Excel is selected, the [Preferences] button becomes accessible. Click it to reveal the available choices, which are a subset of those available for standard ASCII files (see above). Enter the necessary parameters for your application and then click [OK] to save your preferences.

After identifying File Export Preferences (if any), proceed to Post Processing selections.


Post Processing

Post processing refers to data manipulations that can be done to time series after they are compiled, but before they are displayed or written to disk. Post processing features are found on the lower right-hand corner of the Selecting Data Series screen as shown:

Your most recent Post Processing choices on the Selecting Data Series screen will be the default choices for your next market, so be sure to review these entries to make sure they always reflects your preference for the current market you are selecting.

Each Post processing feature is explained separately in the following topics:

· Detrend
· Invert
· Custom Study

Once your preferences for Post Processing (if any) are recorded, check to make sure all the other entries are as desired.

When you are satisfied then click [OK] at the bottom of the Data Selection screen to record your portfolio entries.

Click here if you experience an error with your portfolio.

See the Manipulating Your Portfolio chapter for more information on UA's Portfolio features.


Detrend

Every contract or stock that is selected for charting or inclusion in a portfolio can be automatically detrended.

Why Detrend?

Detrending is a manipulation that attempts to remove long-position biases and other distortions that can occur in long-term analysis. It is a useful procedure for all types of continuous files.

Please note that due to the effects of inflation and deflation, back-adjusted and forward-adjusted files can produce negative values. The same adjusted price series may, in fact, go negative in both back- and forward-adjusted files, depending on the rate of ascent or descent. The tendency to go negative may be reduced or eliminated when data is detrended. However, detrending will not guarantee that adjusted data will be elevated out of negative territory. Detrending is only one way that a user might minimize the likelihood that the back-adjusted historical past will fall into negative territory.

UA detrends linearly from the first day of a time series through the second to last day on file or through the last day of the second to last contract.

The detrending approach always focuses upon the very first (most distant) day of the historical series and either the day before the last day or the last day of the second most current contract. Either of these two selected end points and the first point determine a precise interval on the y price axis. The number of trading days that transpired from the first (most distant) point and the chosen end point determines the number of units (days) by which the entire series will be elevated or decreased, as the case might be, and leads to the slope calculation.

Detrending may be appropriate to condition a data series for analytical use within UA or with third-party software. The transformation of all historical data into today's terms is a convenient analytical tool. Detrending options are:

· Not Detrended - Leave the box unchecked for no detrending.

· Detrended - Click the box to check the Detrend setting, Then click the arrow at the right of the adjacent selection box to choose one of the following:

· Second Contract - Select to detrend the portion of the series that lies earlier than the final (most current) contract segment of the adjusted series.

· Second Day - Select to detrend right up to the day before the current day of the final contract.

When used for cash series, detrending always affects all data except the balance of the final calendar quarter.

Click the Detrend Method box and make your choice to effectively present all history in current-dollar terms.

Click here to learn about Post-Processing Inversion.


Invert

Inversion is a post-processing feature that allows you to view or analyze market data from an alternate perspective. It is used exclusively for comparing correlated currency markets.

In inverted data:

· Open price = 1/Open
· High price = 1/Low
· Low price = 1/High
· Close price = 1/Close

To have UA automatically invert a given currency or group of currencies, check the "Invert" box (click it) in the lower right corner of the Selecting Data Series screen.

Inverted prices are significantly distorted in both raw values and market direction. This feature in NOT appropriate for most markets and should be used judiciously.


Custom Study

As described in detail in the Interpreted Studies chapter of this manual, UA lets you perform custom analysis through the Interpreted Studies feature. These custom studies can be incorporated into your portfolio for automated analysis each time you create charts or write export-format files from your portfolio list.

Custom studies are controlled through the "Code Editor" screen, which lets you select from and edit existing demonstration programs. These are included to supplement your market analysis and to serve as programming examples. This feature also allows you to program, test, edit and optimize your own custom studies.

To add a custom study to the market or group of markets you are currently selecting for your portfolio, check the "Custom" box (click it) under Post Processing on the Selecting Data Series screen. You'll find it in the lower right-hand corner, as shown:

When the "Custom" box is checked, the study named in the adjacent selection box will be automatically run for the selected portfolio item. This example shows Wilder's ADX (14-day), which is one of the included sample programs.

To select your custom study, click the [Ch] (change) button. The Code Editor screen displays showing programming code for the selected study, or the top study on the list if none has been chosen.

To view a list of available sample studies and other studies you may have added, click "Indicator From List" at the top of the screen.

A menu of study types will display. Choose one and then select the specific study form the list. Double-click your choice, which will be automatically inserted into the Code Editor Screen.

If you want to change a parameter, do so in the top window of the Code Editor screen. For example, ADX(14) indicates the ADX study with a 14-interval sample size. If you want to use a larger interval, say, 21 days, edit the prompt to look like this: ADX(21). Click [OK] at the bottom of the Code Editor screen when you are finished with your selection.

If you wish to modify the programming code or write and customize your own custom studies, please see the instructions in the Interpreted Studies chapter of this manual.

Click [OK] to enter your selected study. It will display on the Data Selection screen.

Once your preferences for Post Processing (if any) are recorded, check to make sure all the other entries are as desired.

When you are satisfied then click [OK] at the bottom of the Data Selection screen to record your portfolio entries.

Click here if you experience an error with your portfolio.

See the Manipulating Your Portfolio chapter for more information on UA's Portfolio features.


Manipulating Your Portfolio

Unfair Advantage's portfolio system allows great flexibility for creation and maintenance of your unique database.

Most of these features are available either by clicking the Portfolio menu or by selecting an item from your portfolio list and right-clicking your mouse.

Here is a list of available portfolio manipulations:

· Copying Portfolio Settings
· Deleting a Portfolio
· Deleting Files
· Rewrite File Immediately
· Rewrite File on Next Distribution
· Chart (on Portfolio Menu)
· Find in Portfolio
· Print File List (Portfolio)
· Reset Column Widths
· Change File Format
· Enable/Disable Portfolio
· Properties of the Data Series

Each of these portfolio functions is described separately in this chapter:


Delete Portfolio and Files

If you are certain you do not want to retain a UA portfolio, you may delete it through the Portfolio menu. First choose the appropriate portfolio from the "Select Portfolio" menu on the Portfolio Manager panel. When the desired portfolio name is displayed, pull down the Portfolio menu and click "Delete Portfolio and Files."

A message much like the following will display.

To continue the deletion, click [Yes]. A warning like the following displays, listing all files included in the portfolio.

If you click [Yes] here, UA will automatically delete all corresponding files from your hard drive. Keep in mind that you can rebuild these files at any time from CSI.

If you do not want to delete files from your hard drive, click [No].


Overwrite Portfolio with Backup Copy


Export (to Printer)

The "Export" selection on the Portfolio menu may be enhanced to offer various file export utilities. At this time, its sole use is to export the selected portfolio file list to your printer. It's the same as "Print File List."

To use, click "Export" from the Portfolio menu, then click the [Printer] button.

You'll have the opportunity to select printer and orientation from a Print Dialog screen. Adjust as desired and click [OK] to print.


Rewrite File Immediately

Why rewrite a file?

With UA's portfolio system, files may be automatically rewritten to implement changes in contract specifications, portfolio settings, stock splits, etc. Any time you manually edit the database, make a change to a portfolio item, or change various Portfolio Settings within UA, the software will automatically rewrite the affected export format files.

A change in portfolio settings will affect all charts and files within the selected portfolio. Your changes will cause each affected file to be rewritten on the next download. A change or correction to a particular file will only cause that one file to be rewritten. In the absence of such changes and rollover conditions, all files will be appended rather than rebuilt, which takes less time. Writing a file can take up to one minute per contract, so this rewriting feature is used only as needed to maintain your specific portfolio and data integrity.

If you make any of the above changes and would like them to be implemented right away, use the Portfolio Menu's "Rewrite File Immediately" feature. This menu option results in the selected file or files being written to disk immediately.

Any portfolio that has been disabled will not be appended or re-written during the normal data distribution process. Use this "Rewrite" feature to update any file within a disabled portfolio.

For more about rewriting files, see the Writing Exported Files topic in the File Export Options chapter.


Rewrite File on Next Distribution

The process of writing a file or portfolio refers to creating fresh UA charts and writing fresh export format files. You might want to rewrite one or more portfolio items after making changes to your portfolio(s). An example of when you might rewrite a file would be after changing the roll timing settings on a Back-Adjusted series. This feature rewrites files as you direct, but it waits to do so until your next data distribution.

To rewrite an item from a portfolio, first click on the entry in your portfolio list. Then use one of the following two methods for rebuilding.

1) Click the Portfolio menu to bring up a list of choices, from which you will choose "Rewrite File on next distribution," or 2) after clicking the file you want to rewrite, right-click your mouse to bring up a menu, where you'll click "Rewrite File on next distribution."

Either way, the following displays:

Click [Yes] to prepare UA to rewrite your selected files the next time data distribution occurs (typically after your next update).

Rewriting Multiple Portfolio Entries

You may rewrite multiple items from a portfolio list simultaneously IF they are listed consecutively or IF you want to rewrite everything in the portfolio. Here's how:

To rewrite consecutive items in a portfolio list, first click on the first item to be rewritten. Press and hold down the <shift> key, while clicking on the last item to be rebuilt. All items between your first and last selections, inclusive, will be selected. Use either of the right-click or Portfolio menu methods described above to rewrite the files. You will be asked to confirm the rebuilding of your files.

To rewrite all items in a portfolio, click any single item, then right-click your mouse and click "Select All" from the menu. Right-click again and then click "Rewrite File on next distribution."


Deleting Files

Keep your portfolios lean and mean by deleting contracts you don't wish to view or process on a regular basis. This reduces the time required to update your portfolios each day.

Items that are removed from your portfolios still exist in the UA compressed database, from which they are available for chart and file creation as long as you are an active UA subscriber. They can be re-added to your portfolios at any time. The act of deleting files from your UA portfolio also deletes corresponding export format data files from your hard drive (CSI, MS, CSIM, ASCII and Excel format files).

To delete an item from a portfolio, first select the desired portfolio from the Portfolio Manager panel, and then click on the commodity or stock entry that you want to delete . Then use one of the following three methods for deletion.

1) Click the [Delete] button in Portfolio Manager panel.

2) Right-click your mouse to bring up a menu of choices (see "Editing Your Portfolio, above), where you'll click "Delete."

3) Click the Portfolio menu to bring up a similar list of choices, from which you will choose "Delete."

Whichever method you use, you'll be asked to confirm your choice before the item is deleted.

Deleting Multiple Portfolio Entries

You may delete multiple items from your portfolio list simultaneously IF they are listed consecutively or IF you want to delete everything in the portfolio. Here's how:

To delete consecutive items in your portfolio list, first click on the left column for the first item to be deleted. Press and hold down the <shift> key, while clicking on the last item to be deleted (also in the left column). All items between your first and last selections, inclusive, will be selected. Use either of the right-click or Portfolio menu methods described above to delete the files. You will be asked to confirm the deletion of X number of files.

To delete all items in a portfolio, click any single item, then right-click your mouse and click "Select All" from the menu. Right-click again and then click "Delete."

Note: Contracts that are included in your portfolio through the Individual Futures Group settings can be deleted from your hard drive automatically as they roll out of the IFG window. Go to the General tab on Portfolio Settings, "Delete Expiring Contracts for Individual Futures Group" to set your preference for the current portfolio.


Chart (on Portfolio Menu)

Click "Chart" from the Portfolio menu to create a graphic image of the item or items selected on your portfolio list.

Alternate methods to chart a portfolio selection are:

· Double-click any item in the portfolio list
· Select one or more items in the portfolio list, right-click you mouse, then choose "Chart" from the list.

See UA Charts for more information on creating and manipulating charts.


Find in Portfolio

Depending upon the size and complexity of your portfolio(s), you may need help locating a particular item listed there. With a wide range of sorting choices, this feature makes it easy.

You can find a portfolio item either through the "Find in Portfolio" box in the Portfolio Manager panel or by using UA's Portfolio menu.

From the Portfolio Manager panel, simply select the desired portfolio through the "Select Portfolio" box, and then sort the list of files by clicking the heading at the top of the desired column. For example, to sort by the symbol, click the top of the "Symbol" column.

Next, type the first few letters of the search string. For example, if you have sorted by symbol, typing M will take you to the first item whose symbol begins with the letter M. The more characters you type, the closer UA will come to the symbol you desire.

To use the menu system, pull down the Portfolio menu or right-click any item in your portfolio to bring up the menu of options. Click "Find in portfolio" to display the following screen:

Sort By - Click the down arrow to the right of the Sort By box for the option of sorting by Symbol, directory, description, exchange, format, filename, period, delivery month, study1, study2, AutoUpdate, current contract, previous contract, last rolled (date).

Starts With/Contains - Click your choice of searching based on the first letter or number (starts with) or searching for a string included in the sort field (contains).

Use the [Restart Find] to begin or refine your search, or [Find next] to begin your search or scroll through all search results.


Print File List (Portfolio)

To make a hard-copy printout of an individual portfolio or all portfolios, first select the desired scope from the Select Portfolio box in the Portfolio Manger panel. Next click the Portfolio menu, and then click "Print File List."

You will have the opportunity to change print settings as desired. Click [OK] to print. The printout includes the Symbol, Directory, Description, Exchange, Format, Filename, Period and Delivery (contract type).


Reset Column Widths

UA lets you change the width and placement of the columns in your portfolio listing by simply dragging the column divider in the header row to the desired position and dropping it there. Even when you exit the program, UA will remember your last settings and display your desired column widths.

This feature on the portfolio right-click pop-up menu allows you to return the columns to their original CSI presentation. To reset column widths and positions, click any item in your portfolio list and then right-click your mouse.

Click "Reset Column Widths and Positions." The re-drawn portfolio will display immediately.


Change Format

The format specified for each item in a portfolio determines what export format files will be created and maintained by UA. The choice of format(s) is selected when an item is added to a portfolio and can be changed along with other options through the contract selection screen.

The "Change Format" feature on the Portfolio menu gives you a quick way to change formats without getting into the more complicated selection screen, but it isn't quite as versatile. Only those formats written in dark type are currently available, although others may be added later.

To change a format, click the portfolio item you want to change, then click the portfolio Menu (or right click).

Click "Change Format" from the menu. The following displays:

Choose the ONE format you want to use. (The full selection screen allows for multiple formats; this does not.) Keep in mind that if you change from one export file format (ASCII, CSI, CSIM, MS or Excel) to another, UA will delete data file on your hard drive in the format you are switching out of.

If you would prefer to change formats with a greater variety of choices, see the File Format Overview.

Keep in mind that CSIM and MS (MetaStock) format files should never be stored together, and that MetaStock software should not be used to read CSIM-format files.


Change Period

You can change the reporting frequency (period) of your data files and resulting charts from the Portfolio Menu. This is the same as "Periodicity" in other UA menus and "Bar Frequency" in UA charts.

This feature will affect the selected file in your portfolio listing, so click your file first and then click the Portfolio menu. From there, click "Change Period," followed by your choice, as shown:

The choices are:

· Daily (Daily reporting)
· Weekly (Monday's open, high and low for week, Friday's close)
· Monthly (First day's open, high and low for month, last day's close)
· Quarterly (First day's open, high and low for the quarter, last day's close)
· Annual (First day's open, high and low for the year, last day's close)

Your selection for Aggregate Files under portfolio settings or UA Preferences will affect volume, open interest and cash presentation in weekly, monthly, quarterly and annual charts and files.


Enable/Disable Portfolio

This selection lets you select which portfolios will and will not be automatically maintained through UA with regard to the creation of export-format files and portfolio-specified adjustments. Those portfolios that are disabled can have their export-format files updated and adjusted values calculated individually through "Rewrite File" options on the Portfolio menu. This is an important feature for users of Vantage Point software.

To change the enabled/disabled status of a portfolio, select the portfolio you want to change from the Portfolio Manager panel, and then click the Portfolio menu (or right click).

The following displays:

Those portfolios that are selected for updating are shown with a check. Click the box to toggle the check marks on and off. When all portfolios that should be automatically maintained are checked, click [OK].


Properties of the Data Series

This selection takes you to the "Selecting Data Series" screen that was used to create the selected portfolio entry. From there you may edit the portfolio item as desired.

You can view properties by selecting "Properties" from the Portfolio menu or by clicking any portfolio item, right-clicking your mouse and then selecting "Properties" from the menu.


Editing Portfolio Settings

Portfolio settings are defined during initial portfolio creation and may be edited at any time. The settings display automatically during portfolio creation and may be edited then. To edit later, click the Portfolio menu at the top of your UA screen, and then click "Edit Portfolio Settings" (second on list).

The main body of the portfolio creation screen is a series of tabbed pages where you can specify your desired portfolio settings. These come with a standard set of default selections that need not be modified to get started using UA.

Portfolio settings are:

· Back Adjuster
· Raise Negative Series
· Retrieving Cash Prices
· Include Saturdays
· Delete Expiring Contracts For Individual Futures Group
· Historic Adjustment
· Aggregate Files
· CSI Format
· CSIM/MS Format
· ASCII File Names
· ASCII Field Layout
· ASCII Misc.
· Rounding Ranging
· Displaying Data

Many of these settings are also available as Charting Preferences from UA's Preferences screen. Charting Preferences apply to charts that are made "from scratch," that is, those charts that are not listed in a portfolio.

Unfair Advantage will automatically rewrite export format files when adjustments are made to any of these settings that affect existing data files.

When you are satisfied with the content of your portfolio specifications, click [OK]. When creating a new portfolio, you will advance to a screen where you can select the content of your new portfolio. This process is described in the Adding/Editing Files chapter of this manual.

Note: UA only proceeds to the file selection screen during the initial setup of a new portfolio. After that, you can add files to the portfolio through the Portfolio Menu or through the Portfolio Manager panel.

This chapter explains each of these settings and describes how they affect your data.


Back-Adjusting Settings

When creating a new portfolio and when editing portfolio settings, UA lets you select your preferences for Back Adjusting continuous futures contracts as shown:

backtab \

Raise Negative Series

The upper half of this screen gives the option to, "Add a fixed amount to make non-negative." This refers, of course, to negative values created through the creation of adjusted continuous data files.

Back- and forward-adjusted continuous contracts can regress to negative values into the past. This is one of two options allowing you to avoid negative numbers. The resulting data (including current contract prices) will be adjusted upward by the absolute value of the maximum dip below zero rounded up to the nearest 1,000 points. For example, if a PB series gets down to -69.07, then 6907 is rounded up to 7000. The low price of the modified series is then -69.075 + 70.00 = 0.925 which would display as .92.

Consider using the detrend option before adopting this choice. Check the box (click it) if desired.

In a commodity such as crude oil, which produces negative back-adjusted prices into the past, this option will force recent prices to appear as much as double the current price.

Back Adjuster

The lower half of the Back Adjusting screen (in Portfolio or Non-Portfolio Chart Settings) gives the option of using the C++ Back Adjuster and gives a brief explanation. Here is more background on the two choices:

The "back adjuster" refers to the algorithm used to select contracts in back-adjusted continuous files when rolling on volume and/or open interest is selected. UA offers two methods for back-adjusting data. The original (standard) method is written in FORTRAN and the newer (alternate) method is written in C++.

Both back adjusters adopt the rule that no regression will take place. In other words when the market is viewed backwards in time as with the standard back adjuster, successive delivery months will have to be earlier in date; if the market is viewed forward in time, as with the alternate back adjuster, successive delivery months will have to be later in date.

The cotton market provides a good example of how the standard back adjuster compiles its historical series by viewing the data backward in time and the alternate back adjuster views the markets forward in time. In the cotton market, after traders are finished with the May contract, there is a tendency to take a position in the December cotton contract because volume and open interest for the December contract often exceed the volume and open interest of the intervening July and October contracts. Open interest and volume tell us that December is favored over the October and July contracts which lie between May and December. The July and October contracts do not capture the interest of most traders until a couple of months from their respective expiration dates.

Because the alternate back adjuster does not regress to an earlier delivery month, the December delivery month remains in force, even though traders may favor the July or October deliveries when those intermediate contracts get closer to expiration. What this means to the alternate (C++) back adjuster is that once the May contract approaches its final delivery day, the open interest and volume are likely to favor the December contract. This occurs as early as April or May of the same year. Hence rolling takes place from May to December, leaving out the effects of both July and October, contrary to the trading preferences of the average cotton trader.

In the case of the standard (Fortran) back adjuster, which views the market from the most recent information backward in time, the December cotton contract is introduced first. From there, a backward rolling will sometimes favor the October contract, but will usually roll backward to the July contract because the May contract may have already expired. Because of this, the standard back adjuster will step from contract to contract backward in time, picking up the new contract which is dictated by maximum open interest or volume or both.

Another minor difference between the standard and alternate C++ back adjusters is that the alternate version requires two or more days of confirmation on volume and open interest before invoking any action to roll forward. Because the user has the option to roll when both volume and open interest effects are confirmed, the standard back adjuster requires only one day of confirmation.

A summary of differences between the standard and alternate back adjuster is included in Bob Pelletier's essay, "Computed Contracts: Their Meaning, Purpose and Application" (see Back-and Forward-Adjusted Contracts) in this manual.

Check this box (click it) to use only the alternate C++ adjuster. There are some instances when, due to new program features, the C++ (alternate) back adjuster will be used, even if this box is unchecked.


Optional Field Settings

The Optional Field Setting tab on the Edit Portfolio Settings screen offers two options that affect UA charts and data files that are generated from a portfolio entry.

Retrieving Cash Prices

Retrieving cash prices is NOT RECOMMENDED! The cash price is available for most commodities in two ways: 1) as a single (closing) price in the same record as the open, high, low and close prices of the corresponding futures contract, as provided for here, and 2) as a separate record including the open, high, low and closing cash prices.

Check this box to include the single closing cash price along with the daily futures prices for every contract. This option adds considerably to data distribution time. A faster alternative is to add a "cash" contract for the selected commodities to your portfolio.

Note: When cash prices are included with futures in this way, nearest-future data for the underlying commodity may be substituted for cash at times when the cash price is not available. This would most likely occur for commodities that have a later start date for futures than for cash.

Include Saturdays

Also on the Cash/Saturdays tab (see above) of portfolio settings is the prompt for including Saturday data. The choice to "Retrieve Saturday Trading Data" applies only to ASCII files written by UA. Most world markets do not include Saturday trading data at this time, and few, if any, trading systems can process this information.

Check the box (click it) if any available Saturday data on file should be included in your exported ASCII files.


General Settings

When creating a new portfolio and when editing portfolio settings, UA presents a series of user settings, including some important ones listed on the General tab as shown:

Delete Expiring Contracts for Individual Futures Group:

At the top of the "General" screen is an option that helps streamline your portfolio, assuring that it contains only those active contracts you may be following.

The Individual Futures Group (IFG) includes a revolving selection of active current contracts for your selected commodities. As contracts grow near (or nearer) to their expiration month, they move into the user-defined window for inclusion in the Individual Futures Group. An Individual Futures group might include all contracts, the five nearest contracts, or perhaps just the nearest two. You decide how many near contracts to include when you add the item to your portfolio.

This setting causes UA to DELETE contracts from both your UA portfolio and from export format files stored on your hard drive.

For example, let's say your MS\MSDATA directory holds data for the 09/2000 Corn contract, which is part of the Nearest Futures Group. On the day the 09/2000 contract expires or rolls out of the updating window for your Nearest Futures Group, the 09/2000 contract will be deleted from your MS\MSDATA directory. Of course, you can have UA recreate the file, but the current file will be gone for the time being.

If you want to build and maintain an archive of expired contracts in your export format files, don't select this!

Append Every Day:

The General tab of the Edit Portfolio Settings screen (see above) offers the choice of appending files daily. This option allows UA to maintain all files in the selected portfolio through your latest update downloaded. Automatic updates are recommended in most cases, however, there are notable exceptions.

An example:

One customer included in his portfolio many stocks assigned to a unique data directory (folder) that he did not want to view or update on a regular basis. His intent was to create a historical record of those stocks that ended on a given date. By disabling Auto Updates (unchecking the "Update Automatically" box") when adding these stocks to his portfolio, he was able to avoid the sometimes lengthy process of appending files and applying adjustments for splits and dividends to those stocks each day.

Since these stocks are in his portfolio, he retains the option of manually writing charts and files with current information at any time by selecting them from the portfolio menu and selecting one of the "Write File" options.

VantagePoint Example:

Users of VantagePoint software receive many portfolios, some subset of which are intended to be updated by individual customers. VantagePoint users should only activate the "Update Files Automatically" in the appropriate VantagePoint portfolios.

It is important to understand that, even when Auto Updates are disabled, Unfair Advantage's compressed database continues to collect and store ongoing daily updates and necessary information to adjust stocks for splits and dividends. This information is simply not transferred to export format files and pre-constructed UA chart files.


Aggregate Files

UA's Aggregate Files setting lets you specify how volume, open interest and cash will be handled in weekly and monthly charts and files.

.

If the data series exists only as a chart, select "Aggregate Method" through the Preferences screen's "Charting Preferences." If the data series is listed in a UA portfolio as an export format file (which can also be charted through UA), use the Portfolio menu's "Edit Portfolio Settings" to make your choices.

The same choices are available for volume, open interest and cash. Choose from:

· As Largest - to have your weekly or monthly charts and files include the ONE Largest value for the week or month, respectively.

· As Smallest - to have your charts and files use just the ONE Smallest value.

· As Average - to have UA calculate the average volume, open interest or cash for the respective week or month and include that value in your charts and files.

· As Last - to have UA display the last volume, open interest or cash for the respective week or month.

· As Total - to have UA add all values for the respective week or month and use these totals in your charts and files. This choice can result in very large values that some analysis programs cannot handle. If your analysis program cannot process "As Total" results, please make another selection. Monthly volume figures normally represent the average daily volume. The total volume for the month can be used if it will not be larger than 9,999,999.

Assign Date As

You may choose to have the compilation date of your aggregate files displayed or written as any given day of the week, or as the actual last date.

Always Use activates the adjacent drop-down menu allowing you to select either Monday, Tuesday, Wednesday, Thursday or Friday, which will be the ending day of the aggregate period for all aggregate files. This last date will prevail even into the current week, which may be omitted from your aggregate data if the selected day has not yet arrived.

For example, if we selected "Wednesday," and displayed a weekly chart, every week would appear to end on Wednesday, and would show aggregate weekly data beginning on Thursday and ending on Wednesday for the entire charting or analysis period. If such a chart were made on Monday, no data would display for the current week.

Use Actual Last Date allows UA to create more standard weekly, monthly or annual files that use the natural boundaries for each aggregate period. Weekly files run Monday through Friday; Monthly files run from the first to the last date, etc. The ultimate aggregate period for any data set will include the most recent data as though the complete time period has passed. For example, a weekly file using the actual last date, but made on a Wednesday will show every week ending on a Friday except the current week. This most recent week will show Wednesday's date and data as the end of the aggregate period.


Historic Adjustments

Futures Adjustments

UA maintains a file of adjustments that can be applied to raw market data to bring historical prices into the same terms as current prices. The adjustment file (called UA\ARCHIVES\cdbadjst.adm) holds multipliers to adjust for changes in contract size, trading units, or other contract specifications.

We recommend these adjustments be applied to the database, and therefore have made this the default response.

This option is handled through the "Historic Adjustments" tab of Portfolio settings as shown below. If you do not wish to use the adjustments, click the box to remove the check.

Stock Adjustments

Long-term charting and analysis of the stock market can be greatly enhanced by adjusting historical data to reflect stock splits, dividends and capital gains. These are very relevant to the value of the stock, but would not be appropriately reflected in raw price series. UA maintains statistics on all splits, capital gains and dividends so that adjustments can be made without affecting the raw price data in the database.

These options are handled through the "Historic Adjustments" tab of your portfolio settings as shown above. If you wish to change the settings, check or uncheck the boxes as desired.

Adjust for stock splits - Adjusts the data prior to the split using an appropriate multiplier to force a smooth transition from pre-split data to post-split data. For example, in a 2 for 1 split, which would normally result in the stock price falling by 50%, the pre-split data would be multiplied by .5.

Adjust for stock dividends and capital gains - Much like the split adjustment, an appropriate value is subtracted to compensate for the value removed from the stock price by the dividend or distribution. Due to the effects of inflation, this method can cause adjusted stock prices to fall below zero. Negative values are not accepted by some trading systems.

Adjust Dividend/Capital Gain proportionally (Not right P/L, but no negatives) - This adjustment method also smoothes the transition from pre-distribution prices to post-distribution prices, but the adjustment is based on the dividend or capital gain as a percentage of price, not on the dollar value actually paid to shareholders. This technique avoids negative values in your adjusted stock file.


Displaying Data

The "Symbol Size" and "Display as Decimal" features are controlled through prompts on UA's "Displaying Data" tab. Get there by selecting "Charting Preferences" from the Preferences screen, or "Edit Portfolio Settings" from the Portfolio menu (for export-format files and charts listed in your portfolio).

When creating or editing a portfolio, this screen allows you to adjust the symbol size in export files so that no symbol exceeds two characters. When used in conjunction with either portfolio settings and charting preferences, it allows you to present all data in decimal form. The "Charting Preferences" lists only the "Display as Decimal" feature.

Symbol size

It is possible that some commercially available or custom analysis programs may not recognize exchange-assigned commodity symbols of three characters or more. Two-character symbols were the norm through the 1980s, but this convention was largely left behind as the commodity industry exploded with new products over the next decade and beyond. Overseas commodities are typically identified by three-character symbols, which are also used for various specialized series.

If two-character symbols are required for your software, click the box in front of "Force two-character symbols" to use only the symbols identified in the factsheets in the "2 Char Symbol" column. You'll note that these symbols are not necessarily representative of the commodity name, and often include characters such as #$%, etc. The use of these special characters artificially expanded the universe of possible two-character symbols.

Display as Decimal

As every trader knows, stock and commodity prices may be quoted in decimals, eights, sixteenths, thirty-seconds or some other increment as determined by the exchanges. UA allows you to display all prices in decimal form for easy comparison and to avoid unwieldy integers.

· Check the "Display as Decimal" box (click it) to have all charts, tables and export format files use decimal values. As noted on the UA screen, "Rounding to Nearest Tick" on the Rounding/Ranging tab should be used with this selection.


Rounding/Ranging

Making Close in High/Low range

One important aspect of portfolio customization is selecting how commodity settlement prices that occur outside the day's trading range will be handled.

Many traders make the mistake of assuming that the settlement price quoted by the exchanges is the same as the last or closing price. This is not necessarily so. Many contracts, particularly at the mercantile exchanges are "settled" by a committee of exchange officials after the close of the markets.

The settlement price is commonly used as proxy for the closing price in simple bar-chart analysis. When markets are settled outside the trading range, it is a common practice (although not necessarily recommended) to adjust the high or low to match the outlier settlement. Unlike all known competitive data services, UA lets users make an informed decision on how to present data.

The Rounding/Ranging tab of Portfolio Settings includes this feature that controls the handling of the high, low and close values in cases where the settlement price lies outside the day's trading range.

You can adjust this feature in your non-portfolio UA charts through the "Rounding/Ranging" tab of Charting Preferences (from UA Preferences). To adjust it for the files listed in a specific portfolio, use the Portfolio menu's "Edit Portfolio Setting" feature or the [Edit] button in the Portfolio Manager panel.

We'll review your choices here:

· As published: This option provides files and charts with the actual open, high, low and settlement, even when the settlement is outside the trading range. When the settlement committee decides, after the close, that the settlement should be at a level where no trading occurred, charts can show a no-trading gap between the actual high/low bar and outlier settlement price.

Appropriately programmed analysis software can make maximum use of available information through this choice. Please note that some CSI-compatible analysis software CANNOT process closes outside the trading range. If you experience unexpected results with another analysis product using "As published" settlements, consider changing to Modify High/Low.

· Modify High/Low (the default, for a typical open-high-low-close bar): This option makes the close price (settlement) fall within the high/low range by adjusting the range. It produces files and charts with possible adjustments to highs and lows when the settlement is outside the trading range. A traditional open, high, low, close bar chart results. By taking this option, you may produce an artificial trading range, which includes an area where no trading occurred. Some analysis programs require this data presentation.

· Modify Close: This option makes the close price (settlement) fall within the high/low range by changing out-of-range settlements. It produces files and charts where the closes (settlements) may be modified if the settlement price lies outside the daily trading range. In the event that the settlement lies outside of the high-low range, the settlement may be adjusted to match the high or low which is closest to its value. This technique ignores the settlement price, but preserves an accurate view of the market's trading range. Settlement accounting users would not obtain an accurate view of a portfolio's value using this option.

Click your choice, then [OK].

Round to Nearest Tick

Although commodity contracts trade in specified tick increments, it is possible that the data provided by CSI or adjusted by UA may be quoted in different increments. This can occur as the result of historical database adjustments or due to the averaging that occurs when markets are quoted with a split open.

You can adjust this feature in your UA charts through the "Rounding/Ranging" screen of Charting Preferences (from your UA Preferences). To adjust it in the charts and files listed in your portfolio, use the Portfolio menu's "Edit Portfolio Settings" feature and click the Rounding/Ranging Tab. The applicable entry is shown here:

· Round values to nearest tick: This selection forces the calculated values of back-adjusted price reports as well as standard contract data to conform to exchange sanctioned minimum tick values. We recommend this selection be used when output values are in decimal form. Where possible, CSI reports opening futures prices as the midpoint of the opening range.

Show Loading

This feature applies to mutual funds only, and applies only to those funds that are "loaded." It does not apply to stocks or to no-load mutual funds.

To adjust the handling of "loads" for those mutual funds listed in your UA portfolio(s), use the Portfolio menu's "Edit Portfolio Settings" to find the "Rounding/Ranging tab and make your choice as shown here:

· Loading is the extra cost some mutual fund companies pass on to consumers at the time of purchase or sale. If you want this loading to be reflected in your data series, click "Show Loading" from the above selection screen. If not, leave the checkbox empty.

Click [OK] to save your changes.


Settings Affecting CSI Format

The CSI format (a.k.a. QuickTrieve(R) format) is one of several export formats offered by UA. Since export format files are handled through the portfolio manager, all CSI Format Options are also handled there. You'll see options dealing with CSI format when creating a new portfolio and when editing portfolio settings. They are also accessible via the [Edit] button of the Portfolio box.

The Portfolio Settings screen offers several tabs that affect CSI (QuickTrieve) format files, including these that are described next:

· Files Per Directory on the CSI Format Directory Settings tab
· Full Directory Options on CSI Format Directory Settings tab
· Volume/Open Interest (on CSI Format File Settings tab)
· Compatibility with Third-Party Software (on CSI Format File Settings tab)

See the Rounding/Ranging topic, above, for information on:

· Out of range settlements, rounding opening prices and mutual fund NAV.


CSI Format Directory Settings

The CSI Format Directory Options are handled through a tab on the Portfolio Settings screen. This can be accessed through the Portfolio menu when creating a new portfolio or by selecting the "Edit Portfolio Settings" option.

Files Per Directory

QuickTrieve and many third-party charting packages can process a limited number of files in a single directory (folder). UA normally limits CSI-format directories to 120 files each to accommodate these packages. This option is first set when you add a new portfolio to UA, and is subsequently controlled through the "CSI Format Options" tab of the Edit Portfolio Settings screen. Reach it through the Portfolio menu or by clicking the [Edit] button in the Portfolio box.

If you know that the 120-file limit is not needed for your application and you want to expand this value, click the radio button next to 999. This will raise the maximum number of files in NEW directories to 999. It will not affect existing directories on your drive.

Should the number of files needed for a given directory exceed the limit shown here, UA will automatically create a new subdirectory that repeats the current directory name. For example, if your directory called c:\quick\grains were to exceed its limit of 120 files (due to new contracts trading), then UA would put the new files in a directory called c:\quick\grains\.

When Directory Is Full

When your CSI-format directory reaches its capacity of either 120 files or 999 files (see above), then UA will create a new directory to hold additional files.

The three options on this screen show examples of how these new files may be organized:

· Make subdirectories (c:\ua\files\nasdaq\nasdaq) This choice creates ever-deepening layers of subdirectories (folders), each of which shares the same name and is identified only by its position within the directory (folder) system.

· Enumerate directory N (c:\ua\files\nasdaqN) This choice creates a succession of numbered directories (folders) within the same subdirectory, each bearing identical names except for the ending number, such as nasdaq1, nasdaq2, etc.

· Enumerate subdirectory N (c:\ua\files\nasdaq\contN) This choice is a combination of the above two options. It creates all new directories within a single subdirectory of the first subdirectory and enumerates the directory names. The result is just one additional layer in your directory system and serially identifiable directories. Note that as these directories become full, additional layers will be created within them.

Make your choices and click [OK] at the top of the screen to save all your changes.


CSI Format File Settings

CSI File Format settings apply only to the export files for which this format is specified. The initial setup of these options and subsequent changes are made through selections on the "Portfolio" Menu. Select "Create New Portfolio" or "Edit Portfolio Settings" to made your choices, or click the [Edit] button of the Portfolio box.

Click the "CSI Format File Settings" tab for the following options:

Volume OI Fields

By default, a CSI-format file created with UA holds both total and contract-level volume and open interest. However, some versions of QuickTrieve and perhaps other compatible programs are unable to process data reported this way, resulting in charts with no volume or open interest showing. Your choices to correct the problem by placing the same values in both the total and contract-level fields for volume and open interest are:

· Follow Standard: Total = Total, Contract = Contract - This leaves both sets, as is the UA standard.
· Overwrite Total with Contract values - This replaces total volume and open interest with contract-level volume and open interest.
· Overwrite Contract with Total values - This replaces contract-level volume and open interest with total values.

If you are unable to display volume or open interest in your CSI-format data, decide which method you prefer for reporting volume and open interest, and click your choice.

Note: Your selection for Aggregate Files will affect volume, open interest and cash presentation in weekly and monthly charts and files.

Compatibility with What-If Third Party Software

This feature includes the prompt, "Maintain at least ____ holiday records at end." It literally adds extra trailing days beyond the current date to each CSI-format data file in the selected directory. This might be useful for programs that need additional days to forecast future prices, or for manually entering actual or what-if prices.

This option is controlled through the "CSI Format Options" tab of UA's Edit Portfolio feature.
The default value is 14, but you may enter as many days as are necessary for your system.

Click [OK] to save all your changes.


Settings Affecting CSIM & MS Format

The CSIM format was created by CSI to provide compatibility with MetaStockÒ (MS) software and other software that used the MetaStock format. Through an arrangement with that makers of Metastock, CSI also writes data directly to the MetaStock (MS) format. At this time, both of these formats are offered and both are reasonably compatible with MetaStock and other similar software. Due to changes in the MetaStock format, compatibility may not be perfect with either.

Click these links for information on settings:

· Volume and Open Interest
· Directory Is Full


Volume and Open Interest

You'll see one tab dealing with CSIM and MS format when creating a new portfolio and when editing portfolio settings. To reach it after portfolio creation, choose the portfolio from the Portfolio Manager panel and then click "Edit Portfolio Settings" from the Portfolio menu.

The MetaStock and CSIM formats do not support both total- and contract-level volume and open interest for the same data file, but you may select which will be included in your files. Click the CSIM/MS Format Settings tab of the Edit Portfolio screen (from the Portfolio menu) to view the settings.

Click your choice of:

· Total volume and open interest, reflecting these values for all contracts of the selected commodity.

· Contract volume and open interest, where these values will reflect only the given contract being studied.

Click [OK] at the top of the screen to save your changes.

Your response here will apply to all CSIM and MetaStock format files created by UA. Your selection for Aggregate Files under your portfolio settings will affect volume, open interest and cash presentation in weekly and monthly charts and files.


When Directory Is Full

When a MetaStock or CSIM-format directory reaches its capacity of 255 files, then UA will create a new directory to hold additional files.

The CSIM and MS format tab of Portfolio Settings also lets you specify what to do with data when the directory is full. To reach this point after portfolio creation, choose the portfolio from the Portfolio Manager panel and then click "Edit Portfolio Settings" from the Portfolio menu.

The three choices at the bottom of this screen let you decide how these new files will be organized:

· Make subdirectories (c:\ua\files\nasdaq\nasdaq) This choice creates ever-deepening layers of subdirectories (folders), each of which shares the same name and is identified only by its position within the directory (folder) system.

· Enumerate directory N (c:\ua\files\nasdaqN) This choice creates a succession of numbered directories (folders) within the same subdirectory, each bearing identical names except for the ending number, such as nasdaq1, nasdaq2, etc.

· Enumerate subdirectory N (c:\ua\files\nasdaq\contN) This choice is a combination of the above two options. It creates all new directories within a single subdirectory of the first subdirectory and enumerates the directory names. The result is just one additional layer in your directory system and serially identifiable directories. Note that as these directories become full, additional layers will be created within them.

Make your choices and click [OK] to save your changes.

Note that the Rounding/Ranging tab, described above, also contains options that may affect your CSIM or MS format files.


Settings Affecting ASCII Format

ASCII file creation is arranged during the initial setup of a new portfolio, and can be changed through the Edit Portfolio feature of the Portfolio menu.

The Portfolio Settings screens offer several functions that affect ASCII files, including:

· ASCII Field Layout
· ASCII File Names
· ASCII Misc.
· Include Inactive Stocks

Each of these features or functions that affect ASCII files is addressed separately in topics that follow.


ASCII Field Layout

When writing files to ASCII format, the record layout of the resulting fields depends upon your selections on the ASCII Field Layout tab of the Portfolio Settings.

The available settings are shown here:

Layout as: The "Layout as" box identifies all the fields (records) that will be included in your file. Indicate your preferred layout by entering the fields in sequence (using the codes shown) in the "Layout as" box. In the example, DOHLCvi would result in files that would include the Date, Open, High, Low, Close, contract volume and contract open interest, in that order. The codes VI would replace vi if this file held total volume and open interest in place of contract-level values. Enter any combination you desire, keeping in mind that D (for date) must come first except when preceded by delivery month letter (A), symbol (S), exchange (E), contract size (Z) or point value (P).

Form Columns: Check the"Form Columns" box if columns are desired.

Your specifications on the ASCII Field Layout screen will be used to create ASCII output files for use with other programs. These files will be placed on your hard drive according to your wishes as defined in the applicable UA portfolio settings. Your ASCII files will have descriptive names, allowing you to recognize one from another (in most cases) based upon your Filename Definitions and your portfolio requests.

Click another tab as necessary to change other settings or click [OK] to save all your changes.


ASCII File Names

Third-party user applications demand files that are uniquely identified through the assignment of file names. UA makes it possible to construct these unique file names for your special application purpose. When writing actual futures contract files to ASCII format, the names of the resulting files depend upon your selections on the ASCII File Name tab of portfolio settings.

File naming specifications can be customized for each of your portfolios, so proceed by selecting the desired portfolio in the "Portfolios" box of the UA main screen. Next click "Edit Portfolio Settings" from the Portfolio menu.

The available settings are shown here:

Name by: ASCII filenames for commodity contracts will be created based on your selection in the "Name by" box. To determine the file naming conventions for your ASCII files, enter the abbreviations shown for your desired fields in the order in which they should be presented.

In the example, SCYA (the default) means the filename will include the commodity symbol (S), the century (C) the year (Y) and the alphabetic delivery month code (A).

Force Extension: Click .PRN or .TXT to select either of these as filename extensions. PRN designates a "Print" format file, and TXT designates a standard "Text" file. If you have a specific reason to use one of the fields as an extension, type a period (.) followed by the abbreviation shown. For example, to use the exchange as the file extension, add .E to the output format definition (SCYA.E). Doing so may inhibit file recognition and compatibility with many software programs.

Great care should be taken in changing the filename definitions from the default entries shown above. Deviating from the default can result in confusion with regard to the specific delivery month or computed contract in question. CSI's Technical Support staff may not be able to assist with problems resulting from custom filename and field definitions.

Click another tab as necessary to change other settings or click [OK] to save all your changes.

Note that files of stock data and computed contracts will be named according their symbol, regardless of your specifications here. See File and Chart Naming Conventions in the Data Resources chapter for more information.


ASCII Misc.

When writing files to ASCII format, your preferences for inclusion of a header line (or not), the handling of holidays, and whether or not the CSI number will replace the symbol are controlled though the ASCII Misc. screen of portfolio settings.

Miscellaneous ASCII specifications are set for each portfolio. These may be set when the portfolio is first created, or may be edited later. To reach this screen after initial portfolio creation, select the desired portfolio in the "Select Portfolio" box of UA's Portfolio Manager. Then click "Edit Portfolio Settings" from the Portfolio menu to reach this screen.

The available settings are shown here:

þ Include Header Line: A header line is the first line of the file, which identifies the columns with headings such as "date," "open," "high," etc. To include a header line with your file, click the box.

Handle a Holiday by: This refers to how Unfair Advantage deals with daily voids in the data file when no market data is reported. Such voids are usually weekday holidays for which no data is included in the file. These could be days that were not holidays, but for which no trading took place in a particular market. Unexplained "Holidays" could also be the result of a corrupted database file.

The choices for presenting data fields for "holidays" in ASCII files are:

· No record for holidays - This eliminates all gaps in your data files, but may obscure problem areas where no data exists.

· All prices zero on holidays - Zero prices make some trading systems crash.

· Duplicate previous day's prices on holidays - This eliminates gaps, while avoiding troublesome zeros in your files, but can produce misleading results in series with multiple voids.

· Duplicate previous day's close only on holidays - This also eliminates gaps, but results in a distinctive data set alerting you to the possibility that this is a contrived value.

þ Use the CSI number for the symbol when writing stock files: CSI has assigned rather arbitrary identification numbers to all stocks (the CSI #) which can be used to differentiate between stocks with the same exchange symbol. Duplicate symbols can occur when a stock is delisted and its symbol is re-used for another stock. If your ASCII files will contain both active and delisted stocks, the use of CSI numbers is recommended to avoid overwriting files with duplicate symbols.

Click [OK] to save your changes.


MarketScanner

CSI has reached a significant milestone in the development of user-defined trading tools with the release of our updated MarketScannerä. CSI subscribers paying our modest data and licensing fees can now receive both quality data and quality software that lets you write your own trading systems.

Market screening through UA's MarketScanner lets you review perhaps 28,000 stocks, funds and indices, as well as all computed futures contracts on a daily basis, helping you to filter out unsuitable picks and focus on more promising investments. MarketScanner lets you add your own custom algorithms to sort and filter investment opportunities in the UA database. You can act on your analysis results directly, or make an initial selection for analysis with third-party software.

The use of UA's MarketScanner involves multiple processes.

1) The first process is the creation of the scan file called c:\ua\archives\stkscn.bin. This file holds all necessary information on the markets of your choice and your preferences. It is controlled through the "Scan Settings" screen, which is reached through the Preferences menu. The basic scan file can be sorted, filtered, printed or manipulated through a variety of options as described here. You can generate a fresh file at any time through MarketScanner or through UA's Database menu, or can set UA to automatically update the scan file with each daily update.

2) The creation of the Scan File results in a listing of selected markets and the availability of charts for each. The resulting charts have the full range of charting features offered through the standard Unfair Advantage charting module. Accessing them through MarketScanner relieves you of having to identify the desired markets, and allows you to set criteria for inclusion as described below.

3) The third part of the market scanning process involves selecting or defining the analysis algorithm and screening techniques to be applied to the scan file. This process is handled automatically through the Wizard or by inserting a column into the spreadsheet environment, which is covered in this chapter and, to some degree, in the "Interpreted Studies" chapter, and filtering. Optimization of results is also possible.

The MarketScanner is an alternate method of selecting stocks for charting through UA or third-party analysis. It can be used in lieu of a standard portfolio or in conjunction with one. The MarketScanner offers great flexibility in implementing user-defined studies created with your choice of Perl, Java Script, Visual Basic or Any Language programming languages(supplied).

Note that Personal and Private Use subscribers may be restricted in the number of futures markets or options analyzed through MarketScanner.

Start by Launching MarketScanner.


Launching MarketScanner

In order to do a current stock scan, your database must hold current market data from CSI. Please make sure the most recent daily update has been retrieved and distributed before proceeding.

Launch the MarketScanner by clicking UA's Trading Tools menu and selecting "MarketScanner" as shown here:

Alternately, you can start the MarketScanner from your computer's desktop. To reach the MarketScanner in this way, click "Start," then go to Programs and the CSI Unfair Advantage program group. Click "Launch MarketScanner."

On first use and whenever UA has not automatically maintained a prior scan of the database, the Preferences screen displays, allowing you to customize your scan.


MarketScanner Preferences

The "Preferences" (also "Scan Settings") screen allows you to specify the universe of symbols you wish to analyze and the amount of history that will be available for your studies.

It also allows you to avoid the delay of requerying the database with each scan session. Be sure you check the "Automatically Updates" check box at the bottom of the Scan Settings dialog to take advantage of this feature.

This screen is the default introduction for your first usage of MarketScanner. For subsequent runs, reach this screen by launching MarketScanner and then clicking "Preferences." The following displays:

Please review all of the features on this screen and select your preferred choices as described below. They are:

Include ____ Days: This determines the number of days available for calculations such as moving averages, oscillators and whatever studies you program for filtering stocks. During the actual screening process, this value is the upper limit for all time thresholds, window sizes, moving average periods, etc.

The more days you include in the scanning file, the more time will be required for creating this file during data distribution, and the more space will be consumed on your hard drive when writing the output file. A twenty-five day scan of the full stock database consumes about 8MB of hard disk space.

When MarketScanner results are analyzed, the study will be limited to the maximum days included in your scan. Any number of studies can be used for Scanning though the MarketScanner spreadsheet.

Adjust for splits, capital gains and dividends: This is a useful feature for weeding out price fluctuations caused by stock splits, capital gains and dividends. We recommend its use, although it will increase the time required for screening the database.

Skip issues which do not yet have this many bars of data: Highly recommended! Your indicators will not work on a new issue with insufficient data for analysis, so you will probably want to eliminate such issues from your search.

Represent Futures as Perpetual rather than back-adjust: When futures contracts are used in a MarketScanner exercise, UA will default to back-adjusted series for long-term analysis. If you would prefer to use CSI's exclusive Perpetual ContractÒ Data, click this entry.

Default to Commodity in Symbol Lookup List: When this is unchecked, UA will interpret symbols as stocks by default. You can add any stock symbol to such a list with no special identification codes. If desired, you may add commodities to your list, but should identify them by adding the letter "C" within parentheses after the symbol. For example, S(C) for the commodity Soybeans, whose symbols is S. If you would prefer MarketScanner to interpret symbols as commodities, check this box and enter commodity symbols with no additional codes. To include stocks in your list of commodities, follow the symbol by the letter "S" in parentheses. For example GE(S) for General Electric stock, whose symbol is GE.

· All Stocks in Series - This includes all the stocks you download from CSI.

· By Symbols or #s in List - Upon selecting this option, a data entry screen displays. Enter the symbol of each commodity or stock to be included in the scan, keeping in mind that "Personal and Private Use" subscribers are limited to the number of markets listed in the current CSI Licensing Agreement. The interpretation of the symbols you enter will be determined by your "Default to Commodity in Symbol Lookup List" selection, above. Enter each symbol on its own line. Here's a stock list example that includes on commodity:
F
IBM
GE
MSFT
S(C)

· By WatchList - A watchlist is a user-generated list of desired stocks or commodities for analysis. Click here to direct UA to a text file of symbols for analysis. The default filename is C:\UA\scnlist.txt. This file initially exists as an empty file within the UA directory. You may edit it (using the above layout) with any text editor from WordPad provided with Windows to a full blown word processor. Be sure to save the file as a text file. You may want to create multiple text files of desired stocks or commodities so that you can quickly recall your preferred list. We recommend you create such files within the UA\Watchlist\ folder. To retrieve them, enter the path and filename here or click "Browse" to select the desired file.

· All in Exchange - If you use this option, check every exchange you want to use in your screening. Note that all NASDAQ stocks are classified as OTC, and mutual funds and indices are listed as separate categories. "Personal and Private User" subscribers may be limited in the number of futures and options markets scanned.

· All in Sector - The UA factsheet file includes sector classifications for some, but not all stocks. This option allows for sorting within a sector. Many stocks are not classified.

· All in Industry - Like sectors, the UA factsheet file includes some industry classifications. This option lets you sort by industry, but many stocks are not classified.

· All in Market Type - This brings up a list of all market types included in the UA database. Select those that are desired, keeping in mind that only those to which you have subscribed will be available to you, and that "Personal and Private Use" subscribers may be limited in the number of futures or options markets scanned.

Default Number of Digits: Use this feature to customize the output format. It will limit the number of digits in each value by truncation.

Current Date: This is the latest date updated in your UA scan file. If it is not current, please update the UA database.

Max Bars Back: MarketScanner reviews the included database for every "bar" requested here. "Bar" refers to a single data interval, so if your scan is of daily data, a bar represents a trading day. If you are scanning weekly files from a portfolio, then each "bar" represents a week. The more bars scanned, the longer the process takes, A one-year scan of daily data would be about 250 trading days. You can optimize this setting by selecting a value that is large enough to run your desired analysis, but so large that it generates unneeded data.

Automatically Updates: MarketScanner automatically updates your scan file with each daily update when this box is checked. If you will use MarketScanner daily, then this is a good option that will speed you on your way to analysis. If you will use it sporadically, this option can result in wasted time and resources as MarketScanner does analysis that will not be used. Be sure that you are not using MarketScanner while UA is attempting to distribute your data. Doing so may cause an error.

Saving Settings and Running the Scan

Click [Save and Rebuild] to have MarketScanner retrieve the data you requested from the UA database. Depending upon the scope of your scan and the number of days included, there may be a delay while the data is retrieved. A progress bar displays to let you know MarketScanner is working. Click [Save and Close] if you prefer to save your specifications without doing the scan.

MarketScanner Results

When complete, a list of stocks or commodities that meet your specifications displays on the left and a chart of the first item displays at right. Feel free to view the charts or move directly to further analysis through the MarketScanner Wizard.


MarketScanner Charting

Here is the MarketScanner screen showing the output of your scan. The first thing you might want to do is view charts as explained below.

The file list at left functions much like an Unfair Advantage portfolio during your MarketScanner session.

Manipulate the chart with these features:

portarrow Use the portfolio scrolling arrows below the chart (at right) to progress through the list or click any name or symbol in the list to view the corresponding chart.

charttable You can alternate between a chart and table view using the tabs below the chart (at left).

chchartico Studies may be added by clicking the "Indicators" icon on the tool bar above the chart. Please see the "Study Toolbar" section of the UA Charts chapter for details.

The Saved Study text box below the chart (which shows "No Studies" in the above example) can also be used to view previously saved studies or add new ones. Click the arrow at the right edge of the box to see the list of available studies and make your choice. See the Saving a Study topic in the Basic Charting chapter for more information. Whatever study is listed in this box will apply automatically to subsequent charts.

printico Click the Printer icon on the tool bar above the chart to print your chart.

expandico compressico Zoom In and Zoom Out by clicking these icons on the tool bar. - This feature changes the spacing of the price bars, allowing you to see more or less of the data. Use the scroll bar at the bottom to see the rest of the chart.

crossico Click the Tracker button on the tool bar above the chart to produce a crosshair with corresponding numerical readout. Use your mouse to position the pointer on any date displayed on the chart. A data window showing complete numerical market data for the corresponding day also displays. Click the button again to remove the crosshair and data window.

chtoolico Click the Chart Tools icon on the tool bar above the chart to add your choice of a Trend Line, Annotation, Rectangle, Ellipse or Gann Fans. Click the Chart menu above the tool bar as an alternate method to reach most of these features. These are explained in the Charting chapter. See "Apply Tool."

Although the MarketScanner chart is a fairly impressive study tool, the program offers much more for serious analysts. From here you may sort and filter as desired, and add studies to the exercise. A simple way to begin is through the MarketScanner Wizard.


MarketScanner Wizard

This feature lets you quickly set the filtering and/or sorting parameters you wish to use in selecting markets. Begin by clicking the File menu above the MarketScanner screen and then clicking "Wizard" from the menu:

The Wizard displays:

Here's how the Wizard works:

First select the desired market types by choosing one or more entries from the Exchange, Sector and Industry menus. Click the arrow at the right of each box to drop down a menu of all possible choices. Click the "Any" entry to allow for all available choices.

Keep in mind that the Wizard can only screen those commodities and stocks listed in your current MarketScanner scan file (find the list on the main MarketScanner screen). There must be at least some overlap between the exchanges, sectors and industries that were included in your Scan Settings (Preferences) and those chosen here. If no overlap is found, MarketScanner will return an error message.

The remaining choices on the Wizard screen are used to set forth the characteristics you seek in the scanned market data.

MarketScanner will show the requested value if you click the "Display" box for any characteristic. For example, if you click "Display" next to Current Price, then the latest price will be included for each stock or commodity in the output spreadsheet. You can use this information to sort and manually screen data.

If you also enter a minimum and/or a maximum value for any characteristic, every stock or futures market that does not fall within the selected range will be discarded from the Scan file. This is how MarketScanner automatically screens your data. It is not necessary to display a characteristic to use it for screening. Make sure that the value in the "Minimum" column is less than the "Maximum" value. An inconsistency here will cause MarketScanner to return an error message.

The "Period" prompt that is offered for some of the criteria determines the time period or viewing window to be used for the specific calculation. Generally, the smaller the value, the more sensitive the indicator. The default responses may be arbitrary and might benefit from revision or optimization. Keep in mind that the "Period" should never be longer than the included days set in Scan Settings, which determines how many days are available for analysis.

Scroll through the list of characteristics using the scroll bar at right.

You may clear your entries to begin again by clicking the [Reset] button.

When finished, click [OK].

Wizard Tips & Examples

Current Price - If you want to rule out all stocks that are not priced between $10 and $30, you would enter 10 and 30, respectively.

Average Volume - MarketScanner will calculate a moving average of volume using the period listed to the right. In the example above, it will calculate a 20-day moving average of the volume for each issue and then compare the results to the stated minimum and maximum volumes. Only those issues whose calculated volume meets your specifications will be kept in your scan file. Note that MarketScanner's volumes are truncated. The trailing two digits are listed to the right of the decimal point. Therefore, you should drop the final two digits of the desired volume. The above example, which shows 5000 and 10000, actually seeks average volumes ranging from 500,000 to 1,000,000.

Highest High, Lowest Low - When you enter the minimum and maximum highest high, remember that MarketScanner has access to only the period of data included in your Scan File, which typically holds 25 days of data. The "period" shown at right will also apply.

Earnings Per Share, Earnings, Market Capitalization, Number of Institutional Investors,
Percentage of Institutional Investors - These will be compared to the most current information available to MarketScanner through the Unfair Advantage database.

Relative Strength Index (RSI) - This study determines market movement measured as the rate of change. It typically uses a sampling period of 14.

Average True Range - This is Wilder's Volatility study that typically uses a sampling period of 14 to 18 days.

Volatility - This study measures the daily price range. The greater the range, the greater the volatility. A sampling period of 10 is commonly used.

Moving Average Crossover - This study is used to compare current values with two smoothed values. The minimum an maximum values reflect percentages.

Stochastics Crossover - The first entry in the "Period" field represents the window in time for sampling. The second entry is the moving average used to smooth the results. The third value produces further smoothing to create a "slow" stochastic. Click the "Filter" box if filtering is desired.

ADX - Wilder's Directional Movement Index, this typically uses a sampling period of 14 days.

Williams %R - Larry Williams' Percent of Range Study uses a sampling period equal to the cycle length.

Oscillator - This is Larry Williams' Accumulation/Distribution oscillator. The sampling period is usually equal to the cycle length.

Ultimate Oscillator - Another of Larry Williams' oscillators for finding breakouts and price divergence. The three sample periods should reflect short, medium and long-term cycles.

The Scanning Process

Depending upon the scope of analysis requested and the number of days included, the analysis may take seconds or several minutes. When complete, the MarketScanner screen re-displays with the new data and any requested screening.

IMPORTANT: Remember that each subsequent scan on the same file is limited to the data that is currently within that file. After an issue is filtered out, it is not returned to the pool of available markets until the scan file is reset (use "Start Over" from the File menu, MarketScanner is re-opened or the file is rebuilt. MarketScanner may report that your list of criteria filtered out all possible markets. When this happens, MarketScanner resets to the scan file that existed before the filter was applied.


Insert Fact or Heading

In considering the results displayed in the MarketScanner table, you might find it helpful to display additional information about the stocks and futures listed there. Here's how to supplement the data on your screen with this type of information.

Click the Analysis menu, and then move to "Insert Fact Column." The fact columns are split into three different menus:

General Fact Column

These basic facts are handy for sorting and arranging, as shown:

Stock Specific Fact Column

These fact fields contribute valuable fundamental data to your scanning and screening exercise.

Futures Specific Fact Column

These are useful for sorting by currency and liquidity, and might help you gain insight into the impacts of these important factors.

Any new field that has been calculated through the scanner will also appear on the appropriate menu.

Click on your choice and it will be added as an additional column in the table (where available). Note that all fact fields are not available for all markets.

The real value of these fact columns is found in sorting, filtering and ranking, as described in their respective topics.

Insert Blank Heading

UA allows you to insert a blank heading through the "Table Headings" menu. Use this feature to add an empty column to your table.

The new column will be inserted to the left of the selected column. You might use your blank column for pasting corresponding information from another source or for other individual applications.


Insert Standard Indicator

Studies can be introduced into MarketScanner as columns in a spreadsheet.

To add a column with a standard indicator: Click the "Analysis" menu at the top of MarketScanner screen, and then click "Insert Standard Indicator." Click the study of your choice from the resulting menu.

The selected indicator will be run on your scan file.

Study results can be used for sorting, filtering and ranking investment opportunities.


Insert Indicator From List

A very extensive list of technical studies is also available to be introduced into MarketScanner as columns in a spreadsheet.

To add a column with one of these indicators: Click the "Analysis" menu at the top of MarketScanner screen, and then move to "Insert Indicator From List." Choose the study of your choice from the resulting menu.

The example above shows a small portion of the studies menu. Click the arrow at the bottom of the list to view more. Click your choice to begin analysis.

Study results can be used for sorting, filtering and ranking investment opportunities.


Insert From Favorites

The "Favorites" list is your Unfair Advantage Study Toolbar. It's the same one used in standard UA charting, so it provides access to the technical indicators (both basic analysis and Interpreted Studies) that you have added there. Your selected parameters are already included, so no customization is necessary.

To use, choose the "Analysis" menu at the top of the MarketScanner screen, and then click "Insert From Favorites."

The Study Toolbar displays, customized with your selected studies and their corresponding parameters:

Since you reached this point through MarketScanner, the following displays:

If you want to apply the study to all the series currently in your MarketScan file, then click [Yes].

If you want to apply the study to the UA chart that displays as part of the MarketScanner program, click [No]. You will then be asked to identify the pane for charting, as for any UA chart.

Delete Favorites

You may clear any study from this list by selecting it and then clicking the [Delete] button. Keep in mind that any study deleted from the toolbar here will also be removed from the Study Toolbar for basic charting and analysis through UA.

After your study is done, you may want to proceed with sorting and filtering to glean maximum benefit from your studies.


Insert Using Code Editor

Use the Code Editor to either write or edit interpreted studies within the Study Library, as described in the "Interpreted Studies" chapter of this manual. See the "Starting from a Chart or Scan" topic for information and instructions.


Edit Study Column

Use the "Edit" feature to change the input parameters or even the programming code of a study that has already been applied to your MarketScan file.

First click the heading for the study you want to edit, and then click "Edit" on the Table Headings menu. The Code Editor Screen displays.

You can easily change the parameter settings here, as you might have done when selecting the study. See the Code Editor topic for details on editing the program.

This feature is only functional for indicators and does not allow you to edit other headings.


Sorting MarketScan Results

You can sort or reverse sort the content of your scan file or analysis results in two ways:

· Click on the table heading of the desired sort field
· Click a cell in a column and then click the "Table Headings" menu. Click "Sort."

Applications of sorting your file can range from a simple sorting by name, symbol, exchange, etc., to arranging analysis results in order of the best performance.

Important note: A random system will find a few stocks that have 100% winning trades. When sorted, something will always turn up on top. Do not assume that this means you have a sure-fire system. Instead, look for underlying economic principles and for confirming evidence. We recommend against using any trading algorithm that does not show a profit in a substantial majority of stocks.


Filtering Results

When stocks or futures are filtered, the parameters you define are used to exclude certain markets from the displayed list.You might want to use the filter to weed out all stocks with very high prices or unfavorable technical indicators. Simple applications are often more easily done with the MarketScanner Wizard.

The selected column will be filtered, so click the desired column heading before proceeding.

Click the Table Headings menu, then select "Filter By" to bring up the following display:

The "Show only when" value is used to filter out all stocks or futures markets except those whose filtering parameters result in a value that is greater than (>), less than (<), equal to (=), greater than or equal to (>=) or less than or equal to (<=) the value you enter in the box at right.

Click the arrow to the right of the fist box to display the list of choices and click your preference.

In the above example, we have requested MarketScanner to show issues with values less than 30. This might be an appropriate filter to perform on a "close" column to find only stocks whose recent price was less than $30/share. You could select a different column and change the first parameter to > (greater than) to find desirably high readings in a variety of indicators.

Check the box if absolute values are desired. This can be useful in removing issues with very high and very low readings when the filter key oscillates above and below zero.

As shown in the example, a graph at right displays the percentage of the available scan database that will remain after your chosen filter is applied. This can be a handy tool if you are seeking to filter out a certain percentage of issues. It also helps you avoid filtering out everything with a poorly chosen value.

The numerical value should be replaced with appropriate values for your particular application, which may be either numbers or letters. For example, you could click on the symbol column and request that MarketScanner show results only when > (greater than) T. This would display only those stocks whose symbol is later (alphabetically) than the letter T.

The selected column, the greater-than/less-than parameter and the filter value all work together, so you must consider each when selecting any one. Your resulting stock list order will be sorted by your chosen parameters.

You can further filter your list of stocks and futures by repeating the process with new parameters. Keep in mind that filtering processes are cumulative. Once an issue has been filtered out, it will not be available for analysis again until you rebuild the scan database. The simplest way to do this is to click the File menu and then select "Start Over."

Filtering Examples

Here are some scenarios of how MarketScanner's manual filters might be used:

If you have programmed an expression to calculate or show the "Last," "Previous" or "Average" volume as a column, it is likely that your results will be large values. Keeping in mind that volume figures are truncated by two decimal places, you'll need to select and enter a volume figure that will be significant to you. For example, to screen for high volume stocks, you might ask for stocks with volume greater than (>) 20000 (two million in untruncated volume). For low volume stocks, you might filter stocks with volume less than (<) 100 (ten thousand in untruncated volume).

When using an oscillator such as RSI, momentum, Stochastics, Williams % R, etc. whose values range from zero to 100, a different set of filters would be appropriate. To find peaks in the oscillator, you might ask for all values greater than or equal to (>=) 80. For troughs, perhaps less than or equal to (<=), say, 20.

Filtering can easily involve raw or averaged stock prices, where only prices above or below a given level are accepted.


Form Rank

You can rank the content of your scan file or analysis results through the "Table Headings" menu.

To do so, select on the column you wish to rank by and then click the "Table Headings" menu. Near the bottom of the list, click "Form Rank From.

View your results in the additional "Rank From" columns. The two subsets include a numerical ranking, which counts and ranks your entries, and a percentage ranking for each entry.


Deleting Rows

MarketScanner allows you to manually delete stocks and futures from your scan file to remove them from your sorting and analysis exercises. To delete any issue (which occupies a table row) simply select any cell in that row and then click the Rows menu. Then select "Delete Selected."

To delete more than one row at a time, either hold down your keyboard's <Ctrl> key as you individually select stocks and/or futures with your mouse or, for those that are listed consecutively, click the first in the list to be deleted and then, while holding down the <Shift> key, click the last. When all desired rows have been selected, click the appropriate deletion option.

If you want to save a few issues and delete a large number, you might prefer to select those stocks and futures to be kept and click "Delete All But Selected" from the Rows menu.

Another option is to sort your markets by some meaningful criteria (just click the appropriate heading) and then select "Delete All But First N Rows." You'll be asked how many rows you wish to keep. Enter a value that preserves your desired rows.

Use "Select All" as needed.

You can restore the full list of stocks in your MarketScanner for consistency by clicking "Start Over" from the File menu.


Deleting Columns

Any fact column or indicator value listed in your MarketScanner table can be deleted through this feature:

Click "Delete Heading" from the Table Headings menu to display the following:

Every column on your table is listed, and those that can be removed are shown with a checkbox to the left. Check (click) the "Check" column for each table heading and corresponding column you wish to remove, and then click the [Delete Table Headings] button.


Exporting MarketScanner Results

MarketScanner lets you use its numerical results in several ways through the Export Table menu. Click "Export Table" at the top of the screen to view.

Your choices are:

Print Table - This brings up a print dialog box to make a printout of the spreadsheet information. (Use the printer button on the toolbar to print the chart.)

Save Table to ASCII - Click "Save Table to ASCII" to create an ASCII file suitable for import into document or spreadsheet files as desired. Below is an example of an ASCII file generated by MarketScanner. Note that it names each heading, that each non-numeric entry is in quotes and that the fields are separated by commas.

"Csinum","Symbol","Name","Exchange"
"","","",""
1199,"CLQ","Cold Metal Products Inc","AMEX"
1202,"CGM","Congoleum Corp","AMEX"
1237,"CBJ","Cambior Inc","AMEX"
1310,"JQH","Hammon Hotels","AMEX"
1374,"PAX","Paxson Communication","AMEX"
1397,"CNY","Carver Bancorp","AMEX"
1482,"MXR","Medix Resources Inc","AMEX"
1507,"PMD","Psychemedics Corp","AMEX"
1745,"IDH","IPI Inc","AMEX"
1764,"IGR","Integra Inc","AMEX"

Save Table to Clipboard - This produces this same list as "Save Table to ASCII" except that it copies the result to the clipboard rather than saving it to a file. From there it can be pasted into documents or a spreadsheet through the application program's "Paste" command, or by pressing <Ctrl> + V on your computer keyboard. A clipboard image is typically lost when overwritten by another save or when your computer is shut down.

Save Table as Watchlist - Click "Save to Watchlist" to save the current scan file list as a watchlist for future study.

Save Selected to UA Portfolio - Before you use this feature, you should select the items from the current scan file that you wish to include in the portfolio. Do this by either holding down your keyboard's <Ctrl> key as you individually select markets with your mouse, or for those that are listed consecutively, click the first one in the list to be copied and then, while holding down the <Shift> key, click the last to be copied.

To select all available markets, go to the Rows menu and click "Select All." When all desired stocks and futures have been selected, go to the Export Table menu and click "Save Selected to UA Portfolio."

If the UA main window does not appear, click on "UA" in your program tray.

This feature works exactly like the [Save to Portfolio] button on a chart, except that all selected series on the scan list will be included. See the Save to Portfolio topic in the Charting chapter for details.

Copy Selected Market Numbers to Clipboard - Here's a handy way to make a list of the CSI numbers for the stocks and futures contracts in your scanning file. To copy selected items, either hold down your keyboard's <Ctrl> key as you individually select markets with your mouse, or for those that are listed consecutively, click the first one in the list to be copied and then, while holding down the <Shift> key, click the last to be copied. Click "Select All" from the Rows menu if you want to copy everything. When all desired stocks and futures have been selected, go to the Export Table menu and click "Copy Selected Numbers to Clipboard."

The output file has a single line for each issue. Each CSI number is followed by (S) for stock or (C) for commodity.

The copied numbers can be pasted into any document by simply clicking the field where the data should go, holding down the <Ctrl> key and pressing the letter V. Note that this clipboard entry may be overwritten with your next clipboard use, and will be lost when you shut down your computer.


Start Over

The "Start Over" selection on the MarketScanner File menu prepares a fresh view of the scanning file.

This is important to use if you want to try a different study on the data that was requested through the Preferences/Scan Settings screen and you have removed markets identified through previous studies.

For example, if you performed the Emerging Market Study explained in the Tutorial and removed all studies with low Z-Scores as directed, those deleted markets would be excluded form all subsequent studies unless you "Start Over" or rebuild the scan file through the Preferences screen.


Save or Open a Layout

Click MarketScanner's File menu for a list of choices that allow you to save and reload your set of studies, which collectively form the "layout."

Save Layout

A layout is the combination of fields and studies used within MarketScanner. The ability to save and re-open layouts means that you can design a set of facts, indicators and such that are of interest to you, and then easily apply that set to a fresh scan. Click MarketScanner's File menu and select "Save Layout" to save any layout that you wish to use again or to share with others. Each time a layout is saved, it has the potential to be opened or reloaded again (see below).

When you save a new layout for the first time, MarketScanner displays a standard dialog for naming your file. Use a name that is unique and descriptive. Although the file is typically stored in the \UA\archives\watchlists folder, it is not the required location. After the first time you save a layout with a specific name, you will not be prompted for a filename and any changes will overwrite the previous version.

Open Layout

Click MarketScanner's File menu and select "Open Layout" to retrieve a scan layout that you have saved before. Each time a scan is loaded, it will be current through the latest daily update. Because the scan is re-run each time it is loaded (opened), any algorithms used in the computations must be available to MarketScanner through the Interpreted Study Library. This means that in order to share a scan result with a friend who also uses UA, the friend's computer must hold both the scan file and the corresponding Interpreted Study Library file.

When you opt to open a layout, MarketScanner displays a file selection screen to choose the appropriate file as shown below.

Click on the filename if you see it listed, or browse to the appropriate folder and select the scan file you wish to view. Click [OK] when the file is selected.

Save Layout As

The "Save As" option on MarketScanner's File menu gives you the opportunity to save the layout you are saving with a new, unique name. For example, if you save a scan, open it, change it and save it with the Save option, only the results of the new scan will be available. However, if you use Save As, you can give the file a new name and keep both versions.

Exit

Use the File menu to exit the program.


Accessing the MarketScan File

The file that holds the universe of markets that are visible to MarketScanner is called C:\UA\Archives\stkscn.bin. This file is available for immediate investigative use by third-party programs to explore auxiliary filtering strategies. The MarketScanner may be most valuable to analysts writing their own software in Fortran, C++, Basic, etc. and reading the C:\UA\Archives\stkscn.bin file. You have almost unlimited capability to define a huge database of perhaps hundreds of days of data in uncompressed form.

See the Developer's Document from the UA program group for details.


MarketScanner Tutorial

The MarketScanner Tutorial chapter is a collection of essays by Bob Pelletier about using this tool.

Click the links to view:

· Adding Perl
· Emerging Market Tutorial


Adding Perl (Essay)

An Essay By Bob Pelletier
Reprinted from the CSI Technical Journal - Jan. 2001

Tools. Where would we be without them? From the can opener to the computer on your desk, tools are indispensable. This holiday season finds me reminiscing about a college professor I had who spoke at length on the internal tools we carry throughout our lives. What tools did we possess? Did we speak English? French? Spanish? These were all tools that helped us communicate, we were told. He went on to explain that programming languages were also tools. Soon we would own those tools and they would enhance our careers in ways never imagined by our own parents.

Many years have passed since my introduction to programming tools in the 1950s, but I suggest that, as we welcome the new year, we all sit back and examine the tools we bring to the task of trading the markets. The most important tools for the technical investor include computer, data and analytical software. For those of us who delve into the mechanics of developing trading systems, additional tools include the programming languages and corresponding skills we use in our craft. Is your set of tools growing and improving to meet the demands of the new millennium?

I am pleased to say that I have recently learned a new programming language called Perl, which offers a unique set of advantages to help me reach my goals. This is not to suggest that Fortran, VisualBasic® or other programming languages have been replaced in my personal tool kit, but that new tools may provide some rewarding results and improve overall capability as a programmer and market analyst. This article is to help the many who, like me, are accustomed to programming in Fortran or even Basic, and who may be a bit reluctant to try the Perl language for use with Unfair Advantage's® MarketScanner.™ This tutorial just may be all you need to get up and running with Perl. It is our hope that it will shorten the learning curve.

Having used the Perl language for a few months to drive CSI's MarketScanner, I feel qualified to speak as someone who knows and shares the struggle of transition. I have found pitfall after pitfall, and hope that by sharing lessons learned, I can help you avoid many of them. If you can program in VisualBasic or Fortran, then Perl won't be all that difficult to learn. However, if you have no programming experience whatsoever, then you might want to pass this on to your programmer friends; this introduction may be a trifle difficult for non-programmers to understand.

Perl is worth learning for several reasons. As you become accustomed to the language, you will begin to appreciate its compactness. A moderately complex program can usually be written on a single page. This is a positive feature in favor of Perl. Because it is an interpretive language, it doesn't require compiling (like Fortran) to be run and debugged. Perl includes its own DOS debugger, so you can complete the process without going into additional programs.

On the flip side, you will soon see that even the simplest program may be difficult to debug and run. Inevitably, I find myself missing a semicolon at the end of a line, using a parenthesis instead of a square bracket, or perhaps missing a curly bracket somewhere. Other pitfalls involve incompatible calls to subroutines with missing or undefined arguments. Perl is the least forgiving language I have encountered.

Program statements (commands) must always end in a semi-colon; left and right curly brackets are used to delimit conditional statements and various levels of nesting. Variables must be preceded by dollar signs, arrays must be preceded with an @ sign and much of the arithmetic is done in floating point. A structure must be followed for subroutine usage and the passing of variables. Square brackets are used to reference array elements, and parentheses are used for function calls to subroutines.

The language makes use of symbol operators, such as +, -, <, >, !, eq, ne, and operators such as "and" and "or" may be used in statements. For example, the symbol "!" is to be interpreted as "not" within the Perl code. C++ conventions are also permitted such as the use of "--" to decrement or "++" to increment when used adjacent to variable names.

An important requirement of Perl is the need to spell all variables with the same case everywhere they are used. The variable "$PositionPrice" may not be referenced as "$Positionprice" because the portion "Price" must be capitalized in the same manner in every such reference or Perl will not understand which variable you are attempting to reference.

We'll make broad use of examples from MarketScanner's working code throughout this tutorial. Simply launch MarketScanner through UA, then pull down the "Insert Custom" option under the "Columns" menu and click the "List" option. You'll see a great deal of sample code – all of it functional. This code will be an integral part of our attempt to help you use this language. Please refer to it as the many examples and references to Perl conventions are mentioned. This way you will obtain a quicker understanding of Perl, and how it may benefit you. The extensive set of examples available within UA's Market Scanner should be helpful in demonstrating how to use and navigate the Perl language.

Whenever a Perl program is written within MarketScanner, a supplementary package of Perl code subroutines that address database issues is included, courtesy of CSI's Steven Davis. This code is always appended to the code supplied by you. Therefore, when you write some code to analyze stocks or futures markets, your code — call it "myperlstudy.pl" — will always be followed by Davis' Perl code to produce the working code to be run in the name of perlstdy.pl.

The code that is added to your code includes subroutines to deal with the CSI database. I won't produce an exhaustive list, but some of the subroutines are: getOpen[ ], getHigh[ ], getLow[ ], getClose[ ], getDate[ ], getVolume[ ], getOi[ ], GetSymbol[ ], GetName[ ], GetSectorCode[ ], GetIndustryCode[ ], GetExchange[ ], GetCVF[ ], GetFact(), getNumDays(), etc. These subroutines are necessary for you to get into the database for many kinds of analytical purposes. getNumDays(), for example, is a routine that returns the number of days available for the given stock or future currently being processed.

Inside the brackets of array references, such as those identified above, would be a variable or an integer referencing the array. For example, to reference the very last day on file (the most current day of data), the integer supplied would be a zero (0). If a variable is given such as the variable $i inside the brackets, then the contents of $i would be a 0 to accomplish the same current day element. To access the day before the last day on file would require a 1 or a variable reference which holds a 1.

In reviewing the sample code, you'll see that a "sub" statement followed by the selected study name and a left curly bracket ({) introduces the list of studies that you or CSI supplied, together with each study's list of variables. At the very end of the subroutine, after all supplied code has been inserted, a closing right curly bracket (}) is required. Should "if" statements be used requiring another set of curly brackets, it is advisable to place the required pair of curly brackets in the same column of different lines to keep your logic from being too confusing. A pound sign (#) is used to introduce a comment, either following a program statement or on a line by itself. If the comment continues to a subsequent line, another pound sign is required.

In some cases, an array of "Indicator Labels" is introduced within the subroutine. These pertain to the Excel spreadsheet where stock-by-stock or future-by-future results are displayed. These items can best be defined through the examples shown. The indicator labels normally present column headings. The IndicatorDisplayFormat shows the number of decimal places of display, and whether data is presented in a centered, left-adjusted or right-adjusted format. The characters used indicate "l" for long, "f" for float, "s" for string, and "L," "R" or "C" for a left-adjusted, right-adjusted or center-adjusted display, respectively. All local variable definitions must be introduced with a "my" statement. For example, to define $PositionPrice, you must have introduced it with my($PositionPrice) when it is first referenced. Please note the generous use of "my(…)" statements in the example code.

Perl has several reserved words, such as "defined," "my," "return," "chop," "split," "for," "if," "else," "while," "reverse," "return," etc. The "return" statement delivers columns of information to the Excel spreadsheet for the given stock analyzed. The Perl code supplied through your main subroutine (sub) is executed to completion for each time series (stock or future) supplied by MarketScanner. When the list of all stocks and/or futures time series is exhausted by repeated entry into the scanner matrix, the job will be completed and the spreadsheet will be filled with the details of the study's objective.

Some subroutines may have a list or an array of arguments. The given Perl subroutine refers to that list through use of the underscore character. For example, a routine with a single variable such as the variable $Np in a call to stti($Np) would be accessed by the stti subroutine as "my(@t) = @_; and my($Np) = $t[0];" Of course, the @ sign introduces an array, and the underscore (_) refers to subroutine input.

The above statement will transfer the input array @_ into the internal array @t and store the contents of $t[0] into local variable $Np. In effect, there is no array $Np, but there could have been one. $Np is a single variable that has been passed for use by the subroutine stti for use within stti. The "my" command above simply tells the stti subroutine that this is a variable local to the stti routine to be used within stti.

Perl makes extensive use of "for" loops, which are much like Fortran "Do loops" or Basic 'for' loops. A typical "for" loop might read, "$sum=0; for($i=$#t;$i>=0;$i--) {$sum += $t[$i];}" When the two characters "$#" precede an array reference (such as t), Perl obtains the array's highest possible index reference. The above loop will accumulate into the variable $sum from the element $i of an array t, where element $i ranges from 0 to $#t. In other words, the sum ($sum) of all the values will result from adding together the $#t element through the 0th element of the t array. Summing will stop after $i reaches 0, the very first element of the $t array of $#t + 1 elements. In Perl, an array of N elements would range from element 0 to element N-1.

As you build on the MarketScanner custom study list, you can access and run any Perl code that you have supplied within the perlstdy.pl file. The custom programs will be presented in a list when you right click your mouse on the blank white portion of the MarketScanner screen. Click the sub program that you wish to run and enter the arguments, if any, required by your program. It should be apparent to you by now that the code you might write or employ from the "Insert Custom…" list is all pretty much targeted to feeding an Excel spreadsheet. The right-click of your mouse simply alphabetizes all the subroutines in your custom list. When you add your own indicator or study, it will appear in that custom list.

This little summary of Perl usage may be helpful to you, but don't despair if it leaves you unsure of how to proceed. It isn't always easy to add a new tool to your set. Perhaps you would benefit from reading one of the many books available on the subject (see "Perl Tips," below). We don't want to drag anyone kicking and screaming into the world of Perl, nor do we want to alienate those who just don't like it. In fact, we continue to offer VisualBasic support within MarketScanner for those who prefer that language. Please consider this an invitation to begin the new year by joining me in enhancing the tools that will help us all be successful in 2001.


Emerging Market Tutorial

An essay by Bob Pelletier
Reprinted from the May, 2002 CSI Technical Journal (Updated 5/05)

Investing today is tricky business, which is why most smart investors use trading tools to help them make informed decisions. "Trading Tools" is the rather broad term we use to describe the unique studies developed by CSI programmers for the exclusive use of our customers - studies we believe can help you become a more successful trader. We seem to be better at designing studies than at promoting them, so probably 99% of our subscribers have never opened Unfair Advantage's "Trading Tools" menu to explore what's inside. With this Technical Journal, we invite you to get to know the Emerging Market Study that is part of our MarketScanner module - found on the Trading Tools menu. We hope that this introduction will lead to a variety of uses that will enrich your trading experience and enhance your enjoyment of Unfair Advantage (UA).

Before we begin, it should be understood that MarketScanner's basic function is to scan massive quantities of data to find stocks, funds or futures that meet user-specified criteria. It simplifies the task of highlighting trading opportunities without the detailed perusal of thousands of markets. MarketScanner facilitates the investigation of pertinent market movement by sorting and ranking those criteria that you have deemed to be important. Although MarketScanner can be used to narrow down the list of markets for review based on raw data, such as issues within a given price range, or above or below a target P/E ratio, it can also be used to run technical analysis and report markets with favorable results. This is how the Emerging Market study uses MarketScanner.

What Does the Emerging Markets Study Do?

With this study, one can quickly review the history of many thousands of stocks and identify every stock that meets the condition of 1) flat market behavior, followed by 2) accelerating upward or downward market movement.

Step One:

Once your UA data download session is complete, click the "Trading Tools" menu at the top of your screen, and then click "Market Scanner" from the menu. The MarketScanner spreadsheet screen displays.

Click "Preferences" at the top of the MarketScanner screen to view the "Scan Settings."

MarketScanner settings: For the Emerging Markets study, set the "Days to include" at 25; exclude all series with fewer days, and pick the exchange of your choice. Check "Automatic Update" if you plan to use MarketScanner every day.

In most cases, the "Scan Settings" screen will display, as shown above. If it doesn't, then the necessary entries will be presented as prompts. The first entry or prompt allows you to identify the number of days to be included in the scan for all markets (to be identified below). For the Emerging Market study, we recommend 25 trading days. Adjusting for splits and capital gains (the second entry) can be useful, but slows the process considerably. We recommend you do not select this option, but visually rule out affected stocks when they are presented. Do use the option of skipping issues with fewer days, and skip the boxes that apply only to commodities. Check "Automatically Update" if you plan to use MarketScanner every day.

The "Series to Show" section in the middle of the screen lets you select from all stocks, stocks from your custom lists, or stocks selected by exchange, sector or industry. If you choose any of the last three, you'll be able to fine-tune your selection with additional choices that display. For the Emerging Market study, I usually pick "All in Exchange" and then select NYSE (for New York Stock Exchange) or OTC (for Over-the-Counter - NASDAQ).

Click [Save and Rebuild] when these preferences have been identified.

A progress bar will display that monitors the gathering of market data for examination. This may take several minutes. When 25 days of all your selected stocks have been captured into a single file, the MarketScanner screen re-displays with a current list of your choices. The spreadsheet columns include the CSI number, symbol, name and industry for each. They are initially sorted by CSI number.

Step 2

Next you should retrieve the programming code required to process the stocks you identified. Begin by clicking the "Analysis" heading at the top of the MarketScanner screen. (This is used to identify the task that will fill one or more spreadsheet columns.) Click "Insert Indicator Using Code Editor" (not "Standard Indicator") from the Analysis menu. The "Code Editor" screen will display.

The Emerging Market study is only available in the Perl® programming language, so we need to make sure that this is the selected language. Click "File" at the top of the Code Editor window and go to "Change Language Mode." If "Perl Fast Mode" is selected, simply click anywhere away from the menu to keep that option. If it is not selected, highlight it on the menu and click your mouse.

Step 3

Back at the Code Editor Screen - There will be either one or two windows on this screen, and they may include text or not. Now click "Indicator From List" above the window. A menu of sample studies and helper programs displays. "Emerging Markets Study" is listed on the menu. Depending upon your screen configuration, you may need to scroll down to see the full list of choices by clicking the arrow at the bottom of the menu. Click on this choice, and "EmergMkt(20,3)" will be inserted in the Code Editor window. This prompt instructs MarketScanner to find the Emerging Market program and prepare to run it.

The Emerging Market study is just one of many sample and helper programs included in MarketScanner.

Step 4

The EmergMkt(20,3) prompt includes two parameters (20 and 3), or it may have no values between the parentheses. The parameters must be entered or may be modified as follows: The first parameter is the length in trading days of the required "Flat" period, which we suggest at 20 days. (It must be less than the included days introduced in the Scan Settings.). The second parameter is the "How-Flat" measure, which is an integer from 1 to half of the "flat-period" integer. The larger the "How-Flat" variable, the larger the allowable range of prices for the "flat" period, and the larger the pool of markets that fit the bill. We suggest the How-Flat indicator range from 1 to 3 for the most meaningful results. A value of 1 will report about one percent of the markets from your total scan. Using a How-Flat measure of 2 should report about 15 percent. This pair of inputs (the Flat period and the How-Flat indicator) defines the linear form of the prerequisite market to be screened for further study.

You may view the programming code for this and all other Perl language programs by clicking the [More] button at the bottom of the screen.

Click the [Run] button at the bottom of your screen to begin analysis. A black screen will display while Perl performs the computations.

Step 5

When finished, the MarketScanner spreadsheet will display, as shown in the chart below. You'll note that three additional columns of information have been added for each stock, all under the heading "EmergMkt." They are "DaB4Cl" (day before close), "ToDaCl" (today's close), and "Zscore" (Z-Score). These give a quick review of the last two days' pricing and the all-important Z-Score, which is the result of our analysis.

zscores
A list of promising stocks sorted by Z-Scores (NYSE stocks as of April 15, 2005)

Slowly click the Zscore title twice to sort and display the list by decreasing Z-Scores. You may click on any column heading to sort by the selected headings.

Interpretation:

The Z-Score is derived from statistical analysis and relates to the statistical significance of a jump or drop in price. It reflects the degree in which the current price has gone beyond what would be expected if the price trend over the base (flat) period were to continue in the same directional path. A high Z-Score with a value greater than 2.00 would suggest that a news development had surprised the trading public, possibly creating an exceptional market-entry opportunity.

The higher the positive Z-Score, the greater the relative jump in price from yesterday to today (the last day on file). Markets with high Z-Scores may represent a good buying opportunity tomorrow morning. The reverse, while may well be true, has not been observed to the same degree. A sudden drop indicated by a high negative Z-Score might represent an exceptional selling opportunity, but it may indicate an over-reactive weakness, from which a rebound could quickly follow.

Depending upon your settings, MarketScanner might skim as few as one or two dozen emerging market opportunities each day. Performers with Z-Score values above four represent less than one-half of one percent of all markets. Our example was produced on April 15, 2005, just before this article underwent an updated revision. Why not type the symbols into UA to see for yourself how these high Z-Score stocks performed in the days that followed?

Screening:

Before reviewing results, you'll want to first discard the rows that have insignificant Z-Scores: After clicking the Zscore heading to sort in descending order, click on the first stock in the list. Using the scroll bar at the right, move to the last stock whose value is over 2.0000. Hold down the shift key and click that stock. This should highlight all the stocks with Z-Scores over 2.0000. Click "Rows" at the top of the MarketScanner screen, and then click "Delete all but selected rows." You'll be left with only the most promising market opportunities.

Graphic Review:

You can view charts of the series listed in MarketScanner in the main charting window of your MarketScanner screen. The first market in your list of stocks with high Z-Scores will display in a 25-day chart as shown above. Scroll to the next chart by clicking the right "Portfolio" arrow below the chart.

signalday
The circled bar represents the last price available on the day the stock was uncovered by the Emerging Market study.

You will notice that the stocks with very high Z-Scores produce L-shaped results, where a long, flat base precedes a sharp jump in price, indicating an emerging market. Often, a breakout such as this precedes additional sessions of up-ticks in price. High volume is considered a corroborating piece of evidence that the market may be poised for further positive price action.

It may be helpful to compare the results of the Emerging Market study with the directional movement of the principal stock index for the given stock. For example, if the NASDAQ 100 goes up two percent and an OTC (NASDAQ) stock also goes up two percent, then the stock's movement is probably not significant.

The type of market movement this study reveals can be short lived, so prompt, decisive action is needed to capitalize on the information. Keep in mind that the given market being presented today may have broken out from its flat base one or more days before and may be continuing to move in the same direction. In this case, you might be too late to jump into the action! A graphic review of the Emerging Market results is crucial to avoid a late market entry. Always look to see when the breakout initially occurred. Also, check with your broker to make sure that the "breakout" is not actually a rare CSI error. Most important, be prepared to take your profits and get out quickly when this brief opportunity has run its course.

Click the [>>] (right arrow) button below the chart to view the next chart in the portfolio. Repeat as necessary to view all charts, making notes of those that look like possible trading opportunities for you. Be aware that these are not definitive trading signals. Instead, this list is a starting point for investigation into issues that may be good investments. Follow your own best judgment in applying additional studies, analyzing fundamentals, consulting your broker or doing whatever is prudent to further screen investments.

You may want to run this study multiple times, experimenting with different parameters. Consider the wisdom of perhaps setting your "How-Flat" parameter choice small (as low as 1) to reduce the chance that you will uncover markets that have previously emerged. You can also perform multiple sorts on the spreadsheet to further automate the screening process. For example, you could sort by closing prices and then eliminate high priced stocks from the pool before sorting by Z-Scores.

The Emerging Market study barely scratches the surface of the full capability of UA's MarketScanner tool. You can see the programming code of the Emerging Market study and others from the "Code Editor" screen by clicking the [More] button. Experienced programmers might incorporate a requirement that volume be high or net change meet a certain percentage, etc, etc. You are limited only by your imagination and programming skill. Although the Perl programming software provided with MarketScanner requires exacting syntax, it can help you find unlimited opportunities. We wish you good luck with this tool and encourage you to investigate the additional "trading tools" provided with Unfair Advantage.

Exporting to a Portfolio:

When you place this list into a UA portfolio, it will be easy to review all the charts and to follow their progress over the next few days. To do this, click "Export Table" at the top of the MarketScanner screen, and then click "Save to UA Portfolio." It may seem as if nothing has happened because the MarketScanner window might still fill your screen. If this is the case for you, exit MarketScanner by clicking the X-box at the upper right corner.

Now the Unfair Advantage "Choose Portfolio Format" window displays. Click the [New] button under "Portfolio" (at right) and then type "Zscores" in the "Name" box as prompted. Click [OK] to proceed. When the "Choose Portfolio Format" box re-displays, un-check any selected formats on the left and then click [OK]. UA will add the stocks to the selected portfolio.

For more discussion on this study, see the December, 2000 CSI Technical Journal, which is available on the CSI website at www.csidata.com


MarketScanner Menus

MarketScanner's eight visible menus, plus one more that is accessed with a right-click of your mouse provide complete access to all of the program's many features.

The menus are:

· File Menu
· Export Table Menu
· Rows Menu
· Table Headings Menu
· Analysis Menu
· Preferences Menu
· Chart Menu
· Help Menu
· Right-Click Menu

Click the links to view details.


MarketScanner File Menu

The MarketScanner File Menu offers these useful functions:

· Start Over (To start a fresh scan with the selected database.)
· Print (To make a printout of your current screen.)
· Open Layout (To use a saved set of MarketScanner settings and studies.)
· Save Layout (To save a set of settings and studies for future use.)
· Save Layout As (To save a revised layout under a new name.)
· Wizard (To enter the automated module for running MarketScanner)
· View System Optimization Report (For optimizable studies.)
· Exit (To quit MarketScanner.)

Click the link (above) for the feature you wish to learn about.


MarketScanner Export Table Menu

The Export Table Menu lets you make the most of the information you glean through your studies, sorting and screening:

· Print Table (This printout is the full numerical table, not a screen shot of your UA graph.)
· Save Table To ASCII (Text file for printing or use with other programs.)
· Save Table To Clipboard (To paste into document or spreadsheet.)
· Save Table To WatchList (For Use in Position Manager.)
· Save Selected To UA Portfolio (To create an Unfair Advantage portfolio of the selected files.)
· Copy Selected Market Numbers To Clipboard (To make a list of CSI numbers to paste into other applications.)

Each of these is explained in the "Exporting MarketScanner Results" topic. Click here for details.


MarketScanner Rows Menu

Use this menu to remove undesirable markets from your MarketScanner table. The choices are:

· Delete Selected Rows
· Delete All But Selected Rows
· Delete All But First N Rows
· Select All

These are all explained in the "Deleting Rows" topic. Click here for details.


MarketScanner Table Headings Menu

The Table Headings Menu is used to manipulate the columns in your MarketScanner table and their content. This is a list of the functions available here:

· Insert Blank Heading
· Edit
· Delete Heading
· Filter By
· Sort
· Form Rank From

Click the link (above) for the feature you wish to learn about.


MarketScanner Analysis Menu

All analysis results produced through MarketScanner appear in columns in a table of data. Facts and market statistics can also be added to the table through this menu, as they can also be used in market analysis. The choices on the Analysis menu are:

· Insert Fact Column (For fields such as volume, P/E ratio, market sector, first trade date, etc.)
· Insert Standard Indicator (To add one of the provided standard indicators.)
· Insert Indicator From List (To add an indictor from our very extensive list.)
· Insert From Favorites (To add an indicator from your customized Study Toolbar.)
· Insert Using Code Editor (To use the Code Editor Screen for adding and editing studies.)

Click your choice from the list above for more information.


MarketScanner Preferences Menu

MarketScanner Preferences are also called "Scan Settings." These are the basic specifications that determine what will be included in your scanning experience.

The settings are:

· Include ____ Days
· Adjust for splits, capital gains and dividends
· Skip issues which do not yet have this many bars of data
· Represent Futures as Perpetual rather than back-adjust
· Default to Commodity in Symbol Lookup List (Yes/No)
· Stock Selection Criteria
· Default Number of Digits
· Max Bars Back
· Automatically Updates?

Each of these settings is explained in the MarketScanner Preferences topic. Click here to view.


MarketScanner Chart Menu

The Chart menu found at the top of your MarketScanner screen is essentially the same as the standard Unfair Advantage Chart menu. Keep in mind that the charts offered through MarketScanner hold only the time period specified in your MarketScanner Preferences. Aside from that, these charts are exactly the same as other UA charts. The menu offers these utilities:

· Zoom Out
· Zoom In
· Tracker
· Study Toolbar
· Apply Study
· Apply Tool
· Clear Study Template
· Clear Chart Tools/Annotations
· Clear Studies From Chart

Click the links above to learn more.


MarketScanner Help Menu

The MarketScanner Help menu offers only two choices:

· What's This? (For brief information about MarketScanner features.)
· Online Manual (Click "Contents" and then look for the MarketScanner chapter.)

Click the links above for information.


Scanning Right-Click Menu

Any time the MarketScanner screen is active, you can manipulate the rows through a special menu that displays when you position your mouse over the spreadsheet portion of your screen and click your right (not left) mouse button.

Select your choice from the menu. Note that some possible choices are not included at all times. They are added to the menu when they become appropriate selections.

· Delete Selected Rows (or use the Delete key)
· Delete All But Selected Rows (or use the Insert key)
· Delete All But First N Rows
· Select All
· Insert Blank Column
· Delete Column
· Sort by Column
· Filter by Column
· View System Optimization Report
· Exit MarketScanner

Click the links above for details on these features.


MultiMarket Analyzer (MMA)

CSI's Unfair Advantage builds an unprecedented foundation for inter-market analysis by providing virtually every market in the world. CSI's Multi-Market Analyzer provides a set of new and unique indicators. These indicators describe the market situation, not by staring at the same chart day after day, but by determining the underlying economics and the current market forces.

[Next]


MMA Limitations for Trial Users

MultiMarket Analyzer is provided as a courtesy to UA subscribers who have paid the full Unfair Advantage license fee. All others may use MMA a maximum of ten times on a trial basis.

If you have not paid the full UA license fee, you will be limited to 10 uses of MMA. Don't waste them! See Launching MMA to get started.

If you are a trial user of UA or if you have not paid the full UA license fee, your MMA will become non-functional after ten uses. You may restore full MMA capabilities by upgrading to a regular UA subscription. Contact CSI marketing for details at (561) 392-8663 or (800) 274-4727.

We reserve the right to change this policy at any time.


Launching UA's MMA

Launching UA's MMA in UA

The MultiMarket Analyzer is launched in either of two ways:

1) When Unfair Advantage is already running (perhaps after updating the database), click the Trading Tools menu, then click "Multi-Market Analyzer."

2) When UA is not already running, from your Windows Start menu, go to Programs, then CSI Unfair Advantage, then click MultiMarket Analyzer as shown:

MMA includes a complete sub manual, which starts with "MMA Module Contents."


MMA Module Contents

Introduction - Introduction to the Multi-Market Analyzer.

Choose Markets - Selecting the markets to analyze

Choose Series - Selecting the series to analyze

Choose Lags - Additional analysis options

View Correlation Coefficient Table - Relationships between the markets

Factor Analysis - Eliminate redundant factors

Current Inter-Market Situation - Potential trades

Historical Validation - Visualizing the results

Developing A Trading Strategy - Using the indicators

Glossary - Definitions of terms

References - Where to learn more

The MultiMarket Analyzer section of the Unfair Advantage User's Manual is a reformatted version of Multi-Market Analyzer On Line Help by Steven Davis and M. Edward Borasky, Borasky Research. Click "Help" on the MMA Introduction screen for the full MMA Manual.


MMA Introduction

The Multi-Market Analyzer (MMA) uses sophisticated statistical and economic analysis techniques normally found only in specialized packages. The aim of MMA is to make these techniques available to all fully licensed Unfair Advantage users.

Press "Next" on the MMA introduction screen to begin by choosing markets.


MMA Choose Markets

After dismissing the welcome screen, you are asked which markets to include in the analysis.

mmamark

When selecting markets you should consider the following facts:

1) Analysis will only be done on the inclusive date range: the date range in common to all selected markets.

2) The selected markets must be economically related for the predictions to be valuable.

3) Only select as many markets as your computer's memory can hold. Generally each market will consume about 300k of computer memory. Ten markets will occupy 3 megabytes.

The control at the top allows you to choose from either stocks or commodities. Clicking on a column will cause the list to be sorted on that column. Each click after that will reverse the sort order. Clicking the check box at the left causes the stock or commodity to be selected; its symbol will appear in the selection list. A second click will uncheck it and remove it from the list. You can also type symbols directly in the list, separated by either spaces or commas and in either upper or lower case. If you run the same analysis every day, it is easiest just to have the selected symbols available in a text file and use the Windows Copy and Paste functions (Ctrl-C and Ctrl-V) to enter the list.

Normally a user will enter a Market Type of commodities, then select a few from the displayed list that are believed to be economically related. The commodity symbols will appear in the "Selected" window. Next, the user may change the market type to "Stock" and choose more markets that may be economically related to the commodities already chosen. The stock symbols will be added to the "Selected" window where stocks and commodities commingle with each other in an economic sense.

Which markets you choose will depend on your trading style, of course. For an example, we will focus on agricultural futures contracts. We've chosen ten very liquid contracts: C (Corn), O (Oats), S (Soybeans), W (Wheat), LC (Live Cattle), LH (Lean Hogs), CC (Cocoa), KC (Coffee), SB (World Sugar #11) and CT (Cotton), and we believe there is sufficient reason to combine these markets in a single exercise.

Press the "Next " button to continue by choosing a series.


MMA Choose Series

After selecting the markets to analyze, you are asked which continuous time series you would like to use. We recommend a detrended weekly Perpetual Contract® Data Series. Without going though the advanced options (not initially available) you can select whether or not to detrend, daily, weekly or monthly sampling of the data, and indicate if back adjustment is preferred.

mmaser

Why do we recommend weekly data? We are making judgments based on inter-market relationships that take time to evolve. A one-day rise in the corn price relative to the soybean price will neither change supply nor demand. Monthly data tends to be too slow to show trend changes, and has too few samples of data to get trustworthy results. Weekly data will also speed up the calculations from an estimated daily frequency.

Notice that the inclusive date range has been calculated for you. If you wish to include data outside of that range, you must remove or exchange the limiting data series to obtain common data for the date range preferred. In our example, the earliest common start date is displayed as "19720816 (KC)". This is because the KC series (coffee) begins on August 15, 1972. If we want to start earlier, we must discard the KC series contribution or exchange it with a series that goes back further. If you do not see a symbol listed, it is because all of our selected series begin or end, as appropriate, on the same date.

You may have to reduce the date range so that historical relationships in the data persist today. For example, the Green Revolution changed the level and character of the agricultural markets, so including earlier data is likely to worsen our results. We do recommend applying our detrending facility, but the investigator must still compromise between having a consistent economic period and having enough data to get a meaningful result. For more information on time series analysis and forecasting, see [Chatfield 1989] and [Abraham Ledolter 1983].

After selecting the options, press the "Next " button to continue by choosing lags.


MMA Choose Lags

Now that you have the series chosen, you are given some advanced options.

mmalags

For beginning users, these options are rarely used, but here is how they work:

Lagging one or more series is sometimes necessary. The Hog and Corn markets are highly related, but much more so if you account for production time as well as production costs. Farmers would rather have some return on investment than none. So even if the price of corn goes up, hog farmers will typically continue raising their current hogs. But if the corn prices go high enough, hog farmers might slaughter more hogs than intended, pushing the hog prices down. It is only in the new crop of hogs that the old crop corn prices are directly felt. Thus in studying hog and corn prices, a lag to the corn prices might be used to understand or explain the hog prices.

A series may be replaced or supplemented with its seasonal index. The seasonal index employed is a 32-bit port of the one available under Unfair Advantage as written by Bob Pelletier. When using a seasonal index on daily data, a lag of, say, 240 trading days would be equivalent to a 10-trading-day forward forecast of expected seasonal influence or "pull" in the market because the final year of a seasonal index is a copy of the developed cumulative index over time.

If you included an index market to get the index, a check box is provided so that you can include the cash price series instead of or in addition to the Back Adjusted or Perpetual Contract series previously chosen. A word of warning, however, the date range presented and validated is based on the futures data. The cash data may have a different range. If the cash series is not present through out the date range, the gap is treated as a series of holidays and is filled in with the last price.

Once you have set the options in this screen, press the "Next" button to continue. Setup is complete at this point; Multi-Market Analyzer will now do a correlation and factor analysis, which may take some time before getting to the next screen, "Factor Analysis". For more information on time series analysis and forecasting, see [Chatfield 1989] and [Abraham Ledolter 1983].


MMA View Correlation Coefficient

When the Factor Analysis screen displays, press the "Raw Correlation" button to see the correlation coefficients.

mmaco

The correlation coefficients displayed here are statistical measures of how each market relates to the others. A correlation coefficient has two parts: the sign and the magnitude. The magnitude, also known as the absolute value, ranges from zero to one and indicates the strength of the relationship. The sign, positive or negative, indicates the direction. A value of 1.0 is perfect positive correlation – the first market and the second market move up and down together in unison. Of course, each market is perfectly correlated with itself, which is why you see 1.0 on the main diagonal from top left to bottom right.

Two markets that move perfectly opposite to each other – one goes up and the other goes down – have a correlation coefficient of –1.0, perfect negative correlation. This is very rare. A correlation coefficient of zero indicates no relationship at all – also very rare. A very crude rule of thumb for the strength of relationship based on the absolute value (drop the minus sign for negative coefficients) is ([Williams1968], page 134). See the following table.

0.00 – 0.20: slight; almost negligible relationship
0.20 – 0.40: low correlation; definite but small relationship
0.40 – 0.70: moderate correlation; substantial relationship
0.70 – 0.90: high correlation; marked relationship
0.90 – 1.00: very high correlation; very dependable relationship

Armed with these definitions, what does the correlation between two markets mean to a trader? In general, unless you are trading very specific spreads or arbitrages, you want to be as diversified as possible and avoid taking positions at the same time in highly correlated markets. For example, if you're a trend follower, you will find that highly correlated markets enter trends together, giving entry signals typically the same day or within a day or two. Taking all of these highly correlated signals is equivalent to pyramiding – amplifying your risk.

If you are trading futures to diversify a total portfolio, which might include real estate, stocks and bonds, you will achieve better diversification if you ignore stock index futures like SP, bond futures like US and other contracts that are highly correlated. This is why we've chosen agricultural futures for our example – historically they show low-magnitude correlations with stocks, bond and real estate. The underlying development intent of MMA is to help the user-analyst to explore opportunities where correlated markets depart from each other and develop opportunities where by buying one and selling the other, the correlated pair will return to a satisfactory level of equilibrium.

One other note of caution: in some books you will see recommendations to take simultaneous positions in markets with high negative correlation as a way to reduce risk. Technically this is correct if you are taking a long position in both markets, as would normally be the case for common stocks. But in the futures markets, you can take either a long position or a short position with equal ease.

Given a pair of futures contracts with high negative correlation, a trend-following system would very likely recommend a long position in one market and a short position in the other market. As noted above, this is equivalent to an amplification of risk. For futures trend following, diversification is achieved by using markets with low-magnitude correlation coefficients – near zero with either sign.

Let's look at this table with the correlation coefficients sorted by magnitude:

mmahigh High
mmamod Moderate
mmalow Low
mmaslight Slight

At the top of the list, we find that corn is highly correlated with wheat and soybeans. Thus, if you were following the three markets with a trend-following system and got a signal to go short or long in one of them, chances are the other two would give signals in the same direction the same day or soon after. To maintain diversification, you would not want to take all of the signals. You might consider using the first signal from the group of three as a setup, entering a trade in one of them when the other two followed, confirming the trend. Also at the top of the table, coffee and cocoa are highly correlated with each other. However, their correlations with corn are low, so if you were holding a position in corn when you got a signal in KC or CC or both, you would be diversifying by taking one signal from the pair.

The other fact to be noted about high-correlation pairs is that they define where opportunities for inter-crop spreads are found. Such spreads, long in one contract and short in another highly correlated contract, are considered low risk and qualify in some cases for reduced margins. We will have more to say about inter-crop spreads later.

Looking at the bottom of the list, we see that sugar (SB), cocoa (CC) and coffee (KC) have only slight or low correlations with many of the other commodities. This makes them ideal for diversification and means they are worth following.

When you are finished looking at the correlation coefficients, press the "Close" button to return to the "Factor Analysis" screen. For more information on correlation and diversification in the futures markets, see [Balsara 1992], chapter 4.


MMA Factor Analysis

mmafact

Factor analysis is a statistical technique that helps understand the structure of a set of variables and how they relate to each other. Suppose, for example, we had monthly returns of 500 stocks and wanted to simplify the data set. One way to do this is to assume that each stock return is a linear combination of factors. That is, each stock's return can be written as an equation

Ri = C1i * F1 + C2i * F2 + C3i * F3 + … + Cni * Fn

where Ri is the return of the i-th stock, C1i, C2i, etc. are the coefficients, n is the number of factors and F1, F2, etc. are the factors. Although it is possible to compute as many factors as there are stocks, in this case 500, the realities of economics are that the number of useful factors will typically be much smaller. Typically there will be one factor representing the overall market and one factor for each market sector represented in the stocks that were analyzed. One would then look at a table of factor loadings for the first few factors, see which stocks were most highly loaded in each factor, and from a knowledge of what those stocks had in common, gain understanding of what the factors mean.

In our example, instead of 500 stock returns we have chosen ten detrended futures contract prices. The factor loadings as computed by a statistical package are:

mmatable

So factor 1 is very highly correlated with C, highly correlated with O, S, W and CT and moderately correlated with LC, LH, CC and SB. Factor 2 is highly correlated with CC and KC and moderately negatively correlated with SB. No more high correlations remain. Going to six factors exhausts the list of moderate correlations.

How should we interpret these factors? Factor 1 can be interpreted as being a proxy for the common supply and demand influences that affect most agricultural commodities, but especially corn, oats, wheat, soybeans and cotton. Factor 2 is very different from factor 1; it shows supply and demand influences on coffee, sugar and cocoa not captured by factor 1. Factor 3 shows supply and demand influences on live cattle and lean hogs not captured by the first two factors, and so on.

The mathematical process of factor analysis is very similar to what happens when an astronomer passes white light from a star through a spectroscope. The spectroscope shows a number of lines of varying color and intensity. In our case, the factors are the colors and the numbers in the left-hand column are the intensities. There are three ways we can use the factor analysis, depending on our trading approach:

We can just leave all the factors checked and go on with the analysis. This corresponds to using all of the information in the market data provided, and is usually what we do.

We can de-select some of the lower-intensity factors. They provide less information than the high-intensity factors. De-selecting them will reduce the amount of computer time needed to perform the remaining analysis at the cost of some accuracy. A rough rule of thumb is to go from bottom up, adding the intensities until the sum is somewhere between 5 and 10 percent. In this example, we would de-select the bottom three or four factors. This should only be necessary with a large number of input markets; the small case we are dealing with here does not require it.

If we were interested only in a specific market or pair of markets, we could de-select the factors that were only slightly loaded in those markets. For example, suppose we were interested only in sugar. Ignoring factors with slight loadings, less that 0.2 in magnitude, leaves factors 1, 2, 3, 4, 5 and 6. As with the previous case, we are trading slightly lower accuracy for reduced computing time and this is not necessary for the current example. It should be noted that using only these factors will give highly misleading results for any market except sugar.

In most cases, the default – leaving all factors selected – is appropriate and that is what we will do on this example. For more information on factor analysis, see [Williams1968], chapter 12 and [RaymentJoreskog1996. Once you have de-selected the factors you wish to ignore, if any, press the "Next" button to move to the current inter-market situation. Again, this may take some time as the Multi-Market Analyzer is computing proprietary indicators based on the factors selected.


MMA More on Factor Analysis

These paragraphs, offered by Bob Pelletier, were derived from a conversation with Steven Davis to stimulate additional thought --

Another view of the Factor Analysis table might be that lower order factors 1, 2, 3, & 4 identify markets with high cell scores that are correlated, hence markets that qualify for outright long or short positions, and the higher order factors, say 7, 8, 9 and 10 represent spread opportunities. The cell scores of larger positive factors identify candidate long positions in the historical past and the large negative cell score factors identify short positions.

Under these rules, factor 10 in our example suggests profits could have been captured by trading two corn contracts against one contract each of soybeans and wheat. All other cell scores for factor 10 appear to suggest nominal effects and, for that reason, might be ignored. The suggested inclusion to spread corn against wheat and soybeans has to do with the magnitude of the respective cell factors of these three markets versus the seven other nominal cell factors of the balance under factor 10. Please review the Unstretched Index results to determine the long short legs of the spread.

Kachigan's Multivariate Statistical Analysis, p. 236 - 270, suggests that it might "be somewhat illogical to retain a factor that contains even less information than an original input variable." This would be the case for factor 10, which explains less than one percent of the variances in the data. However, we believe it would be OK to review and act upon low variance items, given the promising objectivity of the price data (as compared with personality traits) and the relative magnitude differences between the factor 10 loadings.

The intermarket movement of correlated market products is imprecise because all of the information that affects them cannot be totally known. Weather, marketing, supply and demand and many other factors cannot be completely quantified. Fortunately, however, thanks to Unfair Advantage's enormous data repository of related markets, many elements of the equation are known through economically related products that coexist in a related environment.


MMA Current Market Situation

The Multi-Market Analyzer next computes the proprietary Stretch Index, the Unstretched Indicator and the Market Leadership Index to give us a sense of the current market situation.

mmacur

Stretch Index

The Stretch Index (DSI) is an economic indicator that is designed to help identify a non-harmonious market mix and market opportunities that are a part of a larger correlated subset. The basic original premise for the original development of MMA was to identify economic and statistical opportunities for investment and the DSI represents one of many tools for satisfying that requirement. The stock and commodity markets represent an imperfect environment for analytical opportunity because all of the forces that bear upon the markets cannot be completely identified. It is true that many of the external forces that drive our economy are present through market price data and governmental input, but factors such as weather, marketing, supply and demand, war, international commerce and many others are not readily available and quantifiable. Fortunately, however thanks to the wide scope of Unfair Advantage's (UA's) database reserves, many of the related markets and symptoms can be found in UA's data resources.

If all of the pertinent economic factors were available for review including those unpublished elements listed above, then any trade one might wish to enter through the markets would be strictly a gamble that would have as its purpose an attempt to predict the future more perfectly than what would be possible by any analyst. The elements of MMA are designed to get the most out of the data that is actually available through mathematical means and suggest opportunities where markets are violating the statistical properties of equilibrium. The DSI can identify from a historical learning perspective where markets should be priced if they followed historical norms. It can answer the question, for example, "Are live cattle prices high or low with respect to live hogs, corn, wheat, oats, and crude oil?" Notice that products which are related to the development of cattle are included in our example. Hogs are a substitute for cattle, and wheat, oats and corn are substitute feeds, and crude oil will power the farm equipment. MMA's correlation matrix and factor analysis already introduced, would be used to help identify the opportunities for exploring market harmony.

The DSI is a standard deviation or variance calculation designed to measure market harmony. A reading should generally lie in the range of plus to minus 3 sigma. Markets which exhibit an overall reading at the extremes are exhibiting non-harmonious behavior, whereas a reading close to zero suggests that the markets are behaving as they have in the past and are considered harmonious and within the bounds of equilibrium. Opportunities for profit are generally confined to the higher sigma readings. One should exercise caution when considering a reading much above 3 sigma because this could suggest a change in behavior not encountered in the past and may very well represent a new development that could discredit traditional norms. In the above example shown above, the overall DSI is shown at 2.758 which is in the realm of non-equilibrium and indicates that an opportunity may readily exist.

Unstretched Indicator

The Unstretched Index (DUI) tells you, for each market, where its price would have to go if all of the other prices remain at their current levels. Suppose you were analyzing corn, soybeans, and live cattle. If the corn prices are very high and the live cattle prices are very high, the "Unstretched" price for soybeans will be very high as it tries to accommodate both the corn price and the live cattle price without regard to its own economics. The Unstretched Indicator measures how far each market would separately have to move to absorb all of the underlying market forces itself. It predicts the price of each market based solely upon the movement of the other markets.

This set of indicators for all markets should explain which markets led to the misalignment suggested by the Stretch Index. Don't be too surprised if the Unstretched Indicator is several large points away from the current price for some markets. The markets, as a whole, will tend towards equilibrium, with each market doing some of the accommodating. The problem for the trader is to predict which market or markets will do the moving. In the real world, it is unlikely that any one of these markets will make up all the price difference to return the relationships to the norm. More commonly, each market moves a little toward the center until equilibrium returns.

If, however, the spread between Unstretched Indicator and the actual price widened or closed abruptly at an abnormal peak in the Stretch Index, then perhaps the market factors didn't just stretch, but they snapped. That is, the underlying economics changed. In this event, try reducing your date range to exclude this event and see if the spread between the Unstretched Indicator and the actual price is more consistent. A word of warning: These indicators work best with a fair number of markets. At least three must be specified and more are preferred.

A spread trader might look for the pair of commodities with the biggest total discrepancy between the Unstretched Indicator and the current price level. Confirm a spread opportunity by consulting the correlation table to determine how closely the two market opportunities are correlated. If the correlation table shows a high or very high reading of, say 0.70 or higher, then this may represent an excellent opportunity for speculative profit.

In our example, corn is overpriced relative to its Unstretched Indicator. Wheat and soybeans are underpriced, indicating potential spreads of long W or S against short C. Live cattle are overpriced and lean hogs underpriced, indicating potential for a short LC / long LH spread. Coffee is overpriced and cocoa is underpriced, indicating potential for a short KC / long CC spread.

Elasticity Index
The Elasticity Index is not currently implemented; please ignore it.

Market Leadership Index

The Market Leadership Index is the piece that completes the puzzle. The Stretch Index tells us that some markets are going to move. The Unstretched Indicator tells us what would happen to a market's price if it followed the other markets. But not every market follows, some lead.

The Market Leadership Index measures in bars the recent historical tendency for the Unstretched Indicator to lead or follow the market. That is, if the input markets were weekly series, the index will be in units of weeks. Large positive values mean that in recent past, the market tended to get ahead of the market changes. A negative value means that the market recently has been slow to accommodate economic changes. A value near zero means that the market, in recent history, has promptly fully discounted all factors.

Press "Next" to view a graphical screen with the historical plot of the indicators.


MMA Historical Validation

mmachart

This screen is a very flexible chart screen. First, in the upper right corner, there are four buttons. The one on the left expands the scale of the chart horizontally. The next one compresses the scale horizontally; this button is inactive in this screen currently because the whole data period is displayed. The next button turns on a tracking crosshair, and the last one prints the current chart.

Below these buttons, you can select which variables you want to plot. "Index" at the top is the Stretch Index. Below that, the other indicators for each market are available. When the screen first comes up, the first market selected is displayed, so if you know going into the analysis that you are interested in a specific market, you can enter that one first.

If you want to do your own off-line analysis, Multi-Market Analyzer creates a file with all of the information in this screen. The file is called "mmanalyzer.csv" and is located in the main Unfair Advantage directory, usually "C:\UA". As the name suggests, the file is in comma-separated value (CSV) format and can be imported directly into most spread sheets, databases and statistical packages. For more information, see the Unfair Advantage Developer Document on CSI's web site.

Let's look at a plot of corn versus its Unstretched Indicator.

mmachart7

Except for a relatively brief period in 1998, for the past two years the Unstretched Indicator has been visibly below the actual price, indicating an overpriced condition as it does at the time of this writing (December 12, 1999). It should be noted that the turns in the Unstretched Index in this case are more or less coincident with turns in the price of corn itself. That is, there is no clearly visible lead or lag, so it does not appear to be a good predictor of corn prices by itself. Let's add in the soybean data, since we saw a potential long soybeans / short corn spread on the previous screen:

mmachar8

We can see that there have been a few times when corn and soybeans diverged visibly, but for the most part they moved together, primarily downwards in the past two years. The overpricing of corn relative to soybeans we see today began early this year according to this chart and corrected itself briefly around the beginning of the 4th quarter. Without knowing any of the other factors – fundamentals, seasonality and so forth – it would be risky to put on this trade based on the MMA indicators alone.

Let's look at one more chart, this time for cocoa (CC).

mmachar4

What is interesting here is that, unlike corn and soybeans, cocoa does appear to be led by its Unstretched Indicator. That is, upturns and downturns in the price are preceded by upturns and downturns in the indicator. Again, without knowing more, it would be risky to trade just on this basis, but a long CC position does appear to be suggested by this chart. Read on to learn more about developing a trading strategy.


MMA Developing A Strategy

Developing a trading strategy is a complex art and science; it is impossible to cover the whole topic here. However, we can recommend three excellent books on the subject. [Kaufman 1998], [LeBeau Lucas 1992] and [Pardo 1992]. Briefly, there are three main trading strategies:

· Trend following
· Counter-trend trading
· Arbitrage and spreads

Counter-trend systems and arbitrage are relatively short-term in nature; counter-trend traders and arbitragers typically hold positions for a few hours to a few days. Since the Multi-Market Analyzer works with long-term relationships, on the order of years, we will not cover using MMA for counter-trend trading or arbitrage.

Let's look at spreads first. As we saw earlier, the Stretch Index and the Unstretched Indicator for a collection of markets can be used to locate potential profitable spreads. As a rough rule of thumb, if the Stretch Index is greater than 2.0 and two markets are highly correlated (correlation coefficient of 0.70 or higher), look for spread opportunities in the directions given by the Unstretched Indicators for the two markets.

So let's look at the Current Inter-Market Situation again. The Stretch Index is 2.758, comfortably above 2.0. Looking at the correlation table, we see there are six market pairs with high correlation. We've already looked at corn versus soybeans; let's look at corn versus wheat.

mmachar5

As with corn and soybeans, there are no obvious trades indicated by this chart. Before leaving spreads, let's look at coffee versus cocoa:

mmachar6

When you look at this chart, a pattern starts to emerge. Notice that the turns in the Unstretched Indicator for coffee track the turns in the price of cocoa and vice versa! You can see this effect in the other charts of highly correlated pairs, but it's more obvious here because KC and CC are less correlated with the other markets in our input set. It should be noted that coffee is a very volatile and risky market in dollar terms; for example, in November of 1999, the March 2000 coffee contract ranged from 104.5 cents a pound to 137 cents a pound. The coffee contract is for 37,500 pounds, which means that a single contract varied over a range of $12,187.50 during the month! Cocoa, by contrast, ranged from $812 per tonne to $935 per tonne. The cocoa contract is for ten tonnes, making the November range only $1230. A cocoa / coffee spread will be tricky given this disparity in dollar risk and is not recommended.

Moving on to trend following, we see that one possible way to use MMA is to find a market where the Unstretched Indicator tends to turn before the price turns, as it has for cocoa. Another possibility is to use the difference between a market's price and its Unstretched Indicator as an overbought/oversold indicator, taking a position when the price begins to move in the direction indicated and closing the trade when the two lines meet.

As with any trading system, we emphasize that backtesting is mandatory and some forward testing is recommended before risking real money on any trading idea. And once an idea tests out and is put into use, it must be monitored carefully and quickly abandoned if it no longer works as expected.


MMA Balancing Spread Risk

Many of the substantive trades that might be invoked or suggested through MMA involve trading one or more contracts against another, or one or more commodities against one or more others. Since MMA explores differences in price behavior on a statistical basis using statistical standard deviations from a norm, the user should attempt to normalize such risk by maintaining an equivalent dollar risk between products. This will lessen the chance that a very high priced product will overwhelm the spread trade and it will reduce the risk of over-exposing one leg of the spread compared to the other.

You will not want to find yourself in an unbalanced spread. To avoid such a situation, compute the dollar value of the members of the spread, taking into account the hoped-for possible market movement and the reported directional correlated experience of the markets, and attempt to match up the dollar value of opposing positions. In a large trading exercise involving more than one pair of markets, regular adjustments may be necessary over a prolonged trading experience as the markets evolve over time.

There is a very high risk in trading, and all users of CSI products should obtain competent advice before entering trading situations. Please read over all of the material presented in this manual and attempt to paper trade various scenarios before assuming any real at-risk market involvement.

We at CSI wish you the best in your trading activities. We have worked very diligently to provide you with the best possible chance to explore market opportunities both through MMA and through our Trading System Performance Evaluation software. We welcome your comments and questions.


MMA User's Glossary

Arbitrage
A condition of mispricing between two markets that offers an opportunity for riskless profits and is expected to disappear rapidly. An example arbitrage: suppose gold is selling in Chicago for $300 an ounce and in New York for $320 an ounce. Suppose also that it only costs $1 an ounce to ship gold from Chicago to New York. One could buy gold in Chicago and sell gold short in New York simultaneously, for a riskless arbitrage profit of $19 an ounce. Arbitrage opportunities like this are rare and last only briefly most of the time. In fact, the absence of arbitrage opportunities is the foundation of modern finance theory; see [Elton Gruber 1984].

Correlation Analysis
A statistical procedure that computes the correlation coefficients for a set of input variables. Each pair of variables has a correlation coefficient. The output of a correlation analysis is usually a correlation matrix, a table of the coefficients in a square array.

Correlation Coefficient
A statistical measure of the direction and magnitude that one variable moves when a second variable moves upwards. If variable A moves up when variable B moves up, A and B are positively correlated and the coefficient will be positive. If variable A moves down when variable B moves up, A and B are negatively correlated and the coefficient will be negative. If A moves up and B doesn't move at all, the variables are uncorrelated (independent) and the coefficient is zero.

Counter-Trend Trading
A trading strategy that attempts to profit from short-term moves in reaction against the major trend of a market. Most counter-trend strategies use oscillators or momentum indicators to locate times when a market is overbought in an uptrend or oversold in a downtrend, then taking a position counter to the trend.

Cyclic
A component of a time series that oscillates up and down over the course of a number of months or years, usually with a period of greater than a year. The most common cyclic component in economic time series is the so-called business cycle.

Deseasonalize
Remove the seasonal component from a time series, leaving the trend, cyclic and irregular components.

Detrend
Remove the trend component from a time series, leaving the seasonal, cyclic and irregular components.

Factor
A statistically derived artificial variable that is a linear combination of the original given variables. Factors are computed by either principal component analysis or factor analysis.

Factor Analysis
A statistical procedure for reducing the dimensionality of a data set by approximating the given variables as linear combinations of factors than are uncorrelated with each other. Factor analysis is very similar to principal component analysis and can also be found in most statistical packages. In fact, the underlying computations are often identical and the major difference is in how the results are presented and interpreted. In principal component analysis, the emphasis is on the reduction of dimensionality and the factors are almost always uncorrelated with each other. In factor analysis, the emphasis is on understanding what the factors mean in terms of the original problem, and factors may be rotated and may actually be correlated with each other if that leads to a greater understanding of the problem. See [Rayment Joreskog 1996] for more details.

Factor Loadings
The correlation coefficients between the original input variables and the factors derived by a factor analysis.

Irregular
The component that remains after the trend, cyclic and seasonal components have been removed from a time series.

Monthly Return
The total gain or loss from a stock over a month, expressed as a percentage change, including both price changes and dividend payments. Example: suppose you bought 100 shares of Consolidated Factor Loadings (CFL) on the first trading day of January at $100 a share. In January, CFL paid a dividend of 10 cents a share and on the first trading day of February, the price of CFL is $110. Your $10,000 investment is now worth $11,010, including the dividend. The monthly return is 11010/10000 – 1, or 10.1%

Principal Component Analysis
A statistical procedure for reducing the dimensionality of a data set by approximating the given variables as linear combinations of factors than are uncorrelated with each other. A large number of input variables will usually yield a much smaller set of factors. Most statistical packages provide principal components analysis.

Seasonal
The component of a time series that varies with the calendar seasons. That is, it is a repetitive component with a period of one year.

Seasonal Index
An index which shows the seasonal component of a time series independent of its other components.

Spread
Opposing market positions entered simultaneously in two or more markets or contracts. Example spreads: A long futures contract in July Corn and a short futures contract in December Corn. This is a calendar spread. The trader would profit if the price difference, July minus December, increased and would lose if it decreased. A long futures contract in December Corn and a short futures contract in December Soybeans. This is an intercrop spread. The trader would profit if corn prices rose relative to soybeans and lose if corn prices dropped relative to soybeans. A long position in soybeans and a short position in soybean meal and soybean oil. This is called a "crush spread".

Spread traders, like arbitrage traders, attempt to profit from relative mispricings in markets, but the mispricings are less clearly defined than they are in an arbitrage, and usually last longer before coming to a balance. Spreads are often believed to be less risky than outright long or short positions, but they are also less profitable.

Time Series
A collection of data points indexed by time. CSI financial market data are indexed by trading day, but other economic time series are often indexed by week, month, quarter or year.

Time Series Decomposition
The process of decomposing a time series into components. In classical time series analysis, a time series is represented as the sum or product of four components: trend, seasonal, cyclic and irregular. Decomposition is the process of determining the components from a time series.

Trend
In time series analysis, a trend is a long-term movement in a single direction, up or down. A trend may be linear – a straight line – or curvilinear – a curve. In technical analysis of markets, a trend may exist on any time scale. So the two usages of the term are similar but not exactly the same.

Trend Following
A trading strategy that attempts to profit from major long-term moves in a market. Trend-following systems typically use indicators like moving averages or channel breakouts to locate when a major up move or down move is occurring. The basic principle is, as the name implies, following the market. A trend-following system usually enters after a trend has established itself, thus missing the initial turning point. A trend-following system may exit on small turns opposite the trend and re-enter should the trend resume, or it may wait until the turn has established itself as a trend in the opposite direction before exiting.


MMA References

For more information on statistical procedures, see:

ViSta - The Visual Statistics System (includes a free statistics and visualization package) and
StatSoft Inc. -- Free Statistics Textbook

[AbrahamLedolter1983] Abraham, Bovas, Ledolter, Johannes (1983), Statistical Methods for Forecasting, John Wiley and Sons, New York, ISBN 0-471-86764-0.

[Balsara1992] Balsara, Nauzer J. (1992), Money Management Strategies for Futures Traders, John Wiley and Sons, New York, ISBN 0-471-52215-5

[Chatfield1989] Chatfield, C. (1989), The Analysis of Time Series, Chapman and Hall, London, UK, ISBN 0-412-31820-2.

[EltonGruber1984] Elton, Edwin J., Gruber, Martin J. (1984), Modern Portfolio Theory and Investment Analysis, 2nd Edition, John Wiley and Sons, New York, ISBN 0-471-87482-5

[Kaufman1998] Kaufman, Perry J. (1998), Trading Systems and Methods, 3rd Edition, John Wiley and Sons, New York, ISBN 0-471-14879-2

[LeBeauLucas1992] LeBeau, Charles and Lucas, David (1992), Technical Traders Guide to Computer Analysis of the Futures Market, Irwin Professional Publishing, Burr Ridge, Illinois, ISBN 1-55623-468-6

[Murphy1991] Murphy, John J. (1991), Intermarket Technical Analysis, John Wiley and Sons, New York, ISBN 0-471-52433-6

[Pardo1992] Pardo, Robert (1992), Design, Testing, and Optimization of Trading Systems, John Wiley and Sons, Inc., New York, ISBN 0-471-55446-4

[RaymentJöreskog1996] Rayment, Richard, Jöreskog, K., G. (1996), Applied Factor Analysis in the Natural Sciences, Cambridge University Press, New York, ISBN 0-521-57556-7

[Williams1968] Williams, Frederick (1968), Reasoning With Statistics, Holt, Rinehart and Winston, New York.


TSPE Introduction

The modern investor is bombarded with offers of trading systems, managed accounts and newsletters. Everyone seems to have a proven way to make money. What all of these ventures have in common is a performance record. These records are usually characterized by claims of substantial profit. All claims, whether supported by simulated hindsight profits or actual trading performance, can be statistically analyzed and rated with the Trading System Performance Evaluator (TM).

At last, every system or approach can be evaluated against a standard set of rules. In some cases, when the promoter is willing to share his performance record, that record can be evaluated before the product or service is purchased.

Our Trading System Performance Evaluator (TSPE) does not generate trading signals or suggest market posture. Instead, it certifies the results derived from your trading system and helps you understand your prospects for sustained success.

By analyzing the profit and loss record (P&L) of any simulation exercise, TSPE helps investors avoid ill-conceived trading systems that have little hope of producing regular profits. TSPE is a Monte Carlo simulation, which, through the assumption of trade independence, computes the capital requirement necessary to achieve a predetermined goal at a specified level of confidence.

TSPE Objective

TSPE's objective is to find the probability that a proposed dollar goal can reasonably be achieved with a given capital stake, and to compute the expected level of goal satisfaction.

In offering TSPE, CSI is interested in both uncovering the more promising trading systems or track records and in warning investors against committing funds to improperly conceived methods.

TSPE's Methodology

The approach used by TSPE draws upon forecasting theory and random simulation to assess performance. TSPE will take any profit and loss (P&L) input record and determine whether a similar result can be repeated by chance with randomly-drawn samples from the original P&L set.

TSPE randomizes a representative sample of profits and losses produced from the user-supplied trading system(s) and from this, a typical record of the overall trading account is created. The account's randomized profits and losses are logged as though they were actual trades. TSPE simulates thousands of trading sessions for the system(s) under evaluation.

Each session continues until:

1. Residual capital is insufficient to meet the exchange-imposed dollar margin requirement or;

2. The dollar goal is met.

TSPE repeats this process for a range of capital levels, keeping track of the percentage of winning sessions for each. The winning percentage for each capital level is presented as the probability of reaching the goal.

The statistical terms for the techniques used are "sampling with replacement" and "Monte Carlo Simulation." These are two of the few methods capable of solving this type of problem.

TSPE's Simulation Technique

TSPE is a Monte Carlo simulation similar to that which is commonly used in the development of military systems hardware. In a large-scale system such as a fighter aircraft, the model would likely include design specifications such as performance and reliability requirements. These simulations require the selection of random events that would trigger the degradation of a system's operational performance in certain would-be situations. The operational performance is tested as if it were occurring in real life by experiencing system failures and measuring system effectiveness.

In military applications, Monte Carlo simulation is used to find problems in the design/development stage. It helps contractors avoid costly revisions and corrections in post-design reality. When applied to trading systems or promoter track records, it can uncover otherwise unforeseen problems, assumptions or weaknesses before capital is risked in actual trading.

Correcting For Developer Biases

Before the Monte Carlo simulation takes place, profits are degraded and losses are inflated by a factor to correct for sample size, and if appropriate, user control. Since actual trading performance is less prone to error than a P&L string computed from hindsight evaluation, only sample-size corrections are necessary for actual trade data.

For an input derived from hindsight simulated trading, the number of user-control parameters introduced must be taken into account to force the additional degradation on each member of the P&L string. Two methods are used to degrade results. Both techniques decrease profits and amplify losses. The first produces a mild adjustment with a procedure called the Akaike correction. The second approach, the CSI correction, uses a more severe correction which increases losses and decreases profits more substantially. This more-serious adjustment should be considered when the user wishes to produce the most conservative result possible.

Correction is always more severe for hindsight analysis because through user-control parameters, profits are inflated through a knowledge of the past. The magnitude of the correction is directly proportional to the parameter count and inversely proportional to sample size.

The TSPE Model

A TSPE simulation requires a model that describes the process to be analyzed. In market analysis, a simple model is the P&L string from simulated or actual market trading. The P&L distribution derived over an extended and representative period of time is used because it explicitly shows how cumulative profits and losses combine to produce likely trading events. Other components to the market model include assumptions about slippage, commissions, margin costs and the number of controlling parameters which were used to produce the input P&L string.

The Importance of Trade Independence

All P&L strings are assumed to be independent from one another, and each string is assumed to hold uncorrelated, independent outcomes.

Trade independence is so crucial to the evaluation process that we do not recommend using TSPE to evaluate any system where the exact trade sequence is dependent. Any mechanical trading approach that uses the result of one trade to determine the size of subsequent positions suffers from a lack of independence. A simple martingale approach where bets are doubled (or increased) following losses is an example of a dependent process that TSPE can't analyze.

The Importance of an Adequate Sample Size

Sample size is implicitly supplied as the quantity of P&L inputs in a data set. Although statistical sampling theory accepts that 30 samples drawn from a normally-distributed population will be representative of the population undergoing measurement, we recommend at least 50 P&L inputs.

This is because the typical prudent investor cuts his losses and lets his profits run. As investors, we literally bank on having occasional large profits and many small losses. In order to have a normally-distributed P&L curve, the investor would have to log as many big losses as big profits. Fortunately, this is not normally the case, so the typical trader's distributional curve is skewed heavily to the left.

The quantity of trades in a P&L input is very important in a TSPE evaluation, where a large quantity of trades restricts the degradation to actual experience. Any system with many trades that shows a favorable outcome in the performance summary will also show favorable results with TSPE, even with moderate freedom loss. This is because many, many consistent profits significantly add to the credibility of a systematic approach and repeatability becomes statistically possible. More typical situations involving smaller sample sizes are not as reliable because a small sample suggests a less likely chance of repetition.

TSPE Applications

TSPE can help you avoid failure due to underfunding through a knowledge of capital requirements. It can also help you avoid any system with a low probability of success. You can estimate the amount of time required to meet your goal based on your own knowledge of average trade duration and TSPE's calculation of the expected number of required trades to meet your goal. TSPE's expected profit achievement can help you determine if the expected return on your investment is worth the risk.

For more on why TSPE is important to investors, read "In Search of a Sure Thing" by TSPE developer, Bob Pelletier.


In Search of a Sure Thing

Reprinted from the CSI Technical Journal - Sept. 2000
By Bob Pelletier

Our Trading System Performance Evaluator™ (TSPE) has been getting a lot of attention lately. The widespread interest is proof positive that traders want to know the accuracy with which trading signals are issued and want to be able to evaluate trading systems before they buy. Now that system evaluation is available, traders want to know in advance if a given program will definitely produce profits. This brings up the question of whether any trading system or trading system evaluator can absolutely protect the trader from market losses or absolutely guarantee profits. Is there a "sure thing" for traders?

In the simplest of terms, for every trade in the commodity markets, there is a winner and a loser: someone who shorted when they should have gone long and vice-versa. For stocks, the simple "buy low, sell high" axiom is a great indicator of success or failure. However, the complexities of modern trading make this simple black-and-white proposition a veritable rainbow in shades of gray. Combining options, spreads, straddles, crop insurance and various forms of hedging can either amplify or mitigate your outcome, whether the recording ink is red or black.

Most trading systems do not address these alternative investment strategies, particularly when used in combination. Nor do they consider the cost of the trading system itself or the cost of lost revenue that might have been gained had the money been invested in other venues such as risk-free (in some cases tax- free) bonds. It would take a staff such as those employed by fund managers and investment firms to fully manage your investments using every available tool.

That said, our view is that there are certainly good trading systems out there that can help the individual investor improve trading results. A great many are sufficiently meritorious to be put to the test through TSPE, which is part of CSI's Unfair Advantage® (UA) software. This is the only program that, to our knowledge, will realistically compute the capital required to run a given trading system based on a given profit goal, and include in its output a known level of maximum drawdown.

We have mentioned TSPE in several recent Technical Journal issues, but to review the recommended trading system guidelines, your system's parameter count should be low, the number of derived samples should be large, and the nature of the system itself should be sound. By "system's nature" we mean the handling of dependent vs. independent variables. We believe that multiple independent variables should combine to contribute to the overall performance.

The necessity of providing an adequate sample size applies even to the example we used a couple of months ago when explaining the new Perl language provided within UA version 2.2.0. We reported on a simple breakout system that evaluated thousands of stocks with CSI's [MarketScanner]™ over a period of about one year. About 57% of the roughly four thousand stocks examined turned a profit, and the median profit was about 15% greater than the median loss. These results may be considered fair to good, especially when you consider that there were no attempts at parametric optimization. However, they don't give us the whole picture.

In order to provide a truly representative sample for analysis, we would have to test the system in an entirely different environment where the general markets were moving down or choppy instead of just up. Further testing on choppy or down markets should be tried before jumping to any conclusions. An adequate sample size must be measured both in number of trades and diversity of market trends.

In hindsight computer simulation, it is quite easy to be falsely convinced that you have found something unique and enormously profitable. Consider the solicitor who recommends by mail to hundreds of recipients the purchase of a random stock from among hundreds of stocks. Then in a second mailing, the would-be winners (not the losers, based on the initial stock suggestion) are told to buy a group of other stocks, etc., etc. After many mailings, the few remaining would-be winners would then be solicited to pay for the advice that might follow. Only the few winners who sustained an uninterrupted string of random picks that turned out to be winners would have been solicited for money in such a scam.

When searching for that profitable computer trading system, be careful that you are not similarly finding an ill-conceived scheme such as the above that will fool you into believing that you should risk your hard-earned capital. It is very easy to convince yourself that you have uncovered a viable plan, even though it may be statistically worthless. The above system could not be run through TSPE, of course, because of the fraudulent manner in which it was conducted. (Parameters would be equal to the number of stocks suggested to all participants.) TSPE's algorithm will always help you rule out unviable plans such as this.

Is there a way to evaluate potential trading systems to prove that a given system will definitely produce profits? We think that TSPE comes as close as possible to this goal. By consistently evaluating trading systems using individual trade profits, sample size and parameter count, TSPE gathers the necessary evidence to prove whether or not past performance is repeatable with a known probability of success. Even the best trading systems have some losing trades and uncertain futures because of the myriad variables affecting the markets. TSPE goes a step farther than the rest by letting you know the probability of losing your investment dollars. We think that acknowledging and quantifying the ever-present possibility of failure is eminently more valuable than touting a "sure thing" that overlooks the possibility.


Limitations for Trial Users

Trading System Performance Evaluator is provided as a courtesy to UA subscribers who have paid the full Unfair Advantage license fee. All others may use TSPE a maximum of ten times on a trial basis.

If you have not paid the full UA license fee, you will be limited to 10 uses of TSPE. Don't waste them!

If you are a trial user of UA or if you have not paid the full UA license fee, your TSPE will become non-functional after ten uses. You may restore full TSPE capabilities by upgrading to a regular UA subscription. Contact CSI marketing for details at (561) 392-8663 or (800) 274-4727.

We reserve the right to change this policy at any time.

TSPE requires an accurate accounting of the trading system you plan to evaluate, so please be sure your P&L string is available before launching TSPE.


Getting Your P&L String Ready

When preparing a profit and loss record (P&L) for analysis with Unfair Advantage, it is important to make sure your data conforms to the assumptions used by TSPE.

Sample Size: When building your initial file, you should continue adding information to the P&L string until you supply more than 30 trades if your P&L distribution is not normal (bell-shaped). Although it is possible to run TSPE with just a few trades in the file, we recommend at least 50 entries spread over an extended and representative time period to obtain a reasonable assessment of the trading system. Results derived from fewer than 50 samples may have little validity. This is particularly true when an actual trading record is evaluated because TSPE makes few corrections for user bias in this case.

For proper evaluation of a system, the selection of samples should be either a census of all trials or a random sample drawn from a P&L set that possesses a mean and variance representative of the parent population. It goes without saying that any attempt to trick the computer with biased input is an attempt to fool yourself with an unachievable solution. Please read the section on importance of sample size and trade independence in "The TSPE Model" in the Introduction.

Receiving an ASCII file from Position Manager

Unfair Advantage's Position Manager module may be able to create a suitable P&L file based upon the trades in your position list. If you are maintaining trade records there, and have a sufficient quantity for analysis, click "Send to TSPE" from the Position Manager's File menu and complete the necessary prompts to save the data.

Preparing and Saving an ASCII File

You can create an ASCII text file with any spread sheet program or word processor, including the Notepad program that is included in your Windows Accessories.

The ASCII file hold separate line for each trade record. These lines include a single field per line, which is the profit and loss information.

This is a positive or negative number indicating the net or gross profit or loss on a trade. A decimal point may be included in the value. Do not include $ symbols in your file.

Profits are entered as positive numbers. Do not use a + to identify positive values.

Losses are entered as negative numbers. Use a - sign immediately in front of the dollar value to indicate losses. DO NOT put a space between the - sign and the numerical value.

An example:

When you are finished entering your P&L information, save the file anywhere you want, being sure to give it a unique name and to remember how to find it again.

Preparing a TradeStation System Report File

TradeStation can create a file of profits and losses IN POINTS, which TSPE is able to import and process for evaluation. We recommend preparing the report in TradeStation before launching UA. Here's how:

1. Perform the desired analysis through TradeStation, using the markets and studies you wish to certify with TSPE.

2. Pull down TradeStation's View menu, and select "System Report."

3. Click the disk icon to Save File.

4. Save the report as an Excel file to c:\sysrep.xls

5. Close TradeStation and launch TSPE.

Note that each file created in this way has the same filename, so you cannot store two reports simultaneously. They overwrite each other! If you wish to analyze multiple TradeStation studies, you'll need to run the study, generate the report, analyze with TSPE, and then repeat the entire sequence for the next TradeStation study.

Once you have compiled the proper profit and loss data to enter or import into TSPE, you'll be ready to launch the program.


Launching TSPE

If you are not already running the UA software, you may launch TSPE from your start menu by going to Programs, selecting CSI Unfair Advantage, and then clicking Trading System Performance Evaluator.

From within the UA program, you may start TSPE by clicking the Trading Tools menu, then selecting Trading System Performance Evaluator.

Both result in the following screen:

Click [Next] to proceed with selecting your method of inputting information about your trading system.


Steps to TSPE Analysis

There are five basic steps to evaluating a trading system or track record. The steps are listed here, and each is described fully in its own chapter of this manual. TSPE will walk you through each step.

1. Enter (Import) a Track Record and Elaborate on Track Record

First you must give TSPE a track record to analyze. A track record is the list of profits and losses from trading activity. This can be based on actual trading results or on simulated trading. See "Getting your P&L string ready" for tips.

The raw track record entered may require adjustments for commission, slippage, sample size, parameter count, etc. TSPE walks you through all possible considerations. When the complete P&L has been entered, you will view a chart of your trade frequency. This screen gives a graphic presentation of the profits and losses generated by your trading system.

2. Choose Your Goals

Set your dollar goals and the time (in terms of number of trades).

3. View TSPE's Results

The capital analysis charts lets you see the probability of reaching your goal at all capital stake levels. Capital Analysis runs may take a good deal of time, with a high percentage of that time spent calculating the final fractional percentage points.

Start with Step 1.


Selecting Data Import Method

As the following screen illustrates, there are three ways to import the profit and loss record from your trading system into TSPE:

If your trade results are only available in hardcopy (on a printout or written records) click [Manual] for keyboard data entry.

If your trade records have been stored in an ASCII text file, or if you can export them into such a file, as you can with UA's Position Manager, click the [ASCII] option.

If you used Omega Research's TradeStation Ò software to develop the system you'll be evaluating, you may use Omega's System Report as input into TSPE. Click [TradeStation] to proceed.


Manual Data Input

When you click [Manual] from TSPE's Data Import screen, the following displays. (This screen also displays following the importation of a data file, allowing you to manually edit the P&L file.)

Note: This is an incomplete data entry screen. Your P&L record should include at least 50 entries for a valid analysis. See "Getting Your P&L String Ready" for more information on appropriate input.

As you can see from this simple interface, manual data entry is not a difficult task. However, if you will be using the same track record on multiple occasions, you may want to save it as an ASCII file through another program, and then import it into TSPE as needed. TSPE will not save the track record you enter here.

Entering a track record:

Simply click the first data entry box at the right of the screen and enter the dollar value of the profit or loss from the first trade on your list. Each line on this screen represents a single trade record. The order of trades has no relevance in the analytical process, so the sequence of trades need not be chronological. This is merely a convention to keep track of the input. Each P&L file can hold up to 300 entries.

Use these guidelines to edit a P&L trading record:

Enter all necessary values directly through your keyboard. TSPE will not accept inappropriate input, such as a letter when a number is required. It is not necessary to use leading spaces for even columns. All entries are automatically right-justified.

Press the down arrow ($) or click the next line with your mouse to advance through the entry form. Pressing <Enter> or <Tab> will NOT advance through the table.

Do not skip a line.

Enter the dollar amount of the profit or loss for the trade you are recording. You may enter dollars and cents (separated by a decimal point), but TSPE will automatically pad the values to the right of the decimal with zeros if no decimal is included. Do not use $ or +. Do use - to indicate losing trades.

For example, a $1000 profit is entered as:

1000

A $1000 loss is entered as:

-1000

You may enter either your net (after commission) or gross (before commission) P&L values, but be aware which ones you are using and don't mix both net and gross values in the same trading record. TSPE will allow you to adjust for commission and slippage later if necessary.

TSPE includes a multiplier option that lets you enter profits and losses in points! If entering point values, all entries MUST be based on the same point value. TSPE will allow you to enter the multiplier in the next screen, and will even find the proper value from within the UA database, if necessary.

The left-hand side of this screen displays statistics about your P&L string. See P&L Statistics for more information.


Import ASCII File

This feature lets you enter trade data into TSPE electronically, instead of typing your profits and losses manually. This feature can be a real time saver if you have or can produce an ASCII file suitable for import.

TSPE is fairly liberal on the type of data it will accept. Please see "Getting your P&L String Ready" in the Getting Started with TSPE chapter for details.

When you click [ASCII] from TSPE's Data Import screen, the following displays:

This example shows the default UA directory with the file name "RSIcornPL.txt" selected. This file was previously saved there and was selected by scrolling through the directory. Either type or select the ASCII file (note file extension .txt) you wish to load into TSPE and click [Open].

The Manual Data Input Screen displays, where you can review your input, edit as desired and review the P&L Statistics.


Import TradeStation System Report

This feature lets you enter trade results generated by Omega Research's TradeStation software into TSPE.

When you click [TradeStation] from TSPE's Data Import screen, the following displays.

If you have already prepared a TradeStation Report as described in "Getting Your P&L String Ready," then you can just click [OK] here.

If not, go through the steps outlined above, and then click [OK]. The following displays:

Click [Open] to use the sysrep.xls file. The Manual Data Input Screen displays, where you can review your input, edit as desired and review the P&L Statistics.


P&L Statistics

The Manual Data Input screen displays for entering data manually and for editing data that has been imported into TSPE. The left-hand side of this screen displays statistics about your P&L string:

Use the scroll bar at right to view more rows of information about your trading record. Click any heading to change the sort order. These entries change as you edit the trade records in the right-hand column (see Manual Data Input). Click [OK] to proceed with more information about your trade record.


Contract Size Multiplier

After entering the profit and loss records from your trading system, you'll need to elaborate on those records through several additional screens within TSPE. The first of these, shown below, is designed to adjust P&L records from trading systems that report profits and losses as points, rather than dollar values. TradeStation users must adjust this entry, because it reports points, not dollars in System Reports.

Enter the dollar value of one full-point move: For any track record showing dollar profits and losses this value is always 1.0. A track record showing points of profit and loss will likely require a different value.

Stock traders will generally leave this entry as 1.0, but commodity pricing can be more complicated.

If you don't know the point value for a commodity, TSPE will enter the amount for you using information form UA's Commodity Factsheet. Click [Find] and then scroll through the database listing to find the commodity used in the analysis. (Change the sort order as desired.) Click the box to identify your choice, then click [OK].

When this screen is complete, click [Next] to tell TSPE about the commission and slippage involved in your trading record.


Choose Commission & Slippage

Once you have completed TSPE's Contract Multiplier screen, the program asks you more about the profits and losses you have entered:

Dollar Round-Turn Commission: Here you'll enter the dollar amount of the average round-turn commission for the trades in your file. This is a very important entry, as the cost of trading can make a big difference in the profitability of a trading system. Enter zero (0) for commissions only if they have already been reflected in the profits and losses you entered.

Dollar Slippage: Slippage is the difference between the current market price and the actual trade price, which can vary with market activity. Enter the average slippage (in dollars) for the trades in your file. One or one-and-a-half trading ticks are usually sufficient. Enter zero (0) for slippage only if your track record represents actual trading results.

In the course of executing TSPE, slippage is deducted from all simulated trades after it is exponentially randomized. This is an appropriate convention because slippage tends to follow an exponential distribution pattern. Liquid markets could give up little or no slippage, whereas lightly traded markets tend to require more of a penalty.

Be aware that some analysis software programs use a default response of zero (0) for the commission charge and the slippage "tax." When these defaults are used, many marginal systems would, due to that liberty, be cast in an undeservedly favorable light. If commission and slippage charges are understated with your analysis software, TSPE will accept additional dollar costs of commission and slippage that will approximate a more realistic assessment of those charges.

When these entries are complete, click [Next] to correct for sample size and parameters, and to select the correction value.


Correct for Sample Size & Parameter Count

Once you have identified the commission and slippage involved in your track record, you must enter important information about the trading system itself:

Sample Size: The sample size is filled in for you. It is the number of trades included in your track record. We recommend at least 50 P&L inputs. See "The Importance of an adequate sample size" in the discussion of The TSPE Model (in TSPE Overview).

Number of Independent Parameters: Generally speaking, a parameter is any restriction used to generate trading signals. Since each parameter adds more artificial control over a hindsight evaluation, TSPE compensates within reason for the artificially-inflated profits they produce in simulated trading.

When an actual trading record is analyzed, the number of parameters or restrictions used in generating signals has no relevance on the validity of the P&L string. We do assume that some user bias is included in all trade records, so the minimum accepted response of 1 should be entered here for an actual trading record.

Counting Parameters for Simulated Track Records

We expect that TSPE will be used most often to evaluate trading systems or programs that have been purchased. Most toolkit programs are loaded with parameters, so we've listed the parameter count for a few popular studies as examples below.

We hope these examples will help you learn to count parameters in your own trading systems. If you need additional assistance with this, feel free to contact the CSI service staff. They will record the pertinent information about your trading system and get back to you with a parameter count.

Examples of Parameter Counts

Public domain study Parameters Parameter description
RSI 1 Enter length of RSI?
1 Enter top threshold
1 Enter bottom threshold
Sum = 3

MAC/D 1 Enter MACD period 1
1 Enter MACD period 2
1 Enter signal period
Sum = 3

Stochastic 1 Enter period length?
1 Regular or slow?
1 Enter length of moving average?
Sum = 3

William's %R 1 Enter period length?
1 Top index value?
1 Bottom index value?
Sum = 3

The mathematician who does not use off-the-shelf programs may need to consider other factors in calculating the parameter input. If the analyst has a graphic chart of price history for the stock of General Electric, for example, one might conclude that a first degree equation fits the data very well. A first degree equation is a straight line.

Only two points sighted or fitted through the chart would exactly define the line. A straight line model takes one degree of freedom which is considered 1 parameter. A second degree equation polynomial) consumes two degrees of freedom, making the parameter count two. A third-degree equation consumes three degrees of freedom which would be counted as three parameters, etc.

Total Correction: This entry determines how conservative corrections will be when the software corrects results for likely forecasting error. This is simply an adjustment involving the number of parameters and the sample size that requires one of the following equations.

Click the symbol to the right of the selection box to drop down the following menu:

When applying any of these correction factors to a given positive P&L result, the positive profit is replaced by the given profit divided by the equation factor; negative profits are replaced by the product of the equation factor and the given negative profit. The generous and moderate selections use a technique known as the Akaike Correction, which is less severe than the CSI Correction used for the normal and conservative selections. The Akaike correction translates into a requirement of relatively less capital to meet a given goal than the CSI correction requires.

Make your selections from this screen, then click [Next] to view a graphic display of your P&L string (including TSPE corrections).

When a third party's Performance Summary suggests a profitable system, be aware that a winning simulation could easily deliver a substantially negative result in actual trading. Here's why: Every trading system is controlled by one or more parameters that, in a very real way, fit the data to the chosen system under study. Matching data with a technical remedy could force a non-repeatable circumstance because you, the developer, would allow the historical data to be analyzed against your personal study rules. Your choice of market or system could be based solely upon simulated performance results, which will pose a problem when excessive parameter control is innocently introduced.

A moving average crossover study requires two parameters: a short term moving average and a longer term moving average. Two-parameter systems are less likely than one-parameter systems to return a profit in real life. A less constrained one-parameter system example could be a breakout system, which will execute trades into an opposing long or short posture when the market moves out of a trading range. Your parameter consumption quantity reveals much about how your P&L string was prepared, so the mathematics can assess the validity of the profits and losses. In general, the fewer parameters, the better the anticipated result because TSPE imposes a disclosed penalty for excessive parameters.


View Frequency Chart

After you enter your parameter count, TSPE begins working on a profit frequency chart (shown below).

This chart is the simulated Frequency of Profits and Losses. In practice, you'll notice that the input P&L string has been somewhat degraded to account for the hindsight performance. This chart may be better understood by right clicking the mouse to increase (or decrease) the number of bins shown on the screen.

"Corrected P&L After Slippage" is the expected profit from the P&L trading record in the control file, less any necessary corrections for commission and slippage.

Click [Next] to proceed with the TSPE analysis.

Other options on this screen:

Print - Click [Print] to print the chart.
Back - Click [Back] if you want to go back and change your input.
Cancel - Click [Cancel] to exit.
Help - Click [Help] to reach the on-line manual.


Profit & Time Targets

Once you have dismissed the P&L chart, TSPE goes on to ask you about your goals for this trading system with the screen below:

TSPE calculates default values for the Profit Target and Time Target based on the input of your P&L string. These values represent reasonable expectations from the trading system represented. You might begin TSPE evaluations with these default values and then adjust, as needed, according to the considerations below.

Target Profit (Goal): You should attempt to identify a goal commensurate with expected investment risk. TSPE can readily compute required investment capital, but it cannot simulate a market trading program without knowing what would be a reasonable dollar objective or goal. It could take a few simulated trading exercises with TSPE to refine the targeted goal. The default response is generated from your input P&L.

Just about any investor knows what he might earn without any appreciable risk by simply visiting his local bank or examining published CD rates. Of course such a pursuit should take into account discounted losses due to real dollar inflation. Perhaps such an exercise should be a basic starting point in determining a reasonable goal. Another consideration related to the setting of a goal would be the number of trades one might be willing to tolerate before taking his capital from the market and applying it elsewhere. This latter constraint, described below, has an elapsed time value which the trader should understand before he enters the market.

The dollar level of goal specified should provide for a handsome return that will exceed nominal bank rates by some substantial multiple of bank rates less the economy's rate of inflation. Keep in mind that the probability of recovering invested capital plus goal should be as close to certainty as possible to undertake the planned investment.

Time Target: This is the number of trades you would like to execute to achieve your stated goal. If it is less than 100, you may want to increase it and the Target Profit by a power of ten. This input makes it possible for you to compare your expected profits with those you might receive from interest-bearing alternatives.

See "How the Number of Trades Affects the Probability of Marginal Performance" for more information on these two inputs."

Click [Next] to view your results.


Probability of Marginal Performance

A trading system becomes profitable in practice when a given goal is achieved. The likelihood that a goal is met depends upon the dollar level of the goal and the time it takes to persist in one's trading when marginal results develop over time. Certain situations will occur that can be identified as marginal performance. Marginal performance will readily occur in any profitable system when profits and losses statistically alternate prolonging the ultimate targeted goal.

In TSPE, the difference between the probability of preserving your capital (the center curve on the chart) and the probability of certain goal achievement is the difference between 1.0 and the values represented by the horizontal center curve on the performance chart for high levels of invested capital. This difference, for purposes of explanation, is known as the Probability of Marginal Performance. Choosing a very large, but unreasonable "Time Target" will force all scenarios for a winning system to approach 1.0, given that infinite capital is available and the Probability of Marginal performance is zero.

If the Probability of Marginal Performance is, say 2% for a given level of invested capital, this means that 2% of the time you entered into a case where profits would not elevate you sufficiently beyond your invested capital to achieve your goal. It does not mean that you lost 2% of the time. It simply means that you did not achieve your goal. This is so because your invested capital remained intact. The TSPE user should understand that there will be occasions where capital is preserved, yet capital remained in place a finite percentage of the time.

The following essay on Goal Selection by Bob Pelletier tells more about the process of goal selection and interpretation of results.

When both targets are entered to your satisfaction, click [Next] to view the Capital Analysis chart.


Goal Selection (Article)

TSPE Goal Selection
(Excerpted From the February, 2000 CSI Technical Journal)

In recent months we have devoted much attention to the way Unfair Advantage's Trading System Performance Evaluator certifies analysis results and assesses capital requirements in terms of probability values. As is often the case with innovative products, every bit of new information we supply brings more thoughtful questions from our customers. Several TSPE users have asked for tips on setting appropriate goals and interpreting results. We hope the following information helps.

Engaging TSPE in an attempt to quantify your required capital stake commensurate with your suggested goal requires that you supply TSPE with a real or simulated record of profits and losses observed over time. After entering that string of performance numbers, you will be asked for your parameter count, profit goal and a realistic setting for the number of trades you are willing to make to achieve your goal.

Choosing a Goal

The choice of goal is an important input for any TSPE analysis. The user should attempt to identify a goal commensurate with expected investment risk. TSPE can readily compute required investment capital (the horizontal capitalization axis on the TSPE display chart), but it cannot simulate a market trading program without knowing what would be a reasonable dollar objective or goal. It could take a couple of simulated trading exercises with TSPE to refine the targeted goal.

Just about any investor knows what might be earned without any appreciable risk by simply visiting a local bank or examining published CD rates. Of course such a pursuit should take into account discounted losses due to real dollar inflation. Perhaps such an exercise should be a basic starting point in determining a reasonable goal. The specified goal should provide for a handsome return that will exceed nominal bank rates by some substantial multiple of bank rates less the economy's rate of inflation. Keep in mind that the probability of recovering invested capital plus goal (the vertical scale on the TSPE display chart) should be as close to certainty as possible to undertake the planned investment.

Another consideration related to the setting of a goal is the number of trades one might be willing to tolerate before taking capital from the market. This latter constraint has an elapsed time value that should be understood before entering the market. A trading system becomes profitable in practice when a given goal is achieved. The likelihood that a goal will be met depends upon the dollar level of the goal and the time it takes to persist in trading when marginal performance develops over time. Marginal performance will readily occur in any profitable system when profits and losses statistically alternate, prolonging the attainment of the ultimate targeted goal. In TSPE, the difference between the probability of preserving one's capital (the center curve in the Capitalization chart) and the probability of certain goal achievement is the difference between 1.0 and the horizontal center curve for high levels of invested capital. This difference, for purposes of explanation, is known as the Probability of Marginal Performance. Choosing a very large, but unreasonable "Number of Trades" will force all scenarios for a winning system to approach 1.0, given that infinite capital is available and the Probability of Marginal Performance is zero.

If the Probability of Marginal Performance is, say 2% for a given level of invested capital, this means that 2% of the time profits were not elevated sufficiently beyond the invested capital to achieve your goal. It does not mean that you lost an additional 2% of the time. It simply means that you did not achieve your goal. This is so because your invested capital remained intact. The TSPE user should understand that there will be occasions where capital is preserved, yet capital remains in place a finite percentage of the time.


TSPE Chart

The Outcome Probability vs. Capitalization chart shows the substance of the overall TSPE results. You might want to zoom in (as in the example using a right mouse click) to improve the visual resolution of the chart curves.

Study the chart carefully before deciding to risk your valuable capital in pursuit of a predetermined goal.

The Capitalization chart offers a fixed horizontal scale (logarithmic) that ranges from an invested capital of one dollar to as much as $10,000,000. The vertical scale shows linear probability that ranges from zero (no chance of goal achievement) to 1.000 (a 100% chance of goal achievement). The curves are drawn through a Monte Carlo simulation of your situation as determined from the inputs supplied. TSPE will display the exact x,y coordinates for the location of your cursor. This lets you use your mouse to clarify the values for the vertical scale showing linear probability and the horizontal scale showing your invested capital.

The mouse position on the screen defines probabilities as a function of the selected invested capital. Once a coordinate is identified, you will immediately know the capital level required to achieve the goal (also shown in the chart heading) at the probability identified. The probability intersection points for the three curves on the y axis are identified as follows: "With capital of $5,300, a goal of $4,000 within 30 trades yields a win prob of 70.1%, a breakeven prob of 86.9%, and some capital left prob of 96.3. Please note that the number of trades supplied to the system affects the probability of winning, but that the residual capital remaining in your account is not lost. In effect, this is the probability of Marginal Performance (13.1% for the above example), as explained above.

Chart Legend:

BANKRUPTCY: The top curve in the above Capital Analysis chart shows the chance that drawdown will be any given number of dollars or less (see horizontal scale). The chance that drawdown will exceed the dollar value reading of the horizontal scale is 100 minus the vertical scale reading.

CAPITAL PRESERVATION: The middle curve shows the probability of recovering the original capital stake (shown on the horizontal scale). Saying it in another way, given that we started with the horizontal scale reading, the chance that the account holds that balance or more is shown on the vertical scale. This curve represents the required probability for any given capital/goal level to return original investment capital back to the investor without interest.

GOAL ACHIEVEMENT: The vertical scale shows the probability that a given goal can be met with original capital intact (horizontal scale). This line represents the mean probability of reaching your stated goal at all capital stake levels. Low values indicate a low probability of reaching your goal and high values indicate a high probability of reaching that goal. The probability of reaching the goal normally increases as capital stakes are increased. The closer this curve gets to 1.0 on the vertical scale, the better the chance of achieving your goal with a given capital stake.

Please note that the TSPE chart curves represent sampled results, so they are not necessarily a smooth and ever-increasing. TSPE is subject to sampling error. The solid line should be thought of as a reflection of a series of expected values. Read on for more about the Capital Stake Value.


Estimated Capital Stake

This is an estimate of what you feel is the required capital to trade the system(s). The estimate given is used principally to cover the high end of the range of capital necessary to reach an achieved probability of .999.

This estimate and the actual degraded P&L string profit (after parameter and sampling size correction) will combine to prepare the range of capital values shown on the charts. If care is taken to choose a capital stake that will likely produce a successful result, the capital stakes used to prepare the probability charts should be appropriately spaced.

Please see the "TSPE Summary" for more information on interpreting results.


TSPE Summary

By randomizing trade sequence, compensating for parameter control, factoring in the quantity of trades and taking commission and slippage charges into account, TSPE goes way beyond the information provided by most analysis programs. It may certify your efforts and confirm that you have found a sound trading system, or it may alert you to rethink and re-evaluate your technical approach. TSPE is a reliable safety net for all technical investors. It takes only a few moments to run the program and reduce your likelihood of unfortunate surprises, so no one should commence trading without it.

You may continue experimenting with various goals and scenarios using your input P&L string by clicking the [Back] button to regress through the TSPE screens. When you are completely finished with this TSPE evaluation, click [Close] to exit the program.


TradeStation Example

Studying the Anatomy and the Dangers of TradeStation®
By Bob Pelletier (Adapted from the CSI Technical Journal, January 2000)

I have been attempting to unravel the mysteries of TradeStation (TS) for several months now, and have recently focused my attention on its "Strategy Performance" report that offers an "Account Size Required" for typical derived systems. The capital stake for most efforts was minimal, and I was eager to see if I might score handsomely with the small capital outlay TS suggests. Could it really be as good as it looked? I put on my detective hat to find out.

I selected the day-session T-Bond contract for the TradeStation study, because it is a very liquid and popular market. Due to the flawed nature of the Historybank.com database that comes with TradeStation, the first step was to substitute clean CSI data for TradeStation analysis. Many things can go wrong when attempting to develop a system, and the last thing I wanted to do was start out with a database that could not be trusted. Omega's Historybank.com, according to the Futures Magazine study published in September 1999, has an error rate that is 485% as high as the error rate of "the best" firm studied, which was CSI.

It took about an hour of my time to wrestle through the many options and introduce the range of parameters that TS would use to optimize the results. The method for achieving a profitable system with TS was not simple. I was concerned that I wasn't even given the opportunity to specify the trading commission and the expensive slippage tax, although I do remember having seen such a prompt on one occasion in an earlier exercise. I'm sure happy I don't have to make a regular habit of playing with that package. There are too few hours left in my life to spend another one struggling through that again.

TradeStation studied T. Bonds for me over a two-year period from December 12, 1995 through December 12, 1997. It suggested a stop parameter and a slow and a fast moving average that seemed reasonable, based on a narrow range of settings for the three parameters. The Strategy Performance report showed that the system produced a very respectable $4,156 profit (before commissions) with a required account size of only $1,438. Such a situation would reward the user with a "Return on Account" of an astounding 289%. With results like this, I thought, Bill Gates would have to move over, because I had already begun making plans to buy him out well before the Millennium became a blur in the past.

The Strategy Performance report also showed that I could achieve those results in just 15 simple trades. With such a small investment, I was aching to call my broker to make that first trade. Back to reality - this is only a test! I needed to get a feel for whether TradeStation was on the up and up, and know whether or not the performance derived in hindsight would be possible in the future. Of course, it seemed remote that anything could go wrong in actual practice. After all, the performance summary showed that Gross Profits exceeded Gross Losses by a 2.4 ratio. How could I go wrong?

The next part of my investigation involved evaluating the TradeStation results with Unfair Advantage's® (UA's) new Trading System Performance EvaluatorTM (TSPE). In the November 1999 and December 1999 issues of the CSI Technical Journal, we wrote about how one might certify or at least assess the risk of trading or repeating a given performance record. We talked about how this would be accomplished, and commented on how one might interpret the results. Please see those issues for more information.

I entered each trade for the two-year test period into TSPE, and factored in a $100 commission and slippage expense per trade to compensate for these figures' exclusion from the TS analysis. In spite of Omega leaving out these real-world requirements, they were forced in place. The end results weren't good. TSPE said my account size should be $30,000 and that my chance of achieving a $2,656 goal (TS's after-commission result) on a $30,000 investment would be about 89% (see right dot on chart). The probability of preserving my $30,000 capital was 98%. The probability of achieving the same goal on TS's $1,438 investment was only about 30% (left dot) and the probability of preserving my $1,438 capital was about the same. How could such a good system operate so poorly in projected operation? And how does TradeStation justify telling me that I will get rich when the likelihood of going bankrupt and losing my $1,438 capital stake is at least 70%?

The three curves from top to bottom display as a function of invested capital (the horizontal scale), the probability (vertical scale) of remaining solvent, of retaining invested capital, and of reaching a specified goal. The dollar goal is an input not shown on the chart. The larger the dollar goal, the larger will be the separation between the bottom two curves. The more marginal the profitability of a given system, the larger will be the separation between the top and middle curves. To force all curves to approach certainty of goal achievement requires unlimited trading, but residual invested capital will not be eroded should the trader suspend trading early.

Before going further with my search for a profitable system, I frantically searched the TS documentation to understand the declared assumptions concerning the TS Strategy Performance Summary. Nothing! There was absolutely no mention of any declared assumptions!

I inductively determined their assumptions from the factual output. Since the $1,438 account size matched up with the account's largest drawdown, I deduced that this was how TradeStation decided the maximum required account size. The apparent underlying assumption therefore, was that trade-by-trade results are not independent. In other words, there is a dependent sequence of trading outcomes that forces the very low drawdown. The resulting account size requirement, return on investment, and all of the superlatives and statistics reported in favor of the derived system were based on the chronological (serial) arrangement of the artificially derived profit-and-loss statistics. Omega could argue that the "Account Size Required" was a pre-simulation proving figure and not a post-simulation limit, but that would be contrary to the purpose of back testing a proposed technical method.

The dependence assumption adopted by TS is a puzzling premise, given that markets are reactions to the unpredictable daily effects of weather, government policy, regional politics, employment rates, world trade, natural resource production, product substitutability, supply and demand, and many more factors too numerous to mention. Such influences strongly and absolutely contribute to market randomness, which in turn forces the necessary assumption of independence, not dependence, on the trade-by-trade results. Given the TS performance statistics, it would be impossible for the makers of TS to argue that their performance summary is based upon an assumption of trade independence. A simple change in sequence resulting in a clustering of losses would have measurably inflated the account size requirement, proving them wrong.

What is there about TSPE that makes it assess performance in such a conservative light? As we explain in CSI's TSPE documentation, TSPE makes a critical conservative assumption known as "trade-by-trade independence." Independence, in a mathematical sense, is one of those buzzwords that most people dismiss as unimportant. You can see from TSPE's high capital requirement that independence bears heavily upon the result.

When one gets into the trading pit, profits and losses tend to cluster together, as alternating profits and losses are statistically infrequent. Commission and slippage are taxes that must be paid. In the TSPE simulation, trading results are randomly sampled from the P&L list. The randomly compiled string of consecutive losses is allowed to amplify account size requirements, which will conservatively turn the odds against you.

Another characteristic of TSPE has to do with parameter control. The moving average crossover study used and analyzed by TradeStation requires two moving averages and a stop limit. Each of these controls (3 in total) contributes to a reduction in simulated profits and a worsening of losses to account for the hindsight loss of statistical freedom.

In spite of the above, I still hadn't totally given up hope on buying out Bill Gates. Giving Omega the benefit of the doubt, there was still something I needed to do to prove their result was repeatable. I wondered how that derived system would have done in the two-year period that lies after the two-year development period. If it worked there, perhaps further testing would give me some promise with my newfound TS system. A quick review of the unseen virgin period from 12/12/1997 to 12/12/1999 revealed that my system would have lost $3,843 on 15 more trades, inclusive of commission and slippage. The facts bear it out: TSPE did a good job of keeping me out of the market.

Given the TSPE results and confirmation from TradeStation, it appears that not only will I not be able to buy Bill Gates out, I won't be able to buy out Bill Cruz either. The mysteries of TradeStation are, indeed, unraveling. We can only advise caution and wariness. In spite of the ads, always read the escape disclaimer designed to protect the vendor and buyer beware. There is no free lunch.

TSPE is said to "certify" a system based upon a review of the hindsight past or based upon the prospects of repeating actual experience. In the former event (hindsight), parameter control comes into play. In the latter case (repeatability of actual results), only sample size bears on the outcome. Parameter control causes degradation and sample size serves to overcome control parameter effects. In either event, the so-called certification is measured against a probability of achievement. In other words, certainty has only to do with the declared probability, always leaving a measured chance of ruin. One should assess that chance carefully.

Trade-by-trade example of TradeStation study results:

588
-318
-475
556
-506
-725
4087
-162
-287
806
-693
493
-225
-6
-475

TSPE and TradeStation

Using Omega Research's software, traders subject a given market to one of many possible studies such as moving average crossover, stochastics, RSI, and others. Once the choice has been made, stop-loss limits can be imposed, objectives can be targeted, and the paper trading commences. TradeStation supplies a "Performance Summary" that reports the maximum number of consecutive losses, the percentage of losses, the average profit, the average loss, the largest winning trade, etc., etc. A quick look at a Performance Summary reveals several assumptions that may be mitigated through TSPE.

One important Performance Summary statistic is the number of consecutive losing trades that occurred in the actual or simulated past. If it is small and the overall profits and losses appear to alternate, then you may be in for an unpleasant result when you attempt to repeat that situation in real life. To find out how the system might play out, TSPE will simulate the trading system that derived the P&L string. Over and over again, it randomly selects (with replacement) from that P&L set. Don't be surprised if it reveals that the same set of outcomes may not be so opportune in practice, causing excessive drawdown and possible account bankruptcy.

Understanding the Discrepancies

The quantity of trades in a P&L input is very important in a TSPE evaluation, where a large quantity of trades restricts the degradation to actual experience. Any system with many trades that shows a favorable outcome in the Performance Summary will also show favorable results with TSPE, even with moderate freedom loss. This is because many, many consistent profits significantly add to the credibility of a systematic approach and repeatability becomes statistically possible. More typical situations involving smaller sample sizes are not as reliable because a small sample suggests a less likely chance of repetition. A small sample size was the downfall in our example study. Although this may, indeed, be a profitable system, the limited amount of statistical data makes it impossible to certify that profitability will be sustainable.

In a TradeStation Performance Summary, the quantity and percentage of winning trades must be viewed with a wary eye. Any trade ending with a breakeven result is counted as a profit! While every trader desires to achieve consistent winning performance, introducing faulty input through false assumptions is not helpful. The foregoing is not a criticism of Omega's software. We are simply suggesting that TSPE does much more. It will help keep you from misinterpreting the details by requiring an unbiased account of each trade.


A Walk-Through Example of TSPE

A Walk-Through Example of TSPE - Tutorial

A walk-through example of how to use TSPE and obtain a comprehensive analysis of your favorite trading system.

Your trading system should pay for itself with positive results. If it doesn't regularly provide an achieved goal that exceeds the capital cost of financing the trading experience, then quickly consider another system or approach. Fortunately, all of this can be done on "paper" in just a few minutes with TSPE, before committing precious capital. We wish you a successful season of trading and are confident that TSPE can help you in your efforts.

CSI's Trading System Performance Evaluator™ (TSPE) can make a difference in your trading plans by demonstrating whether or not you are likely to prevail and/or repeat your profitable performance in future trading. TSPE is designed to simulate future performance in the market by answering serious questions about 1) required capital, 2) the likelihood of reaching your profit goal, and 3) the statistical odds of achieving your goal before falling into bankruptcy. TSPE is provided free with Unfair Advantage® because we know how important it is to carefully check out your trading approach before taking on risk. Keeping our customers solvent is a major goal of CSI, and TSPE can help keep you in the black.

TSPE differs from most analysis programs you may have encountered in two important ways: 1) it evaluates your trading system, not the market you wish to trade and; 2) its input data is your trading record, not market data. Therefore, in order to use TSPE, you must have a specific, logical trading approach to evaluate and you must have a track record for trading that approach, which can be either actual trading results or derived from a simulation. Before we begin, you should understand TSPE's basic assumptions.


TSPE Assumptions

TSPE Assumptions - Tutorial

TSPE makes a couple of important assumptions about your input data (profits and losses) which must be accommodated to produce valid results.

Looking at the first assumption, the trading results you want to evaluate must not have been derived through what some technical analysts call "curve fitting." The term "curve fitting" comes from the mathematical procedure whereby one can fit an Nth degree polynomial through N+1 points such that the resulting equation will define a path that exactly visits all N points in a sample. Consider the straight line, which is a first degree (one parameter) equation. Two factors can define a straight line that will always pass through two given points. The straight line includes an origin (A), and a slope (B). An equation using the known factors A and B will always force a straight line through those two given points.

To satisfy the first assumption (requirement), the user should try to avoid any attempt to certify technical trading systems that use extensive repetitive searches of all possibilities to uncover the one best procedure that exactly matches the data. To a great extent, this restriction might remove many alternative schemes. Consequently, TSPE is designed to reverse some of the potentially exaggerated performance through the parameter-count adjustments and small-sample penalties discussed below.

The second assumption is that sample results derived from the trading system are independent. This means the results of each trade have absolutely nothing to do with the results of previous trades. For example, a system that doubles-up your position when certain profits or losses are attained would not be suitable for evaluation with TSPE. This is because the distribution of profits and losses is assumed to be random and inherently defined through the sample.

If your trading record complies with the above assumptions, you have what you need to input your trade-by-trade results. This tutorial example will guide you. If you don't have a suitable trading record, we suggest you develop one or ask your system developers for their experience so you can evaluate it with TSPE. Then you'll be ready to launch TSPE.


Launching TSPE

Launching TSPE - Tutorial

From the TSPE screen, pull down the Trading Tools menu and click "Trading System Performance Evaluator."

If you aren't already running TSPE, from your computer's START menu, select Programs, then CSI Unfair Advantage, and finally click "Trading System Performance Evaluator."

The TSPE main screen offers the version number, a parachutist achieving a safe landing and a policy statement from CSI encouraging use of TSPE to certify your trading system before venturing into circumstances where you may incur substantial risk.

Click the [Next] button to proceed to TSPE's "Import Trades" screen.


Entering Your Trading Record

Entering Your Trading Record - Tutorial

The "Import Trades" screen is where TSPE accepts a list of the profits and losses (P&L) derived from the simulated or actual results of your trading system. The trading results can be entered 1) manually, 2) through an ASCII file with the trade results shown on separate lines, or 3) as a TradeStation® System Report. In the example at hand, the manual method was used, so we clicked the [Manual] button. The other two options are discussed under "Selecting Data Import Method" in Step 1 (above).

Entering Trade-By-Trade Data

This takes you to the "Enter Data" screen that includes a "Profit/Loss" entry box at the right. This is where you will show the individual trade outcomes, with or without commission and slippage. Click in the first empty entry box below the "Profit/Loss" title and enter the dollar amount of the first profit or loss from your trading record. To include commission and slippage here, the typical ask-minus-bid spread in dollars and the commission should be subtracted from the trade-by-trade results entered. If commission and slippage are excluded, you can enter guidelines for these calculations later.

As you are entering data, you may review the summary statistics shown on the left side of the screen. These include total profit, average gain and loss, maximum drawdown and other details derived from your P&L record. Although this table tells a story about your input data series, it is not a projection of future performance. The information displayed here is dependent upon the sequence of trade results and is, therefore, not appropriate for evaluating profit potential. The differences between the summary statistics and TSPE's ultimate capital analysis results reveal through simulation the importance of TSPE's requirement for trade independence. The independence assumption is critical to the forthcoming evaluation, which will investigate exhaustive random orderings of your trade results forcing sobering reality into your input.

Here is a sample track record to use with this tutorial:

300
5000
500
-900
2100
700
1800
1500
-2000
900
1100
-1300
1300

After entering your first trade result, use the down arrow key (not Enter or Tab) to proceed to the next line and enter your next trade result. Continue entering profits and losses in the sequence that they occurred until all trades have been represented. When you are finished entering your trade results, click [OK] or [Save].

If you save the file, you will be asked for a filename so that you can retrieve your list for future use without re-typing. We used TSPEtest.txt for this example. If you save the file, the next time you want to review this listing you can enter your chosen filename to import trades rather than using the manual entry option. After saving your file, click [OK] to proceed.


Contract Size Multiplier

Contract Size Multiplier - Tutorial

The next screen has to do with the Contract Size Multiplier. It offers you a chance to use a TradeStation input file, a manual input file, or an ASCII input file that is not presented in dollar P&L terms.

Here you should enter the value TSPE would need to multiply the P&L stock or contract's tradeable units to convert those P&L units into dollar terms. For example, if your trading record represents profits and losses in cents per bushel, as in a 5000 bushel corn contract, you would show a multiplier of 5000. This would make a 1 cent profit or loss into a 5000 cent profit or loss or $50. Similarly, a 10 cent loss would represent a 50,000 cent ($500) loss. The multiplier in this example would be 5000. If profits and losses are expressed in dollars, the default multiplier would remain at 1.

Click [Next] to proceed.


Choose Commission

Choose Commission - Tutorial

If you did not adjust your trade records to reflect commission and slippage costs, you may do so on the Choose Commission screen which appears next. Enter the average per-trade dollar commission expense (by modifying the default) and the nominal dollar slippage that you would expect to pay to overcome the ask-bid spread. Change the default entries to zero (0) if these were factored into the profit and loss statistics you entered.

Click [Next] to continue.


Editing Sample Size & Parameters

Editing Sample Size & Parameters - Tutorial

The next screen reports upon the trade sample size and invites you to enter the parameter count from the trading system used to generate the trading record. The sample size affects the degradation imposed on the P&L statistics. Large samples tend to bolster the credibility of the profit statistics and small sample sizes tend to support degradation in performance. The sample size shown is the number of trades you reported in your profit-and-loss record. The default value is an accurate representation of the input data. Although you can edit the sample size, we recommend against doing so.

The parameter count is important because it describes the level of curve fitting that may have been adopted to achieve the trade-by-trade results. The more parameters or constraints employed by a trading system, the less likely the proposed system will perform in actual trading. Your TSPE evaluation will demonstrate that you should choose a system that consumes minimal parameters. A system with just one (1) parameter would be far more likely to rate well with TSPE than a system with several more. Enter a parameter that describes your analysis approach.

You can further correct for bias using the "Total Correction" box at the bottom of this screen.


Correcting For Input

Correcting For Input - Tutorial

TSPE corrects for parameter count and sample size when it accounts for hindsight bias. This is done by replacing every profit shown in the trading record with the profit value divided by the calculation shown for the selected adjustment category. In the event a loss is examined, each loss shown in the trade record is replaced with the product of the loss times the correction category selected. Losses are inflated and profits are reduced according to the correction chosen.

You may select from six different approaches in trade-by-trade degradation by simply clicking on the down arrow opposite the "Total Correction" box and making your choice:

Total Correction Calculation

1. Conservative N**[(P+1)/(N-1)]
2. Normal N**[0.62*(P+1)/(N-1)]
3. Moderate EXP**[(2P+1)/(N-1)]
4. Generous EXP**[(P+1)/(N-1)]
5. Aggressive EXP**[1/(N-1)]
6. None 1.0

[The EXP term above is the Napierian natural logarithmic base of 2.71828, and ** is the symbol for exponentiation. The symbol P is the integer parameter count and N is the integer sample size.]

Corrections are most severe for the "Conservative" correction and are incrementally less severe for "Normal," "Moderate," "Generous" and "Aggressive," respectively. If no correction is desired, as might be the case for actual market performance, "None" would be chosen. Click [Next] to proceed.


Frequency of Profits and Losses

Frequency of Profits and Losses - Tutorial

TSPE's first graphic output is a display of the Frequency of Profits and Losses with and without degradation. Three color-coded graphs are shown. If slippage is part of the trade statistics, only the original raw values chart and the "corrected" chart are shown. This display may help to verify the input statistics and offer some appreciation for the level of degradation provided. Click [Next] to supply the input for further evaluations.


Choosing a Reasonable Goal

Choosing a Reasonable Goal - Tutorial

The "Choose Goal" screen displays, showing TSPE's suggestion for what might be a reasonable profit expectation based on your profit and loss entries. You can accept this value or not, and may wish to enter any value that reflects a reasonable reward that you are totally committed to achieve by risking your personal capital.

The suggested Profit Target is designed to, hopefully, obtain some separation of the various curves displayed on the forthcoming Capital Analysis display. Feel free to return to this screen by clicking the [Back] key to experiment with different goals. It is common for the user to move between the "Choose Goal" display and the "Show Capital Analysis" display in search of a feasible goal and time target. Multiple iterations may be necessary.

A nominal time target of ten (10) trades is suggested as a reasonable number of trades to consider before abandoning a pursuit of expected profit. The value entered will depend upon your patience in achieving success and the time it takes to consummate a trading round trip. Ten trades could take many months if average trade duration is lengthy. Please modify this input as you may see fit, but do not increase it beyond a reasonable threshold.

You should have a thorough understanding of probabilities before viewing the Capital Analysis chart.


Understanding Probabilities

Understanding Probabilities - Tutorial

TSPE's results are all presented in probabilities, so it is important to understand this term before attempting to interpret the chart. For some readers the term "probability" may be sufficient for an understanding of this output. For others the term may be intimidating. Probability, in a statistical setting, is simply a number between zero and one. A probability of one (1) reflects certainty. For example, there is a probability of 1.00 that at dawn the sun will rise. A probability of zero means that the event will never occur. In between 0 and 1, the chance that an event will occur is some measurable amount. A probability of 0.10 would translate into a situation where the proposed event will happen 10% of the time, etc. A probability of 0.50 tells us that the event will happen half of the time.

Probability theorems tell us that, from the relative frequency of all possible events, a particular outcome will occur some computed percentage of the time. If TSPE tells you that the probability of avoiding bankruptcy with a given capital stake is 94%, then there will be a 6% (1.0 - 0.94) chance that your account will be forced into bankruptcy with that capital stake. Such a large (6%) chance of loss would not generally be acceptable to most traders.

Once goals are set in terms of profit and time targets and probabilities are understood, click [Next] to view the Capital Analysis results.


Show Capital Analysis

Show Capital Analysis - Tutorial

Click [Next] from the "Choose Goal" screen to reach the final, and most important, TSPE screen representing Capital Analysis. TSPE continues to simulate trading over and over again, even after displaying the chart. You can see this by the slight movement and flicker on your screen. After allowing simulated trading for a few seconds, click [Stop] to end the sampling. Once stopped, you can view a stable chart or go back to earlier screens where you can change your input to see how a different mix of profits and losses or a different goal, etc. will change your result.

In viewing the Capital Analysis Chart, the bottom or green colored curve is an important analysis result. This reached-goal curve should level off near 90% or more for a marginally acceptable result. Reducing the goal should increase your chances of achievement. Measure your chances of success (reaching your goal) versus the level of capital required and compute your percentage rate of return. There is a strong chance that the bottom curves may overlap if the likelihood of preserving your capital is minimal and your goal is small. If this occurs, click [Back] and experiment with the goal and trade duration values.

TSPE offers help in interpreting the Capital Analysis chart through the use of your mouse. Simply hold your mouse stationary on any point of the graphic image for an in-depth probability statement. For example, in the displayed chart, positioning your mouse on the vertical line 10^3 would produce the comment, "With capital of $1000 and a goal of $3,000 within 10 trades, a win probability of 43.9%, a breakeven probability of 46.3% and some capital left probability of 46.6%." A reduction in desired goal, an increase in capital stake, or an increase in the time target will generally improve results. This display should help traders decide what is best for their own situations.

You can infer from this screen the amount of capital required to trade your system with minimal risk.


Choosing Capital Required

Choosing Capital Required - Tutorial

Every trader should address the idea of avoiding bankruptcy; therefore the top red line should be every analyst's primary focus. Find the point on the top curve where you have a 99% or greater chance of avoiding bankruptcy before commencing with your trading. Conclusively identifying the required capital stake is paramount to success. A lesser capital stake may result in too small a chance of achieving your goal (left scale) and a high chance of not preserving your capital (right scale).

When you are finished evaluating this trading system, click [Close] to exit TSPE.

This concludes the TSPE Tutorial. See the complete description (Steps 1 -3, above) for more details on using this program.


Position Manager

Overview

Position Manager grew from an early plan to develop a module called "Trader's Accountant." Position Manager includes everything imagined for Trader's Accountant and more, but the new name better reflects the program's uses and applications. It is intended to help you stay abreast of your current market positions and valuations in the currency of your choice. It does not, as one might expect from an "Accountant" program, produce account records suitable for income tax filings or other financial reports.

The major functions of Position Manager are:

· To keep the trader apprised of stock* and/or futures trading account progress and performance, both historically and for daily assessment purposes by maintaining and updating lists of market positions.

· To accommodate multi-national investments by seamlessly calculating values in the currency of choice, such as U.S. Dollars, British Pounds, Euros, Yen, etc., regardless of the currencies used for reporting your various positions. You currency preferences are arranged through the "Settings" screen.

· To offer an occasional or intermittant updates on the equity level for many markets throughout the trading day so that the trader can stay abreast of the value of investment accounts.

Intraday updates are provided from the websites of third-party firms. These values are not guaranteed accurate. Intraday values are not added to your Unfair Advantage database archives, and are therefore not available for charting or manipulation.

Position Manager directs your browser to third-party websites that provide free intraday quotes, however some of these sites have security features that bar access by users they feel are abusing the priviledge. To avoid negative ramifications or disqualification from these sites, we recommend no more than a few intraday updates daily on no more than 100 markets. CSI does not guarantee access to any third-party site.

Overdoing your quote requests will cause service suspension triggered by your computer's unchangeable IP address. When this happens, this convenient delayed quoting capability is forever lost. To avoid permanent exclusion from donor sites, whenever there are more than 25 items being quoted in Position Manager, the automated update feature is disabled and intraday updates must be requested manually through the "Refresh" menu item.

CSI reserves the right to impose a surcharge for this service at a later date.

* The stock quotes provided typically reflect only certain electronic exchanges and may not represent the current best available price.

Begin by launching Position Manager.


Launching Position Manager

Pull down UA's Trading Tools menu and click "Position Manager" to launch this feature. If you prefer to run it without starting UA first, you can select it through your computer's Start menu. Click [Start], and then go to CSI Unfair Advantage. Click "Position Manager."

The Position Manager screen displays.


Position Manager Screen

Below is an example of a Position Manager screen the first time you launch the program. At the top of the screen is a menu of features for manipulating your trade data and output.

Headings include:

File - To create or open position lists, import or export records and exit Position Manager.

Positions - To add and delete markets as active positions or "watch list" entries. Also accesses Internet charts and news,

Account - To enter cash deposits and withdrawals for the selected position list.

View - To select from open positions, closed positions or all positions.

Reports - To generate reports (showing either Long Term and Short Term capital gains).

Settings - To select your choice of currencies for display and calculations, to select whether or
not open positions are to be included in calculations, and to show margin requirements.

Refresh - To update the Position Manager matrix with the most current data available in accordance with your data source preference.

Click any of these to pull down a menu of additional options or to execute the stated function.

When using Position Manager for the first time, your next step is to either enter trades into the default position list provided or "Create a New Position List" (essentially a portfolio) to hold your positions. If you have already created one or more position lists, you may open any one you choose. Whichever list is viewed last will automatically display when you restart Position Manager.


Create/Open Position List

Position Manager offers two ways to create a position list, both of which are found on the File menu as shown below. Each choice is explained here. Note that you can simply use the initial blank position list provided (called Default.DB) without creating a new position list, if desired.

New Position List - You can manually create a new, empty list by clicking "New Position List" from the File menu. You'll be asked to name your file. Type a meaningful file name that easily identifies this group of markets, such as RothIRA or FUTURES etc. Note that Position Manager will add the .DB extension to the filename, which reflects the Paradox DB file type. This is the only supported file type at this time. If more types become available, you may view them and learn the appropriate file extension by clicking the arrow at the right of the File Type box.

Your position file should be stored in the default folder, \UA\PositionLists.

Create a new list for each separate portfolio you wish to maintain.

You can either import or manually enter your positions into your new list.

Make New List From Open Positions - When you reach the end of your tax year, you should use this option to create a new position list containing only your open positions and end-of-year closed-only balance. If you do not do this, Position Manager will get slower as the years go by, and your capital gains report will have to be manually filtered by tax year.

Open Existing List - Click Position Manager's File menu and then click "Open Existing List" to open a list selection dialog. Navigate to the list of your choice, click it, and then click [OK].

Multiple Position Lists

Because some investors may trade multiple accounts or wish to assess groups of investments individually, Position Manager permits you to maintain multiple position lists with unique names. To create a new list, click "File" from the tool bar and then click "New Position List" from the drop-down menu. A "Save As" dialog will display. (Note that the "Default.DB" position list shown holds any positions you may have entered into the original screen.) You now have an opportunity to identify a unique name for your new list.

Once a list is established or selected, you should add records as described next.

Position List Limitations

Remember that intraday quotes are derived from third-party sources that provide free quotes. These outside sources may limit or bar your access if they feel you are abusing accessing privileges. Therefore, we recommend any position list that will be updated through the Internet hold no more than 100 markets, and that intraday valuations take place no more than three times daily.


Add/Delete Records

Adding a Record

To add records to any existing position list, click the "Records" menu at the top of the Position Manager screen and then click "Add." A dialog displays where you may select the desired position list and enter all relevant trade information.

Upon selecting the desired position list, the "Symbol Selection" screen displays, allowing you to choose between commodity, fund, stock, index option and commodity option market types for your first entry. Click the arrow to the right of the "Market Type" box to make your choice. Next either enter the symbol in the "Symbol" box or select the appropriate symbol by clicking the [...] button to the right of the Symbol box and choosing from the Fact File list that displays. For futures and options, you'll need to enter the delivery month. The format should be the four-digit year followed immediately by the delivery month. For options, also add the option type (Put or Call) and strike price.

The exchange's month identification letters may be substituted in the "Contract" box to show the current year of the specified delivery month, e.g., H = current March, M = current June, Z = current December. Note that multiple stocks may be selected simultaneously.

Click [OK] to proceed.

Above is an example for entering the December 2003 contract of CBT Corn (symbol C). To make this selection, first, from the Market Type dialog box, click the arrow to see a menu of choices, and then click "Commodity." Next enter "C" for CBT Corn in the "Symbol" box. If the symbol is not known, click the [...] button next to the Symbol dialog box to view a complete list. Finally, 200312 is entered in the "Contract" box to capture the December 2003 contract.

Once you enter your first symbol, Position Manager's update browser will launch. Ignore it for now, as you enter the rest of your trade information.

The symbol(s) you enter will be inserted into the spreadsheet, but you will need to add a little more information to complete the trade record. The Position Manager screen will be expanded as you add trades, as in this example:

Enter the following records:

Quantity - Click the corresponding cell in the third column (labeled "Quantity," which probably says, "Long 0") and replace the entry with the appropriate direction (Long or Short (or + or -, respectively) of your position and the number of shares or contracts.

In Date - Click this cell in the same line and enter the date you entered the trade as either month/day or month/day/year (preferred). In this example, 10/1 represents October 1st.

In Price - Click this cell and enter the price per share or per contract, as quoted by the exchange. Do not adjust for commission or margin. These will be handled elsewhere. In the above example, the last line of the Position Manager screen shows the Current Price for the December 2003 Corn contract as 243^6, which represents a price of $2.43 and 6/8ths cents per bushel. The "In Price" (entry price) for this trade of $2.40 per bushel would be entered as "240^0" or 2400. See the CF (Conversion Factor) and Size columns for information on interpreting actual values.

Out Date - For entering closed trades, enter the date you exited the position.

Out Price - For closed trades, enter the actual market price for the sale or offset.

Stop Price - If you would like Position Manager to notify you if and when the market reaches a given threshold, enter the threshold price here. Your position will be monitored and Position Manager will alert you if the market turns against you. This feature is active only when Position Manager is running, and is based upon the latest information known to the program. This is for general record-keeping information only and should not be considered a substitute for a true market stop order placed through your broker.

Commission - Enter the full round-turn commission, which will make the Profit/Loss calculation as accurate as possible. Our example shows a $20 commission for the Corn contract. All commission references within UA are based upon the total number of shares or contracts specified. To deviate from this convention by defaulting to a fixed price per share or price per contract would neglect economies of scale for larger transactions.

You may add rows to the Position Manager matrix for as many market symbols as you wish to examine. Please note that you should only add to or delete items from your position list by going through "Records" from the tool bar. Attempting to add futures from the spreadsheet matrix may terminate your application and require a reboot.

Other factors that might affect your account balance include deposits and withdrawals.

Adding Non-Standard Markets

Many non-standard series, including cash and forward markets and interest rate instruments, are available from the CSI database through unique delivery month codes. These are typically entered into Position Manager through the Fact File list that is available from the Symbol Selection box. Instead of entering a symbol there, click the [...] button to view the Fact File list of all markets. When the full list of available markets displays, go to the "Market Type" box at the right side of the screen, click the arrow to bring up the full menu, and select "All Cash/Fwd/Fundamental Series." This list includes most non-standard markets.

For example, the above Position Manager screen includes London Tin, which is an LME forward market. We scrolled through the Fact File list to find # 46 Tin OHLC (3 mth) - LME, (CSI # 2042, symbol MTN2) and checked the selection box by clicking it. Upon clicking [OK], the factsheet closed and tin was added to the Symbol Selection dialog. Cash/forward markets don't have specific delivery months, so 54, which is a long-standing CSI convention for cash and other non-standard series, was entered in the "Contract" box. We clicked [OK] to return to the Position Manager screen, where the rest of the vital information was added ("Long 1" for "Quantity," "4000" for "In Price" and "120" for "Commission.")

Deleting a Record

To remove a trade or transaction record from your position list, first view the list and select the undesired trade. Next click the Record menu at the top of the Position Manager screen and click "Delete."

Another way to add records to your position list is to Import them.


Import Records

Position Manager will eventually import comma-separated-variable (.csv ASCII format) records from various programs or brokerage services into an existing position list. ScotTrade is the first brokerage company for whom CSI has customized this software. Additional services will likely be added.

If you have a data file from ScotTrade or another company that contains appropriate information, you may import it using either the First In First Out (FIFO) or the Last In First Out (LIFO) accounting protocol.

To import a file, click Position Manager's File menu and go to "Import Trades." All available importing sources will display (initially just ScotTrade).

Move the pointer to your choice and you'll be offered "FIFO" (First In First Out) and "LIFO" (Last In First Out). Significant tax ramifications can occur, depending upon your choice here. Furthermore, changing from one method to another may violate IRS regulations. The US Internal Revenue Service defaults to LIFO (maximal short-term capital gains), so this is probably your safest option. Please consult a qualified tax professional for assistance.

A dialog screen appears from which you may select or browse to the desired file as shown:

Select the file that holds your trade records. When it is listed in the "File name" box, click [Open].

When all records are input, you may set your preference for viewing positions.


View Positions

Position Manager shows records that have been entered into your chosen list. The "Positions" menu lets you control this feature.

Once you have selected the desired position list, click the "Positions" menu to display the following:

Select from "Open Positions," "Closed Positions" and "All Positions."

· The current view is marked with a bullet.

Your screen will look something like the following example:

Additional Information

In addition to the information you entered when adding or importing your trade information, additional control columns in the spreadsheet help you track account assessment details. These include:

Name - Corresponds with the selected symbol.

Break Even - The "In Price," plus or minus commission (depending upon direction of the trade), as required to cover investment costs when exiting the market.

Profit/Loss - The net gain or loss, factoring in the "In Price," "Current Price" and Commission.

Source - C = CSI's end-of-day database; I = INO.com; Y = Yahoo.

CF (Conversion Factor) - We have shown the commodity conversion factor as a reminder of how a given product is represented and traded. See the "Price Format Key" in the Factsheet Overview of the Data Resources chapter to interpret the Conversion Factor/Price Format.

Size - For futures markets, the contract size is shown on the display so that the user may verify the value of the profit or loss field. Position Manager multiplies this quantity times the net profit or loss to date to come up with the profit/loss value shown.

Deposits and Withdrawals might also impact your account balances.


Deposits & Withdrawals

No account valuation could be kept current without information on cash deposits and withdrawals. These are handled through Position Manager's Account menu.

Click "Account" at the top of the screen, and then click either "Deposit" or "Withdrawal" to display a screen similar to one of these:

Enter the amount of your deposit or withdrawal amount and click [OK].

The currency entered here is interpreted according to your preference listed on the Settings screen as "Currency to be displayed for account transactions." For example, if your selection there is US Dollars, then you should enter dollars here (just the numerical value, e.g. $1,000 would be entered as 1000). If the currency selected on the right side of the Settings screen is Euros, then you should enter your deposits here in terms of Euros, etc.

Deposits and withdrawals display as additional lines on your position list.

Your trades and other transactions will appear in Position Manager reports.


Reports

To help you keep tabs on tax liabilities (without attempting to meet legal tax requirements), Position Manager keeps records on capital gains.

From the Report menu, click either "Long Term Capital Gains" or "Short Term Capital Gains."

A report displays showing the entry and exit date, the sale price, basis cost and gain or loss.

The current valuations of open positions are based on either your most recent Unfair Advantage daily update or on intraday quotes downloaded from the Internet. Updates of current valuations are explained next.


Updating Current Valuations

You should update your Unfair Advantage database before launching Position Manager. This will assure that current market valuations are based on data no older than yesterday's data. If you decide to update your UA database after launching Position Manager, you should exit Position Manager, download the data, and then restart Position Manager.

When you launch Position Manager, it updates valuations based upon the most recent market information available to it. Prices will be retrieved from third-party Internet sources about once per minute if your market list holds 25 or fewer items and you have requested this type of service through the "Update with Internet Prices" option on the "Records" menu. Of course, you must be online for this feature to work properly. If you have not selected "Update with Internet Prices" from the "Records" menu, then all "Current" prices shown in Position Manager will reflect the latest end-of-day update in your UA database.

Here is the expected reporting lag of intraday updates:

· Stock quotes are delayed by seconds, but reflect only ECNs.
· Futures quotes are delayed by about 30 minutes.

Intraday quotes do not become part of the Unfair Advantage database, so they are not available for charting or other manipulations.

The following markets are always priced according to the last end-of-day update from CSI:

· Mutual funds
· Non-U.S. futures markets
· Stocks not covered by live websites
· Non-U.S. option markets

Twenty-Five Market Limit

As explained in the introduction to this chapter, overdoing your quote requests will cause service suspension of delayed quotes. To avoid permanent exclusion from donor sites, automatic intraday updates are functional only for Position Manager portfolios of 25 or fewer items. If your Position Manager spreadsheet shows more than 25 items, intraday updates must be requested manually through the "Refresh" feature on the toolbar.

Information Sources

CSI is well known as a supplier of end-of-day data on a daily and historical basis for mutual funds, U.S., Canadian, and U.K. stocks, world futures, futures options, indices, etc. CSI does not supply real-time or intraday data on any markets; however, we do direct users to various sites to obtain recent quotations on U.S. stocks or futures during trading hours. Check the "Source" field of the Position Manager screen for an indication of the source and updating frequency of any "Current" price.

· Most active U.S. stock quotes are obtained from YAHOO, which captures such information from the Island Exchange almost real time. They show "Y" as the source.
· U.S. futures information and information on the pricing of options are obtained from INO.com with a 20-minute delay. These show "I" as the source.
· Everything else is updated from CSI's end-of-day database and shows a source code of "C."

Please be sure to read and abide by the copyright restrictions and provisions of those vendors, which are posted on source sites. CSI does not guarantee the accuracy of any of the information provided.

CSI reserves the right to remotely default to the CSI prior-day or end-of-day database details for quotations should any quotation vendor limit or restrict CSI customer visits to their sites.

Pop-Up Advertisements

In the course of running Position Manager, your screen may be visited with pop-up ads from YAHOO or INO.com, which are the sources for the live quotations updated on a time-deferred basis. Unfortunately, the pop-up screen interruptions are a necessary condition of use because these vendors want visitors (you) to observe their displays and their advertisements in exchange for providing you with their live or delayed data. CSI simply makes it easy for you to obtain timely information by taking you to appropriate sites when you request fresh information on your specified markets of interest. We did not suppress vendor displays because we believe capturing the substance of the supplied information is more than worth the tradeoff of viewing advertisements.

Internet Security

Internet Security programs may report frequent warnings as Position Manager's browser attempts to update prices at intervals of about once per minute. If this is a problem for you, we suggest that you either customize your security settings to allow Position Manager to make these calls or disable this function while using the program.

Current valuations may be updated through Position Manager's "Refresh" feature.


Refresh Prices

If you have chosen to use Internet updates for intraday quotes and your position list holds 25 or fewer items, Position Manager will automatically seek new data on a regular basis.

However, you may initiate additional updates from the Internet by clicking "Refresh" from the tool bar. New prices will immediately display in the table, and new valuations will be calculated based on the new data. Note that these are on-demand updates, as opposed to a streaming data feed.

If your Position Manager spreadsheet shows more than 25 items, the "Refresh" feature is the only way of updating prices with delayed intraday prices.


Settings for Position Manager

The Settings screen lets you customize Position Manager to meet your individual needs through the prompts shown below. Click the "Settings" menu to view:

Display Quote Web Browser

Displaying the "Quote Web Browser" means showing the website that provides intraday quotes in its own window on your computer screen. If you want this, click the menu setting, which marks the entry with a check. To disable, click then entry again to uncheck the selection.

Update With Internet Prices

If you want your Position Manager data to receive intraday updates from third-party Internet sites, check the "Update With Internet Prices" entry by clicking it on the Settings menu. If this selection is unchecked, only end-of-day summary data from the CSI database will be included in your Position Manager reports and screens. Remember to use intraday updates sparingly to reduce the likelihood of third-party data sources disallowing access.

Preferences

Currencies - Position Manager handles multinational trades through its ability to convert currencies of input market data, deposits and withdrawals, etc. Make your choices from the lists shown above, noting that the left and right windows have different purposes. Scroll as needed to view all possibilities.

Open Positions - When Position Manager displays your account valuations it may exclude open positions, if desired. You can either select "Yes" to exclude open positions, thereby showing only realized profits and losses or "No," not to exclude open positions, which results in account valuations based on both realized and unrealized profits and losses.

Margin - If trades in your positions lists are margined, enter the margin requirement.

Click [OK] when you are finished.


Send to UA's TSPE

You may run your profit and loss (P&L) figures through UA's Trading System Performance Evaluator (TSPE) to test and certify your technical trading system. If one or more of your position lists holds trade data that reflects all trades recommended by a specific trading system, then TSPE may provide some valuable insight into the efficacy of using the system. We recommend at least 50 trade records spread over an extended and representative time period to obtain a reasonable assessment of a trading system.

It is important that you understand and can convey the parameters and assumptions used in deriving your P&L record. Please see the "Getting Your P&L String Ready" and "Step 1" instructions in the TSPE chapter of this manual for more information on importing trade data.


View Yahoo/INO News

If you would like to see the news on the Yahoo of INO.com website for the selected stock, click "View Yahoo News" from the "Records" menu. Your web browser will display news from the selected website(s).


Position Manager's Limitations

Position Manager is provided as a courtesy to UA subscribers who have paid the full Unfair Advantage license fee. All others may be subject to limitations as determined by CSI. The use of intraday updates for ongoing equity valuations may, at some point, become a premium service requiring additional fees, and may be discontinued if access to the data becomes restricted by website data sources.

If you are a trial user of UA or if you have not paid the full UA license fee, your Position Manager may be non-functional. You may be able to obtain full capabilities by upgrading to a regular UA subscription. Contact CSI marketing for details at (561) 392-8663 or (800) 274-4727.

CSI reserves the right to change this policy at any time.


Data Resources

The Data Resources chapter of this manual covers many topics to help you understand and maintain the Unfair Advantage database.

Click the links for information about the following:

· History Refresh
· Market Specification Factsheets
· Facts, Events & Exchanges
· Data Release Schedule
· Posting Status
· Bob Pelletier's Essay on Computed Contracts
· Editing the Database
· File and Chart Naming Conventions
· Daily, Weekly and Monthly Files
· Commitments of Traders Data
· Mutual Fund Data
· Preliminary Stock Data
· Stock Symbol Changes
· Daily Summary Report
· Advance/Decline Report
· Database Usage Within UA


History Refresh

Unfair Advantage's compressed database files on your hard drive may become corrupted through hardware failures, communication glitches or improper updating. If this happens to your database, you can replace the affected files through this feature.

Before you begin, you'll want to confirm that the file or files have actually been corrupted by testing database integrity.

Once you are sure the files are corrupted, and once you have ascertained that you only need a few files, you should begin the History Refresh download. If you need more than a few files, you should order a new UA CD-ROM from CSI. The new CD may include a complete, updated database, and possibly program upgrades. There is a nominal fee for a new CD-ROM, but there is no charge for receiving refreshed history files online.

Click here for instructions on performing a Database Integrity Search.


Database Integrity Search

DB Integrity Search w/Automatic Correction

You can check your entire database for most types of corruption through UA's Database Integrity Search. To use, click the Database menu, then click "DB Integrity Search." The following displays:

Select Futures, Stocks, Future Options or Stock Options by clicking the appropriate boxes (they'll be checked), and then click [Search].

If all goes well, UA will report that no corruptions were found in the last year of your database.

If corruptions are found, the damaged markets will be listed in the window. You can download a refreshed history of each market by clicking the [Download] button. If many markets are listed, you may edit the list to remove ones that aren't needed. Do not download a large number of markets unless you use a very fast transmission method. If your database suffers from large-scale corruption, you should order a new CD from CSI.

"History Refresh" is generally done through the Internet, so get online before proceeding. (This step is not necessary for Direct Dial access or if your computer is always online.)

You may also print the list of corrupted files by clicking the [Print] button, or click [Cancel] to terminate the procedure.

Manual Confirmation of File Corruption

An alternate way to determine if a single file is corrupted is to attempt to chart it as a simple (non-computed) contract through UA. If the chart will not display, or if it is visibly distorted, the file is probably corrupted. The failure of computed contracts to chart is not necessarily the result of file corruption and should be reported to CSI.

If you believe that a data file in your database has been corrupted, you may download the entire history for that commodity or stock (the cdb or sdb file, respectively) from CSI through the History Refresh feature.


History Refresh Download

The Database (DB) Integrity Search feature includes the ability to instantly refresh corrupted files. The entire history of all corrupted files can be retrieved by clicking the [Download] button at the top of the "Check DB Integrity" screen.

Manual History Refresh

The manual method of refreshing history files is used to selectively download a few specific markets that may be corrupted.

"History Refresh" is generally done through the Internet, so get online before proceeding. (This step is not necessary for Direct Dial access or if your computer is always online.)

To download a historical file, click the Database menu, then click "Refresh History." The following displays:

The white portion of the screen is initially empty, but you may type the symbols of the markets you want to refresh using the format shown in the example above. Simply enter the stock or commodity symbol, followed by (c) for a commodity or (s) for a stock. Separate your entries with a comma and a space.

Example: PB(c), IBM(s) would get you all data for the commodity Pork Bellies (symbol PB) and the stock IBM.

You may select markets from a list instead of typing symbols, if preferred. Begin by clicking the arrow at the right of the "Market Type" box. Select from "All Stocks and Mutual Funds," "All Futures Markets" or "All Cash Markets." You should select only markets that correspond to your subscription categories. Other markets will not be accessible through UA, even after a successful download.

Once the market type is selected, click the [Browse] button to display UA's Market Statistics listing as shown:

Click the boxes in the "Se" (select) column for each commodity or stock you wish to refresh. You might want to start with just one entry to see how long it takes to download. Click [OK] to return to the History Refresh screen.

The [Select all in Portfolio] button may be useful to refresh all files that correspond to a relatively small portfolio; however, it is unlikely that you would want to download a full history on a large portfolio list. Remember, it takes a long time to download the full history of a commodity, so this should only be used for a few markets. If you need more, order a new CD! The CSI website address is listed in the "From" box (below). This is the usual choice, but you may enter another path as needed.

If you make a mistake and want to start over, click [Deselect All].

At the bottom of the History Refresh screen, you'll find choices on whether or not to include options. Again, your choice should be based on whether or not you have subscribed to options from CSI.

When all desired markets have been selected, click [Download].

When the download is complete, UA says, "Successfully Refreshed History."


Market Specifications

At CSI, we believe it is vitally important that accurate records about the database itself be available to the user. The Market Specs factsheets offer extensive information about the data you received from CSI, with separate listings for commodities, miscellaneous cash markets and stocks. The information in the Market Specs factsheets is provided for your information and is also used for processing the data. This information is stored in a file called ua\archives\cdbfacts.adm.

factico To view the UA Market Specs factsheets, click the Database menu and then select "Market Specifications, or click the "Market Specs" icon from the toolbar. The Market Specifications factsheet displays. This example shows the commodity/futures factsheet. The last factsheet you used will display by default, so this could be replaced by stocks or cash/fundamental series):

The information in the Market Specs factsheets can be edited as described in the "Editing Market Specs" topic.

For an expanded view of any column on the factsheet, click the heading or position your mouse on one of its boundary lines and press the mouse button. Still holding the mouse button down, drag the line to the desired position. Release the mouse button to drop the line at the new location.

Sorting the list, Locating an item and Selecting Market Type

Market Type:

At the upper right of your screen is the "Market Type" box, which determines whether the stocks & funds or commodity factsheet displays. The default is "Commodities." To switch to stocks & funds, click the down arrow symbol to the right of the Market Type box, then select your choice from the drop-down menu. Once you've got the right factsheet displayed, use one or both of the other boxes across the top to find the commodity or stock of interest to you.

Regardless of the initial "Market Type" chosen, the "Market Type" menu on the selection screen includes a host of useful subcategories. The "Economic Statistics" include the civilian labor force, Consumer Price Indices, Producer Price Indices, industrial production, commercial paper, new housing starts, retail sales, consumer confidence, personal income, etc. The "Interest Rates" subcategory shows bonds, bills and a broad selection of bank rates. The "Foreign Exchange Rates" section includes over 140 cross rates. And of course, you'll find our extensive offerings of Commitments of Traders data in its own category. Don't overlook the valuable economic information found in domestic and world stock indices.

Sort Order:

The database listings can be sorted by your choice of CSI number (the default), symbol, exchange, name, conversion factor, trading months or any of the fields in the fact sheet. To change the sort order, either click he down arrow symbol to the right of the "Sort" box, then make your selection, or click the heading directly on the factsheet on which sorting should be based. The above example shows the Futures fact sheet sorted by number. Use the scroll arrows to navigate through the listing.

When your sorting key is changed by clicking a new heading, UA will normally retain your previous sort as a secondary sort. For example, if you sort stocks by CSI number and then sort by exchange, the resulting sort will show stocks grouped by exchange, but listed by CSI number within the exchange groupings. You may elect to automatically use the name field as the secondary sort through UA Preferences. See the Factsheet Behavior tab for details.

When this feature is selected (checked), no matter which column you click for sorting markets, they will always be sorted by name within your designated sorting field. Using the above example, if you sort stocks by CSI number and then sort by exchange, the resulting sort will show stocks grouped by exchange, but listed alphabetically by name within the exchange groupings.

Locating a commodity or stock:

You can go directly to any commodity or stock on the factsheet (without scrolling) by typing its name, CSI number, symbol, or whatever relevant piece of information you know into the "Locate" box. The appropriate entry correlates to the "Sort" box at left. If the Sort Order is "CSI Number," UA will only accept a number for locating the item, and will search on the CSI number field. If you want to search by name, switch the "Sort" order to "Name," and then type the name in the "Locate" box. Likewise, to search by symbol, change the order to "Symbol" and type the symbol in the "Locate" box.

Including Inactive Stocks:

By default, UA will ignore inactive stocks as if they do not now and never have existed. However, if you would like inactive stocks included in your factsheet so that they may be selected for portfolio use, analysis or charting, you may arrange this through UA. See the "Include Inactive Stocks" tab of UA Preferences to activate this feature.

Market Specs Fields

CSI Number: CSI Number: Each commodity and stock has been assigned an arbitrary CSI number for cataloging purposes. CME Live Cattle is 2, Cocoa is 3, etc. Older, more traditional commodities tend to have lower numbers than later additions to the database. Some non-standard issues, such as cash markets and treasury issues, have numbers in the 2000's. West Texas Intermediate Sweet Cushing Oil, for example is number 2207.

Symbol: The exchange-sanctioned symbol is listed here. This will be used to identify all charts and files, unless an alternate two-character commodity symbol is requested through the portfolio settings or Non-Portfolio Chart options. See Symbol (2), below, for information on alternate symbols.

Exchange: The exchange is listed here, where it can be used for sorting purposes.

Name: The name of the commodity or stock. Non-standard cash and treasury issues (those with an x in the CSI number) may have their names preceded by an alternate number.

Price Format (Conversion factor): CSI's system of tracking the markets depends heavily on a conversion factor system, which emulates pricing information to conform with pricing you would see in the newspaper the next day. The conversion factor system establishes the currency value of a given price using the last (terminal) digit or digits for interpretation. In many cases, the parent exchange uses the same common denominator of the raw price as we do. There are, however, some differences.

The concept of conversion factors was introduced because there are no decimal points or fractions in the CSI database. It allows the receiving software to convert the raw database numbers to the appropriate values in terms of decimals, eighths, etc. Our earliest customers were all commercial banks and brokerage houses, which processed the data themselves through mainframe computers. They still need to know the conversion factors, as do the software programs used by most of our customers today. Unfair Advantage, QuickTrieve, MetaStock, and other software programs that use CSI data invisibly and seamlessly employ the conversion factor before displaying data on your computer screen or chart.

PRICE FORMAT KEY: For those who want to fully understand conversion factors, here are the details: A positive conversion factor simply tells how far the decimal point should be placed to the left to obtain the "newspaper" price. A negative conversion factor indicates that the final (rightmost or terminal) digit(s) represent fractional values as: -1 = eighths, -2 = 16ths, -3 = 32nds, -4 = 64ths, -5 = 128ths, -6 = 256ths.

Examples for the raw value 56111

Price Format
Conversion Factor Newspaper price*
+5 .56111
+4 5.6111
+3 56.111
+2 561.11
+1 5611.1
+0 56111
-1 5611 1/8
-2 561 11/16
-3 561 11/32
-4 561 11/64
-5 56 111/128
-6 56 111/256

*The "Newspaper price" is the typical price representation, as you might find it in the Wall Street Journal.

Although most CSI users need never concern themselves with conversion factors, the conversion factor system is key to saving space in data storage and space both for newspapers and computer disk resources. For example, the number 9817, with a conversion factor of -3 (for 32nds), in decimal form would be presented as 98.53125. This value would take considerably more bytes of storage and more new sprint space.

One notable exception to seamless conversion factor application is in currency trading. There are two schools of thought on how some currency prices should be presented. While most trading systems require currencies be quoted with a conversion factor of +4 (.6115), others require a conversion factor of +2 (61.15). For this reason, we allow the user to modify conversion factors, but advise that such changes be made only as directed by CSI or your software vendor.

Unit (of Measure): The Unit of Measure entry simply reveals the currency of trading for the particular commodity and the units (bushels, bales, tons, metric tonnes, pounds, grams, kilograms, ounces, percent, points, cross-rate currency, BTUs (or Therms) [A BTU = a unit of heat equal to 232 calories], basis points, acres, barrels, 100 weight (CWT), percent, bags, index, megawatt hours (MWH), gallons, MMBTUs, etc. of product. CME live cattle, for example, is traded in cents per pound (C/LB).

Contract Size: The contract size is shown. You can calculate the total value of any contract by multiplying the contract size times the point value times the CSI price, taking into account the conversion factor. The current Point Value shows the value of the given commodity per point in the currency used to trade the commodity.

Point Value: The "Point Value" is the currency value of the movement of one point in the terminal digit of a price. A good example is the Australian All Ordinaries Index on the Sydney Futures Exchange (CSI#230). In this commodity, the CSI price would be held as 16430 with a conversion factor of +1. The exchange sees this as 1643.0 (after applying the conversion factor). To the exchange, a one-point move is twenty-five Australian dollars, which is the difference between 1643.0 and 1644.0. In CSI's lowest denominator system, the value of one CSI point is AUD2.50, because one point is measured before the conversion factor is applied, such as in the difference between 16430 and 16431.

Active Months: This entry lists a symbol for each of the 12 calendar months in a year. It identifies all the contract months, including those lightly traded contracts that are considered switching months, as well as non-trading months.

They are presented as:
· V = Normal (valid) trading month
· S = Switching month (Switching Months are lightly traded contracts with typically short trading periods and low volume and open interest. They are not usually included in analysis series because of their inactivity and brief trading periods, but they may be included at your option. An example of a switching month is January COMEX Gold.)
· | = Not a trading month

Previous CSI Number: Commodities that have, for any number of reasons, been known by a different CSI number in the past, will have an entry in this field. Commodity #8, High Grade Copper is one example. Comex Copper was originally Standard Grade, which was stored in the CSI database as CSI number 6. See New CSI Number (below) for more on this topic.

New CSI Number: This field shows the date that a commodity became known by its current number. Of course, this field will only hold a value for those markets showing a "Previous CSI Number," above. There will be a footnote on all such commodities explaining the circumstances of the change and how CSI handled it.

2 Character Symbol: This field lists an alternate two-character symbol for those commodities which would normally be identified by a three-character, exchange-sanctioned symbol. These are necessary for use with those third-party analysis programs (at this time, most notably those programs by Omega Research, including TradeStation) that do not accommodate three-character symbols. To use these symbols, check the "Force all commodity symbols to two characters" option on the Displaying Data tab of portfolio settings or Non-Portfolio chart settings.

Currency: This field lists the currency of trading.

Start Date: This is CSI's first day on file for the selected market.

Sector Code: (For stocks) This is the market sector such as Banks, Computers, Drugs, etc.

Industry Code: (For stocks) This is the specific industry within the sector for the given stock. For example, Drugs/Manufacturer is an industry code that is a subset of the Drugs sector.

Foreign key type: This identifies whether or not a stock might have some other type of identification.

Earnings: (For stocks) The most recent earnings per share.

Shares Outstanding: (For Stocks) Shares available for purchase.

Number Institutional Share Holders: (For Stocks) Quantity of shares held by corporations.

Percent Institutional Share Holders: (For Stocks) Percentage of shares owned by corporations.

Average Total Volume: This field is used to determine which markets are most popular and, correspondingly, most liquid. You might sort all markets by Total Volume to find out which are most active overall, or use Total Volume as a secondary sort to compare markets with the same name or from the same exchange. The Average Total Volume field is provided in the factsheet to help users understand general volume tendencies. Volume figures are updated with new UA disk versions, so the volume reflected on your software will reflect volume at the time the software was provided, not current volume. As patterns of relative market liquidity are fairly constant, they are unlikely to be distorted by the lag between the reporting date and the current date.

See the example that follows for information on applying factsheet information.

Footnotes

Always check the box under the commodity list to see if a footnote of important information exists for the selected commodity. The footnote can include a myriad of details such as explanations of no-trading days, changes in contract size, etc.

We request that you consult the Market Specs factsheets (including the footnote section) before calling CSI with a question about data. You may find the answer at your fingertips!

Please see "Editing the Market Specs factsheets" for information on making changes to these values.


Market Specs Example

CSI's internal database design (not displayed for the user) presents all prices as integers. To capture and understand the unique price of a given market, one must convert CSI's integer facts about the given market into a useful form by applying the CSI assigned conversion factor to the integer prices.

Consider, for example, the live hog market, CSI #004. The facts obtained from the CSI fact sheet for this market is the price conversion factor of +2, a contract size of 40,000 pounds, a point value of $4.00, and a minimum tick value of 2.5. The conversion factor of +2 must be applied to both the product price (of 4527, for example) and the minimum tick value of 2.5 when assessing value. This is required because these two values directly affect product pricing. Since the hog market trades in price increments of 2.5 hundredths of a cent, a stated market price of 45.27, would actually be represented as 45.275 cents per pound for the 40,000 pound contract. A movement up of one full cent to 46.275 cents per pound from 45.275 would represent a change in contract price of one cent ($0.01) per pound times 40,000 pounds. Such a price move would represent a $400 movement in contract price.

To assess total contract value for live hogs, a contract priced at 47.275 cents per pound would represent a product value of 40,000 pounds times $0.47275 per pound or $18,910.

Another example might involve the CME's E-mini S&P 500 index contract. The CSI facts display shows this market to hold a conversion factor (price format) of +2, and a point value of $50.00. The facts display shows the minimum tick value for this market to be 5. A typical CSI database integer price representation for the S&P 500, as we go to press with this discussion, is 130000.

After applying the conversion factor to the integer market price (130000) and the minimum tick value (5.0), these two values would be represented as 1300.00 and .05, respectively. If the S&P mini moves up from 1300.05 to 1300.10 for example, this 5 point move would represent a price increase in contract value of .05 times $50.00 or $2.50. The CME website demonstrates that the minimum tick is not .05, but is .25 which when multiplied by $50 becomes $12.50. The apparent discrepancy here has to do with the exchange's settlement mechanism which CSI is compelled to accept. Actual trading is done in .25 point increments, but because of the settlement process, the S&P mini can settle in multiples of .05.


Editing Market Specs

CSI automatically maintains your Market Specs factsheets by transmitting any necessary changes along with your daily updates. Changes could include new trading units, currency, contract size, etc., and may require that additional database manipulations be done to assure data integrity and continuity. CSI takes care of this automatically though your daily transmission!

If you know of changes to the factsheet specifications that have not been addressed by CSI, please send an e-mail to techsupport@csidata.com so we can transmit a revision to all UA users.

CSI periodically transmits Market Specs changes with daily updates, which will automatically overwrite previous versions. If you do not wish to have your Market Specs overwritten automatically, please see "Market Specs Changes" on the Distribution 2 tab of General Program Settings - Account (on the Preferences screen) to change this setting.

UA allows you to edit the commodity and stock specifications if you so desire. We recommend you do not edit the factsheets unless you have a compelling reason to do so.

To edit an entry in the Marke Specs, locate the desired commodity or stock, then click on the table cell to be edited. (Don't double-click it!) Click the cell for a second time to make the values editable, and type your changes.

For example, let's say you wanted to change the Price Format (conversion factor) for CSI Number 65, Japanese Yen, from 4 to 2. This would make the prices display as your preferred 91.08 instead of .9108.

You would go to the Factsheet and locate commodity #65. Then locate the Price Format column (currently the 5th from left) and click on the "4." Click again and type 2 over the 4. Make sure just the 2 is showing, using the delete key, if necessary, to remove the 4. Press Enter to accept the change.

Use the same technique to make all desired changes.


Market Specs Behavior

The Market Specs Behavior screen under General Program Settings of Preferences controls how the Market Specs factsheets will function. Your choices here affect not only when displaying the Market Specifications screens for basic information, but also when using them to select markets for inclusion in portfolios and for charting. Only markets that are active in Market Specs are available to Unfair Advantage.

Secondary Sort by Name rather than previous order

You can sort the Unfair Advantage factsheets of Market Specifications by any column heading, such as CSI number, name, symbol, exchange, average volume, etc. by clicking the heading of the column you want to use as the sorting key. When your sorting key is changed by clicking a new heading, UA will normally retain your previous sort as a secondary sort. For example, if you sort stocks by CSI number and then sort by exchange, the resulting sort will show stocks grouped by exchange, but listed by CSI number within the exchange groupings.

If you would prefer to use the name field as the secondary sort no matter what was previously used, click the "Secondary Sort... by Name" box as shown above.

When this feature is selected (checked), no matter which column you click for sorting markets, they will always be sorted by name within your designated sorting field. Using the above example, if you sort stocks by CSI number and then sort by exchange, the resulting sort will show stocks grouped by exchange, but listed alphabetically by name within the exchange groupings.

Include Inactive Stocks (Available by special arrangement with CSI)

By default, UA will disregard inactive stocks in any portfolio and in MarketScanner analysis. This means that UA will not waste your time writing and re-writing export format files, or creating charts for stocks that no longer trade.

If you would like to include inactive stocks in your analysis or files, arrangements must be made by special arrangement with CSI. Due to the expense of maintaining this database, its low subscribership and the commercial aspect of its use, there is an extra charge for accessing this data. Click the box for "Include inactive stocks" if you have arranged for this premium service. Click the box again (uncheck it) to deactivate this feature.

Include Inactive Futures

When a commodity is dropped from trading by an exchange, the data series for that market is considered "Inactive." When included in Market Specifications, inactive futures are identified as "(INACT)" or "(INACTIVE)." Some examples of inactive futures are CSI #1, Iced Broilers and CSI #6, Standard Grade COMEX Copper. This box must be checked if you wish to view or analyze inactive futures markets.

Note that data from inactive markets may be incorporated into the history of similar tradeables that were introduced as replacements by the exchange. These are noted in the footnotes of the Market Specs factsheets. See #8, COMEX Copper HG for an example.

Click another preference to make more changes or click [OK] to save the current settings.


Market Specs Changes

The factsheets hold important information and settings for maintaining and interpreting the data supplied by CSI. In order to make sure your factsheets are accurate and current, CSI transmits revised versions whenever necessary. The new factsheet ordinarily overwrites the old, allowing changes to be incorporated seamlessly.

We recognize that if you have edited your factsheets with custom information, you may not want a new factsheet to automatically overwrite the old. That's why the following options are offered. You can reach this screen by selecting the "Distribution 2" screen of General Program Settings (on the Preferences screen).

Your choices are:

Automatic (Recommended): This option allows CSI to maintain your factsheet files automatically, as the system was intended to do. It assures that you always have the most current, accurate and STANDARD set of information.

Warn First: When this option is chosen, UA will notify you that a new factsheet file has been transmitted and give you the option of accepting or rejecting that file.

Skip All: UA will discard all new factsheet files without processing the revised information.

The most up-to-date factsheets are usually available for download from the CSI website.


Refreshing Market Specs

CSI automatically maintains Market Specification factsheet files, so it is not usually necessary to manually download a new one from the CSI website. However, if you have blocked UA from receiving factsheets or if your factsheets have been corrupted or damaged and you would like to download current ones, you may do so either through Unfair Advantage or directly from the CSI website.

Downloading Replacement Fact Files Through Unfair Advantage

The Database Menu (above the toolbar) allows you to refresh your Unfair Advantage Market Specs through the "Download Replacement Fact Files" feature. To use, click "Database" to drop down the menu and then select "Download Replacement Fact Files." The following displays:

The terms "Market Specs" and "Factsheet" are interchangeable, and either may display on your screen.

As you can see, this is a very comprehensive list of fact files that can be replaced. It includes not only market lists, but also footnotes, sectors, currency conversion and more. By default, most of these are selected for replacement, but you may customize the list by clicking the boxes to select (checked) or deselect (unchecked) as desired. Leave unchecked any files you want to keep as they are. Note that the new file(s) will replace their predecessors, so in the unlikely event you made any edits, those changes will be lost.

Click [Download] to proceed. A message displays when the transmission is complete.

Downloading Refreshed Fact Files Directly From the CSI Website

To see if a new factsheet is available for stocks or commodities, check Unfair Advantage Headlines at the CSI website. (http://www.csidata.com/custserv/updates/index.html)

If a new factsheet/Market Specs factsheet is available, click the link as directed to download.

· Save a new stock Market Specs factsheet file as: c:\ua\archives\sdbfacts.adm
· Save a new commodity Market Specs factsheet file as: c:\ua\archives\cdbfacts.adm

When the transmission is complete, your files will be replaced. Note that the Unfair Advantage Database menu offers a greater selection of fact files for replacement, as described above.


Managing Market Specs

The commodity and stock Market Specs factsheets can be edited by the user to reflect your own conventions for tracking the markets. Although the CSI staff automatically maintains the Market Specs factsheets through control files that are downloaded with daily updates, you have the power to preserve your edits by overriding those changes. (General Program Settings - Distribution 2, Market Specs changes.)

When your "Market Specs Changes" setting is "Automatic," your Market Specifications may be overwritten at any time. Other choices allow for changes after "Warn First," or to "Skip All" factsheet changes.

Whatever your selection, you may want to preserve your customized Market Specs factsheet for later use, for reference, or to restore after inappropriate (for you) changes occur.

The stock Market Specifications factsheet file is called \ua\archives\sdbfacts.adm
The commodity Market Specifications factsheet file is called \ua\archives\cdbfacts.adm

Backing Up the Market Specs Factsheets

Any time you back up the entire UA directory, these files are automatically included. To back up just the Market Specs factsheet files, click your START button and click "My Computer." Navigate to the UA folder and click it, then click Archives. Click on whichever Market Specs factsheet file you want to back up (sdbfacts.adm or cdbfacts.adm), then go to the Edit menu and click "Copy." Next, click your UAbackup or UA2 folder, and then double-click the Archives folder within. Go back to the Edit menu and click "Paste." This will put a current copy of your Market Specs factsheet file in the directory where you normally back up your UA system. These instructions assume the existence of a directory where your UA backup system is stored. If you haven't previously backed up UA, this directory (folder) will not exist. You may select another directory for storing your backup Market Specs factsheet files.

Restoring the Market Specs Factsheets

If you backed up the full UA folder and want to restore just the Market Specs factsheets, click your computer's START button, click "My Computer," and navigate to either the UAbackup or UA2 folder (whichever you use). Double-click this folder to reveal the UA folder, which you should also double-click. This reveals a series of folders, including one called ARCHIVES. Double-click ARCHIVES and, in that folder, you'll see both the sdbfacts.adm file and the cdbfacts.adm file. Click the one you want to restore (if both, hold down the Ctrl key while selecting), then click the Edit menu. Click "Copy." Next navigate back to your working UA folder and click the Archives folder. Go to the Edit menu and click "Paste." This will restore the Market Specs factsheet files to your current UA.

If you backed up just the Market Specs factsheet files within another folder, use the above directions, skipping the step of going into the UAbackup\ARCHIVES or UA2\ARCHIVES folder.

An alternative to restoring old Market Specs is Refreshing Market Specs.


Facts, Events & Exchanges

CSI maintains a file within UA that tracks important events affecting the markets. It also keeps a list of all exchanges represented in the database along with their UA abbreviations. This combination of important facts was called the "Alerts Calendar" in earlier versions of UA.

To view, pull down the Database menu at the top of your screen, then click "Facts, Events and Exchanges." Click the topic you wish to view and then scroll through the materials to find the content of interest to you.

To make sure UA always has the most current information available, CSI transmits revised and updated Facts and Events calendars periodically. You control whether or not these updates are processed though "Distribution 2" screen of General Program Settings (on the Preferences screen) as shown above (see Factsheet Changes).

To automatically receive and process new Alert Calendars of Facts, Events and exchanges make sure the center box is checked. If new calendars are not desired, click the check to remove it (not recommended).

The Database menu's "Facts, Events & Exchanges" feature offers three types of information that may be of use in trading or understanding the database.

Click the appropriate tab to select from:

· Alert Calendar
· Event Calendar
· Exchange List

You can print the current page of any of these entries by clicking your right mouse button and then selecting "Print."


Alert Calendar

 The Alert Calendar tab of "Facts, Events & Exchanges" from the Database menu gives information about important dates.

It lists contracts that will have a First Notice Day (FN), Last Trading Day (LD) and Option Expiration (LTO) for each trading day. This tab also lists the expected date for the release of important government reports.

Use the scroll bar at right to navigate through the list to the desired date.

You may automatically download updated Alert Calendar by checking the "Replace Alert Calendar When Available" entry on the "Distribution 2" screen of UA Preferences.

You can also replace the Alert Calendar on demand with a fresh download from CSI. See the "Download Replacement Files" topic for instructions.


Event Calendar

The Event Calendar tab of "Facts, Events & Exchanges" from the Database menu gives information about holidays and market closures. Use the arrows and scroll bar at right to scroll through the listing to the date you wish to investigate. The Event Calendar lets you know what markets, if any, were closed on the date in question. Here is an example:

You can replace the Event Calendar with a fresh download from CSI. See the "Download Replacement Files" topic for instructions.


Exchange List

The Exchange List tab of "Facts, Events & Exchanges" from the Database menu helps you identify the exchange abbreviations shown on UA's portfolios, charts and Market Specs factsheets.

You can replace the Alert Calendar with a fresh download from CSI. See the "Download Replacement Files" topic for instructions.


Override Price Handling

General UA Behavior 1 under General Program Settings of Preferences controls an assortment of useful features. Those that affect your database are described here.

Ignore user supplied prices

When the UA database is manually edited through UA's chart tables, the compressed data files themselves are not actually changed. All changes are stored in an exception file, where they can be utilized or ignored.

If you want to ignore the changes you typed into your UA database, check the box beside "Ignore user supplied prices."

Include unreasonable, but real, trades

This prompt rarely comes into play, as it involves trades that were executed far above or below the market price for a given contract, stock or option. Such trades can occur when a trader inadvertently enters an inappropriate bid or ask (typically in a computer-traded market in after-hours trading) and the bid or offer is accepted by another trader before the error is corrected. The result is an executed trade that lies outside the typical trading range for the given market. Such a trade resembles a data error in charting and is considered an anomaly in technical analysis. The Unfair Advantage database stores these trades as executed, but will display and write them to files only if this setting is checked. If this setting is not selected, UA will ignore the outlier trade.

Ignore SnapQuote Data

SnapQuotes are intraday, delayed prices retrieved from third-party websites that may be requested through Unfair Advantage. These quotes are included in charts and tables made during the day, with each subsequent SnapQuote replacing the previous one for the same day, and the end-of-day update from CSI finally replacing intraday data in your file. SnapQuote data appears in charts and tables in a different color from your end-of-day CSI data to avoid confusion. If you would like UA to stop showing any SnapQuote data, you may enter that preference by clicking the "Ignore SnapQuote Data" box here.


Download Replacement Files

Replacement files are available for a variety of data types from CSI.

The example below shows a replacement download for the Alerts Calendar, Historical Events List and Exchange List. Other available categories include Market Specs lists, pending data corrections, reasonable overrides, data adjustment lists, footnotes, lists of groups and sectors, as well as footnotes, currency conversion and the "Tips" file.

To download any of these, click the Database menu and then click "Download Replacement Fact Files."

Check the files you want to refresh (click them), and then click [Download]. A message displays when the transmission is complete.


Data Release Schedule

Data Release Schedule
(All times Eastern and subject to change without notice.)
(Please allow for seasonal Daylight Savings Time adjustments)

10:45 am: Pacific Rim Commodities Released
Exchanges Updated: ATH, CASH, CCX, COT, KFE, KCX, KEX, MDEX, KOFEX, KSE, NZFE, OME, OSE, RAS, SFE, SGX, SICOM, SIMEX, TAIFEX, TCE, TGE, TIFFE, TSE, YCE

3:30 pm: European Commodities and LSE Released except 199, 134, 136, 304, and LME
Exchanges Updated: ADEX, AEX, BDP, BELFOX, DTB, EOE, EUREX, FUTOP, HEX, LIFFE, LSE, MATIF, MEFF, MIF, NSI, OSLO, OTOB, SAFEX, SIA, SOFFEX, SOM

4:30 pm: LME Released
Exchanges Updated: LME

4:45 pm: Preliminary*Stock Data is Released. (See the Preliminary Stock Data topic in this manual for details on this data set.)
Exchanges Updated: AMEX, MSE, NYSE, OTC, PARIS, TSX, VSE

5:45 pm: Most Futures Released
Exchanges Updated: CBT, CME, COMEX, CSCE, FINEX, FOREX, IMM, KCBT, MACE, MGE, NQLX, NYCE, NYMEX, ONE, WCE

6:45 pm: Montreal is Released
Exchanges Updated: ME

7:00 pm: The Official Stocks, Mutual Funds, and most Indices Released
Exchanges Updated: AMEX, CLEAR, FINDEX, INDEX, MSE, MUTUAL, NYFE, NYSE, OTC, PARIS, TSX, VSE

8:00 pm: Cash Series for Above Markets and All Remaining Data Released
Exchanges Updated: BMF, CINDEX, EEX, FTA, IPE, LBM, LCE, OPTIONS, PBOT, TFE, USGOV

8:30 pm: Online Newspaper is current and released.

The above schedule represents our targets. If delays result, rest assured that we are doing everything possible to expedite delivery.

*Preliminary Stock data is provided subject to weather conditions in Florida that might inhibit timely satellite delivery. The Official release is not contingent on weather conditions.

· All times are posted as USA-EST/EDT which are GMT-5 or GMT-4 during Daylight Savings Time.

CSI provides the up-to-the-minute posting status of all markets on the website at:

Data Access Times

The above is the official release time schedule for daily data delivery. The times shown are for the typical user interested in a sampling of markets around the world. Ninety-five percent of the time, CSI will deliver data at a prescribed mean time as listed. To avoid a repeat call due to missing data, do not access your daily file until after the posted release time.

If you happen to receive no data for a particular commodity that settled late or was not quoted by your collection time, the omission will be corrected with the following day's update. After that, corrections, additions and changes are handled through our automatic correction file. We suggest an update time of 8 p.m. eastern time if you require the most complete data set possible.

If you find that certain commodities of interest to you are usually unavailable when you call for your update, you'll need to choose one of these three options: 1) adjust your update time to accommodate the missing markets; 2) continue retrieving your updates at the normal time, but wait until the following day to get the late data in your normal update; or 3) make a second call after 8 p.m. eastern time, which will assure you have the most complete data available for the day.

Hours of Data Availability

The CSI host computer systems are available for access 24 hours per day 7 days per week with random one-to-two minute periods of required downtime for file maintenance. File maintenance will consume approximately 20 minutes per week.


View Posting Status

The Database Menu (above the toolbar) gives access to important features for maintaining and understanding the Unfair Advantage database. The top selection on the Database menu is View Posting Status. Click "Database" to drop down the menu and then click "View Posting Status" to display the current status from the CSI website.

Your computer must be connected for the Internet for this feature to work.

The Posting Status displays as in the example below. As you can see, it includes a complete Data Release Schedule and indicates which categories have been updated so far on that schedule.

Each blue bullet represents an updated market. The example above shows that Pacific Rim Commodities were updated, but European Commodities were not at the time of the query.


Essay on Computed Contracts

Computed Contracts:
Their Meaning, Purpose and Application
An Essay by Bob Pelletier

It is an unending study of an ever-changing subject. It is a quest that takes commodity traders and technicians deep into the history of the markets, brings them rushing back to the present and hurls them pensively into the future. Technical analysis is indeed an exciting, sometimes grueling business; one which leads its practitioners to tackle large quantities of historical data for individual commodities. Speculators demand a workable way to view the markets that simulates the perils, profits and pitfalls of actual trading. Those in the know are finding that the most meaningful results can be found in the study of "computed" contracts, which are derived from, but do not exactly mirror actual market activity. This is a discussion of the various types of computed contracts available to CSI data resource subscribers.

Let's start with the basic fact that futures contracts are relatively short lived. They are created on some date by traders on some exchange floor and eventually die when their delivery dates are reached. This birth-death process for commodity and futures contracts is an inherent characteristic that cannot be ignored. Some commodity contracts have longer lives than others. Grain contracts, for example, trade for a year or two, while financial markets may be traded six to ten years into the future. In all markets, nearby contracts (those about to expire) enjoy much heavier volume and open interest than contracts with later expiration dates. Technical traders are wary of entering illiquid markets, where order-execution slippage can take a significant toll on both actual profits and efficient order execution. Liquidity factors relating to open interest and volume, life span and distance from expiration are all-important considerations.

Nth Nearest Future Contracts

Traders of the 1950s and before were comfortable viewing a concatenation of contracts of the same commodity over time. These were created by manually splicing together the nearest portion of successive delivery months into a series covering ten, 20 or even 50 years. They could then simulate the practice of trading and viewing the more active (and most liquid) period of each successive contract to obtain a feel for trends, volatility and opportunity for profit. Many traders still prefer viewing the markets from a nearest-contract perspective. An advantage to this approach is that the most heavily traded portion of every contract viewed in the concatenated series is a representation of the actual market prices. A major disadvantage is that significant price jumps or drops (discontinuities) occur from one contract to the next which help to discredit, distort and diminish results.

Unfair Advantage accommodates this type of analysis through the Nearest Future Contract choice in its Portfolio Manager. When selecting the Nearest-Future contract option, users may select the calendar delivery months to include. Most users wish to analyze the first nearest future, but the 2nd, 3rd, etc. nearest future may be selected instead, to add distance and time from delivery risk. There is also a prompt allowing users to select the day and relative month of roll-forward. This option also adds distance from delivery risk and clarifies when to expect one contract to roll to the next.

While viewing a chart of this or any other computed series, UA users can display the price, volume and open interest information of the computed contract along with the name of the underlying contract in a movable window. This is done by clicking the Price Window (crosshair) button on the tool bar and positioning the vertical bar on any day.

Gann Contracts

Gann enthusiasts represent another trading group that is interested in simulating markets over a wider spectrum of contract history. This group views the markets similarly to the nearest future proponents, with the exception that like contracts (those with the same delivery month classification) of a commodity are concatenated. For example, a Gann time series might hold the final year of the June 1987 contract, followed by the final year of the June 1988 contract, followed by successive June contracts up to and including the most current June contract that lies within 12 months of its expiration date.

Unfair Advantage accommodates this type of analysis through the Gann Contract choice in its Portfolio Manager. First the single delivery month to be used for this Gann series is chosen. Then comes the roll date, which can be selected as any day relative to month start. This allows for rolling on, say, the first or tenth day of the month, or any date the user selects. The ability to gain more distance from delivery is available for these series by opting to roll in the calendar month prior to expiration. UA users can simply enter a 0 to roll during the delivery month, 1 to roll one month prior to the delivery month, or even higher numbers to roll earlier.

The Gann approach may be better than the nearest-future variety because there are fewer discontinuities. On the other hand, the one-year segments of a "Gann file" may be too long to yield meaningful information. What may have been learned from the distant (early) portion of each one-year segment of the time series may not readily apply to the more volatile later portion of each successive one-year series. As a contract approaches maturity, its characteristics such as volatility and trading volume gradually increase until a maximum level is reached near the end of each delivery month's contribution to the overall series. Unfortunately, the later period of each contract is likely, in a statistical sense, to show no resemblance to the relatively tame earlier period. This phenomenon suggests a lack of stationarity, a statistical property explained in the Perpetual Contract® data discussion below.

Perpetual Contract Data

In 1970, when the computer became more popular for analysis, CSI unveiled its trademarked Perpetual Contract data. This computed contract, very popular among CSI subscribers, represented a time-weighted average price of the two active contracts that lie earlier and later than a fixed number of days and months ahead of the then-current date. This method of calculation remains popular because it provides an accurate view of the market's characteristic waveform over time that is "perpetual" in nature. It is similar to the forward contracts offered by the London Metals Exchange (LME). The major drawback of the Perpetual Contract data approach is that the contracts cannot be traded directly, and can only be used as a guide for overall market direction. They are used to assist in examining long-term analysis alternatives. They should not be heavily relied upon in examining agricultural markets where different supply-and-demand conditions may affect the distinct old and new crops. An alternative to the standard Perpetual Contract data is the open interest-weighted Perpetual Contract which has a near-contract view that results from all contract prices being weighted by their respective open interest.

Advocates of Perpetual Contract data series point out that these series are more likely to exhibit statistical stationarity than, say, a Gann contract. This is particularly true when there is a long enough period from birth to death to change the contract's volatility over time. The concept of "stationarity" is simple to understand. For a serially correlated time series to be stationary (and most time series are serially correlated), the mean and variance of the series must remain statistically constant. Another significant advantage of Perpetual Contract data is that it offers flexibility to focus on near or far contracts as single independent series for analysis purposes. For example, an analyst could pair off far-forward future hogs against nearby corn (the raw material needed to produce the hogs) to study the dependent impact of these two commodities on each other.

Unfair Advantage accommodates this type of analysis through the Perpetual Contract choice in its Portfolio Manager, where many options give the user flexibility to fine-tune the study. Any or all contract months may be included in a Perpetual Contract series, but generally all active trading months (the default response) are represented over time. The Perpetual Contract data user must choose how many months ahead to view the market. Three months is the usual distance, but a two-month forward series may be appropriate for commodities that expire every month or two such as the energy products and perhaps some precious metals. Farther-out studies can also be useful as in the above example of near corn and far-off hogs. Perpetual Contract users have the same roll-forward options as nearest future and Gann traders. The Perpetual Contract choice in the Portfolio Manager is also used to affect open interest weighting on the data, whereby no rolling is involved and weighting is based solely on speculative and trader interest.

Back- and Forward-Adjusted Contracts

More recently, traders have shown an interest in back- and forward-adjusted contracts. Back-adjusted contracts use the actual prices of the most recent contract with a backward correction of price discontinuities for successive earlier active delivery months. In a forward-adjusted contract, the prices of the current contract are changed to eliminate the gap between the current and recently expired contract. An important aspect to remember about forward-adjusted contracts is that current prices do not represent actual values for today's markets. Because of the removal of contract-to-contract price jumps and drops in both back- and forward-adjusted contracts, they appear as smooth, blended, homogeneous price histories representing a sorted and concatenated compilation of successive contracts over time.

Starting with version 1.66 of UA, there are two back adjusters available. One is written with a forward market viewing perspective, and the other views the market forward in time. Both have been thoroughly tested on standard and exotic data as part of our continuing quality assurance commitment. The results may differ in that the roll date may be skewed by a day.

For a more complete comparison of these choices, please go to our Internet site at www.csidata.com. To use the alternate adjuster, click the "Use C++ Back Adjusted" box on the Back Adjusting tab of General Settings (from the Options menu).

The back-adjusted accumulation method of joining contracts in a series over a period of years or decades permits the analyst to focus on the period when one might prefer to trade the markets in actual practice. Traders often wish to communicate their own rolling preferences so that they will not be simulating trading situations when there is either a risk of delivery or an exposure to highly volatile markets. To accommodate these preferences, UA lets users choose their desired delivery months and a roll-forward date. The roll-forward date may be relative to the start or end of the month for rolling. The option of picking a roll date relative to the month end is useful for traders who want to avoid risking delivery of their commodities by rolling out of a contract on or before the first notice day, which is often calibrated relative to the end of the month.

Back- and forward-adjusted files can also roll when heaviest volume or open interest shifts from one contract to the next. The switching of contracts based on volume or open interest is always based on the previous day's data because these values are released one day late by the commodity exchanges. For example, a rollover based on a change in volume or open interest on Monday would not be reflected in the data file until Tuesday. If heavy volume or open interest switches back to an earlier contract, the current delivery month will not change, as it is locked in to avoid confusing oscillations. Although the menu choice of these adjusted files is called "Back-adjusted" the software can forward-adjust the data just as easily.

The selection of representative prices (previously referred to as splicing method and delta) is another user-defined option, which heavily impacts the adjusted files. It refers to the data points used to calculate the back or forward adjustment value. It closes the gap between adjacent contracts by focusing upon the close-to-open, close-to-close or the open-to-open price differential of successive pairs of contracts to be joined. The option of comparing the open price of the new lead contract with the previous day's close price of the former lead contract is an especially desirable feature because it gives the user the opportunity to either ignore or include a real gap in contract-to-contract price movement.

Negative Values in Back- and Forward-Adjusted Series

An advantage of the back-adjusted approach to long-term market synthesis and simulation is that the data observed is precisely the same as the exchange's representation of the final contract in the concatenated series. A flaw in back adjusting is the strong chance that an inflation-sensitive market could produce negative price quantities into the past. The same logic allows forward-adjusted contracts in a deflationary environment to produce negative current prices for today. The suggestion that prices can be negative in actuality is clearly flawed and could discredit the accuracy of such a methodology for longer-term analysis. No one would really pay you to take 50 bars of gold away or pay you to take thousands of pounds of cotton. This flaw demonstrates that a bias is introduced through the removal of contract-to-contract price discontinuities.

When early contract prices in a concatenated set are significantly less than their real contract counterparts, they tend to produce a bias that in simulated trading would heavily favor the act of buying over selling. In addition, even if the early contract prices are not significantly different from their current-contract counterparts, inflation could play a role in influencing buying over selling when such a long series is introduced as representative of current pricing norms. This phenomenon should tell you that your results may be invalid and that applying in the present what you have learned by simulating the past can distort your trading algorithm. Fortunately, there is a way this bias can be removed without compromising the validity of your simulation.

Detrending to Remove Biases

Users of back- or forward-adjusted series can, through a simple time series analysis transformation, remove the upward or downward trend tendencies by detrending the portion of the series that connects the final current contract with the earlier balance of the series. This approach, which is found in all computed contract series and cash prices of the UA data warehousing system, removes any evidence of long-term trend for any length series so that trading can be simulated without the danger of favoring long trades over short trades.

Two alternatives for detrending are offered. One allows detrending up to the very end of the contract that lies before the current contract; the other detrends up to one day short of the period end. This series includes all of the current contract up to, but not including the very last day on file. The latter approach may be most suitable for use with UA's Seasonal Index study.

The idea of detrending is meant to apply only to the longest possible time period. This would be the period of time that incorporates all or virtually all available history for the market to be studied. It wouldn't be practical to detrend the short-to-intermediate oscillatory period. This more fruitful period should be left in the data for the technician to study.

Little or no penalty stems from the detrending process because all data is viewed from today's perspective, with today's prices (when the entire series is detrended). Before detrending, each price in a historical data file is assumed to be measured by today's dollars. Given the effects of inflation over the years, this is clearly a faulty assumption. Consider that a six-cent price move in 1966 may have represented a limit-up or limit-down situation, whereas, the same six-cent move today might be considered insignificant. When data is not detrended, that very significant six-cent move of 1966 is rendered as insignificant as a six-cent move today. Detrending, on the other hand, returns integrity to data from the distant past by putting it back into proper perspective. The importance of detrending is that it increases the chance that analytical results derived from yesteryear will be relevant and comparable to trading conditions in today's market.

Don't be fooled by analysis results which suggest that the simulated performance of a non-detrended series produces greater hindsight profits than the same series in detrended form. Remember that this process removes a bias that may give the false impression that buying is always better than selling. Such results are not achievable in future trading practice. You also cannot easily trade across contract boundaries without paying a heavy slippage and commission tax, even if you have carefully spliced together successive independent series.

Deciding Which Computed Approach to Follow

There are many considerations in choosing computed contracts for analysis and, eventually, for impacting investment decisions. Each category has some unique value. Both the nearest future contract and Perpetual Contract data can view the markets from early and distant delivery perspectives by focusing upon contracts that expire either early or late with respect to any given current date. The Perpetual Contract is the only viable approach that can focus upon a fixed period forward in time and therefore achieve a substantial level of statistical stationarity.

From an astrological perspective, perhaps only the Gann computation is valid. It seems to have the advantage of offering a predictably long period of time to view a market on an annualized basis and may have some longevity benefits not possible with nearest-future contracts. Nearest future contracts have the advantage of focusing upon the most liquid period of a contract's life, but the disadvantage of offering very brief periods of individual contract data.

The overlooked idea of detrending of computed data is especially useful with Unfair Advantage. Without loss of substance, one can get data into a form where profits and losses are not subject to extremes and avoid the problem of compounding profits and losses of the distant past into present value terms. Portions of an entire time series can receive equal weight treatment, and the early portions of a detrended inflationary series are progressively amplified so that they appear in as volatile a form as the most current data.

The back-adjusted contract offers the most flexibility for the user. Current data can be supplied as it was actually traded in exchange-released form and past data can be expressed in adjusted and detrended form. The mechanical effects of back adjusting and price inflation can be removed, making the detrended series an excellent source of information for seasonal analysis. A minor disadvantage to the back- or forward-adjusted contract is the heavy computing requirements necessary to produce the resulting series. Total computing time is measured in seconds rather than microseconds, making it necessary for one to wait for results.

Perpetual Contract data is also a very good choice because of the statistical stationarity issue, but many users dislike using non-tradeable price representations. As an analytical guide or tool for overall market direction and as an auxiliary independent supporting input, it is an excellent choice.

Traders and analysts may be tempted to adopt some form of hindsight market synthesis and simulation to prove a preconceived method of trading. Each of the alternative computed contract methods have certain advantages. In addition to what has been argued above, the Perpetual Contract data has a very distinct advantage over the others where intermarket analysis is involved. Because Perpetual Contract data uses actual prices on a time-weighted forward basis, the data in related markets operating in parallel can be significant to any analytical exercise.

Price ratios of related markets and their correlated or associative properties are directly comparable. Back-adjusted series, on the other hand, cannot benefit from such associative characteristics. This is so because the inherent flaws involving contract splicing and the overwhelming tendency for back-adjusted series to report negative readings all but destroy the relative characteristics of one market with respect to another. Gann and nearest future contracts can be used much like Perpetual Contract data, however, because of inherent price discontinuities, the results are not as consistent for longer-term analysis.

This message is presented to guide you in your study of the commodity markets and to help you understand the ever-changing subject at hand. It is not only for those who are contemplating building trading systems based on computed contract series, but also for those whose trading systems have been derived from such approaches. Each type of computed contract discussed here can add some visibility to market analysis. It is important to consider both the strengths and possible weaknesses inherent in these methods to maximize profits and preserve capital in actual trading.


Editing the Database

The UA database itself cannot be edited by the user. Error corrections made to the CSI host computer are transmitted along with daily updates to each UA subscriber. This assures that each user has an identical database of the most accurate data possible.

If you suspect an error in your CSI data, please report it to CSI so that the questioned values can be researched and appropriate corrections made to all UA installations. We reward the first person reporting an error with a CSI pen!

UA does allow you to create an exception file of price and/or volume and open interest revisions to meet your individual needs. This might be handy to correct an error before CSI has a chance or to do what-if studies. Your revisions, if desired, will be incorporated in all charts and export format files.

Since your edits are stored separately and do not affect the compressed UA database itself, it is possible (and easy) to remove edits (see below) or to ignore user edits in any application.

Your changes will not be effective immediately. You must re-create the chart to reveal the new prices. This applies to export format data files as well. To incorporate changes, the files must be re-written.

To edit prices or volume:

1) Create a UA chart of the raw price series to be modified. Be sure you select the raw stock or commodity contract, not an adjusted or detrended series. See Creating a Chart for instructions.

2) Once the chart displays, click the "Table" tab at the bottom of the screen.

3) Scroll through the table data to find the date to be modified.

4) Double-click on the price or volume cell to be edited. A cursor will display. (Alternately, you may select the cell to be edited by clicking it once, then press the <F2> key.)

5) Type your changes, being sure to use the same units as the other prices or volume/OI for the contract or stock. Press [Enter]. The entire table row for the edited day will change color to alert you that you are not viewing original prices (even if you didn't make a change).

To mark as a holiday

Any data that is represented within UA as a "Holiday" becomes invisible to the system. Depending upon your stated program preferences, holidays are either omitted as null days or shown as blank entries in charts and data files. Holidays can be useful for "what if" studies, particularly if you want to exclude the most recent update, hide a particular trade trigger or omit an unusual data point. The steps are:

1) Create a UA chart of the raw price series to be modified. Be sure you select the raw stock or commodity contract, not an adjusted or detrended series. See Creating a Chart for instructions.

2) Once the chart displays, click the "Table" tab at the bottom of the screen.

3) Scroll through the table data to find the date to be modified.

4) Click on any price or volume cell for the day you wish to convert to holiday status and then click your right mouse button.

5) A menu displays with "Holiday" as the first selection. Click "Holiday." The data will disappear from the table and corresponding charts and tables. (Don't worry, it isn't really gone!)

To restore the data, click the "Holiday" entry again (to uncheck it) or use any of the three entries on the menu dealing with removing edits. They are: "Remove Trailing Holidays," "Remove Edits for Record" and "Remove all Edits From Series."

To add the next day (for manual data entry):

There are a few reasons why you might want to manually enter a day of data before you download that day's update from CSI. UA allows for this through the data display table. Before you can manually enter the data, you'll need a new row in the price table. Here's how:

1) Create a chart and display the table as described above.

2) Click anywhere on the table, then right-click your mouse. The following menu displays:

3) Click "Add A Day" to insert a day at the bottom of your table. It will be dated the next business day after your last day updated. The values shown will be a repeat of the previous day.

4) Type your desired price or volume data.

5) Press [Enter] to record your edit.

6) Repeat for all fields.

To add a future day

To add more than just the next day, use the same process described above for adding the next day, but choose the "Add a Future Day" selection from the menu.

To add blank records

Blank records are essentially "Holidays" added to the end of your file. This is a handy feature for creating a little pad at the end of your chart that you might use for software projections or even hand-drawn extensions. Here's how:

1) Make your chart and switch to a table as described above.

2) Click your right mouse button to bring up a new menu of choices, which includes "Add Blank Record." Click this selection. The following displays:

Removing Edits

Whenever you manually edit a day of data through a UA price table, the edited lines display in a different color for easy identification (on the table only).

You can restore the presentation of the UA compressed database by removing your edits.

To remove edits:

1) Create the required chart and click the "Table" tab to view the price table, as you did to edit the data originally.

2) Click the table row for the date you wish to return to its original form.

3) Right-click your mouse to display the following menu:

4) Click "Remove Edits for Record." The entry that was created in the UA exception file for this specific date will be deleted, so only the data stored in the UA compressed database will be available for that commodity or stock. Your changes will not be saved in any way.

An alternatives to permanently removing edits is changing your selection on the General Settings screen of Preferences menu to temporarily ignore User Edits.


Naming Conventions

Whether you are viewing a chart or saving a file to disk, it is important to be able to identify the time series at hand. Unfair Advantage handles the identification process through the use of very descriptive filenames. Filenames for conventional (normal) futures contracts are straightforward and easily mastered. However, computed contracts (adjusted, Perpetual Contract data, Gann, etc.) offer a challenging mix of parameters, each of which is revealed in the filename.

The filename for a normal futures contract is determined automatically based on your choices during your selections for this specific portfolio. You can review and change these entries by selecting the appropriate portfolio from the Portfolios box and then clicking the [Edit] button just below the name. Click the ASCII formats tab to view your settings.

UA does not emulate QuickTrieve in its handling of computed contracts and file naming conventions. Naming conventions for computed contracts can be employed only as long as the files are in ASCII, or dBase (all the ASCII-like) formats, and even then, the filename cannot deal with the switching or non-switching months or some roll-forward criteria.

Normal Futures Contracts

The filenames for normal future contracts typically include a symbol, the numerical delivery month and the delivery year. An ASCII file might be listed in your portfolio as:

ASCII comma w/century daily file -->LC_1997M.CSV

This would follow a header identifying the commodity. The actual filename (at right) shows the symbol (LC for Live Cattle with an underscore padding the three-character field), the delivery year (1997), a single-digit delivery month code (M for June) and a three-character file extension as selected by the user. Alternate presentations can include a code identifying the exchange and other options. A numerical delivery month code 1 - 12 can replace the alphabetic exchange-based one shown here:

F - Jan G - Feb H - Mar J - Apr K - May M - Jun
N - Jul Q - Aug U - Sep V - Oct X - Nov Z - Dec

Nth Nearest Future Contracts

The conventional contract closest to delivery has traditionally been identified as the "nearest future contract". In practice, however, commodity traders have a different view as to which contracts should be included in the list of candidates to consider for nearest future treatment. Unfair Advantage gives great leeway in determining which contracts are to be included, how far out the market should look and when the rollover date should be. UA's file-naming structure of rolling rules for nearest future (and back-adjusted) contracts is as follows:

SSS Symbol

I Number of months to ignore in hexadecimal (0-9,A,B,C,D,E,F,N). If the user wishes to roll relative to contract end, then this field will hold a 0. In general, the "ignore" value represents the number of months before the expiration month that rolling should occur. Not withstanding the preceding, if rolling is requested to occur with respect to contract expiration, then the character position identified with an 'I' will represent the first digit of the number of days before contract end as described in the rR field below.

rR If the roll-forward relative date is measured with respect to the month end, rR = relative date + 31; if the roll-forward date is measured with respect to the month start, rR will be set to = a value from 1 to 30; if the roll-forward date is to be the last trading day, then the two characters: _L will be shown in the rR field positions; if the roll-forward date is measured from contract expiration, then the R position will hold an 'X', and the number of days in the two characters: I and r will represent the number of days before contract end where 01 signifies the last trading day, 02 signifies the day before the last trading day, etc. In no event, should the two character: 'Ir' ever hold the quantity 00.

When Rolling is a Function of volume, open interest, either volume or open interest or both volume and open interest. In the event the user requires rolling to be a function of new contract readings overtaking old contract readings in the fields of volume, open interest, either volume or open interest or both volume and open interest, then the following three sets of four rR set possibilities will be written into the file name: _ V, _I, _ E, _ & designates rolling when all readings are well known for a) volume, b)open interest c) either volume or open interest, or d) both volume and open interest. @V, @I, @E, @& designates rolling when all readings are reported for a) volume, b) open interest c) either volume or open interest, or d) both volume and open interest. A V,A I,A E,A & designates rolling when all readings are anticipated for a) volume, b) open interest c) either volume or open interest, or d) both volume and open interest.

N This is the value of N in an Nth nearest future calculation.

'N' This is the Nearest future designator (upper case 'N' for a non detrended series, or lower case 'n' for a detrended series.

Back- (or forward-) Adjusted Data
(Back- Forward- or Proportionately Adjusted)

Back- (or forward-) adjusted files are built from a series of contracts whose prices have been adjusted (either backward or forward) to eliminate the gaps between expiring and newly active contracts. Each of the parameters is explained in Chapter 3. The files are named as follows:

SSS Symbol
I No. months to expiry (0,1,2,...8,9,A,B,C,D,E,F)
rR Same as for Nth Nearest Contract
D This field combines two parameters: detrend and the computational rolling rule:
Computational rule Detrend Description Description D=
0 = close-to-close Do not detrend 0
1 = open-to-open Do not detrend 1
2 = close-to-open Do not detrend 2
3 = close-to-open w/old gap Do not detrend 3
4 = close to open w/new gap Do not detrend 4
0 = close-to-close Detrend to day before the last day of the current contract A
1 = open-to-open Detrend to day before the last day of the current contract B
2 = close-to-open Detrend to day before the last day of the current contract C
3 = close-to-open w/old gap Detrend to day before the last day of the current contract D
4 = close-to-open w/new gap Detrend to day before the last day of the current contract E
0 = close-to-close Detrend to 1st non-current contract X
1 = open-to-open Detrend to 1st non-current contract Y
2 = close-to-open Detrend to 1st non-current contract Z
3 = close to open w/old gap Detrend to 1st non-current contract V
4 = close to open w/new gap Detrend to 1st non-current contract W
J Adjustment type: F = forward adjusted; B = Back adjusted; R = proportional. (The redundant notation of upper case letters for non-detrended and lower case for detrended, is used here for consistency with the other computed contracts.)

(Note, when rolling on volume or open interest, the number of months to expiry (I) is not relevant, but a "0" will be introduced into the fourth column of the expressed file name.)

This produces an 8-character file name. For example, JUS133Cb represents U.S. T-Bonds on the Tokyo Stock Exchange (JUS), expiring one month earlier than the expiration month (1), rolling two days before month's end (31+2 = 33). Detrending occurs through the end of the first non-current contract using the close-to-open rule (C) on a back-adjusted (b) series. Note that filenames are the same for contracts that are detrended through the previous contract as for contracts that are detrended through the next-to-last update. If both types are required, they should be stored in different directories through the Portfolio Manager to avoid overwriting.

Gann-Format Data (continuous)

W. D. Gann, legendary commodity trader, discovered long-term market cycles by studying many years of data for the same contract month of each commodity. Since no single contract trades for very long, the combined data from one delivery year with data from the next year in a continuous fashion, always focusing upon the same delivery month. CSI delivers a continuous data file, which produces the same type of year-to-year chart. A Gann-format file contains prices of a specific contract through its expiration or your specified roll-forward date. On the day following the roll-forward date, data for the same delivery month of the succeeding year is included. UA creates Gann-format ASCII files with delivery month codes as follows: 70 + Delivery Month To View -1 = Gann code. Therefore: a December contract would be 81, because is (70+12-1 = 81).

SSS Symbol
I Number of months to ignore (0-9)
rR Roll-forward day of month
M Gann delivery month (see alphabetical delivery month codes)
'G' Gann contract designator (upper case for non-detrended; lower case g for detrended)

Perpetual Contract® Data

This is a proprietary CSI concept, which represents a weighted average of the distant two contracts that lie adjacent to a given period-ahead point in time or, under certain circumstances, an open interest-weighted series, which includes all delivery months. Each of the parameters included in these files is explained in the Portfolio chapter. The filename is constructed as follows:

SSS Symbol
I Number of months to ignore (0 - 9)
rR Roll date of month or _L for last trading day
0-9 Perpetual no. months forward (0 for open interest-weighted series)
'P' Perpetual Contract designator (upper case for non-detrended; lower case p for detrended)

Cash Prices

The filenames for cash price series include a symbol and a numerical delivery month code (either 54 for current day cash or 61 for lag day). If the data is detrended, the filename shown is suffixed with a lower case "d." A detrended cash price file might be listed as:

ASCII comma w/century daily file -->LC_54d.CSV


Daily, Weekly & Monthly Files

Structure of Daily, Weekly & Monthly Charts and Files

The file structures shown here reflect the contents of the six data fields identified as open, high, low, close, volume and open interest. Most commodity files contain exactly this data in these fields. Certain fields may be replaced by other types of data as indicated in the fact sheets. One should consider the type of data stored in each of the six fields when interpreting weekly and monthly figures.

A DAILY file will hold the daily open, high, low, close, volume and open interest.

A WEEKLY file will hold Monday's open, the high and low for the week, Friday's close, and volume and open interest according to your preference set in UA's Aggregate Files screen in your portfolio settings or Aggregate Method in UA's Charting Preferences from the Preferences screen.

A MONTHLY file will hold the open from the first business day of the month, the high and low for the month and the close from the last business day of the month. Volume and open interest are presented according to your preference set in UA's Aggregate Files screen in your portfolio settings or Aggregate Method in UA's Charting Preferences from the Preferences screen. Monthly volume figures normally represent the average daily volume. The total volume for the month can be used if it is not larger than 9,999,999.

Within UA's charting module, you can select to view quarterly or yearly files through the right-click menu. These values also use the Aggregate Method settings.


Commitments of Traders Data

Many successful traders rely on Commitments of Traders data to keep tabs on the market interests of larger traders and hedgers, whose activities often influence future price performance. We are very pleased to offer a Commitments of Traders Data feed on 63 commodities as part of the CSI database.

Our data set includes Steve Briese's index computations, as well as the CFTC's raw released information with, in some cases, adjustments for obvious errors in the CFTC' s report. These bi-weekly reports are available every Tuesday with any corrections for the earlier week and the new government computed statistics on alternating Tuesdays.

Commitment of Traders data and The Briese COT Index are part of CSI's "Miscellaneous" database, where they can be analyzed and viewed as individual time series. The Briese Commitments of Traders Index can also be displayed as a study on any UA chart of the corresponding commodity's price series.

To add these data to a portfolio or make a chart of COT data as an independent series, begin as you would for creating any chart as explained in the "Creating a Chart" topic. Select any market type and then click the [Mkts] box next to the "Markets" box at right. This will bring up the market selection screen. Click the down arrow in the "Market Type" box at right, which will drop down a menu of any type of data. Scroll down to Commitments of Traders and click. The corresponding markets will display.

Note that CSI offers two series for each of the 63 covered commodities. The symbols for the Briese COT Index series end in the "&" character (shown above). These are followed by the raw COT data, whose symbols end in the "%" character. Scroll through the list to see all available COT series.

Select any of the COT or Briese COT Index series you wish to chart or add to a portfolio, and click [OK]. The subsequent screen shows that no additional input is needed for this series (it is automatically "cash"), but you may select additional file formats and periodicity (weekly is preferred, but not essential) as desired. Click [OK] when all your requirements have been selected.

Briese's COT Index will present in values from 0 to 100; Standard COT data presents as a very broad range of values.

Chart Presentation

As these are weekly values, the default presentation in UA charts is as a weekly chart. You may change this as desired.

Use the chart crosshairs with readout feature or click the [Table] tab at the bottom of the chart for help in interpreting the chart values.

Click the [Add to Portfolio] button at the bottom of your chart to include this series in a portfolio.

File Format for Briese's % COT Index

These files use a standard price format - comma delimited, 7 field ASCII, suitable for importing into spreadsheet or graphing software. Briese %COT Index files are named with "COT" followed by the commodity symbol (e.g. Soybeans is "COTS.PRN").

The field substitutions are as follows:

DATE DATE
OPEN WEEK*
HIGH LARGE SPECULATOR INDEX
LOW COMMERCIAL HEDGER INDEX
CLOSE SMALL TRADER INDEX
VOLUME ZERO**
OI ZERO**

*WEEK Since 2 weekly reports have been issued on alternate Fridays since 10-6-92, the WEEK field is used to determine if the data is (1) the current week or (2) one week old. This would be important if the data were used in system trading, since the week old data would not be available any earlier than the current week's data. In general, you can assume that data with a WEEK code of 1, was available approximately 1 week after the compilation date carried in the DATE field. WEEK = 1 IF LATEST REPORT; WEEK = 2 IF REPORT IS 1 WEEK OLD

** ZEROS are carried for Volume & Open Interest fields to facilitate importing into graphing packages as 7 field ASCII.

The calculation for Briese's Index is proprietary.

Unfair Advantage Example:
Soybeans COT Index file # 2412
19991026 Week 2 large speculator=82, Commercial=18, Small Trader=44

File Format for CFTC COT Data

These files also use a standard price format - comma delimited, 7 field ASCII, suitable for importing into spreadsheet or graphing software. Futures Only Commitments of Traders Data files are named with the symbol preceded by the letter "q" (e.g. Soybeans is "QS.PRN"). The futures + options data files are preceded with the letter "u" (e.g. Soybeans is "US.PRN"). The format for both files is identical:

DATE DATE
OPEN LARGE LONG
HIGH SPECULATOR SHORT
LOW COMMERCIAL LONG
CLOSE HEDGER SHORT
VOLUME SMALL LONG
OI TRADER SHORT

COT Data file for calculating above COT Index

For more information on C.O.T. data and their use, you might want to subscribe to Steve Briese's Bullish Review (phone 888-423-4950). Every two weeks, Steve reports on dozens of government-regulated commodity markets. He supplies charts of market behavior, inclusive of his index, and commentary on future price performance prospects derived from the COT data.


Mutual Fund Data

Mutual fund data supplied to Personal and Private Use and Professional Edition versions of Unfair Advantage has been adjusted to reflect dividend and capital gains information, but these adjustments are not displayed individually.

CSI's commercial accounts, which are serviced through mainframe-to-mainframe FTP transfers, receive unadjusted mutual fund data with specific listings for month-end capital gains and dividends, but at substantially higher prices. If you would like more information on FTP transfers, please contact a CSI Commercial Services representative at (800) 274-4727 or (561) 392-8663.


Preliminary Stock Data

The CSI Data Release Schedule and Posting Status screen on the website show Preliminary Stock Data available at 4:45 p.m. Clearly, the CSI computers and database staff would not have had time to screen and certify the massive stock database in this brief interval between the close of the markets and this release time. This early posting time is possible only because preliminary data is posted without prior screening, with the intent that it will be considered conditional data until confirmed through the official update around 7 p.m.

This represents a recent departure from CSI's longstanding policy of posting only finalized quotes, as opposed to preliminary price data that would be comparable to the early quotes provided by other services. Because of customer demand for early reports, CSI now offers preliminary data as described here. We do so with the caveat that customers should act only on the official data that will become available around 7:00 p.m. daily.

The preliminary data will be revised in subsequent updates whenever necessary through an existing utility that allows Unfair Advantage users to call for data as frequently as desired, so long as each call comes from the same computer. This means that you may call two or more times every evening without paying extra fees. The first call would allow you to prepare for the next day's trading with preliminary stock data, and subsequent calls would fill in any missing or flawed entries that may have resulted from that early or preliminary update.

Even with preliminary updates, a nearly flawless historical database is assured once our data checking efforts are complete. Even if an update were not made after the final posting, the following day's update would correct missing or flawed data from an early update on the previous day. Customers are warned that there is a strong likelihood that some preliminary stock reports will be revised. No trade orders should be placed without confirmation of the "official" quote after the official release time and without confirmation from your broker.

In deciding whether or not to use preliminary data, you should ask yourself if you wish to receive possibly flawed preliminary data in order to process earlier updates. In other words, is expediency at the cost of possible inaccuracy (as practiced by our competitors who follow an early release schedule) a desirable tradeoff? If your answer is "no" to these questions, then simply ignore the early stock quotes and be sure to update again after the official release time or the following day to receive verified stock data. If you feel that a greater possibility of errors is acceptable, provided they are supplied with the understanding that corrections would be available through subsequent updates, then feel free to indulge in the preliminary stock data. Only CSI gives you the benefit of early access to preliminary data plus the assurance of an accurate database through automatic revisions.


Stock Symbol Changes

Stock exchanges append an "e" to the symbol when a company fails to meet a NASDAQ stock listing requirement, and they append a "Q" when a company files for bankruptcy. CSI continues to carry the stock in either event.


Daily Summary Report

The Daily Summary Report is a great way to check out your positions in the market and to get a quick overview of market activity. This feature can also make an export file of your daily summary.

snapico To view a listing of your most recent update (current data), click the "Report" button on the main toolbar or pull down the Database menu and click "Daily Summary Report." The following displays:

Scope: With this prompt, you tell UA what numerical pricing data should display. Select from:

· Everything in my portfolios
· This Commodity/Stock (Enter a commodity symbol followed by (c) or a stock symbol followed by (s) or click [Mkts] to select from the factsheet lists.)
· Everything in this portfolio (Click the arrow to display a list of available portfolios.)
· All Commodities - This selection cannot be copied or printed unless special arrangements are made with CSI at a higher cost.

Depth: Show nearest 99 contracts (per commodity) - When this value is reduced to a small number, this feature lets you exclude very far-out contracts form your report. Include cash prices and options (if they are part of your on-site database) as desired. When options are included, you can limit the number of nearby option series. Note that the choice to include options is offered only for Portfolios, not for "all commodities" or for individual commodities or stocks.

Miscellaneous:

Show all contract details initially: You have the choice of showing all contracts for a given commodity or displaying a compressed list of just the first contract per commodity. When this choice is not checked, you get the compressed list, which you can expand by clicking on the one contract that is showing for a given commodity.

Account for stock splits and dividends: When this choice is checked, UA uses the control file information received with the download to adjust the net change for splits and dividends. It slows the process considerably.

Display prices in decimal: For markets quoted in decimal, like most U.S. stocks and indices, this feature has no impact. However, for markets that are quoted in fractions, including many commodities, selecting this feature will cause UA to convert values to decimal form. When fractions are used, the caret figure (^) seen in many prices indicates the divider between whole and fractional values. For example, the Corn example below shows an open cash price of 186^4. Since grains are held in the database in eights, this value represents 186 4/8. Naturally, these types of prices would display only if you opt not to display data in decimal.

Sort by: Exchange, CSI Number, Symbol or Name - This determines the order of the data displayed in your report.

Click [Build] to create your report. The screen looks much like the following example:

Click on the first entry for any market to expand or collapse the list below it.

Additional choices on the Daily Summary Report screen are:

Copy: To copy today's report to your computer's clipboard for pasting into another document. (This function is not supported if the scope of your report is All Commodities. To engage the Copy command when "All Commodities" is selected, please contact CSI marketing for details on cost, etc.)

Print: To make a hard-copy printout. (Note - this is not supported if the scope of your report is All Commodities.)

Help: To display a detailed description of the data provided.

Click Close to exit the report.

Note: The Daily Summary Report was called "Snapshot" in earlier versions of Unfair Advantage.


Advance/Decline Report

Example

Exchange Statistics for 20050307

Exchange Rank by Volume Symbol(csinum)
NYSE 1 ELN( 3183)
NYSE 2 LU( 11310)
NYSE 3 NT( 5123)
NYSE 4 TXN( 5178)
NYSE 5 PFE( 5020)
NYSE 6 MOT( 5053)

Advance/Declines by Exchange

Exchange: AMEX
Issues Traded: 1091
Advancing Issues: 608
Declining Issues: 405
Unchanged Issues: 78
Advance/Decline Ratio: 3:2 (1.501235)
Advancing Volume: 3540
Declining Volume: 2665
Unchanged Volume: 0
Advance/Decline Ratio: 4:3 (1.328330)
New Highs: 0
New Lows: 0

Exchange: NASDAQ
Issues Traded: 3293
Advancing Issues: 1550
Declining Issues: 1611
Unchanged Issues: 132
Advance/Decline Ratio: 1:1 (0.962135)
Advancing Volume: 147542
Declining Volume: 44315
Unchanged Volume: 3062
Advance/Decline Ratio: 3:1 (3.329392)
New Highs: 171
New Lows: 47

Exchange: NMS
Issues Traded: 3293
Advancing Issues: 1550
Declining Issues: 1611
Unchanged Issues: 132
Advance/Decline Ratio: 1:1 (0.962135)
Advancing Volume: 147542
Declining Volume: 44315
Unchanged Volume: 0
Advance/Decline Ratio: 3:1 (3.329392)
New Highs: 0
New Lows: 0

Exchange: NYSE
Issues Traded: 3461
Advancing Issues: 1775
Declining Issues: 1525
Unchanged Issues: 161
Advance/Decline Ratio: 7:6 (1.163934)
Advancing Volume: 88151
Declining Volume: 58401
Unchanged Volume: 0
Advance/Decline Ratio: 3:2 (1.509409)
New Highs: 365
New Lows: 14


Database Usage within UA

Just below the Portfolio Manager panel is the "Database Usage" display, which reports on usage statistics for futures, stocks and options, inclusive of an inventory of drive usage. This information is passed to the CSI host computer to monitor license compliance and may influence billing reports.

Hold your mouse over the display or anywhere in the lower border for a detailed summary of the content.

This information can also be found on the Access Rights screen found under "Account" of General Program settings on the UA Preferences screen.


Third-Party Software

CSI is proud and pleased to be the data supplier of choice for many well-respected vendors of analysis and market trading software. We service users of these "third-party" programs with quality data and support, including specific information aimed at simplifying the interface between data acquisition and analysis.

Third-party software refers to analysis programs outside of the Unfair Advantage environment, such as MetaStock, VantagePoint, Delta Graphics, One Day at a Time, Excel and other analysis or spreadsheet programs. These third-party programs usually read data files that have been exported by Unfair Advantage. Export format files are placed on your hard drive so that they may be accessed for analysis by your third-party programs. Once these files are written, you may exit UA and perform analysis as directed by the respective software makers.

Analysis software is said to be "compatible" with Unfair Advantage when it can read data files generated by this software. Fortunately, Unfair Advantage can create data files in several different formats that can be read by one analysis product or another. The current formats supported for file creation by Unfair Advantage include:

· ASCII (for use with various spreadsheets or for use in word processing programs)
· CSIM (for use with older MetaStock-compatible programs)
· MS (for use with MetaStock)
· CSI (for use with TradeStation, Vantage Point, Delta Graphics and most third-party analysis programs)
· UA compressed (can be read by our API)

Additional formats are under development to further expand flexibility.

Some software programs are so compatible with Unfair Advantage that you don't even see Unfair Advantage running. These programs are our One-Button Update Partners. They can work through either UA's EZ Downloader or through a menu selection within their own software.

If you want to manually customize UA for compatibility with third-party software, you should assure that data files are written to your hard drive in the proper format and location as explained here.

Unfair Advantage will automatically create and maintain export format files that are specified in user portfolios. Users of some programs will have arranged for automated portfolio creation during setup. These portfolios are customized for export without additional manipulation or input from you. See more on "Disappearing Unfair Advantage" in the Analysis Without UA topic.


One-Button Updates

(A.K.A. Disappearing Unfair Advantage)

CSI's data products are important to the makers of analysis software because traders require accurate, timely market data to fuel their trading systems. Some vendors of market analysis programs have arranged for super-compatibility with CSI, which facilitates retrieval with Unfair Advantage as part of their services. Others use CSI's Unfair Advantage on a limited basis (for just data retrieval).

Many CSI subscribers use Unfair Advantage only for data retrieval, and then use third-party software for market analysis. Some use software that is so seamlessly compatible that they aren't even aware of the transition between the two. For those subscribers who use UA as a mere data conduit, CSI offers One-Button Updates to simplify your life.

One-Button Updates are available in two forms: the CSI Market Data Software, and EZ Downloader.

CSI Market Data Software is for retrieving daily updates from CSI using a program that launches and runs Unfair Advantage in the background. It is activated from a menu prompt included in third-party analysis programs. Our program can be launched from a single button, so refer to the service it provides as One-Button Updates.

So far, this has been distributed with resounding approval by Welles Wilder of Delta Society Int'l in their Delta Graphics programs. Delta Graphics users simply click the "Get CSI Data" prompt on their File menu to retrieve the latest daily update and maintain all required files automatically. From there, analysis on a Delta Society-maintained portfolio is just a few keystrokes away.

These third-party programs have a menu selection, button or screen prompt that initiates a CSI download and then automatically and invisibly uses UA to deliver data and maintain pre-specified portfolios. With this setup, a CSI subscriber can arrange for updates and install the UA software, but subsequently use only the third-party analysis product for daily applications.


One-Button Update Partners

These third-party programs have a menu selection, button or screen prompt that initiates a CSI download and then automatically and invisibly uses UA to deliver data and maintain pre-specified portfolios. With this setup, a CSI subscriber can arrange for updates and install the UA software, but subsequently use only the third-party analysis product for daily applications.

Third-party software vendors currently offering this enhanced degree of compatibility with CSI are:

· One Day at a Time and Delta Graphics by the Delta Society - Website: www.deltasociety.com
Click here for more information on using Delta Society Int'l Software with Unfair Advantage.

· (TM) Software - Website: www.mtpredictor.com.

· Stock Market Magic by Great Inspirations Software - Website: www.gisor.com

· VantagePoint Software by Market Technologies - Website: www.traderstech.com
Click here for more information on using VantagePoint software with Unfair Advantage.

If you would like your third-party software to support this CSI service, please ask the supplier to contact CSI. Our staff will work with them (free of charge) to facilitate a seamless interface for you.


EZ Downloader

The EZ Downloader is an auxiliary program that launches Unfair Advantage and initiates a download and distribution without additional user prompts. It was created so that data can be easily accessed for use by third-party software programs, even if the user does not have an in-depth understanding of Unfair Advantage's portfolio system.

To use this feature, click your computer's Start menu and then click "All Programs." From the full menu of programs, find the Unfair Advantage program group and hold your mouse there. This will display an additional menu, which includes "EZ Downloader," as shown below.

Click the EZDownloader menu selection to begin data retrieval and distribution with Unfair Advantage. The following displays:

Your Account information, which includes you User ID and your User Number will display automatically. If you do nothing more, the download will proceed automatically in 30 seconds. You can watch the time count down in the "Download" area of the screen.

If you prefer to hasten things along, click the [Download Now] button.

Click the [Cancel Countdown] button if you want to initiate the download yourself at a later time. This will leave the dialog open, with the [Download Now] button available for use.

Click [Close] to cancel and close the program.

Our many customers who run VantagePoint analysis software use this feature. The professionals at Market Technologies (makers of VantagePoint) work with the CSI support staff to maintain current downloadable portfolios, assuring that VantagePoint users have exactly the appropriate market mix for analysis — automatically.

The EZDownloader user need not know anything about running Unfair Advantage because the entire process, from defining a portfolio to identifying export file locations is handled automatically, in the background. There is no need to navigate through UA's comprehensive menus because CSI's staff maintains the appropriate portfolios.

Although Market Technologies is the first to make regular use of the EZ Downloader, this service is available to others and we hope it will gain broader patronage over time. If you are interested in using this CSI service with your favorite analysis software, please suggest to its makers that they contact CSI about the EZ Downloader for One-Button Updates that require no re-engineering of any software.


Delta Society Int'l

We are proud and pleased to be the data vendor of choice for Delta Society International customers. CSI's Unfair Advantage software provides a simple, integrated interface that supplies historical data and retrieves daily market updates that are fully compatible with your Delta Graphics analysis system or One Day at a Time charting system.

Click these links for details:

· Delta Society Database
· Delta Society Portfolio
· Delta Society Download
· Delta Society Portfolio Changes
· Delta Society Special Settings

For help with Unfair Advantage or daily updates, call CSI at (561) 392-8663. Mon. – Fri. 8:30 a.m. to 9:30 p.m. eastern time. Closed weekends and holidays.

For help with Delta Graphics or One Day at a Time, call Kirby at (336) 698-0500.


Delta Society Database

During installation of Unfair Advantage, you will reach a screen asking which database to install. When you get to there, as shown below, select the database that corresponds to your subscription to the CSI Data Retrieval Service. You should arrange for the correct database(s) with CSI before making your first download. Feel free to call CSI at (561) 392-8663 to arrange or confirm your subscription category and avoid any problems.

The database selection screen refers to the historical data that will be stored on your computer's hard drive. Although the UA CD holds all history on all markets, you will only be able to access and maintain the markets that are installed on your hard drive, and that are included in the database that is updated through the prepaid subscription category you arranged with CSI.

It is important to understand that your subscription category controls not only which files are updated on a daily basis, but also which historical data you can access through Unfair Advantage or other programs, including the Delta Graphics. Please use care in selecting the appropriate database or databases so that your choice corresponds with your selected daily update service.

Select the appropriate database based upon your subscription with CSI.

UA will continue with installation by allowing you to select specialized portfolios designed for Delta users.


Delta Society Portfolio

UA allows you to maintain multiple portfolios, each of which is a list of normal, computed and/or continuous contracts or stocks to be followed on a regular basis. They typically hold the nearby current contracts of several commodities, plus computed contracts such as adjusted continuous and cash. A stock portfolio might list all stocks of interest.

UA will display a list of vendors who have supplied customized portfolios. Your software vendor, Delta Society International, has supplied CSI with specifications to automate portfolio selection. Click the box for Delta Graphics or One Day at a Time and then click [Next].

Then Unfair Advantage offers the option of pre-loading portfolios that exactly meet the needs of Delta Graphics and One Day at a Time users. You can select either one or both choices here:

· Click "Commodities" if you will be using the Commodity version of either Delta Graphics or One Day at a Time.

· Click "Stocks" if you will be using the Stock version of Delta Graphics or One Day at a Time.

The UA files will be decompressed and copied to your hard drive. The copying process may be lengthy (five to ten minutes) and is followed by the Unfair Advantage program group displaying.

During the installation process, UA offers to manually set your computer's VCache. Manual setup is typically beneficial to users with new computers that have the Windows ME operating system. Select [Yes] or [No] according to your preference.

A warning box displays after installation is complete asking you to reboot your computer. Click [Yes] to automatically shut down and restart your computer.

Once your computer is rebooted, you'll be ready to launch UA and update the database for the first time. Please have your CSI User ID and User Number handy so that you can customize the software for data retrieval. These are found on the sticker on the inside of the UA CD-ROM sleeve. You will be prompted to enter these the first time you launch UA.


Delta Society Download

downloadico

You must download an update from CSI to unlock your database and bring your files current. For internet downloads, simply get online with your Internet service and then launch the UA program. Click UA's "Download Quotes" icon from the toolbar to begin the transmission. See the Downloading Data chapter for more information about data retrieval.


Delta Society Portfolio Changes

Adding Contracts and Stocks to Your Delta Graphics (odat) Portfolio(s)

Although the portfolios provided for your use with Delta Graphics software contain all the files you'll need for the basic system, your UA data feed includes all US markets, and you may, from time to time (at the suggestion of Delta Graphics) add new markets into your UA portfolios.

1) Begin by starting UA and then selecting the portfolio that will include the newly added contracts or stocks as explained below.

· Select the odatdeli portfolio (an abbreviation for One Day At a Time Deliveries) for your normal contract months. UA will automatically maintain a list of the four nearest contracts for each market you add as described below.

1) You will have the opportunity to add back-adjusted continuous contracts to the odatcts portfolio (an abbreviation for One Day At a Time continuous portfolio) and stocks later.

2) Click the [Add] button in the "Files" box. The "Selecting Data Series" screen displays as shown below.

3) Select the desired contract or stock as described below.

3a) If you are selecting markets from the list, follow these instructions, if not, skip to #4 below. To select contracts or stocks from a list, click the [Mkts] button (shown above) to display the selection screen.

This screen can be sorted alphabetically, by CSI number or by several other sort parameters. Click the arrow at the right of the "Sort by" box to select your desired sorting method. Then scroll to the first contract (or stock) you wish to add.

Check the box (click it) to the left of the market you wish to add. (The selection box is in the far left column beneath the heading "Sel..") You may choose as many markets as you like here. Hundreds are available. When finished selecting, click [OK] (as shown above).

Clicking [OK] clears the market selection window and returns you to the "Selecting Data Series" screen shown next. Your selections display in the "Markets" list in the upper right.

4) Once your markets are entered, you must select the desired data series from the "Selecting Data Series" screen. The example below shows a Dollar Index (DX) back-adjusted series. This selection screen conforms to all of the specification of the Delta Graphics program at this time. Please study the user input as noted on the screen and use these same entries for your own markets.

Note that this back-adjusted contract goes in the odatcts portfolio (short for One Day at A Time adjusted Contracts). Individual futures group (raw) contracts are held in a different portfolio as shown next. Stocks should be added to the stock portfolio of your choice.

5) When you click OK, UA will offer you the opportunity to build your files immediately with a prompt. Click [Yes] to create files that can be read with your Delta Graphics software (recommended).

6) When all additions to one portfolio are complete, you may select another portfolio and add additional markets. See below for another example.

The graphic below shows the selection screen for adding Individual Futures Group (IFG) contracts to the odatdeli portfolio (short for One Day A a Time Delivery months).

Each portfolio is subject to a set of user options that has already been customized for your Delta Graphics applications. For more information on these settings and details about using Unfair Advantage, see the printed manual or the online version that is accessible through UA's Help menu. The "Third Party Software - Settings and Considerations - Delta Society" topic may be of particular interest to you.


Delta Society Special Settings

Special Settings for Use with Delta Graphics or One Day At A Time

When you use UA's automated procedure to install the Delta Graphics/One Day at a Time portfolio, then all necessary user choices and settings are automatically set.

However, if you bypass the batch processing upon installation and decide to customize your software for these programs at a later time, you'll need to set UA to accommodate special settings for Delta Society International's software. UA's automatic processing of multiple days of data runs counter to the requirement to step through the data "one day at a time." That's why UA gives the option to "Prompt between each day's distribution."

To activate, click "Preferences" above the UA toolbar and then click the Distribution 1 tab under General Program Settings. Make sure the box beside "Prompt between each day's distribution" is checked. If not, click it.

When retrieving multiple days of data with UA, you'll have the choice of halting the distribution after each day of data. You should do so, then exit to your Delta Graphics or One Day at a Time software to process the data BEFORE distributing the next day. Use "Manual Database Distribute" from UA's Database menu to add the remaining days to your database, stopping for analysis after each day is distributed.

Additional Delta Graphics/One Day at a Time Options

Additional settings to customize UA for use with Delta Graphics or One Day at a Time can be found on the Portfolio Settings for your One Day at a Time Portfolio/Delta Graphics. To access the portfolio settings, first click the arrow next to the "All" listing in the Portfolio Manager panel at the left side of your UA screen. Select the correct portfolio from the list that displays. (ODATDELI for regular contracts, ODATCTS for continuous contracts or ODATSTK for stocks.)

Click the [Edit] button below the portfolio name to change the portfolio settings.

On the General tab, make sure the box beside "Delete expiring contracts from Nearest Future group" is checked. If not, click the box to activate this feature.

On the CSI Format Settings tab, the radio button beside "999" files per directory should be selected. If not, click the button.

On the Rounding/Ranging tab, make sure the radio button beside "Modify High/Low" is selected. If not, click it. This will assure that the data is presented in a format that can be used by your software. Click [OK] to complete your changes to portfolio settings. You are now ready for daily updates from CSI.

AFTER your first daily update from CSI, we recommend that you click "Preferences" at the top of your screen, go to the Account and "Access Rights" to confirm that you are receiving the correct database(s). Review the "Account Status" area at the bottom of the screen and make sure you are receiving the database that corresponds with your version of Delta Graphics or One Day at a Time. For the commodity version, the box next to "Domestic Futures" should be checked. For the stock version, the box next to "U.S. Stocks" should be checked. If your account type is "TR," then you have access to the 54 commodities pre-selected by Trend Research plus one year of history for world markets. Other databases my also be included. If your Account Status is incorrect AFTER your first retrieval session, please call CSI to make the correction.

UA will detect a change from one category to another and automatically retrieve the missing days to fill any gap on your next update. However, if you add a database category to your retrieval status (from Domestic Futures only to both Futures and US Stocks) you'll need to manually change the Communications Options settings to fill the gap. (Change the first date to be updated.) Please contact our Technical Support Staff if you need assistance.


VantagePoint

VantagePoint is a Technical Analysis program that is seamlessly compatible with CSI. The makers of VantagePoint work closely with the CSI staff to assure that your portfolio(s) of appropriate markets are available.

VantagePoint customers use the EZ Downloader for updates and use customized portfolios that are automatically maintained. Click the links below for details.

· EZ Downloader
· VantagePoint Portfolios


VantagePoint Portfolio Selection

Portfolio Selection During Installation

UA comes to you with a set of VantagePoint portfolios that can be selected upon installation. If you select VantagePoint for your third-party analysis system, UA displays all of the portfolios for all of the VantagePoint systems, and allows you to select those that you will actually use. Each VantagePoint system you select will be set up as a separate UA portfolio with automatic updates enabled. We recommend that VantagePoint users complete this automated procedure during the installation process.

Portfolio Selection After Installation

If you wish to change or restore the VantagePoint portfolios after installation, you may download the current VantagePoint portfolio through CSI's website at: http://www.csidata.com/custserv/updates/index.html, or you may import it from the c:\ua\portsave folder.

Because of the large number of contracts involved and the potential for wasting compute time in building all of these files each day, none of the VantagePoint portfolios are set for automatic updating initially. Once the portfolios are installed, you can selectively enable automatic updates for the one(s) you'll be using with your VP system(s) as described below.

If you aren't using all of the VantagePoint systems, you probably won't want to update ALL of the VP portfolios. Doing so would consume unnecessary time in calculating computed contracts. For best results, we recommend you update only those contracts used by your VantagePoint system(s). This is done by simply changing a setting within UA for the portfolios you wish to automatically update each day.

1) Start UA and wait for your portfolio list to display in the left-hand panel. Click the arrow next to "All" in the Portfolios box to display a list of all UA portfolios. As you'll see, there is one portfolio for each VantagePoint system. Scroll down to the VantagePoint portfolio of your choice and click it. For example, the VantagePoint Australian Dollar (AD) system uses the portfolio/directory C:\UA\AD\DATA (shown below).

2) Click the [Edit] button in the Portfolios box (just below the portfolio name) to display several tabbed pages that control the individual portfolio and all its corresponding files as shown:

3) Click the "General" tab to display two portfolio options, the second is:

· Update Files Automatically

This selection will be disabled (not checked) initially. Click the box to check it, then click [OK] to save your changes. Now UA will automatically append new data to all files in this portfolio as part of each data distribution session.

This is a one-time process, so you shouldn't need to do anything else for the selected directory. However, if you follow more than one VantagePoint system, you'll need to repeat the process for each additional directory involved.

Note: When automatic updates are not selected, daily updates will not automatically append to your active data files, and will not be processed by VantagePoint. You may manually write such files with current information at any time by selecting them from the portfolio menu and selecting one of the "Write File" options.

It is important to understand that, even when Auto Updates are disabled, Unfair Advantage's compressed database continues to collect and store ongoing daily updates. This information is simply not transferred to export format files. By the same token, you are free to delete from your portfolio list the contracts for VantagePoint systems you are not following. They can be restored and brought up to date at any time.


Omega Research

The programs developed by Omega Research (TradeStation and SystemWriter) were originally compatible with CSI. Over the years, the company phased out support for outside data feeds in their newer products. However, if you own an older version of these products, it is likely that they can read quality CSI data.

See the following topics for details:

· Recommended Export File Format
· Two-Character Symbols
· TradeStation and TSPE
· Opening UA Files in TradeStation


Recommended Export File Format

To the best of our knowledge, Omega Research's software can read the CSI format, ASCII files, MetaStock and the CSIM format. Each of these formats has its own strengths and weaknesses, but overall, the CSIM format seems to work best with these products. Therefore, for analysis with Omega Research software (TradeStation, System Writer, Ti2000), we recommend you select CSIM format for your Export Format Files.

If you also use MetaStock (MS) format and MetaStock software, be aware that this software will modify the data files created by UA. If this causes a problem in your Omega Research application, consider using ASCII files.


Two-Character Symbols

Despite persistent advice to conform to industry trends, at the time of this printing, TradeStation and other Omega Research programs still do not recognize exchange-assigned commodity symbols of three characters or more. While two-character symbols were the norm through the 1980s, this convention became woefully outdated during the 1990s, when the commodity industry exploded with new products throughout the world. Overseas commodities are typically identified by three-character symbols, which are also used for various specialized series.

Select the appropriate portfolio, and then click [Edit] to adjust portfolio settings. The Symbol Size prompt displays as shown:

Click the box in front of "Force two-character symbols" to use only the symbols identified in the factsheets in the "2 Char Symbol" column. You'll note that these symbols are not necessarily representative of the commodity name, and often include characters such as #$%, etc. The use of these special characters artificially expanded the quantity of two-character symbols available.


TradeStation and TSPE

When using TSPE to analyze a trade record generated by Omega's Trade Station(R), you must supply a multiplier to convert trading units to dollars.


Opening UA Files in TradeStation

The following instruction will help you to open Unfair Advantage data files with Trade Station after you set up and write the files through Unfair Advantage.

1. Run Omega Research Trade Station.
2. Select Open New Workspace
3. Select the "Create a Trade Station Chart Window"

4. In the Show section, select 3rd Party Directory

5. Click New Dir.

6. In the Data Type list, select the format in which the data is stored.

7. In the Directory box, enter the exact path for the directory.

To select the directory, click Browse. Navigate through the data tree by clicking on the appropriate path until you find your directory. Click OK. The specified directory is placed in the Directory box.

If you don't know the path, or you want to add multiple directories at once, you can use the Scan feature. See the instructions below.

6 Click OK.

7 The directory is added to the drop-down list.

8 Select the commodity or stock and click on Plot

To add multiple directories at once using the Scan feature:

1 In the Show section select 3rd Party Directory.

2 Click New Dir.

3 In the Data Type list select the format in which the data is stored.

4 Click Scan.

5 Enter the drive letter you want to scan for data directories (e.g., C).

6 Click OK. Once the scan process is finished, any directories containing data in the specified format will be listed in the Directory drop-down list.


MetaStock Compatibility

Equis International's MetaStock software was designed to read and process files in the proprietary "MetaStock Format." Since MetaStock does not read the Unfair Advantage compressed database directly, analysis with MetaStock requires that Unfair Advantage create Export Format Files. UA allows you to specify the Export Format File type for each contract or stock in your portfolios, so it is a simple one-time process to set up MetaStock-compatible files for each of the markets you wish to analyze. Unfair Advantage employs a DLL supplied by the makers of MetaStock to create our MetaStock files, thus assuring compatibility.

The structure of the MetaStock file format may change at the discretion of the software vendor, as may access to such information.

CSIM(TM) Format

Before receiving MetaStock's DLL, CSI independently developed the CSIM format, which is compatible with earlier versions of MetaStock and is still compatible with many MetaStock-compatible programs. At this writing, the CSIM format may provide better compatibility with all versions of MetaStock.

For more on the CSIM format, see the CSI website at: http://www.csidata.com/formats.html.


MetaStock & CSIM Setup

MetaStock(R) & CSIM Setup

MetaStock and CSIM format files are defined through the File Export Preferences of UA's Select Data Series screens.

A simple way to reach this point is to click the fourth icon on the UA toolbar, "Add File."

thirdico

The Selecting Data Series screen displays:

This screen allows you to select markets, identify all the parameters that apply to your selected commodity, stock or cash series, and identify the output file destination and format.

For our purposes, we'll give a brief example that focuses on the File Export Preferences panel found at the right. The many possibilities for defining data series are fully explained in the Your Portfolio chapter of this manual.

Market Type

Starting with "Market Type" at the top of the screen, click the arrow to show a menu of possible market types. For our example, we'll add some stocks. (These are simplest group to add.) Click "Stock/Mutual/Index from the menu, which produces a screen like the example above. It's nearly as easy to add futures contracts, but there are more choices, which we won't go into here.

Symbols

Next type any number of stock symbols into the "Symbols" box. Separate them with commas, spaces or both. For our example, we've used commas and spaces and have indicated that we want to create files for the stocks General Electric (GE), International Business Machines (IBM), Motorola (MOT) and Ford (F). If we didn't know the symbols, we could click the [Mkts] button and select them from a list.

File Export Preferences

Portfolio

Now focus on the "File Export Preferences" in the right-hand panel. The first prompt is "Portfolio."

Our example shows the "MyStocks" portfolio that we created for this example. As a new user of MetaStock Format files, iIt is likely that you'll want to create a new portfolio to hold your data. The creation process allows you to customize portfolio features for use with MetaStock. Click the [New] button to display the Edit Portfolio screen. The top portion looks like this:

The Name box is empty when this screen first displays. You can name the portfolio anything you want. Consider descriptive titles such as, "Retirement," "Margined Stocks," "E-Trade," "Financials," etc. We entered "MyStocks" for our example (shown below).

You'll note that the second box in this window lists the "Directory." This holds a description of the physical location of your new portfolio, which is, in fact, a directory or folder on your hard drive. The default entry is C:\ua\files, indicating data files stored within a subdirectory of your UA software. This isn't necessarily the best place to store your MetaStock files!

Where should MetaStock files be stored? Click the [Browse] button and navigate to find the "MetaStock Data" directory. It is usually found in the root directory of your c: drive, as shown below. This directory already includes two data folders, so you can either select one of these to store data in a subdirectory, or select the "MetaStock Data" directory (as shown) so that your new portfolio will be added alongside the others on the list (recommended).

[Click OK] to select the highlighted directory.

Back at the Edit Portfolio screen, the Directory will display as selected above, but it won't include the name of your new portfolio. You'll need to edit the text to include your new portfolio's name. For our example, the Directory box should say, "c:\MetaStock Data\MyStocks" as shown below:

Customizing Your MetaStock Portfolio Settings

Once the portfolio name and directory are set, you should direct your attention to the tabbed pages in the middle of the screen. Click the one that says, "CSIM/MS Format Settings." (Note that these move around on the screen, depending upon what is selected.) When you click a tab, its corresponding settings are displayed.

The CSIM/MS (MetaStock) Format Setting screen provides a little information and allows you to customize two MetaStock-specific settings:

Volume and Open Interest

A MetaStock format data file cannot hold both total and contract-level volume and open interest simultaneously for a single market. Therefore, you must select your preference before file creation. MetaStock users typically use Contract Volume and Open Interest.

When Directory is Full

Your MetaStock file structure may have a limit of 200 files per directory, which creates the possibility that any given portfolio might become full. This setting allows you to select how Unfair Advantage will handle the new data files when the specified folder is not able to hold them. The three choices on the screen include examples of the data will be handled. We'll describe these below.

· Make subdirectories - A subdirectory will be created within your selected folder, repeating the same name.
· Enumerate directory N - A directory will be created alongside your original subdirectory and will be identified by number.
· Enumerate subdirectory N - A subdirectory will be created within your folder. The name will say "cont" (for continued) and be identified by number.

The middle choice is generally preferred because it allows you to see new directories more easily.

When the Edit Portfolio screen is complete, click [OK] to proceed with your portfolio creation.

Editing Files

You can edit the contract selection, date range, export options and other settings for individual contracts and stocks in your portfolios through the Portfolio Manager panel on the left of your UA screen, or through the Portfolio Menu.

To edit a file, first select the appropriate portfolio in the Select Portfolio box, and then select the desired file from the list that displays below.

Click the [Edit] button or pull down the Portfolio menu and click, "Edit File Settings." This produces the "Selecting Data Series" screen, exactly like the one used to create the entry initially. Edit as desired and click [OK] to save your changes.

to portfolios through your entries in the right-hand panel of the "Selecting Data Series" screen as shown below.

Please refer to the instruction in the Adding/Editing Files chapter, and be sure you select the appropriate export portfolio and format as shown below.

When you need data for third-party programs, please check their reference manuals or call support to find out which of UA's formats should be used. ASCII files are often a good choice for compatibility with multiple analysis packages. Most third-party software that is compatible with UA (such as MetaStock, TradeStation, Delta Graphics, One Day at a Time, spread sheets, etc) use one of the export file formats:

· CSI Format (QuickTrieve)
· MS (MetaStock) Format
· CSIM Format
· ASCII Format

During the data distribution process, Unfair Advantage automatically writes the export format files specified in your portfolios to disk. UA offers a couple of additional methods to quickly and easily update your export format files whenever you want current data for analysis.

Your exported files will be placed in the folders you identified while adding them to your portfolio. To review where the files will be located or the specific parameters used in creating continuous files, right-click any contract or stock from the appropriate portfolio listing and then click "File Properties."

Writing All Export Files by Manually Distributing Data

As stated above, UA creates Export Format Files during the data distribution process. Although distribution is required after daily updates (it normally occurs automatically), you may initiate the process manually at any time. Doing so will write all Export Format Files listed in your portfolios, along with all the other processes included in the distribution.

From the Database menu, click "Manual Database Distribute."

Writing all Export Files without Data Distribution

To write all export format files, select the appropriate portfolio, and then click any item in the portfolio listing. Next, right-click your mouse. Click "Select All Files Visible" from the menu as shown. Everything in the portfolio will be selected.

After the files are selected, right-click your mouse again, then click "Rewrite File Immediately" from the menu. UA will write all files to disk as specified in the portfolio. You'll note that every active file is rewritten from start to end, assuring that any changes in contract specifications, error corrections and adjustments to raw or computed continuous files will be incorporated.

Writing Individual Export Files without Data Distribution

To write any single file for export to another file format, simply click the desired file on your portfolio list, right click your mouse and then click "Rewrite File Immediately." This procedure will write only the file you selected, and can be repeated as necessary.

Saving Changes, But Waiting Until Next Distribution to Rewrite Files

Any time you modify portfolio or any file specifications within your portfolio in ways that will affect export files, it is your choice whether to write your new or modified files now or to wait until your next data distribution (either manual or automatic). If you prefer to wait, select "Rewrite Files on Next Distribution," found right below "Rewrite Files Immediately" on the right-click menu shown above. If you don't make this selection now, you will be asked later if you want to write your new files at this time.

When one series is complete, repeat the process until the complete portfolio has been identified. Keep in mind that you may add and delete items in your portfolios through this screen at any time, and that you may modify your entries as well.


MetaStock & CSIM File Specs

CSI, CSIM & MetaStock Formats

The MetaStock and CSIM format
(for use with MetaStock or older MetaStock compatible programs)

The MetaStock and CSIM formats use a master file called MASTER for each directory which identifies the content of the individual data files. There are two data files for each contract. The file-naming process assigns names as: F1.DAT and F1.DOP, where the first character is always an F, followed by an integer from 1 to 200, which identifies the file record number (not the CSI commodity or stock number). The extensions identify this as a CSIM format file.

A CSIM file might be listed on your drive directory as :

C:\UA\DATA\F1.DAT

Many long-term CSI customers have previously used our QuickTrieve software to store data in the MetaStock format. Unfair Advantage offers improved compatibility and more flexible file creation options, such as customized Perpetual Contract data, nearest future contracts, etc. The CSIM format is published on CSI's website at www.csidata.com.

Please note that MetaStock users should export to the MS format to assure full compatibility with that program. Due to the complex file structures of CSI, MS and CSIM formats, you should not attempt to manipulate these files through Windows. Use the appropriate CSI or MetaStock-compatible program to move, delete and edit these files.


Special Considerations for MetaStock

MetaStock or CSIM Format?

The CSIM format is almost identical to the MetaStock (MS) file format used through mid 2002, but, due to changes in the MetaStock format, these formats are no longer interchangeable.

· Users of current MetaStock software should use MetaStock (MS) format files.
· Users of formerly MetaStock-compatible software (created before mid 2002) should use CSIM format files.
· These two file formats should not be stored together in any directory. MetaStock software should not be used to process CSIM-format files, as data corruption may occur.

Because the dissimilar MS and CSIM formats use identical filenames, it is very important that they not be stored together in the same directory. It is also important that MetaStock not be directed to CSIM-format files for processing, as this software may corrupt your CSIM-format files.

If the a portfolio were to hold three MS or CSIM format files, an exploration of the folder would reveal:

Note that the folder includes two control files called EMASTER and MASTER, as well as two files (ending in .DOP and .DAT) for each of the three data series. Because of this unique file structure it is imperative that you not manually edit any of these files.

Many long-term CSI customers have previously used our QuickTrieve software to store data in the MetaStock format. Unfair Advantage offers improved compatibility and more flexible file creation options, such as customized Perpetual Contract data, nearest future contracts, etc.


Automatic Launch of MetaStock

UA has the capability of launching a third-party analysis program after a successful download of new data (with distribution). To use this feature, click "Preferences" at the top of your screen. Then click the "Distribution 2" tab under the Account heading. You'll find the prompt:
"After distribution is complete, execute the command," in the center of the screen as shown below:

Enter the command shown in the example below. This includes the drive designator (c:\), the MetaStock directory (Program Files\Equis\MetaStock\) and the executable file for starting MetaStock (MsWin.exe). If these are different in your specific application, make substitutions as necessary.

This setup will result in the MetaStock software automatically launching after every successful daily update from CSI.


CSI Format

The CSI (QuickTrieve) format listed as a choice for file export refers to a compressed binary format written by CSI for use with our original QuickTrieve software. This format has remained popular over the years for its efficient use of space and innovative handling of market data. If your analysis software uses the "CSI Format" or "QuickTrieve" format, then this is the export choice for you.

Click here for information on the file specifications.

QuickTrieve is a Registered Trademark of Commodity Systems, Inc.


File Specs

File Specs For CSI Format

CSI (QuickTrieve) format

The CSI (QuickTrieve) format uses a master file called QMASTER for each directory which identifies the content of the individual data files. The file naming process assigns names as: F001.DTA where the first character is always an F, and the next three characters are a right-adjusted number from 1 to 120, which identifies the file record number (not the CSI commodity or stock number). The extension .DTA identifies this as a CSI format file. UA can write and maintain CSI format files if they are listed in your portfolios. Their description includes the complete path and filename, as in this example:

C:\UA\DATA\F001.DTA

Please see the CSI website at http://www.csidata.com/formats.html for more specifics about the format.


Programmers' Guide

This chapter offers information for programmers who will not be using CSI's programming tools, but rather, writing your own software for analysis of CSI data outside the Unfair Advantage platform.

The topics are:

· Application Programming Interface (API)
· Vendor Support

For information about programming custom studies within Unfair Advantage, see the "Interpreted Studies" chapter.


Application Programming Int. API

The Application Programming Interface (API) permits programmers/developers to access an ASCII comma separated format memory image of data spooled directly from UA's compressed database.

With the API, there are no files or directories to be concerned with, as data is passed to your application via the clipboard. The API is extremely powerful in that all of the thousands of UA markets and contracts are available for instant study through software and programs supplied by the user. Because no formats are specifically required, the effort to get started with this interface could be minimal.

The data is presented as numerical quantities of contract open, high, low, close, volume, open interest, date (century included) etc. for a continuous time series arranged in historical order.

UA fulfills ad-hoc requests through an OLE automation interface designated API2. This allows a client application to search through the set of markets and the series available for each market. It also allows for any series to be retrieved in binary or ascii formats.

When you have finished downloading and distributing data with UA, you may leave the program and begin analysis with our Application Programming Interface (API) or your third-party program.

Exit UA by clicking the File menu and then clicking "Exit," or simply click the close box in the upper right hand corner of your screen. Launch the API (see below) or use your analysis software normally and begin analysis with the only market data firm proven to be superior to all other world firms studied.

Developer's Document

· CSI maintains two documents with information about using the API. One (Developers Document: A Programmers Guide to Unfair Advantage® by Steven Davis) can be accessed from the UA Help menu.

· The other, which is OLE API Documentation (Unfair Advantage API (API2) Functional Specification by Steven Davis) can be found on your CSI program group through the Start menu.

These documents contain information designed to help system developers make the best use of Unfair Advantage and the UA database. Updated versions of these documents may be made available through the CSI website as necessary to keep up with any program changes. We recommend that developers check the website frequently to stay current with any changes or enhancements that may affect your applications.

Go to http://www.csidata.com/custserv/onlinehelp/index.html for the latest documents.


Vendor Support

CSI functions in active partnerships with the makers of many analysis programs, always striving to engineer data delivery in ways that will best meet the needs of our mutual customers.

If you're a software developer and want to get involved, give us a call at 800.274.4727 or 561.392.8663, or send an email to techsupport@csidata.com. A CSI technician will contact you to answer your questions and provide the necessary software and information to get you started.

We'll work with you in finding the best method of access for your customers and work with you on portfolio compatibility as well.

We encourage customers with multiple trading platforms to suggest seamless CSI compatibility through One-Button Updates to the makers of every analysis product you own. UA will accommodate them all. The more investor interest analysis software vendors see, the more likely they are to join in.


Launch 3rd Party Software

When using Unfair Advantage to retrieve daily updates that will be analyzed by a third-party software program, you may find it convenient to automatically launch your analysis program after the retrieval session. Unfair Advantage facilitates this operation through a prompt on the Distribution 2 screen of Preferences, shown below.

To use this feature, type the command line of the appropriate program in the text box. A command line includes the drive designator for the desired program (probably c: or d:), the program's directory (folder) name and the name of the executable file (ending in .exe). This would be the prompt that starts the program. Each section of the command line is separated by a backslash (\). For example, you would enter C:\QUICK\QT.EXE to launch CSI's QuickTrieve program.

Here's an example for MetaStock:


Writing Export Format Files

This feature is one of two alternate methods for putting data series into portfolios for exportation. It is exactly the same as adding files to a portfolio from the Portfolio Manager panel.

thirdico Start by clicking the fourth icon on the toolbar, "Add File."

Please refer to the instruction in the Adding/Editing Files chapter, and be sure you select the appropriate export portfolio and format as shown below.

When you need data for third-party programs, please check their reference manuals or call support to find out which of UA's formats should be used. ASCII files are often a good choice for compatibility with multiple analysis packages. Most third-party software that is compatible with UA (such as MetaStock, TradeStation, Delta Graphics, One Day at a Time, spread sheets, etc) use one of the export file formats:

· CSI Format (QuickTrieve)
· MS (MetaStock) Format
· CSIM Format
· ASCII Format

During the data distribution process, Unfair Advantage automatically writes the export format files specified in your portfolios to disk. UA offers a couple of additional methods to quickly and easily update your export format files whenever you want current data for analysis.

Writing All Export Files by Manually Distributing Data

As stated above, UA creates Export Format Files during the data distribution process. Although distribution is required after daily updates (it normally occurs automatically), you may initiate the process manually at any time.

Open the Database menu and then click "Manual Database Distribute" to write all Export Format Files listed in your portfolios, along with all the other processes included in the distribution.

Writing all Export Files without Data Distribution

To write all export format files, select the appropriate portfolio, and then click any item in the portfolio listing. Next, right-click your mouse. Click "Select All Files Visible" from the menu as shown. Everything in the portfolio will be selected.

After the files are selected, right-click your mouse again, then click "Rewrite File Immediately" from the menu. UA will write all files to disk as specified in the portfolio. You'll note that every active file is rewritten from start to end, assuring that any changes in contract specifications and adjustments to raw or computed continuous files will be incorporated.

Writing Individual Export Files without Data Distribution

To write any single file for export to another file format, simply click the desired file on your portfolio list, right click your mouse and then click "Rewrite File Immediately." This procedure will write only the file you selected, and can be repeated as necessary.

Saving Changes, But Waiting Until Next Distribution to Rewrite Files

Any time you modify portfolio or any file specifications within your portfolio in ways that will affect export files, it is your choice whether to write your new or modified files now or to wait until your next data distribution (either manual or automatic). If you prefer to wait, select "Rewrite Files on Next Distribution," found right below "Rewrite Files Immediately" on the right-click menu shown above. If you don't make this selection now, you will be asked later if you want to write your new files.


Initiating an Update Remotely

For those Unfair Advantage subscribers who run automated market analysis systems, we have provided an executable file that will, with the help of Windows' Task Scheduler, automate the daily update procedure. (This is instead of using the automatic download timer in Communications Settings which requires that UA be left open.) It automatically launches the UA program, downloads all necessary days to bring your database current and finishes by updating the files listed in your current UA portfolio(s). Although market analysis may be handled through third-party software programs, the portfolio of desired data files must be maintained through Unfair Advantage.

This procedure is typically used to produce data files in ASCII, MS, CSI or CSIM format, which are then accessed by a third-party analysis program. The creation and maintenance of these export data files is handled through Unfair Advantage's portfolio system of data management. This method of data retrieval updates UA's full compressed database, which may be read directly by custom programs using the Application Programming Interface.

Scheduling the Task

The first step in arranging for fully automated updates is to place the file called "initiateUADownload.vbs" on the list of scheduled tasks as described below:

1) scheduleico Double-click the Task Scheduler icon from the program tray at the edge of your screen:

The following displays:

This example shows some possible tasks. Your list may be different.

2) Double-click the "Add Scheduled Task" option. The "Scheduled Task Wizard" is launched. Click [Next] to proceed. The following displays:

3) Click the [Browse] button and navigate to the file "initiateUADownload.vbs" by first opening the UA folder (double-click it) and then double-clicking the file itself. The filename will be listed as "initiateUADownload" and may or may not have a .vbs extension. Once the file is selected, the following displays:

4) There is no need to change the name for this application, so you only need to select the frequency with which you want the task to be performed. This would typically be "Daily," but other options may be better for your applications. Click the radio button next to your desired frequency, then click [Next] to proceed. The following displays:

5) The above screen lets you set your desired data retrieval time and to fine-tune the frequency of task performance. Make your selections and click [Next].

6) A final screen will display confirming your scheduled task. Click [Finish] to complete the scheduling.

Special Considerations

This feature can only work if your computer is turned on at the selected retrieval time and the scheduler is running.

UA must not be left in the middle of setting or editing anything.

Your normal method of access must be available to the system at retrieval time. This means that for Internet access, your computer must be online, or your browser must be set to automatically connect when a URL is requested. For direct dial access, the phone line must be connected and not in use. For browser users, UA will complete the update, but will not choose "Manual Database Distribute" for you. If your normal daily routine involves manually prompting UA to distribute data, then this step will still be necessary.

UA Settings

The "Prompt between download and distribution" and "Prompt between each day's distribution" feature on the Distribution 1 screen of General Program Settings (in UA's Preferences) must be disabled (not checked). The "Append Data Files When Possible" feature should be activated (checked). Other features on this screen may be disabled to reduce open windows on your computer that must be closed manually.

The choice to automatically launch another program ("Execute the command" on Distribution 2 screen) may also be useful with automated retrieval sessions.

API Interface

The two lines of programming code included in the initiateUADownload.vbs file may be incorporated directly into your own custom programs.

The lines are:

Set ua = CreateObject("UA.Api2")
err = ua.UpdateDatabase()

See the Application Programming Interface API topic for more information on alternative methods for data retrieval through UA.


AmiBroker Export

The AmiBroker software doesn't process data in individual portfolios as the other CSI-compatible programs do. AmiBroker views the UA stock database that is automatically exported according to your specifications, as detailed in Unfair Advantages' Preferences.

Click "AmiBroker" under General Program Settings to display the following screen and see below for an explanation of your various choices.

Export all stocks to AmiBroker - If you wish to export your stock data to AmiBroker, check this box (click it). This activates several additional features:

Days of history - The default value of 250 gives you approximately one year of market activity. Adjust as desired.

Export history with next download. Append thereafter. - Click this box to make the exportation automatic, beginning with your next download.

Include Delisted Symbols - If you want stocks that are no longer trader to be included, leave this box checked. If not, uncheck it..

Identify Stock by - You have a choice of identifying stocks by symbol, symbol and CSI number or CSI number only. We generally prefer the middle choice, "Symbol and CSI number." This gives you the familiar symbol for easy identification while also using the concise and unambiguous CSI number to assure that there is no confusion about what is being exported. Make sure the radio button for your choice is selected.

Stocks to Export - Stocks are automatically included. If you want to also include Mutual Funds and/or Indices, check (click) the appropriate boxes. Of course, these will only be available if they are part of your normal CSI data feed.


Software Maintenance

This chapter of the Unfair Advantage manual deals with features you can use to maintain, update and enhance the Unfair Advantage platform on your computer. Click the links below for details:

· Display Tips at Startup
· Check For New UA Version
· Backing Up Your UA
· Backup/Restore Portfolio
· Backing Up The Database
· Uninstalling & Reinstalling UA
· Upgrading Your UA
· Updating the Online Manual
· Printer Settings
· Windows Colors


Display Tips at Startup

The "Tip of the Day" is a useful bit of information about Unfair Advantage that displays each time the software is launched. It is generated from a revolving list of topics, each intended to broaden your understanding and enjoyment of UA and the CSI Data Retrieval Service.

A tip displays like this:

Note that the "Show me another tip tomorrow" box is checked. If you don't want to see another tip, uncheck this box. You can control this feature through the "General UA Behavior 1" tab of General Program Settings (on the Preferences screen). There you can either click the "Display Tips at Startup" checkbox (check it) to turn the tips on or un-check the box to disable the tips file.

To view another tip now, click the [Next Tip] button.

Click [Close] to exit.

Refreshing the Tips File

CSI periodically updates the Tips File to correspond with the latest version of Unfair Advantage. This is usually maintained automatically, but if you would like to download the current Tips File to make sure you have the latest and greatest, go to the Database menu and click "Download Replacement Fact Files." From there, select "Get Tips for Latest Version" as shown below.

Click [Download] to get the replacement file. A message displays when the download is complete.


Check For New UA Version

Unfair Advantage is an evolving product that is regularly revised and upgraded. New releases are typically made available for download by subscribers at no charge.

This version of Unfair Advantage will automatically check the CSI website for available upgrades, if and then install those upgrades, you so desire.

This feature is controlled through UA Preferences, from the main menu at the top of your screen. After clicking "Preferences," click "General UA Behavior 1" to display the following:

As indicated on the graphic, a check box in the lower box activates the automatic check for available upgrades.

Advantages of using this feature:
· You will always have the latest version of Unfair Advantage.
· You will never need to manually seek upgrades from the CSI website.

Possible drawbacks of using this feature:
· A small amount of extra time will be spent querying the CSI website for upgrades each day, even though upgrades will be found only occasionally.
· If an update is available, time will be spent downloading software at times that may not be convenient for you.
· As one of the first users of each new release, you would be slightly more likely to be affected by previously undetected software flaws.
· Upgrades could be installed at a time when a recent backup might not available to restore previous functionality in the event of a problem. (This will not be a concern if regular backups are made.)

Alternatives to using this feature:
· If you do not enable automatic checks for upgrades, you may keep abreast of current software offerings and download as desired through the CSI website at http://www.csidata.com/custserv/updates/index.html. (See "UA Updates" under "Customer Support" on the site.) We recommend checking for upgrades at least once per month, after performing your regular backup.
· Whenever a full Unfair Advantage software package is received on CD (by mail), it may include a complete, updated database. Upgrades are available on CD from CSI for a nominal fee. Send your request through the "E-mail your question" selection on UA's Help menu or by calling (561) 392-8663 or (800) 274-4727.


Backing Up Your UA

In the past, we recommended that Unfair Advantage users regularly back up the complete UA directory so that a copy would be available for use in the event of a hardware failure or unrecoverable software error. This is no longer our policy for most subscribers because of the relative ease of downloading a full replacement system over the Internet using DSL, cable, satellite or other high-speed Internet services.

High-Speed Internet Users

If you use a high-speed Internet service and your UA directory becomes unavailable to you (through damage or loss), you can replace the full system with a download. You can arrange for access to a replacement UA software package and database by contact CSI Technical support at:

E:mail support@csidata.com or telephone 561-392-8663.

After the download, double-click the downloaded executable file. This will launch the installation routine, just as when you used UA for the first time. You'll restore full capability by entering your User ID and customer number, as prompted, and by then copying or "Importing" your recent portfolio file (portfile.adm) into the system. You'll need to perform a normal daily download to unlock and update the database.

To assure a smooth recovery, please keep a record of the above information about contacting CSI, your CSI User ID, your CSI number and a computer-readable copy of your latest portfolio listing (portfolio.adm) separate from your computer.

Low-Speed (dial-up) Internet Users:

If you do not enjoy fast connections over the Internet, we recommend that you preserve a copy of the UA folder weekly to use as backup in case of database corruption or in case an unexpected problem occurs with a new or upgraded version. The manual backup method is recommended.

Keep in mind that you when you use your backup copy, you will need to bring the database current through UA's download feature. We recommend weekly backups so that this will be a relatively quick process. The older the backup, the longer the time required to bring the database current. Note that no updates are available via download more than four weeks into the past, so failure to back up your system at least once every four weeks will render your backup unusable. The only remedy in that situation would be to order a new CD from CSI. A nominal fee will apply.

Perhaps the simplest and best way to back up Unfair Advantage is to copy the whole UA folder to a DVD disk. This saves everything in a portable format that is easy to label and shelve. As the backup copy is independent of your computer, it will be unaffected by drive failure, power surges or even hardware theft.

Backup Instructions (to be done once weekly):

1) Insert a new DVD disk into your DVD/RW drive

2) Click your computer's "Start" button and then click the "My computer" icon. Under "Hard Disk Drives," select the drive that holds your UA database (probably C:\) and double-click it. A list of folders displays. Scroll through the list until you find the UA folder. Click the UA folder.

3) In the task pane, locate and click "Move this folder" from the "File and Folder Tasks" section.

4) When asked where to place the moved folder, select your DVD drive.

All UA program, database and auxiliary files will be written to a temporary file for transfer to the DVD disk. Although this may seem like a simple process, the sheer volume of data being transferred can take quite a while to transfer, so allow as much as an hour for your first backup. After that, you'll know how much time is required on your computer and can plan accordingly.

5) When the transfer is complete, click "Write these files to disk." When prompted, label the disk "UA" and be sure to include the current date. Write a corresponding label on the disk itself.

Alternately, if your tree structure allows, you may drag and drop the UA folder into the DVD image and click "Write these Files to Disk."

Restoring from your backup DVD

To restore your UA folder from the backup disk, repeat steps one through four, above, substituting the UA folder on your DVD disk as the source in step 2 and moving the files your computer's hard drive (usually C:\) as the destination in step 4. Be sure that you are moving the entire, unopened folder, not individual files.

Remember that all backups have a limited lifespan of up to two months, and a practical lifespan of a couple of
weeks. Beyond that, the time required to bring the files current will be prohibitive.

Alternate Backup Method

An alternate method of creating a backup UA before installing a new copy from a CD is to simply rename your UA folder UA2 (through the File menu). If you do this, your new software will install in a new directory. You'll start with a completely fresh slate, without benefit of previous settings and portfolios. You can still use the UA2 folder as a backup and storage place for files that you will transfer to the new UA folder.


Backup/Restore Portfolio

A customized Unfair Advantage portfolio system is a beautiful thing. Each individual portfolio can hold the key to the unique trading strategies used for each of your trading systems, complete with your own user-defined continuous series for individualized analysis. A comprehensive portfolio can represent perhaps an hour or more of time spent defining a unique set of markets and parameters. Why wouldn't you want to preserve a backup copy -- just in case something happens to your portfolio file?

Reasons to back up your portfolio:

· In case of file corruption
· In case of unwanted changes by the user
· In case a new UA installation requires deletion of your working portfolio
· In case a UA upgrade damages your portfolio
· In case your computer is stolen

If you have customized your portfolios and any of the above scenarios leaves you with no portfolio file (or an unwanted one) you'll probably want to restore your backup copy of your portfolio listings. Doing so will eliminate the need to re-enter your lists of files and charts and, perhaps more importantly, specifications for the custom computed contracts you wish to view. Of course, this process requires that you first backed up your existing portfolio file, as described here, before deleting or overwriting it, and before the damage occurred.

Making a portfolio backup

· Automatic Method: Your portfolio is automatically backed up with your database, factsheets and settings when you use the Make Backup Now feature on the UA Database menu. The backup is stored on your computer, so it is not protected from hardware failure or theft. We recommend that you also keep a copy of this file on a portable disk or other medium that is separate from your computer.

· Backup with Full UA: Any time you back up your entire \UA directory, your portfolio file is included. If your latest \UA backup was made since any portfolio changes, it is probably not necessary to make a separate portfolio backup. See Backing Up UA for instructions on backing up the full Unfair Advantage system.

· Manual Backup Method: You can save a copy of your portfolio file separately with these steps:

1) Click your computer's "Start" button and then click the "My computer" icon. Under "Hard Disk Drives," select the drive that holds your UA database (probably C:\) and double-click it. A list of folders displays. Scroll to the UA folder and double-click it.

2) The \ARCHIVES folder is revealed within the UA folder. Double-click to view a list of files.

3. Locate and then right-click the portfile.adm file. From the resulting menu, click "Copy."

4. Navigate back to the original list of folders on your C drive by clicking the "Back" button (at the top of your screen) twice. Now locate and right-click the folder where you wish to store your backup copy. We recommend you use the \Temp directory.) From the resulting menu, click "Paste."

To preserve a portable copy of your file, that is, one that resides outside of your computer, save the file to your CD ROM or DVD drive and then burn the file to disk. Alternately, save the file on another portable medium such as a pen drive.

When properly done, this operation creates a duplicate copy of your portfile.adm file in the selected directory where it can be restored as necessary.

Restoring a portfolio from a backup

· Overwrite Portfolio With Backup Copy: When the Automatic Backup method is used, UA retains records of your portfolio at various backup times. Follow these steps to restore a backed-up portfolio:

1) Click the Portfolio Menu, Then click "Restore Portfolio From Backup Copy."
2) A screen similar to this example displays:

Choose the portfolio that you want to restore and click [OK]. The requested portfolio will overwrite your current portfolio within UA.

· Restore a Manually Saved Back-up File: These instructions assume you backed-up your latest portfolio within your \Temp folder. Substitute the directory you used, if different. You can restore your copy of your portfolio as follows:

1. Click your computer's START button and then click "My Computer."

2. Under "Hard Disk Drives," select the drive that holds your \Temp folder (probably C:\) and double-click it. A list of folders displays. Scroll to the \Temp folder and double-click it. Substitute the folder you used, if not "Temp."

3. Locate and then right-click the portfile.adm file. From the resulting menu, click "Copy."

4. Navigate back to the original list of folders on your C drive by clicking the "Back" button (at the top of your screen). Now locate and double-click the \UA folder. Right-click the \Archives folder ant then, from the resulting menu, click "Paste."

When properly done, this operation overwrites any existing portfile.adm file (your portfolio) with your backup copy. This should restore your previous portfolio to the current UA directory.

· Restore a Portfolio From Your UA Backup: If you did not back up your portfolio separately, but want to restore a portfolio from your full Unfair Advantage backup, you may do so. Use the directions above, but the location of the backup \archives\portfile.adm file will be different. Open the UAbackup folder, the UA folder and the Archives folder by successively double-clicking each of them. From there, right-click the portfile.adm file and click copy. You'll need to click the "Back" button several times to return to the UA folder. Navigate to the \Archives folder and paste the portfile.adm file there as directed in step 4 above.

· Import Portfolio: An alternate method of restoring a preserved portfolio is to use UA's "Import portfolio" feature on the Portfolio menu, which will add the stored portfolio to your current portfolio. Use this feature to navigate to a portfolio that may have been manually saved, or perhaps received from a friend or associate.

· Download Vendor Portfolio: If your portfolio is one of several CSI maintains for compatibility with various third-party software vendors, then you use copies of those portfolios from CSI's website as backup versions. You won't need to save anything, but in case of portfolio damage or loss, you can download the latest portfolio free of charge. Note that only a select list of portfolios is available. This will not restore a customized portfolio. Click "Download Latest Vendor Portfolio" from the "Portfolio" menu. This will direct you to the UA website, where you can select and download the appropriate portfolio.


Backing Up The Database

Unfair Advantage includes a feature that checks your database for integrity and then copies it, along with all your customized settings, factsheets, portfolios and update records into a folder called UA\DBBackup. When used in conjunction with the corresponding "restore" feature, it provides an automated method for backing up and restoring everything except the Unfair Advantage software itself.

Backing up your database creates a reserve copy of the "Archives" folder, which holds the database in compressed Unfair Advantage format along with various control and fact files. This also creates a copy of the "unfair.ini" file, which maintains a record of your update criteria.

Your backup copy can be used to restore your portfolios and get you up and running should your active database become corrupted by a power glitch or hardware problem. Weekly backups of the database are recommended.

Note that this process does not back up the complete Unfair Advantage system. Please see the Backing Up Your UA topic for that.

No Back-Up Alternative

If you use a high-speed Internet service, you may forego backing up the database and/or software in favor of downloading replacements if this should become necessary. If you decide not to make regular backup copies of your UA database, be sure that you do keep a recent backup copy of your portfolio file (portfile.adm), along with your user ID and CSI Customer number so that you can easily restore full, customized functionality.

Unfair Advantage offers two techniques for backing up your database files:

Automatic Backup

General Program Settings of UA Preferences offers a screen that is devoted to your desires for automated backups of your Unfair Advantage database. Click "Preferences" from the UA Main Menu and then click "Distribution 3" to view the following selections:

Click the arrow at the right of the first selection box (showing "Never Backup Database" in this example) to display a drop-down menu of choices. The additional backup options are:

This allows you to determine the frequency and timing of your automatic backups. The best backup schedule for your application depends upon several factors:

1) The likelihood of database corruption through factors you control. Setting the accelerations for fastest access with greatest risk, for example, would increase the odds that your backup would be called into service. Your own tendency to multitask your computer, install software or connect and disconnect peripherals during a retrieval session could also increase the odds of database corruption.

2) Stability of the computer environment. Does your computer crash frequently? Is your area prone to power surges and/or power outages? If these commonly affect your computer, then the odds of database corruption from factors beyond your control and the corresponding need to restore data from your backup copy are great.

3) Your tolerance for re-downloading multiple days in the event of a database failure. This is the key factor regardless of the likelihood of database corruption. By creating a daily backup, you'll probably never need to recollect more than one day of data in a single session, but daily backups would increase the time involved in every download. If you are somewhat pressed for time in your daily activities and a database failure is likely, then making daily backups would be a good choice only if that you have a few extra minutes each day for the data integrity check. If you can afford to let the computer churn away downloading and distributing up to a week of data, then any of the other weekly choices would be fine.

The choice of "Never Backup Database" is not recommended unless you plan to (and actually will) manually back up either the database or the full UA folder at least once per month. Your Unfair Advantage software can retrieve a month of updates to fill in a data gap of this length between your last backup and the current date. CSI does not guarantee that data beyond a four-week window will be available for download. We discourage downloads of even this duration due to the intensive download and compute time required.

Any gap of one month or longer must be remedied by installing a new Unfair Advantage CD provided by CSI. Please contact
CSI Technical Support if you need a replacement CD. A fee for costs will apply.

UA will automatically run a database integrity check and then record a backup copy of your database in accordance with your preferred backup frequency.

Directory to store backups

Unfair Advantage has a default location for storing backup copies of the database, which is a subdirectory (folder) within your current UA directory. (C:\ua\dbbackup\ in the above example). This is a good place for backups, as UA always knows where to find your backups for restoration. To use the default directory, do not change this entry.

If you want to store your backup in another location, even on a CD ROM, enter the preferred drive and directory here.

Make Backup Now

The Database Menu (above the toolbar) gives access to a second method for backing up your database through Unfair Advantage. This is more of an on-demand system, allowing you to decide exactly when to back up the data. Click "Database" to drop down the following menu:

Click "Make Backup Now" as shown. UA will proceed with a data integrity check, just as it would for an automated backup. When complete, UA will write a backup file using your preferences specified on the "Distribution 3" screen of General Program Settings in UA Preferences (see above).

Restore Backup

To restore the database, portfolios, factsheets, settings and update information stored with your last backup (either automated or on-demand), click UA's Database menu and then select "Restore Backup" as shown below. The location of your backup files must be listed on the Distribution 3 screen of UA Preferences (see above).

Note that the restored database will be current through the date of your last update prior to creating the backup copy. A lengthy download may be required to bring your database current.


Uninstalling & Reinstalling UA

IMPORTANT NOTICE: Any time you install or uninstall software, unexpected problems can occur. We urge you to back up your hard drive (or sensitive applications and documents) before installing or uninstalling any software. You are solely responsible for protecting your computer system, software and data. CSI will not be responsible for any loss or damage arising from or in connection with your using, modifying, or removing any software.

PLEASE READ ALL OF THE FOLLOWING BEFORE PROCEEDING!

There are two reasons for uninstalling Unfair Advantage. One is that you wish to replace the software with a newer version that you received on CD ROM, and the other is termination of service. DO NOT uninstall UA when updating the software from the website. Each of the reasons for uninstalling UA requires a different procedure, so they are discussed separately below:

Uninstalling before upgrading Unfair Advantage

It is not necessary to manually uninstall UA before installing a new version from a CD, as the installation routine will automatically prompt you through the process of uninstalling before it allows you to install the new version. You should, however, back up your Unfair Advantage before any upgrade. See the Backing Up Your UA topic for instructions on the backup, and then Upgrading Your UA for further instructions.

Uninstalling UA upon account termination

Upon termination of a CSI account, you may delete the software and accompanying database to free up space on your computer. Note that you should only use the Uninstall routine if UA was properly installed in its own directory, not the root directory. Here's how:

1. Quit all programs.

2. Click Start and move to "My Computer."

3. Under "System Tasks" in the left window, click "Add or Remove Programs." A list of installed programs will display.

4. Click "CSI Unfair Advantage version xx." (Your version number will replace xx.)

5) Click the "Change/Remove" button. Your drive will be searched and then your Unfair Advantage software will be listed.

6) Click the software name and then click the [Remove] button. You'll be instructed to reboot your computer to complete the process.

Reinstalling UA from your original CD

PLEASE READ ALL OF THE FOLLOWING BEFORE PROCEEDING!

If you have a problem with your initial installation of UA, you may reinstall the software from the original CD-ROM; however, this may only be done within the two-month period following shipment of the CD from CSI. Reinstalling from your original CD after that time will permanently corrupt your database because it will be outdated beyond UA's updating window. Whenever you receive a new CD ROM of Unfair Advantage from CSI, it should be installed immediately using the procedure outlined below.

The following steps should be taken to assure proper re-installation of UA:

1. Shut down and restart your computer.

2. Preserve a backup copy of the \UA folder by renaming it \UAbackup or \UA2 folder.

3. Install UA from your CD as described in the Getting Started chapter.

4. Shut down and restart your computer again.

5. If you preserved a backup copy, you can use your previously listed portfolio by copying the file ARCHIVES\PORTFILE.ADM from the \UA2 or \UAbackup folder to the \UA\ARCHIVES folder.

6. Reinstalling from a CD will lock the UA database. Collect a daily update to unlock the database and bring files current. This may be a lengthy download if much time has passed since the time the CD was created.


Upgrading Your UA

You may upgrade your Unfair Advantage in either of two ways. You can either get a new CD ROM that includes the full database and software (a fee will apply) or you may download upgrades, usually just of program files, over the Internet. Each of these procedures is explained here.

Installing an Upgrade CD

An upgrade CD is the same as you would receive upon opening a new CSI account. A full version of the latest software, plus a database appropriate to your subscription will be included. Before installing from your new CD, we recommend that you first back up your current UA installation in case a problem occurs. See Backing Up Your UA for details. Once the software is backed up, insert the CD ROM and wait for it to launch. UA will likely ask you to uninstall your previous version before proceeding. Follow the screen prompts on the Uninstall Wizard to accomplish this. Once the uninstall in complete, you must begin the installation again. Follow the prompts in the Installation Wizard, just as you did when you loaded UA for the first time. See "Installing Unfair Advantage" for specific instructions.

Downloading Upgrades

CSI maintains a website where product upgrades can be downloaded, either with or without database files.

Most software upgrades to obtain enhancements or to correct program errors are available free of charge on the UA Updates page (under Customer Support) of CSI's website at http://www.csidata.com. These files are available for download at your own discretion. You may be advised by a Technical Support representative to download one of these files to correct a problem. We recommend that you check the UA Website once per week or so and download all enhancements to make sure you have the latest version. The website upgrades are frequently updated and are identified with a version number.

We strongly recommend saving a copy of your UA directory before installing an upgrade! This will allow you to return to the previous version if there is a problem with the new one. It will also make it possible for you to restore your customized portfolio and factsheet specifications without re-entering them! Please see "Backing Up UA" for specific instructions.

If you require a full UA system including the database, this is also available for download from the CSI website. However, you must first have clearance and receive a URL address from CSI before you may execute this download. Please contact CSI technical support for assistance. E:mail support@csidata.com or telephone 561-392-8663.

Important note: Running UA loads certain DLL files into your computer's memory, which can interfere with new versions. Therefore, before installing an upgrade of UA, please exit the Unfair Advantage program and restart your computer. After downloading the upgrade, exit your browser and restart your computer again before running your new UA upgrade.

Before beginning, write down your User ID and User Number (from the Account screen of "General Program Settings" under Preferences) and save a copy of your portfolio (portfile.adm) file. You will need to enter them into your new software.

To download the latest UA version, use your web browser to reach the CSI Home Page on the Internet. The URL address is: http://www.csidata.com. The CSI website offers many features for active and potential UA subscribers. Click UA Updates under "Customer Support" from the Main Menu (at left on your screen). The latest version will be listed at the top of the page.

This is an example of the Update Screen. The version numbers will advance periodically, and may not match the one shown here.

Click on the appropriate link to update the latest release, which will bring you to a page with more options. The selection page may offer either an Update or a Full Version of the latest UA.

An "Update" version does not constitute a fully functional UA system. These versions do not include database files, nor factsheets, nor other essential elements of the UA system. DO NOT UNINSTALL UA before using an "Update" from the website!

The "Download Full Version" option provides all necessary files, including the stock and commodity databases (excluding options). If you have a high-speed modem, and do not have the necessary requisites for using a simple Update, then you can replace your current UA with the full version. Another alternative is to order a CD from CSI, for which there is a nominal fee.

Once you select a version, a description of that version is displayed. It includes a listing of enhancements and all known problems. Please read this over carefully to determine if you wish to upgrade at this time. If so, click where indicated to download the program.

Your browser will indicate that the file cannot be viewed and ask if you want to save the file or open it. Choose SAVE and click OK.

Next you'll be prompted for a filename with a standard SAVE AS dialog box. Use the default filename, which reflects the current version number (don't change it).

Your browser may attempt to save the file in the briefcase, a Temp directory or other inappropriate location on your drive (as shown below).

If this occurs, click the arrow symbol at the right of the default directory to drop down a menu of other locations.

Double-click the drive letter of your hard drive (probably C:) and the available folders will display as in the example below. Change the directory to your UA folder by scrolling through your directories and double-clicking the UA folder. Once there, click "Save."

The File Download dialog chronicles your progress. The "Estimated time left" is likely to be WAY off! Our sample run started off indicating a seven-hour download, and within half an hour was down to "52 minutes." The entire download took about an hour.

When the download is complete, disconnect from the Internet as desired.

Installing Upgrades
(Be sure to preserve a backup before installing an upgrade!)

As noted on the website, you should always install upgrades on top of your current UA, without uninstalling previous versions or starting over in a new directory. This is because most (but not all) UA files are overwritten. Your database files are not affected by software upgrades UNLESS you uninstall your UA or you install a full version of the software. We do not recommend uninstalling UA unless you are re-loading the software from a CD or terminating service.

In most cases, your software upgrade does not become functional until you execute the program you downloaded, which, in turn, installs the updated version. To install your upgrade (after downloading it), click your computer's "Start" button and go to "My Computer." Navigate to the UA directory as you did when saving the program (above).

Within the UA directory, look for the file you just saved. It is most likely a UA version number with a .exe extension. Double-click the upgrade file to execute it. This will install the program.

Customizing Upgrades

Once your UA upgrade is installed, you should exit your Browser and restart your computer. Start UA as usual and enter your Authorization codes (if prompted). Depending upon scope of the upgrade, you may have the option of retaining (not overwriting) your previous portfolio, factsheet files and settings. If you choose to overwrite these, you can enter a new portfolio or you might restore your previous portfolio (if you saved it).

You must download quotes to unlock your database before proceeding.


Updating the Online Manual

Updated digital versions of the Unfair Advantage manual are posted on the CSI website periodically. You may view or download new versions as they become available (to match your current UA). Any time your UA screens do not match the writeup in your current manual, check the digital version for revisions.

CSI now offers an automated method for finding and installing the latest copy of the interactive online manual. See the Download Replacement Files topic in the Data Resources chapter for information.

You can also find the latest manual on the CSI website at www.csidata.com. From the website's main menu on the left, select "Documentation" under Customer Support. Several manual choices are available:

· The one identified as "Online Manual" can be read and searched directly from the website.
· The ones that will replace the interactive manual which is accessed by UA are identified as "uaman.zip" and "uaman.chm." Both are compressed and must be extracted prior to use.
· The "uaman.pdf" version is for use with Adobe Acrobat Reader.


Printer Settings

UA allows you to print charts as well as various lists and tables, some of which are processed according to your Printer Setup.

To view or edit your print selections, click the "File" menu at the top, left of your screen, then select "Printer Options." A screen like the following will display, but your own default printer will be listed in the "Name" box.

The above is a standard Windows printer dialog. Select the appropriate printer and adjust printer properties and paper size, source and orientation as desired. Click [OK] to save your changes.

Some UA output, such as portfolio listings, cannot benefit from the Printer options. All tables are automatically printed in the most appropriate size and orientation.


Windows Colors

UA allows you to customize the background color behind your UA charts. To set your preferences, click the Preferences menu at the top of the screen, and then click "Windows Colors as shown below:

The two functional choices on this screen are:

· [Browse] Main Window Background
· [Reset] (background color)

Click the [Browse] button next to "Main Window Background" to display a color selection screen. Initially, only the basic color options are included (left side of screen), but if you click [Define Custom Colors], the screen will be expanded to include the custom color selection (on right side of screen):

To select a basic color, just click on it and then click [OK].

To define a custom color, click the [Define Custom Colors] bar below the basic colors, and then click your mouse on the desired hue from the color array at right. When the right color is displayed, click the [Add to Custom Colors] bar.

You can then select the new color from the "Custom Colors" selections at left. Click your choice, and then click [OK].

· Click [OK] again to activate the changes.

· To restore colors to their original settings, click the [Reset] button.

The background color will be changed. Note that this option does not affect the actual chart colors, nor the color of your portfolio listings. See "Change Color Scheme" for information on modifying the colors in your UA charts.


Website Features

The CSI website offers many features, most of which are self-explanatory. Please visit our website at www.csidata.com to see for yourself.

Among the features that may be of interest:

· Current License Agreement
· Market Specs
· Tomorrow's Newspaper Today Explanation
· CSI Technical Journals
· Demonstration Version (Use to introduce your friends to UA)
· Ordering Unfair Advantage
· Commercial Sales


License Agreement

You can view the current CSI License Agreement on the website at: http://www.csidata.com/ua/licensing/index.html. Please visit this site regularly to stay informed.


Market Specs

Complete lists of exchanges and markets are provided in printable form on the CSI website. Go to: http://www.csidata.com/csi/exchangelist/index.html for information.


Technical Journals

CSI President and CEO Bob Pelletier writes a monthly column in this informative journal, which also includes a "Tech Talk" column of helpful questions and answers provided by the Technical Support staff, plus important market statistics and announcements. View the current issue and research our archives at: http://www.csidata.com/techjournal/index.html.


Demo Version of UA

A limited scope Demonstration Version of the software comes on your installation CD. A similar version may be downloaded at no charge from the CSI website at www.csidata.com.

The Demonstration version contains full history for several stocks and abbreviated history for several commodities. Users of the Demonstration Version may also access daily updates on the included series via the Internet for a limited period of time. Registration is required.

The Demonstration Version should not be installed after the full version has been activated or installed.


Ordering Unfair Advantage

The fully functional Unfair Advantage program and database are available almost exclusively from Commodity Systems, Inc (CSI). Demonstration and limited capacity versions may be available from other sources. The complete Unfair Advantage database is quite extensive, making on-line delivery impractical. The full database is shipped on CD along with the Unfair Advantage software.

Visit CSI's Website at www.csidata.com for full details and online ordering information or call CSI marketing at:

1-800-274-4727 (Toll Free)
or (561) 392-8663

Write to: CSI
200 W. Palmetto Park Rd., Suite 200
Boca Raton, FL 33432 USA
Fax: (561) 392-7761


Commercial Sales

Any business using CSI data for website presentation, redistribution of data or analytical use by more than three individuals would be classified as a Commercial Account. The Commercial Sales information on our website at http://www.csidata.com/ua/pricing/commercial.html.


Tomorrow's Newspaper Today

This CSI web-based service provides a full summary of market information plus unparalleled correlation study resources. The directions and feature descriptions provided here include:

· Viewing the Newspaper
· Stock and Commodity Charts
· Stocks By Exchange
· Stocks By Sector
· Market Correlation Report
· Commodities By Sector
· Premium Service

Availability

Data files and charts of the Online Newspaper are readily accessible around 9:00 p.m. eastern time. This feature is unavailable from 8 p.m. to 9 p.m. while it is being updated.


Viewing the Newspaper

Tomorrow's Newspaper (the Online Newspaper) is accessed in either of two ways:

1) To automatically view the online newspaper following each daily update, the "Display Daily news through web browser" entry must be selected on the "Distribution 1" screen under General Program Settings of Preferences as shown here:

2) You can select "Read Tomorrow's Newspaper" from UA's Trading Tools menu as shown here:

Simply click the "Trading Tools" menu at the top of your screen, then click "Read Tomorrow's Newspaper." This will engage your web browser and direct it to the appropriate page on the CSI website. If your computer is not already online, you'll have to go through that process first.

This is a password protected site, but depending upon the version of your browser, the necessary information may be supplied automatically. If not, a screen much like the following will display:

If this screen displays, enter your User Name and Password as follows: For "User Name," enter your CSI User ID in all CAPITAL LETTERS (three letters). For "Password," enter your CSI User Number (a five-digit number). If you aren't sure what these are, go to UA's "Preferences" and click "Account." Your User ID and User Number will display.

Note that Tomorrow's Newspaper is available only to those CSI subscribers who have requested and paid for this premium service.

See Troubleshooting if you have problems accessing the online newspaper.

Here is an example of the introductory screen:

The date at the top of the screen is tomorrow's date - relative to the data supplied. Of course, if you wait until the morning after release to view this data, then the date is simply the current day. It would correspond with today's newspaper.

This screen offers four major features:

The News box at the top of the page shows headlines and holidays. The headlines are links to articles published by various reporting agencies. Click on any headline to reach the appropriate website to read the article. As the headlines are intended to be timely and links may quickly become outdated, we do not keep an archive of past postings. To return to a featured article, you should bookmark the source website before exiting. News headlines are updated around 3 p.m.

The center panel of charts lets you scroll through the major stock indexes (Dow Jones Industrial Average, S&P 500 and NASDAQ Composite Index) for a quick look at today's action.

In the upper right is a text box where you may select a commodity or stock to display as a two-year chart. See the next topic for details.

Under the CSI logo (at left) is a series of buttons that let you view stock and commodity reports. These let you view Stocks by Exchange, Stocks by Sector, Commodities by Correlation or Commodities by Sector. Each of these choices is explained in subsequent topics.

There is no longer any reason to wait until tomorrow to review the market progress for today. UA will give you the necessary information today to make decisions for tomorrow, allowing sufficient time to consider the opportunities before you.

"Tomorrow's Newspaper" is posted daily at around 8:30 p.m. Eastern Time. This allows time for the CSI host computer to produce the results.


Stock & Commodity Charts

To display a stock chart and report from "Tomorrow's Newspaper," enter the symbol under "Symbol Lookup" and click [Get Chart].

For a commodity, click the arrow next to "Stock" and then select "Commodity" from the drop-down menu. Then type the commodity symbol and click [Get Chart]. Once the chart is displayed, clicking the "More Details" button will bring up the following screen:

When a commodity is selected, a continuous data series appears that was calculated as back-adjusted contract using Open Interest for the roll trigger and the close-to-close accumulation method. See the Back Adjusted Overview topic under "Adding Editing Files/Contract Selection" in this manual for details on this type of data file.

To view another chart, use the [Get Chart] dialog again. You'll find it in the lower left portion of your screen. Enter a new symbol or click [Back] to return to the previous screen.


Stocks by Exchange

Click on any of the stock exchanges listed on the "Tomorrow's Newspaper" screen to view an index from the exchange, as well as a newspaper-style listing of top stocks rated by volume, money flow and price change (major movers). Scroll through the main panel to view.

For more details about individual stocks, click on the first character of the symbol from the choices at the upper left. The following displays:

As you can see, there is a lot of information here! For a detailed report and chart of any listed stock, click on the Stock Name or Symbol.


Stocks by Sector

Click the [By Sector] (Stock) button on the left-hand side of the Daily Market Report to view a graphic view of stock sector movement.

The chart is followed by a table showing a list of sectors and their six-month relative price changes:

Click on the sector you wish to view. The resulting screen offers the many stock categories included in the selected group, along with the six-month yield for each. For example, the "Healthcare" category includes Biotechnology & Drugs, Major Drugs and Healthcare Facilities.

Click on your choice of categories to display the list of included stocks. The names of the stocks and the six-month yield for each are shown. Click on a stock name to display a chart and detailed report.


Market Correlation Report

Click the [Market By Correlation] button on the left-hand side of the Daily Market Report to view CSI's exclusive correlation tables. You can also reach this point from within your Unfair Advantage software by choosing "Correlation Report" from the Trading Tools menu.

CSI tracks nearly 1,000 world futures markets daily, which are as diverse as world economies can offer. Information on products like Dried Cocoons from Japan, Pork Bellies from the U.S., Rubber from Malaysia and Rapeseed (Canola) from Canada may seem totally unrelated until you view CSI's revealing correlation study. This convenient study can now paint a picture of market correlations that may suggest enormous opportunities for future arbitrage profits. It clearly identifies market pairs that are highly positively correlated and that are highly negatively correlated.

This study also produces correlation reports for major stocks, and for combination of stocks and commodities.

Methodology

This study pairs off, in a daily frequency, every world futures market with every other world futures market over the past 12, 20, 30 or 40 years (where possible), ending with the day of trading last observed.

Click on the link for the time period and market category or categories you wish to view.

The example shown here is for Futures only, but as you can see from the above selection table, you may view correlation reports for Futures Only, Major Stocks Only or a combination of Futures and Major Stocks. Scroll down to view each of the correlation tables.

Positives and Negatives

Correlation coefficients are statistical measures of how each member in a pair of markets relates to the other. There are two parts to the correlation coefficient -- the sign and the magnitude. The magnitude, also known as the absolute value, ranges from zero to one and indicates the strength of the relationship. The sign (positive or negative) indicates the direction of the relationship. A value of 1.0 is perfect positive correlation – the two members of the pair move up and down together in unison. If two markets move in exactly opposite directions, then they have a perfect negative correlation, with a correlation coefficient of -1.

Here is a general guide for determining the strength of a correlation:
0.00 – 0.20: slight; almost negligible relationship
0.20 – 0.40: low correlation; definite but small relationship
0.40 – 0.70: moderate correlation; substantial relationship
0.70 – 0.90: high correlation; marked relationship
0.90 – 1.00: very high correlation; very dependable relationship

A Look at the Numbers

The correlation tables may show some inconsequential data, such as a perfect correlation between contracts that are essentially the same, e.g. Day-Session T-Bonds and Globex T-Bonds. However, if you look a little farther down the sample list, you'll find weightier data. For example, say there is a high correlation coefficient (.998) for the pair consisting of NYMEX Light Crude Oil (CL) and IPE Brent Crude Oil (LCO). No big surprise there, but it is important to know that energy prices are in step on both sides of the Atlantic. Other highly correlated pairs might include the German Bund with a number of other countries' government securities. Several stock indexes show high correlations with each other, as do various grain contracts.

Among the least correlated pairs are a few grains with several stock indexes, such as the NYSE Composite Index with Barley (-.934), and gold with stock indexes. A host of currencies round out the list of negatively correlated markets, reflecting the inverse nature of foreign exchange.

The correlation tables showing the most positively and negatively correlated markets are likely to reveal several glaring opportunities for profit using spread trades, but tables also illuminate inevitable random market distortions that will eventually return to correlated norms. The markets' return to the norm is what will help you earn a substantial profit.

It is up to the trader to determine, based on sound economic analysis, if a given number is a "false positive" signal.

Click on any pair of markets in the correlation tables to view one-year price charts of the individual Perpetual Contract series and a three-line chart showing sigma values.

The example above shows a pair of markets as they have jointly declined from their average price over the past year. The difference between these two markets is shown in a third graph on the same chart image. Please notice that when market A is above market B, the difference line (C) lies above zero. The opposite is true when B is stronger than A. The trader should watch the difference levels over the period of study, gage the relationship's credibility and decide when and whether to initiate a given trade.

Trading Strategies
(Not to be construed as investment advice. All futures trading involves substantial risk of financial loss.)

How can you use this information to make better trading decisions? First, decide upon your trading strategy. Unless you are trading very specific spreads or arbitrages, you will probably want to be as diversified as possible. The correlation coefficient table sheds light on true diversity of investments. For example, if you take long positions in many markets in an effort to diversify, but all those markets are highly correlated, (negatively or positively) then you lose the diversification you sought. Trading multiple positively correlated markets or multiple negatively correlated markets is equivalent to pyramiding and serves to amplify your risk. Diversification is best achieved by trading markets with correlation coefficients that are low-magnitude (closer to zero).

In a positively correlated pair where two markets over the past twelve years have demonstrated a correlation of over 0.90, the trader should be prepared to sell the stronger market and buy the weaker market. A similar profit opportunity is presented when a pair of markets shows a historical tendency to be negatively correlated. In this scenario, opportunities for profit arise when the difference line shows the pair of markets to be moving together. The trader's focus should be to capitalize upon their tendency to move apart.

Before embarking upon a paired investment where one market is sold and the other is simultaneously bought (such as might be suggested with the stock index and barley on the correlation table), be certain that a real relationship exists that can be depended upon. With thousands of possibilities visited, some will emerge as accidental associations that will not prove to be fruitful opportunities worthy of investment.

One important aspect to remember about spread and straddle trades is that the dollar value of both legs should be roughly equal. For example, if the value of the commodity you are shorting is $30,000 per contract and the value of the desired long position is $10,000 per contract, you should triple up on the long position to make both legs balance at $30,000 each. Balancing your investments can be more complicated than this, (based on volatility, for example) but it is a worthwhile exercise that can usually be accommodated by either adding contracts or selecting compatible contract sizes from various exchanges.

Unfair Advantage allows you to view the full contract value of your commodities through a feature on the charting "Right Click" menu. Create a chart of both markets through UA (as opposed to the website) to view.


Commodities by Sector

Click the [Commodities By Sector] button on the left-hand side of the Daily Market Report to view CSI's valuable sector reports.

You can choose from among futures market categories such as Food and Fiber, Financial Products, Grains, Energy, Metals, etc. to display numerical data for the entire sector. Each entry includes full price information that, with the click of a mouse, can be supplemented by a chart mapping historical price development over time.

Click the sector of your choice to bring up a report much like the following example:

Scroll through the report to see the various included commodities.

Click on a commodity name to view a corresponding chart, which is the same as the one that would display if you were to enter the symbol on the introductory page of the Online Newspaper.


Premium Service

The Online Newspaper (Tomorrow's Newspaper Today) and the associated correlation studies are web-based services that are offered to Unfair Advantage subscribers seeking unique and innovative ways to maximize market understanding. Access to the Online Newspaper is considered a premium service for which a nominal annual fee is charged. Please contact a CSI service representative or visit the CSI website at www.csidata.com for pricing information and to arrange for access to this outstanding database.


Troubleshooting

Before contacting CSI Technical Support, please check the appropriate section of our Troubleshooting Chapter to see if a solution is already provided. The topics covered are:

· Contact Information
· Installation Issues
· Downloading Issues
· Tomorrow's Newspaper
· Portfolio Issues
· Analysis Issues
· Data Integrity Issues
· Software Issues
· MarketScanner Issues
· Debug Generator


Contact Information

If you have questions or problems that cannot be solved through this manual, please contact the CSI Technical Support Staff for assistance:

200 W. Palmetto Park Rd.
Boca Raton, FL 33432
Phone (561) 392-8663
Fax (561) 392-7761
E-Mail: techsupport@csidata.com

The Customer Support topic in the first chapter of this manual includes suggestions to enhance and streamline your calls to our helpful service representatives. These include a recommended sequence of use for support services and a checklist of information to gather before you call.


Installation Issues

CD Won't Load

If you followed the installation instructions and the software won't load, you may have received a damaged disk. Or, if you have a 36X CD-ROM drive, you may be having an incompatibility problem with a CDR disk.

We use a combination of CDR disks (which we record in the office) and pressed disks (which are made by an outside firm). Some 36X CD-ROM drives can't read the CDR disks. If either of these seems to be your problem, please contact our Technical Support staff to request a new CD or discuss other options.

Reinstallation Won't Proceed

Installation of a replacement Unfair Advantage program from a CD ROM requires that your previous UA version be uninstalled using Windows' Uninstaller.

Use "Add or Remove Program" found on your Windows Control Panel to uninstall your old UA. We recommend making a backup copy before uninstalling.


Downloading Issues

Download Was Unsuccessful

This can happen to new subscribers if you have incorrectly entered your User ID and/or Customer Number upon installation. Please double-check them on the "Account" tab of General Settings (on the Options menu) and try again. If you are repeatedly unsuccessful in attempts to retrieve an update, please check the topic below and if the problem continues, CALL CSI!

An error message displays during the brief periods when CSI's computer is inaccessible due to normal file maintenance. Try the call again in two or more minutes. If problems persist, you may want to try retrieving data through direct-dial access, where our backup system can deliver data to your computer in cases of more involved problems. Please note that you are responsible for any long-distance phone charges incurred.

Unattended Retrieval Session Didn't Execute

Unattended retrieval is an excellent way to update your portfolio at a time when your computer is not otherwise engaged. UA's Autoschedule feature, found on the Download Preferences - General Download Settings screen of UA's Preferences, can be used for this, but this method is prone to interruption due to energy-saving utilities built into your computer's operating system.

If your computer goes into a "sleep mode" when idle, then it is likely that the UA Autoschedule will not activate at the scheduled time. This feature cannot function on a sleeping computer. Therefore, we recommend that UA perform unattended data retrieval using Windows' Task Scheduler. See the "Initiating an Update from Outside UA" topic in the 3rd Party Software chapter for details and instructions.

Unexpected Error Messages with Unsuccessful Download

On rare occasions, Unfair Advantage users have experienced the repeated inability to process a downloaded data file, accompanied by a seemingly unrelated error message. In these cases, we have found that the data file received was corrupted. We were at first puzzled by data that mysteriously changed between transmission and receipt, but were able to find the culprit: Internet screening and filtering devices such as Microsoft Internet Explorer's Content Advisor and Net Nanny. These filters are designed to screen out objectionable content including language, sex, nudity and violence from your Internet downloads. Unfortunately, they may read our binary code as though it were ASCII and substitute ASCII "blank" characters for what they misinterpret as objectionable content. In the eye of Content Advisor, for example, a simple price or volume figure might appear to be an objectionable word, which would be stripped out of your incoming file. The result is an imperfect file that Unfair Advantage cannot process.

To avoid this problem, all Internet filtering software should be disabled before beginning a download with UA. Do not assume that MS Content Advisor is turned off just because you did not enable it. A bug in Internet Explorer can cause Content Advisor to enable itself, requiring that you manually disable it, even if you did not enable it initially. Below are step-by-step instructions for disabling Content Advisor.

Disabling Content Advisor in MS Internet Explorer with Windows 95 - 98
(These instructions are not for use with Windows ME)

1. Start Internet Explorer and pull down the "Tools" menu from the menu bar. From there, click "Internet Options," and then select the [Content] tab as shown:

The above example offers the Content Advisor options of [Disable] and [Settings], indicating that Content Advisor is active and could corrupt your UA files. If your screen shows only [Enable], then the Content Advisor is turned off and you should click [Cancel] to exit. You may download UA data without corruption from the Content Advisor.

2. If your Content Advisor matches the above example, click [Disable]. You'll be prompted to supply your password, which you should enter and click [OK]. Click [OK] again to exit the Internet Options screen. You may now run UA with no worries about corrupted data. If you later re-enable the Content Advisor, be sure to turn it off again before each UA download.
If you don't know your password (because IE activated this feature automatically), continue as described below to correct the problem and disable the Content Advisor.

3. (Necessary only if Content Advisor was automatically enabled.) Quit Internet Explorer and open Windows Explorer by right-clicking the "Start" button and selecting "Explore." Pull down the View menu from the menu bar and then click "Folder Options" to display the screen below:

4. Click the [View] tab, which brings up the dialogue box below. Make sure that "Show all files" is selected as shown. If this option is not selected, click the "Show all files" radio button. Click [OK] to exit the dialogue.

5. Back on the main Exploring screen, select your hard drive (usually drive "C:") and then pull down the "Tools" menu from the menu bar. From there, select "Find" and then "Files and Folders." A screen like the one below will display.

6. Enter "ratings.pol" in the "Named" box and check that your hard drive (usually C) is shown in the bottom box. Make sure "Include subfolders" is checked as shown above and then click [Find Now]. There will be a delay as Windows searches for the file(s).

7. When the search is over, the results may show one copy or many of the ratings.pol file. There should be only one in your WINDOWS\SYSTEM directory, but we'll delete them all in this step. Highlight all copies of the ratings.pol file and press your keyboard's [Delete] key. Click [Yes] when asked if you are sure you want to send the file(s) to the recycle bin.

8. Close Windows Explorer and launch Internet Explorer. It is likely that the following error message will display. Click [OK] to clear the message.

9. Pull down the Tools menu and then select "Internet Options." Click the [Content] tab to display the dialogue box shown in step 1. Again, you'll have the option of selecting [Disable] or [Settings] for Content Advisor. This time, click [Settings].

10. You'll be prompted to enter your password, which, of course, you don't have. Just press <Enter> and then [OK]. Explorer will regenerate a fresh ratings.pol file, which should solve your problem.

11. Back at the Content screen, click [Disable]. You'll be prompted to CREATE and re-enter a password. Enter a password that you won't forget, and write it down for when you do! Content Advisor will now be turned off (and will hopefully stay off) leaving your UA downloads uncorrupted.

This procedure addresses a problem with Content Advisor that is part of MS Internet Explorer version 9x. It is unknown if similar problems can occur using later IE versions but that may be the case. See the Internet Content Rating Association's website at http://www.rsac.org/faq27.html for more information on this and related issues.

Norton Internet Security Firewall

This is another internet security product that is designed to protect your computer, which can also interfere with data transmission from CSI. If your transmissions are corrupted through by this product, you have a choice of temporarily or permanently resolving the problem.

1) Temporary Solution (recommended):

[Disable] NIS before each download, then [Enable] it afterward.

2) Permanent Solution (at the cost of reduced internet security):

Open NIS, and then click [Options]. Next click [Advanced Options], and then click the [Other] tab. On the left-hand side is a numeric list of the HTTP Ports. Port 80 should be the first one. Highlight it and then click the [Remove] button. Click the [Apply] button and then [OK] until you are back to NIS. Restart your computer to make Windows recognize the changes.

If you later want to restore full filtering on Port 80, repeat the process, but instead of clicking [Remove], click the [Add] button.

Note: Port 80 is primarily used for the World Wide Web. By removing it from the list, you are opening up World Wide Web access. NIS will continue to look for bad things on your computer, but it won't filter every single data byte coming through. There are several common viruses out there that expose your hard drive to the world using Port 80. This means that if you were to contract one of these viruses, anyone in the World Wide Web would have access to anything on your drive. Please contact Norton for further clarification.

Data Distribution Takes Too Long

The time required for data distribution is controlled by a number of factors. Among these are: the scope of your update (just domestic commodities, world commodities, options and/or commodities and stocks, etc.); the quantity of adjustments required for your markets (including dividends or earnings data); the quantity of files that must be recalculated (as opposed to appended); the number of export format files that must be written to disk; and the number of screenings required.

Whatever the cause of a slow distribution, you should avoid interrupting the process, as doing so can result in corrupted data files.

Here are some tips you can use in designing your custom portfolio that will speed distribution:

Unfair Advantage offers several "Accelerations" that affect data distribution speed on the Advanced 1 screen of General Program Settings under UA's Preferences. Be sure these are set to your best advantage.

Make sure the Database Corruption settings are adjusted to meet your needs. These are modified through the Advanced 2 screen of General Program Settings under UA's Preferences. Your selections there can dramatically affect the speed of data distribution.

In your portfolio, use nearest future group (individual contract group) sparingly. This feature scans all contracts so it can automatically add new contracts and omit expired ones from your portfolios, which can be time-consuming.

Do not select "Always Retrieve the Cash" from the "Cash/Saturdays" tab of your portfolio settings or Non-Portfolio Chart settings. Instead, select the "cash" option in the portfolio manager for those individual commodities for which you wish to view cash.

Do use the "Append to portfolio files when possible" feature on the Daily Distribution of UA's General Settings (from Preferences). This keeps file building to a minimum.

Do not inflate the Charting Limit beyond the recommend ten to 12 charts. Doing so can slow your system in several ways.

Don't make indiscriminate changes to the Data Presentation on the Rounding/Ranging tab of your Portfolio settings. Whenever this is changed, UA must scan all data series and rewrite all files that are affected by out-of-range settlement prices.

Recognize that a complex portfolio may take a while to build, especially on days when back-adjustments require extensive re-building of files. Accepting this fact won't speed distribution, but it will allow you to better manage your time. Why not find another task or take a short break during lengthy distributions?

Using the MarketScanner can be a very time-consuming, but worthwhile exercise. Time increases as more exchanges are involved and more days of data are included. We recommend you limit the MarketScanner function to those days that you will be making use of the scanning file.

UA Duplicates Last Day of Data in Each Retrieval Session

This is not a problem, but a valuable UA feature. There is a very good reason for re-sending the past day a second time: Markets close around the world as the earth rotates, and we post data all during that period. If a customer calls before all data is released for the day, which happens as late as 8:00 PM Eastern time, data can be missing for some of the contracts. Error corrections on data released in earlier downloads are also corrected by about 8:00 PM. If we didn't supply the redundant update, you would miss those corrections.

As far as we know, we are the only service in the industry to offer this luxury. It assures that you receive critical information, the loss of which could cause unpredictable voids in your data continuity.

Multiple Daily Updates

Retrieving data from the CSI host computer more than once a day isn't a problem because CSI no longer charges extra-access surcharges for multiple daily calls from the same computer. You might make a call in the morning to retrieve Pacific Rim data, or perhaps in early afternoon for European data, and then another in the evening to update the balance of the markets. This will allow you to update your files as the sun sets around the world, without incurring additional expense.


Tomorrow's Newspaper

The prompt to view Tomorrow's Newspaper (Online Newspaper) does not display.

The prompt to "View Tomorrow's Newspaper" automatically displays after each daily update with Unfair Advantage if your software is set to display news headlines from the CSI website. You can adjust this setting through the UA "Options" menu under "General Settings." Click the "Daily Distribution" tab and make sure "Display Daily News File Through Browser" is checked. Click [OK] to save your change. The Online Newspaper prompt follows the daily headlines. You may need to scroll down to see it.

The Online Newspaper will not display. A message saying "HTTP1.1 401 Unauthorized" appears.

Only those CSI subscribers who have enrolled in the premium "Tomorrow's Newspaper" service are authorized to view the Online Newspaper. If you have already arranged to access this data, then the error message results from an improper setting in Internet Explorer. Follow these steps to correct it:

1) When you see the error message saying "HTTP1.1 401 Unauthorized," click the "Tools" menu at the top of your screen. 2) From the pull-down Tools menu, click "Internet Options." 3) Click the "Security" tab, and then, on the "Security" screen, click the [Custom Level…] button. 4) Scroll down to the "User Authentication - Logon" selection near the bottom of the list. You'll see that "Anonymous logon" has been selected, which is the cause of your problem. Select the "Prompt for User Name and Password" option instead. 5) Click OK as necessary to exit the Tools area. The error message will redisplay. 6) Click the "Refresh" icon on your Internet Explorer toolbar or press <F5>. The "Enter Network Password" screen will display, where you can type your CSI User ID and Password as described above.

These instructions (complete with graphic displays) are repeated on the CSI website. Reach them by clicking "Troubleshooting" near the bottom of the standard "News Headlines" screen.


Portfolio Issues

Separating commodities and stocks for use with different third-party analysis programs

UA supports multiple portfolios in which to list files created for export, and you can direct the output directory for each item or group of items in your portfolios. For example, when inserting stocks, you can select any number of stocks together and specify one export folder and format for the entire group. You can then switch the market type to "Commodities" and, again, select any number of markets to be stored in a different folder and format. When analyzing the data in your third-party software, direct the program to the appropriate folder (or folders) and avoid those folders holding data of the unwanted market types.

Adding a new stock (an IPO) to your Unfair Advantage portfolio

If an IPO started trading today, chances are good that we made it available on this, the first day of trading. However, Unfair Advantage won't acknowledge the existence of your new stock until after it has been retrieved in a daily update. Please download new quotes and allow UA to distribute the data before attempting to add an IPO to your portfolio. If it still isn't there, please send us an e-mail with a request to add the issue.


Analysis Issues

Data Won't load into Analysis Software or Chart With UA

The database is probably locked. Many a new subscriber has installed the software and tried to open the CDB files through the FILE Menu or with the Windows "Explore" feature. Sorry, but this doesn't work. You'll need to download an update from CSI to unlock the database before you can chart any UA data.

If some charts display, but others won't, you have likely exceeded the UA charting limit. The number of charts to display is subject to the "Memory Cache Size" selections for charting limit on the "Advanced 1" screen of General Program Settings (through the Preferences screen).

The initial setting is somewhere around ten or 12, which is the recommended quantity. Once this limitation is reached, no more charts will display, even if they are listed in your portfolios. An error message will display for each chart over the limit. To create more charts, close the current charts, then create additional ones through the charting method of your choice.

UA Database is Locked

The database is intended to be locked until such time as you complete your first successful data retrieval and distribution session with UA. Please see "Downloading Quotes" for instructions.

The database can also be locked if you allow service to lapse for a month or more. Retrieve a daily update to unlock the database. If more than two months have transpired since your last update, a new CD-ROM may be required. A replacement CD is available from CSI at an extra charge. See the license agreement or contact CSI marketing for details.

An incorrect system date on your computer can result in the database being locked unnecessarily. Reset your computer's date to correct this problem.

UA Database is Still Locked

The database stays locked until the first data distribution has been completed. If you clicked the "cancel" button during distribution, you stopped the process before the database was unlocked. Distribute the update again (through the Database menu) and PLEASE DO NOT CANCEL the distribution process, even if it is lengthy.

Unable to Create Multiple Computed ASCII Files With Different Contract Selections

UA creates unique filenames for different computed contracts based on your input for the type of data series, rolling parameters, etc. A nearest-future corn contract would have a different filename than a Perpetual Contract data corn contract, for example. Even two nearest future corn contracts with different roll-forward criteria would have different filenames.

However, UA does not identify every contract selection within the filename. If you make multiple computed series for the same commodity, with the only difference being a different list of included delivery months, the files will all have the same names and will overwrite each other. To avoid overwriting such files, they should be stored in different directories as identified through the portfolio manager. Even then, the filenames and chart names within the different directories will be identical.

Unless you have a specific need to compare very similar computed contracts as described above, we recommend using the default list of delivery months for each computed series, or sticking with one non-standard list of contracts that is used consistently.

Automatically Starting Third-Party Software After Data Retrieval

You can expedite your entry into another program through the prompt "After Daily Distribution is complete execute the command:_________________" on the Daily Distribution screen of General Settings. Simply enter the path and filename of the executable file that launches your analysis program and click [OK].


Data Integrity Issues

Close Value is Higher Than the High, or Lower Than the Low

This is probably not an error, but the result of your choice of default data presentations. Upon initial setup, you had the option of presenting the actual prices, regardless of where the settlement lies within the trading range, adjusting the high and low to encompass the settlement price, or adjusting the settlement to be within the daily range.

To change the data presentation for an item in your portfolio, edit the portfolio settings through the portfolio manager. For commodities and stocks not included in your portfolios, use Non-Portfolio Chart options from the Options menu. Either way, click the Rounding/Ranging tab and make your choice, as explained in "Making Close in High/Low Range." An on-screen description displays for each choice.

Both the Open and Close are Outside the Trading Range

This problem is rare, but more likely to occur in overseas data. It has been reported specifically in the CAC-40 Index. The exchange did not publish opening prices in the early days of trading, so to keep charting programs from blowing up with the nonexistent open, the close (settlement) was proliferated into the opening field by CSI. The settlement (fourth field) is not necessarily a traded price and can be outside the high-low range.

We consider this to be the most appropriate approach, as our other options were to show an open that is fictitious, such as the high-low average in the opening field or a zero. If you see this occur, i.e., the open equals the close and both are outside the high-low range, then you have the option of using another program to compute an artificial open (coupling in yesterday's close or calculating the high-low average, for example). Check the on-line factsheet's footnote to find out if this or other anomalies are likely in the markets of interest to you.

Distortions in UA Charts or Computed Data Series

Any time there is a distortion in a data series, a problem exists somewhere along the line. It could stem from a software error, a data point error or a damaged database file. Here are our suggestions for pinpointing the culprit.

· If you are creating a computed contract, try creating a different computed series from the same data. Try a nearest future series if a back-adjusted won't work, for example. If nothing works correctly for that commodity, but other commodities do work, a History Refresh of the specific database file might do the trick. Get it from the CSI website at http://www.csidata.com.

· If a problem occurs in creating the same computed contract for all commodities, but those commodities are otherwise normal, it is likely a software error. Go to CSI's web site at http://www.csidata.com, then click "Support," then "Upgrades" to see if there is a new upgrade of UA. Download and install the upgrade (if you don't already have it) and try charting your series again. It may be we have already discovered and corrected the problem.

If the problem continues, please e-mail Techsupport@csidata.com with the specific parameters you used in the failed attempts. We'll try to solve the problem ASAP.

· If you're using a third-party analysis program to chart the data, try charting it directly through UA. If the identical data series will chart with UA, but not in another format, there is likely a programming error or format incompatibility with that software. Call your software supplier for a remedy.

It is usually pretty easy to spot a data error. It may appear as a spike or single data point, either much higher or much lower than the rest of the data. The balance of the chart is severely compressed. If you suspect a data error, please contact CSI with details on the contract or stock in question, the date, the suspected field or fields and your reason for believing it is in error. If the data point is confirmed as an error, a correction will be transmitted to all UA subscribers in their next download. Ask about our rewards for being the first to report an error.

UA Won't Create Delivery Month Codes Like QuickTrieve

It's true, UA does not create QuickTrieve-style delivery month codes (code 55 for nearest future, for example) because its architecture is far too flexible for the rigid guidelines the codes require. UA uses descriptive filenames and chart descriptions to identify individual data series. Please refer to "File and Chart Naming Conventions" for a better understanding of UA's chart and file names.

Back Adjusted Contracts That Roll N-Days Prior to Expiration Don't Roll Out of Current Contract on Time

UA can execute adjustments based on any roll date perfectly throughout the historical past, but when it comes to the current contract that is about to expire, the program has insufficient information for early rolling. Both UA backadjusters depend upon knowing when a given contract rolls by simply reviewing the historical series of all the delivery months in the database for the commodity in question. Neither backadjuster can absolutely determine when the nearest delivery month will expire until after the fact.

This may seem to be a shortcoming in the software, but it is not. All traders should be aware of the rolling conventions expected and effect the rolling requirements on the appropriate day. CSI provides alert calendar information under the "Alerts" tab for quick review. The last trading day is reliably posted for regular review and examination for most commodities followed by UA.

Half-point values do not display for certain commodities such as CME Lean Hogs and Eurodollar

We emulate the exchanges' practice of not displaying insignificant trailing digits for those commodities whose minimum tick is 2.5 points. For example, a CME Lean Hog price of 67.9 1/4 would be presented as 67.92 (the final 5 has been dropped). UA stores the full price values and allows you to display them without truncation if desired. To do so, click "Display as Decimal" on the "Displaying Data" tab of UA's General Settings. The commodities affected by this truncation are: CME - Live Cattle, Lean Hogs, Pork Bellies, Pork Cutouts, Feeder Cattle, Butter, Libor, Eurodollar, Mexican Peso, S.A. Rand and Russian Ruble; MACE - Live Hogs and Live Cattle; Simex - Eurodollar; and Matif - Rapeseed.


Software Issues

Tips at Startup

The Unfair Advantage "tips" that display when you start the program are intended to familiarize you with the system's capabilities in an unobtrusive way. If you have already been through the limited selection of tips, or would rather not view them, you may simply turn this feature off.

To turn off tips, click the Options menu, go to the General tab and click the checkmark on the "Display tips at startup" entry. This will un-check the option and eliminate tips from your daily routine.

UA Manual Outdated After Software Upgrade

We urge you to read the notices on the web about each upgrade BEFORE you download the software. These notices contain important information about recent enhancements and known problems with each UA version.

Although we don't change the on-line manual with each software upgrade, we do periodically revise it to stay relatively current. You may navigate the latest manual on the CSI website at http://www.csidata.com (click Support and then Online Manual) or, if a new version is available to download, it will be listed along with other product upgrades. To view the version that is currently stored on your hard drive, click UA's HELP menu, then click Help Topics.

You might also check the Tech Talk section of recent CSI Technical Journals to see what current topics have been addressed by our Technical Support staff. UA subscribers receive the CSI Technical Journal each month.

UA Won't Start After Incomplete History Refresh

An incomplete History Refresh transmission can interfere with program operation. To correct, right-click your Windows' Start button and click "Explore." Navigate to the file C:\UA\ARCHIVES\cdb\00000017.cdb and delete it. Restart Unfair Advantage, dismissing the error message as the program initiates, and retry the History Refresh download of the same markets.


MarketScanner Issues

Divide By Zero Error

This error message can display whenever you ask the software to do the impossible. If this occurs while running the MarketScanner Wizard, cancel the scan and re-check your input. Here are a few suggestions:

· Does your selected market criteria on the Wizard screen match the markets included in the scan list? Confirm your choices through the Scan DB Options/Scan Settings screen found on the Options menu.
· If you have set minimum and maximum values, are they in the appropriate columns and do they correspond with each other?
· If volume is one of your selected characteristics, did you remember to truncate your input by two integers? Example: 5 million should be entered as 50000.
· If any of your chosen characteristics or studies include parameters in the "Period" field, is that field less than the number of days included in the initial scan? A 25 day scan cannot calculate data using a 30-day moving average or even a 25-day moving average. Your "Period" input must always be less than the number of days included in the scan. Correct as needed.


Debug Generator

One of the great things about Unfair Advantage is that it is continually evolving with new features and enhancements. Unfortunately, new programming code sometimes results in unexpected problems that should be addressed by a CSI systems analyst as soon as possible.

That's where the Debug Generator comes in. When activated, the UA software creates a file of technical information (driver operations) that can help pinpoint the problem so that it can be solved quickly and efficiently. The Debug Generator slows the software considerably, and should be used ONLY when requested by a CSI Technical Support Representative. You will receive detailed instructions from CSI on using this feature if it should become necessary.

The activation prompt for this feature is found on the "Advanced 1" screen of General Program Settings within UA's Preferences.


Appendix

This Appendix offers an alternate look at:

· Menus
· Preferences

And shows a list of:

· Shortcuts


Menus

Unfair Advantage has six main menus, they are:

File Menu
Portfolio Menu
Chart Menu
Database Menu
Trading Tools Menu
Help Menu

Click on the links above for information about these menus and their uses.

Additional menus of interest are:

Charting Right-Click Menu
Portfolio Right-Click Menu
Shortcuts Menu


File Menu

The File Menu is found at the top left of the Unfair Advantage screen. Click it to drop down a list of the following choices:

Click:

· "Print" to print the current chart or table through the print dialog
· "Print Options" to set your printing preferences.
· "Exit" to quit the program


Portfolio Menu

The Portfolio Menu is shown and discussed as part of "Tools for Portfolio Management" in the "Your Portfolio" chapter.

Your entire portfolio system, including the files within your portfolios can be controlled through the Portfolio menu (click to view).

Use this menu to:
· Create a new portfolio
· Edit portfolio settings
· Copy portfolio settings to a new portfolio
· Copy portfolio to new portfolio
· Delete portfolio and files

· Replace Portfolio With Vendor Portfolio
· Import Portfolio
· Export Portfolio (to printer - same as Print File List)
· Overwrite with Backup Copy

· Minimize Portfolio Manager (change the appearance of your screen for full charting)
· Restore Portfolio Manager (restore screen to its presentation before Portfolio Manager was maximized or minimized)
· Maximize Portfolio Manager (change the appearance of your screen for best functionality within Portfolio Manager)

· Insert File/Files(add new series to your new or existing portfolio)
· Edit file settings (change the properties of a portfolio item)
· Rewrite file immediately (write an export format file to disk now)
· Rewrite file on next distribution (write an export format file to disk later)
· Delete File and Settings (remove an item from portfolio)
· Chart Series (display as UA chart)

· Find in Portfolio (use to locate a series on your portfolio list
· Select All (select all portfolio items for next action)
· Print File List (to make a hard copy listing of the selected portfolio)
· Reset Widths and Placement (to return columns to original state)

· Change Format (choose between chart, ASCII, MS, CSIM and CSI)
· Change Period (make file/chart Daily, Weekly or Monthly intervals)
·
· Enable/Disable Portfolios (select the portfolios that will be maintained automatically)
· File Properties (view and edit specifications for the selected item)

A very similar menu will display if you click on any item in a portfolio and then right-click your mouse. Use whichever method is most convenient for you.


Chart Menu

The Chart Menu offers one way to create a chart or add tools to an existing chart. Click "Chart" from UA's main menu bar to view the following choices:

Click on your choice from the menu. For more information, click the links below to view the topic within this manual.

· New - Use to create a chart that has not already been defined as part of your portfolios.
· Zoom Out - Use to add more data to your chart, if available.
· Zoom In - Use to get a close-up view of a small amount of charted data.
· Crosshairs - Use to pinpoint specific points on the screen and view corresponding text data in a window.
· Study Toolbar Use to add studies to your chart.
· Apply Tools - Use to add Trend Lines, Annotations, Rectangles or Ellipses, and to Zoom By Box or to Undo Prior Zoom.
· Overlay Data Chart - Use to superimpose one data series into the same chart with another data series.

· Clear Study Template Selection - Use this to remove a study that was added to your chart by the Study Template menu (below the chart).
· Clear Chart Tools/Annotations - Use to remove the Trend Lines, Annotations, Rectangles or Ellipses added through the Tools menu.
· Clear Studies from Chart - Use to remove all studies.

· Change Data Series - Use to clear the current chart and replace it with new data. This brings up the Data Selection screen.


Database Menu

The Database Menu (above the toolbar) gives access to important features for maintaining and understanding the Unfair Advantage database. Click "Database" to drop down the following menu:

Click on your choice from the menu. For more information, click the links below to view the topic within this manual.

· View Posting Status - To see which markets have been posted today.
· Update Database - To download quotes.
· Manual Data Distribution - To manually write files using most recent update.

· Download SnapQuotes - To retrieve a recent intraday quote on selected markets from third-party websites.
· Clear SnapQuotes - To clear intraday data from current charts.

· Factsheet - To view lists, specifications and certain fundamental facts on CSI data.
· Facts, Events & Exchanges - To view holiday schedules, exchange lists, etc.
· Daily Summary Report - To view a listing of today's update for all markets or various subsets.

· DB Integrity Search - To scan your CSI database to check for file corruption.
· Refresh Price History - To download replacements for corrupted files.
· Download Replacement Fact Files - To refresh factsheets and other data-related information.

· Make Backup Now - To back up your database, portfolios and corresponding files.
· Restore Backup - To replace your current database with the last backup copy (in case of damage).


Trading Tools Menu

The Trading Tools Menu (above the toolbar) provides entry into Unfair Advantage's companion programs for market analysis. Click "Trading Tools" to drop down the following menu:

Click on your choice from the menu. For more information, click the links below to view the topic within this manual.

· Multi-Market Analyzer
· Correlation Study
· Market Scanner
· Trading System Performance Evaluator
· Position Manager
· Read Tomorrow's Newspaper


Window Menu

The Windows Menu (above the toolbar) lets you adjust the way active charts appear on your screen. Use it to tile, cascade, arrange and close charting windows.

See the "Adjusting Screens and Windows" topic for examples of how these choices affect your display.


Help Menu

The Help Menu (at right above the toolbar), offers several helpful options:

· Help topics brings up the online UA manual, which you may read at your leisure or search for specific topics. The Introduction screen displays initially. If you would like to see the Table of Contents to get a better idea of what information is available, click the [Contents] button at the top of the screen. See the "Using the Online Manual" topic for further details.

· What's This? allows you to view a brief description of the various menus and buttons within Unfair Advantage. Click the "What's This?" menu selection or the "What's This?" icon on the toolbar. Your cursor will be augmented with a question mark and arrow symbol. Move the cursor to the topic in question and click your mouse. A brief description will display.

· API Manual brings up a Microsoft Word format document written by a CSI software engineer that includes technical specifications and instructions for using UA's compressed database outside the Unfair Advantage environment. See the Application Programming Int. API topic in this manual for more information about this feature.

· Developer's Document displays a technical documents for programmers called "Programmers Guide to Unfair Advantage®."

· Guided Tour is a brief walk-through of some basic Unfair Advantage applications. Click this selection to launch a separate document that describes Building a Portfolio, Daily Updates, SnapQuotes, Importing a Watch List, Charting, Adding Studies, Scanning and Screening, Unattended Data Retrieval and Analysis and Web-Based Analytics.

· How-To Guide is a brief, but expanding list of questions and answers about using Unfair Advantage.

· E-mail Your Question is a handy utility that launches your email composition window, already customized with the address of CSI's technical support and information about your Unfair Advantage account. Use this to send a question or comment to CSI.

· Extend Your Promotional Window displays a form for entering a key code provided by CSI. This is used in rare situations as directed by CSI. The Technical Support Staff will advise you if this is ever necessary for your applications.

· About Unfair Advantage displays information about your version of UA and available system resources. You may be asked to reference this screen by the CSI technical support staff. An example is shown here. Click [Close] to exit this screen.


Preferences

"Preferences" are user settings that affect the way Unfair Advantage performs.

If you wish to view or change your settings, click "Preferences" at the top of your UA screen. The following will display:

As indicated on the screen, you may select any area of operation to customize from the list at left.

See these topics for more information and referring links to specific information:

· General Program Settings
· Download Preferences
· Charting Preferences
· Windows Colors Preferences


General Program Settings

The first entry on the Preferences screen is General Program Settings, which include several important aspects of program operation. Scroll down for information on each choice.

Account Preferences

Click "Account" from the "Preferences" screen to see the corresponding settings. Your User ID and User Number (supplied by CSI) may be edited here. For more information, see the Account topic in the Getting Data chapter.

Access Rights

One level below the Account screen in UA's Preferences is the Access Rights screen. If this doesn't show on your menu, click the "+" symbol beside the "Account" entry. The Access Rights screen, as shown here, indicates which markets you are allowed to update and the start date of your historical data files. The statistics shown here represent your access rights as of your last update. If you change any of these by contacting CSI, please update your database to revise this screen. For more information, see the Access Rights topic in the Getting Data chapter.

General Behavior 1

This Preference screen allows you to decide which, if any, of the Override Price Handling features will be used, and whether not UA will display tips each day and whether or not it will check for a new release when you launch the program. See the Override Price Handling topic in the Data Resources chapter for more information on Price Handling and Tips. See Check for New UA Version in the Software Maintenance chapter for information on that setting.

General Behavior 2

This screen in UA Preferences offers two choices with diverse uses. The first has to do with chart and portfolio creation. If you elect to "Choose market from Factsheet" (Market Specs), the list will automatically display instead of just a "Symbols" box for market entry. See information on this in the Charting or Portfolio chapters. The second setting, which determines if month numbers (1,2,3... or the exchange-code month letters will display in the calendar portion of your charts if standard abbreviations won't fit, and the third setting regarding the toolbar presentation are also explained in the Charting chapter.

Market Specs Behavior

The "Factsheets" now called "Market Specs" reveal all details about each market in the CSI database, including the symbol and CSI number that can be used for selecting markets for charts and portfolios. These are explained fully in the Market Specs chapter.

Distribution 1

This screen offers a variety settings to reflect user preferences, all having to do with data distribution. Refer to the Distribution 1 topic of the Data Distribution chapter for details.

Distribution 2

The settings here reflect how changes to factsheets (Market Stats) should be handled, which are explained in the Factsheet (Market Stats) Changes topic of the Data Resources chapter. The execution of a command after distribution results in the automatic launching of a third-party program, which is described in the Launch 3rd-Party Software topic.

See the respective topics on Alert Calendar, Distribution and Factsheets (Market Stats) for details on the remaining features.

Distribution 3

See the Distribution 3 and Backing Up The Database topics for information on this.

AmiBroker

AmiBroker is an online brokerage service whose software can accept stock data from CSI. See the AmiBroker Export topic for details.

Advanced 1

This screen is important for users who view many charts within UA and for those who may be experiencing problems with MS Format export files or AnyLanguage programming. See the Advanced 1 topic for information.

Advanced 2

Database (DB) corruption is, of course, something to be avoided, but the degree to which it is avoided can impact the time required for data distribution. If more speed or more protection from file corruption are important to you, see the Accelerations topic in the "Guide For New Users" chapter.

Advanced 3

Like the setting on "Advanced 2" the user settings on this screen are designed to speed up data distribution. They may or may not be useful to you, depending upon your hardware and your specific needs. See the Accelerations topic in the "Guide For New Users" chapter to learn more about these.

End of General Programs Settings
Click here to see Download Preferences Screens.


Download Preferences Screens

Download Preferences

These settings allow you to customized data retrieval from CSI. See the "Download Preferences" topic for details on this screen.

Internet Settings

See the "Customizing Internet Access" topic if you need information on this rarely used screen.

Direct Dial Settings

See the "Customizing Direct Dial Access" topic to find out about editing the CSI phone number or your access port and baud rate.

Browser Access Settings

Please see the "Customizing Browser Access" if you need informationon this screen:

End of Download Preferences Screens
Click here to see Charting Preferences screens.


Charting Preferences Screens

Overall Charting Preferences

See the "Charting Preferences" topic to learn about these important charting selections:

Cash/Saturdays

Click this "Cash/Saturdays" link to read about these features:

Aggregate Method

Please read the "Aggregate Method" topic for more on compiling volume, open interest and cash values in weekly or monthly series.

Rounding Ranging

Click this "Rounding/Ranging" link to learn about this important feature for displaying your market data.

Displaying Data

See the "Displaying Data" topic for information on displaying charted data in decimal form.

Back Adjusting

Read the Back-Adjusting topic to learn about choosing your preferences for UA's back-adjusting calculations.

End of Charting Preferences Screens
Click here to see Windows Colors Preferences


Windows Colors Preferences

See the "Windows Colors" topic for information on using this screen:

End of Windows Colors Preference Screen
Click here to learn about Unfair Advantage keyboard shortcuts


Shortcuts
Previous Top

For those who want to get around their Unfair Advantage software quickly, using keystrokes instead of menus and icons, we have provided alternate "Shortcuts" to activate various activities. These shortcuts can be viewed and selected from a menu, but it is not necessary to use the menu. Once you have learned the alternate keystrokes, shown at right, you may initiate the desired activity by typing the appropriate command.

View the shortcut menu by placing your mouse pointer in the unused charting area, or in the border below your Unfair Advantage chart, and then right-clicking your mouse as shown:

Each of the keyboard entries is expressed as Ctrl +X. This means you press and hold down the Ctrl (control) key on your keyboard and then press the letter shown. For example, Ctrl +D means hold down the Ctrl key, then press the letter D (so they are both being held down at the same time, very briefly). Release both keys at the same time and the Download function will begin.

The Shortcuts and their keyboard commands are shown here. Alternately, you may select from the pop-up Shortcut menu using your mouse.


 Cancel

Click [Cancel] to stop the current action without saving changes or advancing to the next screen. In most cases, clicking [Cancel] brings you back to the previous UA screen.


 Close file

The Windows Operating System uses a standard set of symbols to control open files and windows on your screen. These symbols are located at the upper right corner of each window as shown:

The three symbols above represent typical choices for an open window. The X at the far right closes (exits) the file or window. The other two symbols change the way an open file or window is displayed. Use the left-most button (-) to minimize the window, so that it is not displayed, but can be redisplayed from the task bar, or click the center button to affect the size of the window on your screen.

When a text file that has been edited or changed (such as the correction file portfile.adm, which is overwritten with each update) is closed, you will be asked if you want to save the changes. Answering Yes will cause the changed file to overwrite the previous version. This is the typical procedure with UA's correction file. If you prefer to save a previous file version permanently, you must save it under a distinct filename before closing it.


 One Day at a Time Portfolio

CSI maintains pre-created portfolios for use with specific CSI-compatible programs. The One Day at a Time portfolio is one such listing. It has been customized with all the commodities and contracts recommended for use with Delta Society International's Delta Graphics and One Day at a Time software.

The One Day at a Time Portfolio may be selected during installation or downloaded from the CSI website, as described in the "Selecting the Portfolio to Install chapter. respectively.


 Right-clicking

Right clicking is a mouse action that brings up an alternate set of options. It usually brings up a pop-up menu showing these choices. To right click, simply click the right (not left) button on your mouse.


 Standard CSI Demo Portfolio

The UA screen below shows the contracts included in the Standard Demo Portfolio. You'll note that there are two files of CBT Corn data, one in the CSI format and the other in the CSIM format.

This expanded view of the portfolio listing was achieved by dragging the right boundary of the listing as far as possible to the right.


 Stock Index Breakdown Portfolio

CSI maintains pre-created portfolios for use with specific CSI-compatible programs. The Stock Index portfolio is one such listing. It has been customized with all the recommended markets for use with Stock Index software.

The Stock Index Portfolio may be selected during installation or downloaded from the CSI website, as described in the "Selecting the Portfolio to Install" chapter.


 Switching Month

Switching Months are lightly traded contracts with typically short trading periods and low volume and open interest. They are not usually included in analysis series because of their inactivity and brief trading periods, but they may be included at your option. An example of a switching month is January COMEX Gold.


 Vantage Point Portfolio

CSI maintains pre-created portfolios for use with specific CSI-compatible programs. The Vantage Point Portfolio is one such listing. It has been customized with all the commodities and contracts recommended for use with Vantage Point software.

The Vantage Point Portfolio may be selected during installation or downloaded from the CSI website, as described in the "Selecting the Portfolio to Install" chapter.


WT? - Accessing Statistics

 Accessing Statistics

Unfair Advantage always shows you how many futures, stocks and options your system is processing with this display at the bottom of the screen. Hold your mouse over the display or anywhere in the lower border for a detailed summary of the content.

Click here for more information.


WT? - AddMarketIco

 Add Market Button

Click this button to add a new market to your Unfair Advantage portfolio. This lets you save the specifications for computed futures contracts and/or create a handy list of markets you wish to follow. It is also how you specify files for export to other analysis programs.

Click here to learn more.


WT? - PrefAdvanced1

 Advanced 1

How many charts and files do you want to lead at the same time? Use this screen to set your preference. This screen also offers feedback that you can supply to CSI in case of problems.

Click here to learn more.


WT? - PrefAdvanced2

 Advanced 2

Adjust this setting to balance safety and speed in your retrieval sessions.

Click here for details.


WT? - PrefAdvanced3

 Advanced 3

This screen offers one of the UA "Accelerations." Adjust them to make data retrieval as fast as it can be on your computer.

Click here for details.


WT? - PrefAmiBroker

 AmiBroker

AmiBroker is a Technical Analysis program that can read CSI data, but only after the data has been exported. Use this screen to set your AmiBroker preferences.

Click here to learn more.


WT? - Back Adjusted Futures

 Back-Adjusted Futures

These are continuous series built from contracts whose prices have been adjusted (either backward or forward) to eliminate the gaps between expiring and newly active contracts.

Click here for information on creating charts of Back-Adjusted futures data.
Click here to learn about adding Back-Adjusted futures data to your UA portfolio.


WT? - Cash Contracts

 Cash Contracts

Cash contracts are available for many, but not all commodities. Often just one daily cash price is offered.

Click here for information on creating charts of cash price data.
Click here to learn about adding cash price data to your UA portfolio.


WT? - ChartMenu

 Chart Menu

Use the Chart menu to create and manipulate your charts or add tools and studies to the charts on your UA screen.

Click here for details.


WT? - Chart/Table

 Chart/Table Tabs

Unfair Advantage lets you display data series in either charts or tables of numerical data. Use these tabs to toggle between the two. Note: The "Table" tab is your gateway to the data editor.

Click here to learn more.


WT? - ChartToolsIco

 Chart Tools Button

Whenever charts display, Unfair Advantage offers a number of graphic tools to enhance your charts. These include trend lines, ellipses, rectangles, annotations and Gann Fans. This also lets you "Zoom by Box" for maximum visibility.

Click here to learn more about these tools.


WT? - DatabaseMenu

 Database Menu

The Database Menu is a great entry point for maintaining and understanding your in-house version of the CSI Database.

Click here for details.


WT? - Date Range

 Date Range

On the Selecting Data Series screen for portfolios and Unfair Advantage charts are a set of values representing the date range. The default date range is from "as available" to "as available," which offers the most visibility within your subscription.

You can change them, if desired, as described here.


WT? - ExportFileFormat

 Export File Format

When creating a portfolio entry, you should select the file format for any export files. Choose from ASCII, CSI (our original QuickTrieve) format), CSIM (our CSI Millennium Format), MS (MetaStock) and Excel (a text file).

Click here to read more about these choices.


WT? - ExportPeriodicity

 Export Periodicity

When identifying markets for export on the Selecting Data Series screen, you can select Daily (D), Weekly (W), Monthly (M), Quarterly (Q), Semi-Annual (S) and/or Yearly (Y) aggregate files.

Click here to learn more about how these are presented in charts and data files.


WT? - ExportPortfolio

 Export Portfolio

When specifying a new portfolio entry on the Selecting Data Series screen or when a chart is being saved to a portfolio, you are given the opportunity to select the portfolio for storing the series. Click the arrow to select from a menu of existing portfolios, or click the [New] to choose another portfolio on your drive or create a new portfolio.

Click here for further instructions.


WT? - FileMenu

 File Menu

The file menu is used to exit Unfair Advantage and control your printer.

Click here for links to more information.


WT? - Futures Options

 Futures Options

Unfair Advantage allows you to view and manipulate options data, provided you subscribed to the option database from CSI.

Click here for instructions to create a chart of futures options.
Click here to learn about adding futures options to your portfolio.


WT? - Gann Contracts

 Gann Contracts

This is a continuous series built from a single delivery month of a commodity over years of trading. (A file of all May Wheat contracts over time, and another of all December Wheat contracts, etc.)

Click here to learn about creating charts of Gann Contract data.
Click here for instructions on adding Gann Contract data to your portfolio.


WT? - GetDataIco

 Get Data Button

Click this button for daily updates from CSI.

Read more about it here.


WT? - HelpIco

 Help Button

Click the "Help" button to access, view and print the Unfair Advantage Online Manual.

Click here for details on using this resource.


WT? - HelpMenu

 Help Menu

The Help Menu is your guide within Unfair Advantage. Use it to access the online manual and other help features. It includes an "E-Mail CSI" selection to simplify your efforts to reach the CSI staff. It also includes information for software developers and CSI version number statistics.

Click here for more information.


WT? - IFG

 Individual Futures Group (IFG)

Individual Futures Group refers to a user-defined paradigm for delivering a rotating set of normal futures contracts in a portfolio or charting session.

Click here for information on creating charts of normal futures contract data delivered as part of an individual futures group.
Click here to learn about adding normal price series (futures contracts) to your UA portfolio as part of an individual futures group.


WT? - IndicatorMenu

 Indicator Menu

The Indicator Menu is a quick and easy way to add studies to your Unfair Advantage charts. Click the arrow to see the extensive list.

Click here to read more about this feature.


WT? - IndicatorsIco

 Indicators (Study Toolbar) Button

Click this button to enter Unfair Advantage's in-depth analysis features. It allows you to customize studies that already exist in the system or to edit these studies to make them your own. This button leads you to the Study Library where you can program, test and optimize your own custom studies.

Click here to learn more about the Study Toolbar and its many uses.


WT? - Markets From List

 Choose Markets From List

Whenever you are using the Selecting Data Series screen, which is the interface for charting and portfolio additions, you have the choice of selecting, rather than typing, your desired markets by clicking the [Mkts] button.

Click here to learn about the procedure. Our example focuses on futures, but the process is the same for stocks.


WT? - MarketSpecsIco

 Market Specs Button

Unfair Advantage's Market Specification Factsheets (Market Specs) are a treasury of information about each of the data series in the database.

Click here to learn more.


WT? - MarketType

 Market Type

Your first critical choice on the Selecting Data Series screen is "Market Type." This determines whether UA will search for and offer appropriate choices for Futures, Stocks, Funds and Indexes or Cash/Fundamental series.

Click here for more information about these choices.


WT? - MS Analysis Menu

 MarketScanner Analysis Menu

The Analysis menu puts studies and various market facts into your MarketScanner table. It is also one entry way to custom analysis.

Click here to learn more.


WT? - MS Chart Menu

 MarketScanner Chart Menu

The charts that display at the right side of your MarketScanner screen are almost identical to those produced in Unfair Advantage's main charting window. The Chart menu allows you to manipulate these charts in the same way.

Click here for details.


WT? - MS Export Table Menu

 MarketScanner Export Table Menu

MarketScanner's basic output is a spreadsheet-style table. Use this menu to export table data to a printout, various format files or to other forms that can be utilized within Unfair Advantage.

Click here for details.


WT? - MS File Menu

 MarketScanner File Menu

This menu is your gateway to the automated scanning Wizard! You can also use it to start your analysis over and to save or open scan layouts. Of course, the File menu includes print and exit features.

Click here for details and links.


WT? - MS Help Menu

 MarketScanner Help Menu

This menu offers only two choices:

· What's This? (For brief information about MarketScanner features.)
· Online Manual (Click "Contents" and then look for the MarketScanner chapter.)

Click the links above for information.


WT? - MS Preferences Menu

 MarketScanner Preferences Menu

This is your screen of Scan Settings. Customize it before your first MarketScanner run and whenever you want to try a different set of markets or time period.

Click here to learn more.


WT? - MS Rows Menu

 MarketScanner Rows Menu

Each stock or futures market in your MarketScanner exercise represents one row of table data. After sorting data as desired, you can use the "Rows" menu to fine-tune your market search.

Delete selected rows or groups of rows as explained here.


WT? - MS Table Heading Menu

 MarketScanner Table Heading Menu

This menu lets you sort, filter and form ranks from the columns in your MarketScanner spreadsheet table. You can also use it to delete columns or insert blank columns in your spreadsheet, or edit studies that have already been run.

Click here for more information.


WT? - My Studies

 My Studies

Unfair Advantage lets you save a short list of favorite studies here that you can customize and then implement from this menu.

Click here for information on creating your list of favorite studies for super-quick access.


WT? - NewChartIco

 New Chart Button

Click this button to create a new chart with Unfair Advantage.

For full instructions, click here.


WT? - Normal

 Normal Futures Contracts

Normal futures contracts provide unadjusted data for individual delivery months as quoted by the exchanges.

Click here for information on creating charts of normal futures contract data.
Click here to learn about adding normal price series (futures contracts) to your UA portfolio.


WT? - Nth Nearest Futures

 Nth Nearest Futures

"Nth Nearest Futures" may be known to you as "First Nearest Futures," "Second Nearest Futures," etc. You choose the forward perspective by setting the "N" (number of contract months forward) on the Selecting Data Series screen. The provided series is a concatenation of formal futures contracts with no adjustments or smoothing provided.

Click here for information on creating charts of Nth nearest futures data.
Click here to learn about adding Nth nearest futures data to your UA portfolio.


WT? - Perpetual Contract Data

 Perpetual Contract® Data

Perpetual Contract® data is a proprietary CSI concept that many traders find very helpful as an analytic and trading aid. It serves as an indicator of market movement, but not as an explicit price indicator. This time series can be calculated in two different ways.

Click here to learn about creating charts of Perpetual Contract Data.
Click here for more about adding Perpetual Contract Data to your UA Portfolio.


WT? - PMAccount

 Account Menu

Use this menu to record deposits and withdrawals in your brokerage account.

Click here for more information.


WT? - PMfile

 File Menu

This menu lets you create and, to some degree, define position lists, which are essentially Position Manager portfolios. It is also your interface to generate a report for TSPE.

Click here for details.


WT? - PMmain

 Position Manager

Use Position Manager to stay informed about your trading account progress, even when multiple currencies are involved, and to receive intraday price updates from third-party websites.

Click here for more information.


WT? - PMpositions

 Positions Menu

This is where you enter your positions and markets to watch within Position Manager.

Click here for instructions.


WT? - PMrefresh

 Refresh Position Manager

If you have chosen to use Internet updates for intraday quotes and your position list holds 25 or fewer items, Position Manager will automatically seek new data on a regular basis. Click "Refresh" if other intraday updates are needed.

Click here for more information.


WT? - PMreport

 Reports Menu

Use this menu to choose the Position Manager report of your choice.

Click here for more information.


WT? - PMsettings

 Position Manager Settings

This screen controls position manager! Pick your data source, make currency selections and determine if results will reflect margined accounts and open or closed account equity.

Click here for details.


WT? - PMview

 View Positions

Use this screen to select from open positions, closed positions or all positions.

Click here for details.


WT? - PortAggregateFiles

 Aggregate Files

Aggregate data series produce price bars representing time periods that are longer than a single day. Each bar might represent a week, a month, or even a longer period. Use this screen to determine how prices, volume, open interest and dates will be reflected in your aggregate data files and resulting charts.

Click here for details.


WT? - PortASCIIFileNames

 ASCII File Names

When you export data to ASCII text files, you may want to customize the file name structure. You can do it through this screen.

Click here for more information.


WT? - PortASCIILayout

 ASCII Field Layout

When writing files to ASCII format, the record layout of the resulting fields depends upon your selections on the ASCII Field Layout tab of the Portfolio Settings.

Click here for information.


WT? - PortASCIIMisc

 ASCII Misc.

When writing files to ASCII format, your preferences for inclusion of a header line (or not), the handling of holidays, and whether or not the CSI number will replace the symbol are controlled though the ASCII Misc. screen of portfolio settings.

Click here for details.


WT? - PortBackAdjust

 Back Adjusting

Unfair Advantage can create back-adjusted continuous files for long-term analysis of commodities. Use this screen to set your preferences for keeping those values above zero and for selecting the back-adjusting algorithm.

Click here for details.


WT? - PortOptionalField

 Optional Field

Use this screen to set your preferences for including cash data, Saturday data (not currently available) and total volume/open interest in your data files and resulting charts.

Click here for more information.


WT? - PortCSIFormat

 CSI Format File Settings

If you're writing export files in the CSI (QuickTrieve) format, you may want to adjust these settings to customize volume and open interest presentation. This screen also lets you specify the number of days for a no-data pad at the end of your export files,

Click here for details.


WT? - PortCSIFormatDirectory

 CSI Format Directory Settings

Directories holding CSI format (QuickTrieve) files are limited to 120 or 999 files. Use this screen to specify your choice and to determine how data files above that limit will be stored.

Click here for details.


WT? - PortCSIMFormat

 CSIM/MS Format Settings

The CSIM (CSI Millennium) format was created by CSI to provide compatibility with MetaStockÒ (MS) software and other software that used the MetaStock format. We offer both CSIM and MS (MetaStock) format files, which you can adjust on this screen.

Click here for more information.


WT? - PortDisplay

 Displaying Data

Users of software by Omega Research with CSI data will need to assure that all CSI commodity symbols are stored as two-characters, as opposed to the three or four that might occur. Use this screen to make that adjustment and also to request decimal presentation of all prices for any files in your portfolio.

Click here for more information.


WT? - PortfolioScroll

 Portfolio Scroll

When viewing any chart from your Unfair Advantage portfolio, you can easily scroll to the next or previous chart on the list using these buttons below your chart.

Click here to learn more.


WT? - PortfolioInternetUpdates

 Portfolio Internet Updates

When adding files to a portfolio, you can specify here on the Selecting Data Series screen if you want the market to be subject to updates with conditional intraday data through UA's SnapQuote feature.

Click here to learn more about SnapQuote setup.


WT? - PortfolioMenu

 Portfolio Menu

The portfolio menu is your gateway to customizing and maintaining your list of markets for regular analysis with Unfair Advantage and/or export.

Click here for a complete list of choices and links to more information on each.


WT? - PortfolioPanel

 Portfolio Manager Panel

This panel provides utilities for selecting portfolios, adding and editing files, charting series that are in your portfolio, writing data files and refreshing your portfolio.

Click here for more information on how to use this tool and to learn about these features.


WT? - PortfolioPostProcessing

 Post Processing

On the Selecting Data Series screen, the Post Processing prompt is used to add Detrending, Inversion or Custom Studies to your portfolio selection.

Click here to read about these features.


WT? - PortGeneral

 General

If your portfolio includes Individual Futures Groups, which provide a rotating list of normal futures contracts, then you might want to use this setting to delete contracts from your portfolio as they expire. This screen includes the highly recommended setting of appending files every day.

Click here for details.


WT? - PortHistAdjust

 Historical Adjustments

There are many ways that accurate data might not accurately represent the past. Factors such as changes in contract size and trading units affect commodities. Stocks are affected by splits, dividends and gains distributions. Use this screen to set your preferences for adjusting historical data in your portfolio.

Click here for more information.


WT? - PortMainScreen

 Edit Portfolio

This screen is used to create or edit an Unfair Advantage portfolio. It lets you name and place the portfolio and identify your preferences for a range of settings.

Click here for more information.


WT? - PortRoundRange

 Rounding/Ranging

Do you want your data to display exactly as the exchange releases it, or should Unfair Advantage massage data points that might cause problems in your analytical software? Set your preferences here.

Click here for more information.


WT? - PrefAccess

 Access Rights

This screen shows which market classes and services are included in your UA subscription. Collect a daily update before viewing to view current information.

Click here to learn more.


WT? - PrefAccount

 Account Preferences

View and/or edit your User ID and CSI Customer Number on this screen.

Click here for more information.


WT? - PrefAggregate

 Aggregate Method

Aggregate charts show data in price bars representing time periods that are longer than a single day. Each bar might represent a week, a month, or even a longer period. Use this screen to determine how prices, volume, open interest and dates will be reflected in your aggregate charts.

Click here for details.


WT? - PrefBackAdj

 Back Adjusting

Unfair Advantage can create back-adjusted continuous files for long-term analysis of commodities. Use this screen to set your preferences for keeping those values above zero and for selecting the back-adjusting algorithm.

Click here for details.


WT? - PrefBrowser

 Browser Access Preferences

"Browser" refers to an Internet browser that isn't a recent version of Microsoft Internet Explorer. If you use Netscape Navigator or some other choice, you should use "Browser" access, which is customized through this screen.

Click here for details.


WT? - PrefCashSat

 Cash/Saturday Preferences

Do you always want to view cash data along with the corresponding futures contracts? Here's your chance. No Saturday data is available at this time. If time is of the essence, you might skip the Volume and Open interest calculations as offered through this screen.

Click here for details.


WT? - PrefCharting

 Charting Preferences

Use this screen to determine the number of bars that will display on your UA charts and the number to be used by AnyLanguage for custom programming. Want black & white charts? Indicate your preference on this screen.

Click here to learn more.


WT? - PrefDirect

 Direct Dial Preferences

If your computer will call directly to the CSI host computer instead of accessing through the Internet, use this screen to adjust the phone number, baud rate, etc.

Click here for more information.


WT? - PrefDisplay

 Displaying Data

Use this screen to request decimal presentation of all prices on your charts.

Click here for more information.


WT? - PrefDist1

 Distribution 1

Use these prompts to streamline your daily distribution routine. Add or delete features to customize the way Unfair Advantage handles your Internet connection and presents supplemental information to you.

Click here for more information.


WT? - PrefDist2

 Distribution 2

Would you like to launch another program automatically after your CSI update? How about automatically maintain and export an updated Market Specs factsheet? Use this screen for these functions.

Click here to learn more.


WT? - PrefDist3

 Distribution 3

Use this screen to set your preferences regarding automatic backups of the Unfair Advantage database.

Click here for details.


WT? - PrefDownload

 Download Preferences

Want to automate your daily updates from CSI? Use AutoSchedule here. Also pick your accessing method from "Internet" (via MS Internet Explorer), "Direct Dial" or Internet via a "Browser."

Click here for more information.


WT? - PreferencesMenu

 Preferences

Unfair Advantage offers customizable selections for virtually all aspects of your data retrieval and analysis activities.

Click here for details on those included on the Preferences screen.


WT? - PrefGenBeh1

 General UA Behavior 1

These settings control how UA displays exceptional data such as your own edits, inappropriate trade data and SnapQuotes, as well as displaying daily tips and automatically checking for new software.

Click here for details on the Override Price Handling prompts.
Click here to learn about displaying daily comments called "Tips."
Click here for information about automatically upgrading Unfair Advantage.


WT? - PrefGenBeh2

 General UA Behavior 2

Use this screen to control the appearance of your screens regarding toolbars, menu displays and calendar selections.

Click here for more information.


WT? - PrefHistAdj

 Historical Adjustments

There are many ways that accurate data might not accurately represent the past. Factors such as changes in contract size and trading units affect commodities. Stocks are affected by splits, dividends and gains distributions. Use this screen to set your preferences for adjusting historical data.

Click here for more information.


WT? - PrefInternet

 Internet Preferences

Servers, Proxies and Ports. You'll probably never need to adjust these.

Click here if you need more information.


WT? - PrefMarketSpecBeh

 Market Spec Behavior

The Market Specifications factsheet shows all markets available through Unfair Advantage and includes sortable columns showing name, symbol, CSI number and an assortment of valuable exchange or fundamental data. This screen lets you set your preferences regarding the sort order and content.

Click here for more information.


WT? - PrefRoundRange

 Rounding/Ranging

Do you want your data to display exactly as the exchange releases it, or should Unfair Advantage massage data points that might cause problems in your analytical software? Set your preferences here.

Click here for more information.


WT? - PrefWinColors

 Windows Colors

This screen lets you adjust the background color for your Unfair Advantage system.

Click here for more information.


WT? - PrintIco

 Print Button

Click this button to print the current chart or table.


WT? - ReportIco

 Report Button

Click this button to see a daily summary report of various markets. Choose from all your portfolios, a single portfolio, a single market or even whole exchanges or market classes.

Click here for details.


WT? - SavetoPortfolioButton

 Save to Portfolio Button

Whenever you make a fresh chart that was not retrieved from a portfolio, Unfair Advantage gives you the option of saving your work as a portfolio entry. Click this button to view a screen of important selections for your new portfolio entry. This is a great way to build a portfolio!

Click here for details.


WT? - Select Data Series

 Selecting Data Series

chtex4

Click here for instructions on creating new charts.
Click here for instructions on adding files to a portfolio.


WT? - SnapQuoteIco

 SnapQuote Button

Click this button for an intraday quote supplied through third-party websites.

Click here for details.


WT? - StudyToolbar

 Study Toolbar

This screen allows you to select multiple studies (indicators) to display on your current chart, and to program your own studies for custom analysis. This feature is the same for charts made through UA's basic charting module as it is for charts made with MarketScanner.

Click here to learn more about the Study Toolbar.


WT? - Symbols

 Symbols

On the Selecting Data Series screen, the Symbols you enter must match the selected "Market Type."

Click here for more information on entering symbols for stock charts.
Click here for to learn about futures charts.
Click here for details about symbols for options charts.
Click here for information about selecting symbols for your portfolio.


WT? - TrackerIco

 Tracker With Readout Button

This button lets you interactively view the numerical values, date and even indicator readings for the location you select.

Click here for details.


WT? - TradingToolsMenu

 Trading Tools Menu

The Trading Tools Menu offers a host of analysis opportunities, including Multi-Market Analyzer, Correlation Study, Market Scanner
Trading System Performance Evaluator, Position Manager and "Read Tomorrow's Newspaper."

For more information, click here.


WT? - What'sThisIco

 "What's This?" Button

Click the "What's This?" button and then move your cursor to any feature of interest on your UA screen. Click your mouse again for a brief description and a link to more information within the online manual.

Click here for more information.


WT? - WindowMenu

 Window Menu

You have many choices that determine how Unfair Advantage will display your charts. One set of customizable features is found on the "Windows" menu.

Click here to learn more and to reach a link to examples.


WT? - ZoomInIco

 Zoom In Button

Use this tool to get a close-up view of data on your chart.

Click here for more information.


WT? - ZoomOutIco

 Zoom Out Button

Use this tool to compress your chart data for the most comprehensive view possible.

Click here for more information.